/* A Bison parser, made by GNU Bison 3.0.4.  */

/* Bison implementation for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2015 Free Software Foundation, Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output.  */
#define YYBISON 1

/* Bison version.  */
#define YYBISON_VERSION "3.0.4"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 1

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1


/* Substitute the variable and function names.  */
#define yyparse         nft_parse
#define yylex           nft_lex
#define yyerror         nft_error
#define yydebug         nft_debug
#define yynerrs         nft_nerrs


/* Copy the first part of user declarations.  */
#line 11 "parser_bison.y" /* yacc.c:339  */


#include <ctype.h>
#include <stddef.h>
#include <stdio.h>
#include <inttypes.h>
#include <syslog.h>
#include <netinet/ip.h>
#include <netinet/tcp.h>
#include <netinet/if_ether.h>
#include <linux/netfilter.h>
#include <linux/netfilter/nf_tables.h>
#include <linux/netfilter/nf_conntrack_tuple_common.h>
#include <linux/netfilter/nf_nat.h>
#include <linux/netfilter/nf_log.h>
#include <linux/netfilter/nfnetlink_osf.h>
#include <linux/netfilter/nf_synproxy.h>
#include <linux/xfrm.h>
#include <netinet/ip_icmp.h>
#include <netinet/icmp6.h>
#include <libnftnl/common.h>
#include <libnftnl/set.h>
#include <libnftnl/udata.h>

#include <rule.h>
#include <statement.h>
#include <expression.h>
#include <headers.h>
#include <utils.h>
#include <parser.h>
#include <erec.h>
#include <sctp_chunk.h>

#include "parser_bison.h"

void parser_init(struct nft_ctx *nft, struct parser_state *state,
		 struct list_head *msgs, struct list_head *cmds,
		 struct scope *top_scope)
{
	memset(state, 0, sizeof(*state));
	state->msgs = msgs;
	state->cmds = cmds;
	state->scopes[0] = scope_init(top_scope, NULL);
	init_list_head(&state->indesc_list);
}

static void yyerror(struct location *loc, struct nft_ctx *nft, void *scanner,
		    struct parser_state *state, const char *s)
{
	erec_queue(error(loc, "%s", s), state->msgs);
}

static struct scope *current_scope(const struct parser_state *state)
{
	return state->scopes[state->scope];
}

static void open_scope(struct parser_state *state, struct scope *scope)
{
	assert(state->scope < array_size(state->scopes) - 1);
	scope_init(scope, current_scope(state));
	state->scopes[++state->scope] = scope;
}

static void close_scope(struct parser_state *state)
{
	assert(state->scope > 0);
	state->scope--;
}

static void location_init(void *scanner, struct parser_state *state,
			  struct location *loc)
{
	memset(loc, 0, sizeof(*loc));
	loc->indesc = state->indesc;
}

static void location_update(struct location *loc, struct location *rhs, int n)
{
	if (n) {
		loc->indesc       = rhs[n].indesc;
		loc->token_offset = rhs[1].token_offset;
		loc->line_offset  = rhs[1].line_offset;
		loc->first_line   = rhs[1].first_line;
		loc->first_column = rhs[1].first_column;
		loc->last_line    = rhs[n].last_line;
		loc->last_column  = rhs[n].last_column;
	} else {
		loc->indesc       = rhs[0].indesc;
		loc->token_offset = rhs[0].token_offset;
		loc->line_offset  = rhs[0].line_offset;
		loc->first_line   = loc->last_line   = rhs[0].last_line;
		loc->first_column = loc->last_column = rhs[0].last_column;
	}
}

static struct expr *handle_concat_expr(const struct location *loc,
					 struct expr *expr,
					 struct expr *expr_l, struct expr *expr_r,
					 struct location loc_rhs[3])
{
	if (expr->etype != EXPR_CONCAT) {
		expr = concat_expr_alloc(loc);
		compound_expr_add(expr, expr_l);
	} else {
		location_update(&expr_r->location, loc_rhs, 2);

		expr = expr_l;
		expr->location = *loc;
	}

	compound_expr_add(expr, expr_r);
	return expr;
}

static bool already_set(const void *attr, const struct location *loc,
			struct parser_state *state)
{
	if (!attr)
		return false;

	erec_queue(error(loc, "You can only specify this once. This statement is duplicated."),
		   state->msgs);
	return true;
}

#define YYLLOC_DEFAULT(Current, Rhs, N)	location_update(&Current, Rhs, N)

#define symbol_value(loc, str) \
	symbol_expr_alloc(loc, SYMBOL_VALUE, current_scope(state), str)

/* Declare those here to avoid compiler warnings */
void nft_set_debug(int, void *);
int nft_lex(void *, void *, void *);

#line 208 "parser_bison.c" /* yacc.c:339  */

# ifndef YY_NULLPTR
#  if defined __cplusplus && 201103L <= __cplusplus
#   define YY_NULLPTR nullptr
#  else
#   define YY_NULLPTR 0
#  endif
# endif

/* Enabling verbose error messages.  */
#ifdef YYERROR_VERBOSE
# undef YYERROR_VERBOSE
# define YYERROR_VERBOSE 1
#else
# define YYERROR_VERBOSE 1
#endif

/* In a future release of Bison, this section will be replaced
   by #include "y.tab.h".  */
#ifndef YY_NFT_PARSER_BISON_H_INCLUDED
# define YY_NFT_PARSER_BISON_H_INCLUDED
/* Debug traces.  */
#ifndef YYDEBUG
# define YYDEBUG 1
#endif
#if YYDEBUG
extern int nft_debug;
#endif

/* Token type.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
  enum yytokentype
  {
    TOKEN_EOF = 0,
    JUNK = 258,
    NEWLINE = 259,
    COLON = 260,
    SEMICOLON = 261,
    COMMA = 262,
    DOT = 263,
    EQ = 264,
    NEQ = 265,
    LT = 266,
    GT = 267,
    GTE = 268,
    LTE = 269,
    LSHIFT = 270,
    RSHIFT = 271,
    AMPERSAND = 272,
    CARET = 273,
    NOT = 274,
    SLASH = 275,
    ASTERISK = 276,
    DASH = 277,
    AT = 278,
    VMAP = 279,
    PLUS = 280,
    INCLUDE = 281,
    DEFINE = 282,
    REDEFINE = 283,
    UNDEFINE = 284,
    FIB = 285,
    SOCKET = 286,
    TRANSPARENT = 287,
    WILDCARD = 288,
    CGROUPV2 = 289,
    TPROXY = 290,
    OSF = 291,
    SYNPROXY = 292,
    MSS = 293,
    WSCALE = 294,
    TYPEOF = 295,
    HOOK = 296,
    HOOKS = 297,
    DEVICE = 298,
    DEVICES = 299,
    TABLE = 300,
    TABLES = 301,
    CHAIN = 302,
    CHAINS = 303,
    RULE = 304,
    RULES = 305,
    SETS = 306,
    SET = 307,
    ELEMENT = 308,
    MAP = 309,
    MAPS = 310,
    FLOWTABLE = 311,
    HANDLE = 312,
    RULESET = 313,
    TRACE = 314,
    INET = 315,
    NETDEV = 316,
    ADD = 317,
    UPDATE = 318,
    REPLACE = 319,
    CREATE = 320,
    INSERT = 321,
    DELETE = 322,
    GET = 323,
    LIST = 324,
    RESET = 325,
    FLUSH = 326,
    RENAME = 327,
    DESCRIBE = 328,
    IMPORT = 329,
    EXPORT = 330,
    MONITOR = 331,
    ALL = 332,
    ACCEPT = 333,
    DROP = 334,
    CONTINUE = 335,
    JUMP = 336,
    GOTO = 337,
    RETURN = 338,
    TO = 339,
    CONSTANT = 340,
    INTERVAL = 341,
    DYNAMIC = 342,
    AUTOMERGE = 343,
    TIMEOUT = 344,
    GC_INTERVAL = 345,
    ELEMENTS = 346,
    EXPIRES = 347,
    POLICY = 348,
    MEMORY = 349,
    PERFORMANCE = 350,
    SIZE = 351,
    FLOW = 352,
    OFFLOAD = 353,
    METER = 354,
    METERS = 355,
    FLOWTABLES = 356,
    NUM = 357,
    STRING = 358,
    QUOTED_STRING = 359,
    ASTERISK_STRING = 360,
    LL_HDR = 361,
    NETWORK_HDR = 362,
    TRANSPORT_HDR = 363,
    BRIDGE = 364,
    ETHER = 365,
    SADDR = 366,
    DADDR = 367,
    TYPE = 368,
    VLAN = 369,
    ID = 370,
    CFI = 371,
    DEI = 372,
    PCP = 373,
    ARP = 374,
    HTYPE = 375,
    PTYPE = 376,
    HLEN = 377,
    PLEN = 378,
    OPERATION = 379,
    IP = 380,
    HDRVERSION = 381,
    HDRLENGTH = 382,
    DSCP = 383,
    ECN = 384,
    LENGTH = 385,
    FRAG_OFF = 386,
    TTL = 387,
    PROTOCOL = 388,
    CHECKSUM = 389,
    PTR = 390,
    VALUE = 391,
    LSRR = 392,
    RR = 393,
    SSRR = 394,
    RA = 395,
    ICMP = 396,
    CODE = 397,
    SEQUENCE = 398,
    GATEWAY = 399,
    MTU = 400,
    IGMP = 401,
    MRT = 402,
    OPTIONS = 403,
    IP6 = 404,
    PRIORITY = 405,
    FLOWLABEL = 406,
    NEXTHDR = 407,
    HOPLIMIT = 408,
    ICMP6 = 409,
    PPTR = 410,
    MAXDELAY = 411,
    AH = 412,
    RESERVED = 413,
    SPI = 414,
    ESP = 415,
    COMP = 416,
    FLAGS = 417,
    CPI = 418,
    PORT = 419,
    UDP = 420,
    SPORT = 421,
    DPORT = 422,
    UDPLITE = 423,
    CSUMCOV = 424,
    TCP = 425,
    ACKSEQ = 426,
    DOFF = 427,
    WINDOW = 428,
    URGPTR = 429,
    OPTION = 430,
    ECHO = 431,
    EOL = 432,
    MPTCP = 433,
    NOP = 434,
    SACK = 435,
    SACK0 = 436,
    SACK1 = 437,
    SACK2 = 438,
    SACK3 = 439,
    SACK_PERM = 440,
    FASTOPEN = 441,
    MD5SIG = 442,
    TIMESTAMP = 443,
    COUNT = 444,
    LEFT = 445,
    RIGHT = 446,
    TSVAL = 447,
    TSECR = 448,
    SUBTYPE = 449,
    DCCP = 450,
    SCTP = 451,
    CHUNK = 452,
    DATA = 453,
    INIT = 454,
    INIT_ACK = 455,
    HEARTBEAT = 456,
    HEARTBEAT_ACK = 457,
    ABORT = 458,
    SHUTDOWN = 459,
    SHUTDOWN_ACK = 460,
    ERROR = 461,
    COOKIE_ECHO = 462,
    COOKIE_ACK = 463,
    ECNE = 464,
    CWR = 465,
    SHUTDOWN_COMPLETE = 466,
    ASCONF_ACK = 467,
    FORWARD_TSN = 468,
    ASCONF = 469,
    TSN = 470,
    STREAM = 471,
    SSN = 472,
    PPID = 473,
    INIT_TAG = 474,
    A_RWND = 475,
    NUM_OSTREAMS = 476,
    NUM_ISTREAMS = 477,
    INIT_TSN = 478,
    CUM_TSN_ACK = 479,
    NUM_GACK_BLOCKS = 480,
    NUM_DUP_TSNS = 481,
    LOWEST_TSN = 482,
    SEQNO = 483,
    NEW_CUM_TSN = 484,
    VTAG = 485,
    RT = 486,
    RT0 = 487,
    RT2 = 488,
    RT4 = 489,
    SEG_LEFT = 490,
    ADDR = 491,
    LAST_ENT = 492,
    TAG = 493,
    SID = 494,
    HBH = 495,
    FRAG = 496,
    RESERVED2 = 497,
    MORE_FRAGMENTS = 498,
    DST = 499,
    MH = 500,
    META = 501,
    MARK = 502,
    IIF = 503,
    IIFNAME = 504,
    IIFTYPE = 505,
    OIF = 506,
    OIFNAME = 507,
    OIFTYPE = 508,
    SKUID = 509,
    SKGID = 510,
    NFTRACE = 511,
    RTCLASSID = 512,
    IBRIPORT = 513,
    OBRIPORT = 514,
    IBRIDGENAME = 515,
    OBRIDGENAME = 516,
    PKTTYPE = 517,
    CPU = 518,
    IIFGROUP = 519,
    OIFGROUP = 520,
    CGROUP = 521,
    TIME = 522,
    CLASSID = 523,
    NEXTHOP = 524,
    CT = 525,
    L3PROTOCOL = 526,
    PROTO_SRC = 527,
    PROTO_DST = 528,
    ZONE = 529,
    DIRECTION = 530,
    EVENT = 531,
    EXPECTATION = 532,
    EXPIRATION = 533,
    HELPER = 534,
    LABEL = 535,
    STATE = 536,
    STATUS = 537,
    ORIGINAL = 538,
    REPLY = 539,
    COUNTER = 540,
    NAME = 541,
    PACKETS = 542,
    BYTES = 543,
    AVGPKT = 544,
    COUNTERS = 545,
    QUOTAS = 546,
    LIMITS = 547,
    SYNPROXYS = 548,
    HELPERS = 549,
    LOG = 550,
    PREFIX = 551,
    GROUP = 552,
    SNAPLEN = 553,
    QUEUE_THRESHOLD = 554,
    LEVEL = 555,
    LIMIT = 556,
    RATE = 557,
    BURST = 558,
    OVER = 559,
    UNTIL = 560,
    QUOTA = 561,
    USED = 562,
    SECMARK = 563,
    SECMARKS = 564,
    SECOND = 565,
    MINUTE = 566,
    HOUR = 567,
    DAY = 568,
    WEEK = 569,
    _REJECT = 570,
    WITH = 571,
    ICMPX = 572,
    SNAT = 573,
    DNAT = 574,
    MASQUERADE = 575,
    REDIRECT = 576,
    RANDOM = 577,
    FULLY_RANDOM = 578,
    PERSISTENT = 579,
    QUEUE = 580,
    QUEUENUM = 581,
    BYPASS = 582,
    FANOUT = 583,
    DUP = 584,
    FWD = 585,
    NUMGEN = 586,
    INC = 587,
    MOD = 588,
    OFFSET = 589,
    JHASH = 590,
    SYMHASH = 591,
    SEED = 592,
    POSITION = 593,
    INDEX = 594,
    COMMENT = 595,
    XML = 596,
    JSON = 597,
    VM = 598,
    NOTRACK = 599,
    EXISTS = 600,
    MISSING = 601,
    EXTHDR = 602,
    IPSEC = 603,
    REQID = 604,
    SPNUM = 605,
    IN = 606,
    OUT = 607
  };
#endif
/* Tokens.  */
#define TOKEN_EOF 0
#define JUNK 258
#define NEWLINE 259
#define COLON 260
#define SEMICOLON 261
#define COMMA 262
#define DOT 263
#define EQ 264
#define NEQ 265
#define LT 266
#define GT 267
#define GTE 268
#define LTE 269
#define LSHIFT 270
#define RSHIFT 271
#define AMPERSAND 272
#define CARET 273
#define NOT 274
#define SLASH 275
#define ASTERISK 276
#define DASH 277
#define AT 278
#define VMAP 279
#define PLUS 280
#define INCLUDE 281
#define DEFINE 282
#define REDEFINE 283
#define UNDEFINE 284
#define FIB 285
#define SOCKET 286
#define TRANSPARENT 287
#define WILDCARD 288
#define CGROUPV2 289
#define TPROXY 290
#define OSF 291
#define SYNPROXY 292
#define MSS 293
#define WSCALE 294
#define TYPEOF 295
#define HOOK 296
#define HOOKS 297
#define DEVICE 298
#define DEVICES 299
#define TABLE 300
#define TABLES 301
#define CHAIN 302
#define CHAINS 303
#define RULE 304
#define RULES 305
#define SETS 306
#define SET 307
#define ELEMENT 308
#define MAP 309
#define MAPS 310
#define FLOWTABLE 311
#define HANDLE 312
#define RULESET 313
#define TRACE 314
#define INET 315
#define NETDEV 316
#define ADD 317
#define UPDATE 318
#define REPLACE 319
#define CREATE 320
#define INSERT 321
#define DELETE 322
#define GET 323
#define LIST 324
#define RESET 325
#define FLUSH 326
#define RENAME 327
#define DESCRIBE 328
#define IMPORT 329
#define EXPORT 330
#define MONITOR 331
#define ALL 332
#define ACCEPT 333
#define DROP 334
#define CONTINUE 335
#define JUMP 336
#define GOTO 337
#define RETURN 338
#define TO 339
#define CONSTANT 340
#define INTERVAL 341
#define DYNAMIC 342
#define AUTOMERGE 343
#define TIMEOUT 344
#define GC_INTERVAL 345
#define ELEMENTS 346
#define EXPIRES 347
#define POLICY 348
#define MEMORY 349
#define PERFORMANCE 350
#define SIZE 351
#define FLOW 352
#define OFFLOAD 353
#define METER 354
#define METERS 355
#define FLOWTABLES 356
#define NUM 357
#define STRING 358
#define QUOTED_STRING 359
#define ASTERISK_STRING 360
#define LL_HDR 361
#define NETWORK_HDR 362
#define TRANSPORT_HDR 363
#define BRIDGE 364
#define ETHER 365
#define SADDR 366
#define DADDR 367
#define TYPE 368
#define VLAN 369
#define ID 370
#define CFI 371
#define DEI 372
#define PCP 373
#define ARP 374
#define HTYPE 375
#define PTYPE 376
#define HLEN 377
#define PLEN 378
#define OPERATION 379
#define IP 380
#define HDRVERSION 381
#define HDRLENGTH 382
#define DSCP 383
#define ECN 384
#define LENGTH 385
#define FRAG_OFF 386
#define TTL 387
#define PROTOCOL 388
#define CHECKSUM 389
#define PTR 390
#define VALUE 391
#define LSRR 392
#define RR 393
#define SSRR 394
#define RA 395
#define ICMP 396
#define CODE 397
#define SEQUENCE 398
#define GATEWAY 399
#define MTU 400
#define IGMP 401
#define MRT 402
#define OPTIONS 403
#define IP6 404
#define PRIORITY 405
#define FLOWLABEL 406
#define NEXTHDR 407
#define HOPLIMIT 408
#define ICMP6 409
#define PPTR 410
#define MAXDELAY 411
#define AH 412
#define RESERVED 413
#define SPI 414
#define ESP 415
#define COMP 416
#define FLAGS 417
#define CPI 418
#define PORT 419
#define UDP 420
#define SPORT 421
#define DPORT 422
#define UDPLITE 423
#define CSUMCOV 424
#define TCP 425
#define ACKSEQ 426
#define DOFF 427
#define WINDOW 428
#define URGPTR 429
#define OPTION 430
#define ECHO 431
#define EOL 432
#define MPTCP 433
#define NOP 434
#define SACK 435
#define SACK0 436
#define SACK1 437
#define SACK2 438
#define SACK3 439
#define SACK_PERM 440
#define FASTOPEN 441
#define MD5SIG 442
#define TIMESTAMP 443
#define COUNT 444
#define LEFT 445
#define RIGHT 446
#define TSVAL 447
#define TSECR 448
#define SUBTYPE 449
#define DCCP 450
#define SCTP 451
#define CHUNK 452
#define DATA 453
#define INIT 454
#define INIT_ACK 455
#define HEARTBEAT 456
#define HEARTBEAT_ACK 457
#define ABORT 458
#define SHUTDOWN 459
#define SHUTDOWN_ACK 460
#define ERROR 461
#define COOKIE_ECHO 462
#define COOKIE_ACK 463
#define ECNE 464
#define CWR 465
#define SHUTDOWN_COMPLETE 466
#define ASCONF_ACK 467
#define FORWARD_TSN 468
#define ASCONF 469
#define TSN 470
#define STREAM 471
#define SSN 472
#define PPID 473
#define INIT_TAG 474
#define A_RWND 475
#define NUM_OSTREAMS 476
#define NUM_ISTREAMS 477
#define INIT_TSN 478
#define CUM_TSN_ACK 479
#define NUM_GACK_BLOCKS 480
#define NUM_DUP_TSNS 481
#define LOWEST_TSN 482
#define SEQNO 483
#define NEW_CUM_TSN 484
#define VTAG 485
#define RT 486
#define RT0 487
#define RT2 488
#define RT4 489
#define SEG_LEFT 490
#define ADDR 491
#define LAST_ENT 492
#define TAG 493
#define SID 494
#define HBH 495
#define FRAG 496
#define RESERVED2 497
#define MORE_FRAGMENTS 498
#define DST 499
#define MH 500
#define META 501
#define MARK 502
#define IIF 503
#define IIFNAME 504
#define IIFTYPE 505
#define OIF 506
#define OIFNAME 507
#define OIFTYPE 508
#define SKUID 509
#define SKGID 510
#define NFTRACE 511
#define RTCLASSID 512
#define IBRIPORT 513
#define OBRIPORT 514
#define IBRIDGENAME 515
#define OBRIDGENAME 516
#define PKTTYPE 517
#define CPU 518
#define IIFGROUP 519
#define OIFGROUP 520
#define CGROUP 521
#define TIME 522
#define CLASSID 523
#define NEXTHOP 524
#define CT 525
#define L3PROTOCOL 526
#define PROTO_SRC 527
#define PROTO_DST 528
#define ZONE 529
#define DIRECTION 530
#define EVENT 531
#define EXPECTATION 532
#define EXPIRATION 533
#define HELPER 534
#define LABEL 535
#define STATE 536
#define STATUS 537
#define ORIGINAL 538
#define REPLY 539
#define COUNTER 540
#define NAME 541
#define PACKETS 542
#define BYTES 543
#define AVGPKT 544
#define COUNTERS 545
#define QUOTAS 546
#define LIMITS 547
#define SYNPROXYS 548
#define HELPERS 549
#define LOG 550
#define PREFIX 551
#define GROUP 552
#define SNAPLEN 553
#define QUEUE_THRESHOLD 554
#define LEVEL 555
#define LIMIT 556
#define RATE 557
#define BURST 558
#define OVER 559
#define UNTIL 560
#define QUOTA 561
#define USED 562
#define SECMARK 563
#define SECMARKS 564
#define SECOND 565
#define MINUTE 566
#define HOUR 567
#define DAY 568
#define WEEK 569
#define _REJECT 570
#define WITH 571
#define ICMPX 572
#define SNAT 573
#define DNAT 574
#define MASQUERADE 575
#define REDIRECT 576
#define RANDOM 577
#define FULLY_RANDOM 578
#define PERSISTENT 579
#define QUEUE 580
#define QUEUENUM 581
#define BYPASS 582
#define FANOUT 583
#define DUP 584
#define FWD 585
#define NUMGEN 586
#define INC 587
#define MOD 588
#define OFFSET 589
#define JHASH 590
#define SYMHASH 591
#define SEED 592
#define POSITION 593
#define INDEX 594
#define COMMENT 595
#define XML 596
#define JSON 597
#define VM 598
#define NOTRACK 599
#define EXISTS 600
#define MISSING 601
#define EXTHDR 602
#define IPSEC 603
#define REQID 604
#define SPNUM 605
#define IN 606
#define OUT 607

/* Value type.  */
#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED

union YYSTYPE
{
#line 167 "parser_bison.y" /* yacc.c:355  */

	uint64_t		val;
	uint32_t		val32;
	uint8_t			val8;
	const char *		string;

	struct list_head	*list;
	struct cmd		*cmd;
	struct handle		handle;
	struct table		*table;
	struct chain		*chain;
	struct rule		*rule;
	struct stmt		*stmt;
	struct expr		*expr;
	struct set		*set;
	struct obj		*obj;
	struct flowtable	*flowtable;
	struct ct		*ct;
	const struct datatype	*datatype;
	struct handle_spec	handle_spec;
	struct position_spec	position_spec;
	struct prio_spec	prio_spec;
	struct limit_rate	limit_rate;
	struct tcp_kind_field {
		uint16_t kind; /* must allow > 255 for SACK1, 2.. hack */
		uint8_t field;
	} tcp_kind_field;

#line 983 "parser_bison.c" /* yacc.c:355  */
};

typedef union YYSTYPE YYSTYPE;
# define YYSTYPE_IS_TRIVIAL 1
# define YYSTYPE_IS_DECLARED 1
#endif

/* Location type.  */
#if ! defined YYLTYPE && ! defined YYLTYPE_IS_DECLARED
typedef struct YYLTYPE YYLTYPE;
struct YYLTYPE
{
  int first_line;
  int first_column;
  int last_line;
  int last_column;
};
# define YYLTYPE_IS_DECLARED 1
# define YYLTYPE_IS_TRIVIAL 1
#endif



int nft_parse (struct nft_ctx *nft, void *scanner, struct parser_state *state);

#endif /* !YY_NFT_PARSER_BISON_H_INCLUDED  */

/* Copy the second part of user declarations.  */

#line 1013 "parser_bison.c" /* yacc.c:358  */

#ifdef short
# undef short
#endif

#ifdef YYTYPE_UINT8
typedef YYTYPE_UINT8 yytype_uint8;
#else
typedef unsigned char yytype_uint8;
#endif

#ifdef YYTYPE_INT8
typedef YYTYPE_INT8 yytype_int8;
#else
typedef signed char yytype_int8;
#endif

#ifdef YYTYPE_UINT16
typedef YYTYPE_UINT16 yytype_uint16;
#else
typedef unsigned short int yytype_uint16;
#endif

#ifdef YYTYPE_INT16
typedef YYTYPE_INT16 yytype_int16;
#else
typedef short int yytype_int16;
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif ! defined YYSIZE_T
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned int
# endif
#endif

#define YYSIZE_MAXIMUM ((YYSIZE_T) -1)

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(Msgid) dgettext ("bison-runtime", Msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(Msgid) Msgid
# endif
#endif

#ifndef YY_ATTRIBUTE
# if (defined __GNUC__                                               \
      && (2 < __GNUC__ || (__GNUC__ == 2 && 96 <= __GNUC_MINOR__)))  \
     || defined __SUNPRO_C && 0x5110 <= __SUNPRO_C
#  define YY_ATTRIBUTE(Spec) __attribute__(Spec)
# else
#  define YY_ATTRIBUTE(Spec) /* empty */
# endif
#endif

#ifndef YY_ATTRIBUTE_PURE
# define YY_ATTRIBUTE_PURE   YY_ATTRIBUTE ((__pure__))
#endif

#ifndef YY_ATTRIBUTE_UNUSED
# define YY_ATTRIBUTE_UNUSED YY_ATTRIBUTE ((__unused__))
#endif

#if !defined _Noreturn \
     && (!defined __STDC_VERSION__ || __STDC_VERSION__ < 201112)
# if defined _MSC_VER && 1200 <= _MSC_VER
#  define _Noreturn __declspec (noreturn)
# else
#  define _Noreturn YY_ATTRIBUTE ((__noreturn__))
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YYUSE(E) ((void) (E))
#else
# define YYUSE(E) /* empty */
#endif

#if defined __GNUC__ && 407 <= __GNUC__ * 100 + __GNUC_MINOR__
/* Suppress an incorrect diagnostic about yylval being uninitialized.  */
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN \
    _Pragma ("GCC diagnostic push") \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")\
    _Pragma ("GCC diagnostic ignored \"-Wmaybe-uninitialized\"")
# define YY_IGNORE_MAYBE_UNINITIALIZED_END \
    _Pragma ("GCC diagnostic pop")
#else
# define YY_INITIAL_VALUE(Value) Value
#endif
#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_END
#endif
#ifndef YY_INITIAL_VALUE
# define YY_INITIAL_VALUE(Value) /* Nothing. */
#endif


#if ! defined yyoverflow || YYERROR_VERBOSE

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined EXIT_SUCCESS
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
      /* Use EXIT_SUCCESS as a witness for stdlib.h.  */
#     ifndef EXIT_SUCCESS
#      define EXIT_SUCCESS 0
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's 'empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
             && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* ! defined yyoverflow || YYERROR_VERBOSE */


#if (! defined yyoverflow \
     && (! defined __cplusplus \
         || (defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL \
             && defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yytype_int16 yyss_alloc;
  YYSTYPE yyvs_alloc;
  YYLTYPE yyls_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (sizeof (yytype_int16) + sizeof (YYSTYPE) + sizeof (YYLTYPE)) \
      + 2 * YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)                           \
    do                                                                  \
      {                                                                 \
        YYSIZE_T yynewbytes;                                            \
        YYCOPY (&yyptr->Stack_alloc, Stack, yysize);                    \
        Stack = &yyptr->Stack_alloc;                                    \
        yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAXIMUM; \
        yyptr += yynewbytes / sizeof (*yyptr);                          \
      }                                                                 \
    while (0)

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from SRC to DST.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(Dst, Src, Count) \
      __builtin_memcpy (Dst, Src, (Count) * sizeof (*(Src)))
#  else
#   define YYCOPY(Dst, Src, Count)              \
      do                                        \
        {                                       \
          YYSIZE_T yyi;                         \
          for (yyi = 0; yyi < (Count); yyi++)   \
            (Dst)[yyi] = (Src)[yyi];            \
        }                                       \
      while (0)
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  2
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   7909

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  362
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  426
/* YYNRULES -- Number of rules.  */
#define YYNRULES  1280
/* YYNSTATES -- Number of states.  */
#define YYNSTATES  2210

/* YYTRANSLATE[YYX] -- Symbol number corresponding to YYX as returned
   by yylex, with out-of-bounds checking.  */
#define YYUNDEFTOK  2
#define YYMAXUTOK   607

#define YYTRANSLATE(YYX)                                                \
  ((unsigned int) (YYX) <= YYMAXUTOK ? yytranslate[YYX] : YYUNDEFTOK)

/* YYTRANSLATE[TOKEN-NUM] -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex, without out-of-bounds checking.  */
static const yytype_uint16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,   359,     2,     2,     2,
     356,   357,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   353,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   360,     2,   361,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,   354,   358,   355,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352
};

#if YYDEBUG
  /* YYRLINE[YYN] -- Source line where rule number YYN was defined.  */
static const yytype_uint16 yyrline[] =
{
       0,   914,   914,   915,   924,   925,   928,   929,   932,   933,
     934,   935,   936,   937,   938,   939,   940,   941,   942,   943,
     944,   945,   946,   947,   948,   949,   950,   951,   952,   953,
     954,   955,   956,   957,   958,   959,   960,   961,   962,   963,
     964,   965,   966,   967,   968,   969,   970,   971,   972,   973,
     974,   975,   976,   977,   978,   979,   980,   982,   983,   985,
     993,  1008,  1015,  1027,  1035,  1036,  1037,  1038,  1058,  1059,
    1060,  1061,  1062,  1063,  1064,  1065,  1066,  1067,  1068,  1069,
    1070,  1071,  1072,  1075,  1079,  1086,  1090,  1098,  1102,  1106,
    1113,  1120,  1124,  1131,  1140,  1144,  1148,  1152,  1156,  1160,
    1164,  1168,  1172,  1176,  1180,  1184,  1188,  1194,  1200,  1204,
    1211,  1215,  1223,  1230,  1237,  1241,  1248,  1257,  1261,  1265,
    1269,  1273,  1277,  1281,  1285,  1291,  1297,  1298,  1301,  1302,
    1305,  1306,  1309,  1310,  1313,  1317,  1321,  1325,  1329,  1333,
    1337,  1341,  1345,  1352,  1356,  1360,  1366,  1370,  1374,  1380,
    1386,  1390,  1394,  1398,  1402,  1406,  1410,  1414,  1418,  1422,
    1426,  1430,  1434,  1438,  1442,  1446,  1450,  1454,  1458,  1462,
    1466,  1470,  1474,  1478,  1482,  1486,  1490,  1494,  1498,  1502,
    1506,  1510,  1514,  1518,  1524,  1530,  1534,  1544,  1548,  1552,
    1556,  1560,  1564,  1570,  1574,  1578,  1582,  1586,  1590,  1594,
    1600,  1607,  1613,  1621,  1627,  1635,  1644,  1645,  1648,  1649,
    1650,  1651,  1652,  1653,  1654,  1655,  1658,  1659,  1662,  1663,
    1664,  1667,  1676,  1682,  1697,  1707,  1708,  1709,  1710,  1711,
    1722,  1732,  1743,  1753,  1764,  1775,  1784,  1793,  1802,  1813,
    1824,  1838,  1844,  1845,  1846,  1847,  1848,  1849,  1850,  1855,
    1865,  1866,  1867,  1874,  1895,  1906,  1917,  1930,  1935,  1936,
    1937,  1938,  1943,  1949,  1954,  1959,  1964,  1970,  1975,  1980,
    1981,  1992,  1993,  1996,  2000,  2003,  2004,  2005,  2006,  2010,
    2015,  2016,  2017,  2018,  2019,  2022,  2023,  2024,  2025,  2030,
    2040,  2051,  2062,  2074,  2083,  2088,  2094,  2099,  2108,  2111,
    2115,  2121,  2122,  2126,  2131,  2132,  2133,  2134,  2148,  2152,
    2156,  2162,  2167,  2174,  2179,  2184,  2187,  2194,  2201,  2208,
    2221,  2228,  2229,  2241,  2246,  2247,  2248,  2249,  2253,  2263,
    2264,  2265,  2266,  2270,  2280,  2281,  2282,  2283,  2287,  2298,
    2302,  2303,  2304,  2308,  2318,  2319,  2320,  2321,  2325,  2335,
    2336,  2337,  2338,  2342,  2352,  2353,  2354,  2355,  2359,  2369,
    2370,  2371,  2372,  2376,  2386,  2387,  2388,  2389,  2390,  2393,
    2424,  2431,  2435,  2438,  2448,  2455,  2466,  2479,  2494,  2495,
    2498,  2510,  2516,  2520,  2523,  2529,  2542,  2547,  2556,  2557,
    2560,  2563,  2564,  2565,  2568,  2583,  2584,  2587,  2588,  2589,
    2590,  2591,  2592,  2595,  2604,  2613,  2621,  2629,  2637,  2645,
    2653,  2661,  2669,  2677,  2685,  2693,  2701,  2709,  2717,  2725,
    2733,  2737,  2742,  2750,  2757,  2764,  2778,  2782,  2789,  2793,
    2799,  2811,  2817,  2824,  2830,  2837,  2838,  2839,  2840,  2843,
    2844,  2845,  2846,  2847,  2848,  2849,  2850,  2851,  2852,  2853,
    2854,  2855,  2856,  2857,  2858,  2859,  2860,  2861,  2862,  2863,
    2866,  2867,  2870,  2879,  2883,  2889,  2895,  2900,  2903,  2908,
    2913,  2916,  2922,  2927,  2935,  2936,  2938,  2942,  2950,  2954,
    2957,  2961,  2967,  2968,  2971,  2977,  2981,  2984,  3109,  3114,
    3119,  3124,  3129,  3135,  3165,  3169,  3173,  3177,  3181,  3187,
    3191,  3194,  3198,  3204,  3218,  3232,  3240,  3241,  3242,  3245,
    3246,  3249,  3250,  3265,  3281,  3289,  3290,  3291,  3294,  3295,
    3298,  3305,  3306,  3309,  3323,  3330,  3331,  3346,  3347,  3348,
    3349,  3350,  3353,  3356,  3362,  3368,  3372,  3376,  3383,  3390,
    3397,  3404,  3410,  3416,  3422,  3425,  3426,  3429,  3435,  3441,
    3447,  3454,  3461,  3469,  3470,  3473,  3477,  3485,  3489,  3492,
    3497,  3502,  3506,  3512,  3528,  3547,  3553,  3554,  3560,  3561,
    3567,  3568,  3569,  3570,  3571,  3572,  3573,  3574,  3575,  3576,
    3577,  3578,  3579,  3582,  3583,  3587,  3593,  3594,  3600,  3601,
    3607,  3608,  3614,  3617,  3618,  3629,  3630,  3633,  3637,  3640,
    3646,  3652,  3653,  3656,  3657,  3658,  3661,  3665,  3669,  3674,
    3679,  3684,  3690,  3694,  3698,  3702,  3708,  3713,  3717,  3725,
    3734,  3735,  3738,  3741,  3745,  3750,  3756,  3757,  3760,  3763,
    3767,  3771,  3775,  3780,  3787,  3792,  3800,  3805,  3814,  3815,
    3821,  3822,  3823,  3826,  3827,  3831,  3835,  3841,  3842,  3845,
    3851,  3855,  3858,  3863,  3869,  3870,  3873,  3874,  3875,  3881,
    3882,  3883,  3884,  3887,  3888,  3894,  3895,  3898,  3899,  3902,
    3908,  3915,  3922,  3933,  3934,  3935,  3938,  3946,  3958,  3965,
    3968,  3974,  3978,  3981,  3987,  3996,  4007,  4013,  4039,  4040,
    4049,  4050,  4053,  4062,  4073,  4074,  4075,  4076,  4077,  4078,
    4079,  4080,  4081,  4082,  4083,  4084,  4085,  4086,  4087,  4090,
    4113,  4114,  4115,  4118,  4119,  4120,  4121,  4122,  4125,  4129,
    4132,  4136,  4143,  4146,  4162,  4163,  4167,  4173,  4174,  4180,
    4181,  4187,  4188,  4194,  4197,  4198,  4209,  4215,  4221,  4222,
    4225,  4231,  4232,  4233,  4236,  4243,  4248,  4253,  4256,  4260,
    4264,  4270,  4271,  4278,  4284,  4285,  4286,  4294,  4295,  4298,
    4304,  4310,  4314,  4317,  4321,  4325,  4335,  4339,  4342,  4348,
    4355,  4359,  4365,  4379,  4393,  4398,  4406,  4410,  4414,  4424,
    4427,  4428,  4431,  4432,  4433,  4434,  4445,  4456,  4462,  4483,
    4489,  4506,  4512,  4513,  4514,  4517,  4518,  4519,  4522,  4523,
    4526,  4542,  4548,  4554,  4561,  4575,  4583,  4591,  4597,  4601,
    4605,  4609,  4613,  4620,  4625,  4636,  4650,  4656,  4660,  4664,
    4668,  4672,  4676,  4680,  4684,  4690,  4696,  4704,  4705,  4706,
    4709,  4710,  4714,  4720,  4721,  4727,  4728,  4734,  4735,  4741,
    4744,  4745,  4746,  4755,  4766,  4767,  4770,  4778,  4779,  4780,
    4781,  4782,  4783,  4784,  4785,  4786,  4787,  4788,  4789,  4792,
    4793,  4794,  4795,  4796,  4803,  4810,  4817,  4824,  4831,  4838,
    4845,  4852,  4859,  4866,  4873,  4880,  4883,  4884,  4885,  4886,
    4887,  4888,  4889,  4892,  4896,  4900,  4904,  4908,  4912,  4918,
    4919,  4929,  4933,  4937,  4953,  4954,  4957,  4958,  4959,  4960,
    4961,  4964,  4965,  4966,  4967,  4968,  4969,  4970,  4971,  4972,
    4973,  4974,  4975,  4976,  4977,  4978,  4979,  4980,  4981,  4982,
    4983,  4984,  4985,  4986,  4987,  4990,  5010,  5014,  5028,  5032,
    5036,  5042,  5046,  5052,  5053,  5054,  5057,  5058,  5061,  5062,
    5065,  5071,  5072,  5075,  5076,  5079,  5080,  5083,  5084,  5087,
    5095,  5122,  5127,  5132,  5138,  5139,  5142,  5146,  5166,  5167,
    5168,  5169,  5172,  5176,  5180,  5186,  5187,  5190,  5191,  5192,
    5193,  5194,  5195,  5196,  5197,  5198,  5199,  5200,  5201,  5202,
    5203,  5204,  5205,  5206,  5209,  5210,  5211,  5212,  5213,  5214,
    5215,  5218,  5219,  5220,  5221,  5224,  5225,  5226,  5227,  5230,
    5231,  5234,  5240,  5248,  5261,  5268,  5274,  5280,  5289,  5290,
    5291,  5292,  5293,  5294,  5295,  5296,  5297,  5298,  5299,  5300,
    5301,  5302,  5303,  5304,  5305,  5306,  5309,  5318,  5319,  5320,
    5321,  5334,  5340,  5341,  5342,  5345,  5351,  5352,  5353,  5354,
    5355,  5358,  5364,  5365,  5366,  5367,  5368,  5369,  5370,  5371,
    5372,  5375,  5379,  5387,  5394,  5395,  5396,  5397,  5398,  5399,
    5400,  5401,  5402,  5403,  5404,  5405,  5408,  5409,  5410,  5411,
    5414,  5415,  5416,  5417,  5418,  5421,  5427,  5428,  5429,  5430,
    5431,  5432,  5433,  5436,  5442,  5443,  5444,  5445,  5448,  5454,
    5455,  5456,  5457,  5458,  5459,  5460,  5461,  5462,  5464,  5470,
    5471,  5472,  5473,  5474,  5475,  5476,  5477,  5480,  5486,  5487,
    5488,  5489,  5490,  5493,  5499,  5500,  5503,  5509,  5510,  5511,
    5514,  5520,  5521,  5522,  5523,  5526,  5532,  5533,  5534,  5535,
    5538,  5542,  5547,  5551,  5558,  5565,  5566,  5567,  5568,  5569,
    5570,  5571,  5572,  5573,  5574,  5577,  5582,  5587,  5592,  5597,
    5602,  5609,  5610,  5611,  5612,  5613,  5616,  5617,  5618,  5619,
    5620,  5621,  5622,  5623,  5624,  5625,  5626,  5627,  5636,  5637,
    5640,  5643,  5644,  5647,  5650,  5653,  5659,  5660,  5661,  5664,
    5665,  5666,  5667,  5668,  5669,  5670,  5671,  5672,  5673,  5674,
    5675,  5676,  5677,  5678,  5679,  5680,  5681,  5684,  5685,  5686,
    5689,  5690,  5691,  5692,  5695,  5696,  5697,  5698,  5699,  5702,
    5703,  5704,  5705,  5708,  5713,  5717,  5721,  5725,  5729,  5733,
    5738,  5743,  5748,  5753,  5758,  5765,  5769,  5775,  5776,  5777,
    5778,  5781,  5789,  5790,  5793,  5794,  5795,  5796,  5797,  5798,
    5799,  5800,  5803,  5809,  5810,  5813,  5819,  5820,  5821,  5822,
    5825,  5831,  5837,  5843,  5846,  5852,  5853,  5854,  5855,  5861,
    5867,  5868,  5869,  5870,  5871,  5872,  5875,  5881,  5882,  5885,
    5891,  5892,  5893,  5894,  5895,  5898,  5912,  5913,  5914,  5915,
    5916
};
#endif

#if YYDEBUG || YYERROR_VERBOSE || 1
/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "\"end of file\"", "error", "$undefined", "\"junk\"", "\"newline\"",
  "\"colon\"", "\"semicolon\"", "\"comma\"", "\".\"", "\"==\"", "\"!=\"",
  "\"<\"", "\">\"", "\">=\"", "\"<=\"", "\"<<\"", "\">>\"", "\"&\"",
  "\"^\"", "\"!\"", "\"/\"", "\"*\"", "\"-\"", "\"@\"", "\"vmap\"",
  "\"+\"", "\"include\"", "\"define\"", "\"redefine\"", "\"undefine\"",
  "\"fib\"", "\"socket\"", "\"transparent\"", "\"wildcard\"",
  "\"cgroupv2\"", "\"tproxy\"", "\"osf\"", "\"synproxy\"", "\"mss\"",
  "\"wscale\"", "\"typeof\"", "\"hook\"", "\"hooks\"", "\"device\"",
  "\"devices\"", "\"table\"", "\"tables\"", "\"chain\"", "\"chains\"",
  "\"rule\"", "\"rules\"", "\"sets\"", "\"set\"", "\"element\"", "\"map\"",
  "\"maps\"", "\"flowtable\"", "\"handle\"", "\"ruleset\"", "\"trace\"",
  "\"inet\"", "\"netdev\"", "\"add\"", "\"update\"", "\"replace\"",
  "\"create\"", "\"insert\"", "\"delete\"", "\"get\"", "\"list\"",
  "\"reset\"", "\"flush\"", "\"rename\"", "\"describe\"", "\"import\"",
  "\"export\"", "\"monitor\"", "\"all\"", "\"accept\"", "\"drop\"",
  "\"continue\"", "\"jump\"", "\"goto\"", "\"return\"", "\"to\"",
  "\"constant\"", "\"interval\"", "\"dynamic\"", "\"auto-merge\"",
  "\"timeout\"", "\"gc-interval\"", "\"elements\"", "\"expires\"",
  "\"policy\"", "\"memory\"", "\"performance\"", "\"size\"", "\"flow\"",
  "\"offload\"", "\"meter\"", "\"meters\"", "\"flowtables\"", "\"number\"",
  "\"string\"", "\"quoted string\"", "\"string with a trailing asterisk\"",
  "\"ll\"", "\"nh\"", "\"th\"", "\"bridge\"", "\"ether\"", "\"saddr\"",
  "\"daddr\"", "\"type\"", "\"vlan\"", "\"id\"", "\"cfi\"", "\"dei\"",
  "\"pcp\"", "\"arp\"", "\"htype\"", "\"ptype\"", "\"hlen\"", "\"plen\"",
  "\"operation\"", "\"ip\"", "\"version\"", "\"hdrlength\"", "\"dscp\"",
  "\"ecn\"", "\"length\"", "\"frag-off\"", "\"ttl\"", "\"protocol\"",
  "\"checksum\"", "\"ptr\"", "\"value\"", "\"lsrr\"", "\"rr\"", "\"ssrr\"",
  "\"ra\"", "\"icmp\"", "\"code\"", "\"seq\"", "\"gateway\"", "\"mtu\"",
  "\"igmp\"", "\"mrt\"", "\"options\"", "\"ip6\"", "\"priority\"",
  "\"flowlabel\"", "\"nexthdr\"", "\"hoplimit\"", "\"icmpv6\"",
  "\"param-problem\"", "\"max-delay\"", "\"ah\"", "\"reserved\"",
  "\"spi\"", "\"esp\"", "\"comp\"", "\"flags\"", "\"cpi\"", "\"port\"",
  "\"udp\"", "\"sport\"", "\"dport\"", "\"udplite\"", "\"csumcov\"",
  "\"tcp\"", "\"ackseq\"", "\"doff\"", "\"window\"", "\"urgptr\"",
  "\"option\"", "\"echo\"", "\"eol\"", "\"mptcp\"", "\"nop\"", "\"sack\"",
  "\"sack0\"", "\"sack1\"", "\"sack2\"", "\"sack3\"", "\"sack-permitted\"",
  "\"fastopen\"", "\"md5sig\"", "\"timestamp\"", "\"count\"", "\"left\"",
  "\"right\"", "\"tsval\"", "\"tsecr\"", "\"subtype\"", "\"dccp\"",
  "\"sctp\"", "\"chunk\"", "\"data\"", "\"init\"", "\"init-ack\"",
  "\"heartbeat\"", "\"heartbeat-ack\"", "\"abort\"", "\"shutdown\"",
  "\"shutdown-ack\"", "\"error\"", "\"cookie-echo\"", "\"cookie-ack\"",
  "\"ecne\"", "\"cwr\"", "\"shutdown-complete\"", "\"asconf-ack\"",
  "\"forward-tsn\"", "\"asconf\"", "\"tsn\"", "\"stream\"", "\"ssn\"",
  "\"ppid\"", "\"init-tag\"", "\"a-rwnd\"", "\"num-outbound-streams\"",
  "\"num-inbound-streams\"", "\"initial-tsn\"", "\"cum-tsn-ack\"",
  "\"num-gap-ack-blocks\"", "\"num-dup-tsns\"", "\"lowest-tsn\"",
  "\"seqno\"", "\"new-cum-tsn\"", "\"vtag\"", "\"rt\"", "\"rt0\"",
  "\"rt2\"", "\"srh\"", "\"seg-left\"", "\"addr\"", "\"last-entry\"",
  "\"tag\"", "\"sid\"", "\"hbh\"", "\"frag\"", "\"reserved2\"",
  "\"more-fragments\"", "\"dst\"", "\"mh\"", "\"meta\"", "\"mark\"",
  "\"iif\"", "\"iifname\"", "\"iiftype\"", "\"oif\"", "\"oifname\"",
  "\"oiftype\"", "\"skuid\"", "\"skgid\"", "\"nftrace\"", "\"rtclassid\"",
  "\"ibriport\"", "\"obriport\"", "\"ibrname\"", "\"obrname\"",
  "\"pkttype\"", "\"cpu\"", "\"iifgroup\"", "\"oifgroup\"", "\"cgroup\"",
  "\"time\"", "\"classid\"", "\"nexthop\"", "\"ct\"", "\"l3proto\"",
  "\"proto-src\"", "\"proto-dst\"", "\"zone\"", "\"direction\"",
  "\"event\"", "\"expectation\"", "\"expiration\"", "\"helper\"",
  "\"label\"", "\"state\"", "\"status\"", "\"original\"", "\"reply\"",
  "\"counter\"", "\"name\"", "\"packets\"", "\"bytes\"", "\"avgpkt\"",
  "\"counters\"", "\"quotas\"", "\"limits\"", "\"synproxys\"",
  "\"helpers\"", "\"log\"", "\"prefix\"", "\"group\"", "\"snaplen\"",
  "\"queue-threshold\"", "\"level\"", "\"limit\"", "\"rate\"", "\"burst\"",
  "\"over\"", "\"until\"", "\"quota\"", "\"used\"", "\"secmark\"",
  "\"secmarks\"", "\"second\"", "\"minute\"", "\"hour\"", "\"day\"",
  "\"week\"", "\"reject\"", "\"with\"", "\"icmpx\"", "\"snat\"",
  "\"dnat\"", "\"masquerade\"", "\"redirect\"", "\"random\"",
  "\"fully-random\"", "\"persistent\"", "\"queue\"", "\"num\"",
  "\"bypass\"", "\"fanout\"", "\"dup\"", "\"fwd\"", "\"numgen\"",
  "\"inc\"", "\"mod\"", "\"offset\"", "\"jhash\"", "\"symhash\"",
  "\"seed\"", "\"position\"", "\"index\"", "\"comment\"", "\"xml\"",
  "\"json\"", "\"vm\"", "\"notrack\"", "\"exists\"", "\"missing\"",
  "\"exthdr\"", "\"ipsec\"", "\"reqid\"", "\"spnum\"", "\"in\"", "\"out\"",
  "'='", "'{'", "'}'", "'('", "')'", "'|'", "'$'", "'['", "']'", "$accept",
  "input", "stmt_separator", "opt_newline", "close_scope_ah",
  "close_scope_arp", "close_scope_at", "close_scope_comp",
  "close_scope_ct", "close_scope_counter", "close_scope_dccp",
  "close_scope_dst", "close_scope_dup", "close_scope_esp",
  "close_scope_eth", "close_scope_export", "close_scope_fib",
  "close_scope_flags", "close_scope_frag", "close_scope_fwd",
  "close_scope_hash", "close_scope_hbh", "close_scope_ip",
  "close_scope_ip6", "close_scope_vlan", "close_scope_icmp",
  "close_scope_igmp", "close_scope_import", "close_scope_ipsec",
  "close_scope_list", "close_scope_limit", "close_scope_meta",
  "close_scope_mh", "close_scope_monitor", "close_scope_nat",
  "close_scope_numgen", "close_scope_osf", "close_scope_policy",
  "close_scope_quota", "close_scope_queue", "close_scope_reject",
  "close_scope_reset", "close_scope_rt", "close_scope_sctp",
  "close_scope_sctp_chunk", "close_scope_secmark", "close_scope_socket",
  "close_scope_tcp", "close_scope_tproxy", "close_scope_type",
  "close_scope_th", "close_scope_udp", "close_scope_udplite",
  "close_scope_log", "close_scope_synproxy", "common_block", "line",
  "base_cmd", "add_cmd", "replace_cmd", "create_cmd", "insert_cmd",
  "table_or_id_spec", "chain_or_id_spec", "set_or_id_spec",
  "obj_or_id_spec", "delete_cmd", "get_cmd", "list_cmd",
  "basehook_device_name", "basehook_spec", "reset_cmd", "flush_cmd",
  "rename_cmd", "import_cmd", "export_cmd", "monitor_cmd", "monitor_event",
  "monitor_object", "monitor_format", "markup_format", "describe_cmd",
  "table_block_alloc", "table_options", "table_block", "chain_block_alloc",
  "chain_block", "subchain_block", "typeof_data_expr", "typeof_expr",
  "set_block_alloc", "set_block", "set_block_expr", "set_flag_list",
  "set_flag", "map_block_alloc", "map_block_obj_type", "map_block",
  "set_mechanism", "set_policy_spec", "flowtable_block_alloc",
  "flowtable_block", "flowtable_expr", "flowtable_list_expr",
  "flowtable_expr_member", "data_type_atom_expr", "data_type_expr",
  "obj_block_alloc", "counter_block", "quota_block", "ct_helper_block",
  "ct_timeout_block", "ct_expect_block", "limit_block", "secmark_block",
  "synproxy_block", "type_identifier", "hook_spec", "prio_spec",
  "extended_prio_name", "extended_prio_spec", "int_num", "dev_spec",
  "flags_spec", "policy_spec", "policy_expr", "chain_policy", "identifier",
  "string", "time_spec", "family_spec", "family_spec_explicit",
  "table_spec", "tableid_spec", "chain_spec", "chainid_spec",
  "chain_identifier", "set_spec", "setid_spec", "set_identifier",
  "flowtable_spec", "flowtableid_spec", "flowtable_identifier", "obj_spec",
  "objid_spec", "obj_identifier", "handle_spec", "position_spec",
  "index_spec", "rule_position", "ruleid_spec", "comment_spec",
  "ruleset_spec", "rule", "rule_alloc", "stmt_list", "stateful_stmt_list",
  "stateful_stmt", "stmt", "chain_stmt_type", "chain_stmt", "verdict_stmt",
  "verdict_map_stmt", "verdict_map_expr", "verdict_map_list_expr",
  "verdict_map_list_member_expr", "connlimit_stmt", "counter_stmt",
  "counter_stmt_alloc", "counter_args", "counter_arg", "log_stmt",
  "log_stmt_alloc", "log_args", "log_arg", "level_type", "log_flags",
  "log_flags_tcp", "log_flag_tcp", "limit_stmt", "quota_mode",
  "quota_unit", "quota_used", "quota_stmt", "limit_mode",
  "limit_burst_pkts", "limit_rate_pkts", "limit_burst_bytes",
  "limit_rate_bytes", "limit_bytes", "time_unit", "reject_stmt",
  "reject_stmt_alloc", "reject_with_expr", "reject_opts", "nat_stmt",
  "nat_stmt_alloc", "tproxy_stmt", "synproxy_stmt", "synproxy_stmt_alloc",
  "synproxy_args", "synproxy_arg", "synproxy_config", "synproxy_obj",
  "synproxy_ts", "synproxy_sack", "primary_stmt_expr", "shift_stmt_expr",
  "and_stmt_expr", "exclusive_or_stmt_expr", "inclusive_or_stmt_expr",
  "basic_stmt_expr", "concat_stmt_expr", "map_stmt_expr_set",
  "map_stmt_expr", "prefix_stmt_expr", "range_stmt_expr",
  "multiton_stmt_expr", "stmt_expr", "nat_stmt_args", "masq_stmt",
  "masq_stmt_alloc", "masq_stmt_args", "redir_stmt", "redir_stmt_alloc",
  "redir_stmt_arg", "dup_stmt", "fwd_stmt", "nf_nat_flags", "nf_nat_flag",
  "queue_stmt", "queue_stmt_compat", "queue_stmt_alloc", "queue_stmt_args",
  "queue_stmt_arg", "queue_expr", "queue_stmt_expr_simple",
  "queue_stmt_expr", "queue_stmt_flags", "queue_stmt_flag",
  "set_elem_expr_stmt", "set_elem_expr_stmt_alloc", "set_stmt",
  "set_stmt_op", "map_stmt", "meter_stmt", "flow_stmt_legacy_alloc",
  "flow_stmt_opts", "flow_stmt_opt", "meter_stmt_alloc", "match_stmt",
  "variable_expr", "symbol_expr", "set_ref_expr", "set_ref_symbol_expr",
  "integer_expr", "primary_expr", "fib_expr", "fib_result", "fib_flag",
  "fib_tuple", "osf_expr", "osf_ttl", "shift_expr", "and_expr",
  "exclusive_or_expr", "inclusive_or_expr", "basic_expr", "concat_expr",
  "prefix_rhs_expr", "range_rhs_expr", "multiton_rhs_expr", "map_expr",
  "expr", "set_expr", "set_list_expr", "set_list_member_expr",
  "meter_key_expr", "meter_key_expr_alloc", "set_elem_expr",
  "set_elem_key_expr", "set_elem_expr_alloc", "set_elem_options",
  "set_elem_option", "set_elem_expr_options", "set_elem_stmt_list",
  "set_elem_stmt", "set_elem_expr_option", "set_lhs_expr", "set_rhs_expr",
  "initializer_expr", "counter_config", "counter_obj", "quota_config",
  "quota_obj", "secmark_config", "secmark_obj", "ct_obj_type",
  "ct_cmd_type", "ct_l4protoname", "ct_helper_config", "timeout_states",
  "timeout_state", "ct_timeout_config", "ct_expect_config", "ct_obj_alloc",
  "limit_config", "limit_obj", "relational_expr", "list_rhs_expr",
  "rhs_expr", "shift_rhs_expr", "and_rhs_expr", "exclusive_or_rhs_expr",
  "inclusive_or_rhs_expr", "basic_rhs_expr", "concat_rhs_expr",
  "boolean_keys", "boolean_expr", "keyword_expr", "primary_rhs_expr",
  "relational_op", "verdict_expr", "chain_expr", "meta_expr", "meta_key",
  "meta_key_qualified", "meta_key_unqualified", "meta_stmt", "socket_expr",
  "socket_key", "offset_opt", "numgen_type", "numgen_expr", "xfrm_spnum",
  "xfrm_dir", "xfrm_state_key", "xfrm_state_proto_key", "xfrm_expr",
  "hash_expr", "nf_key_proto", "rt_expr", "rt_key", "ct_expr", "ct_dir",
  "ct_key", "ct_key_dir", "ct_key_proto_field", "ct_key_dir_optional",
  "symbol_stmt_expr", "list_stmt_expr", "ct_stmt", "payload_stmt",
  "payload_expr", "payload_raw_expr", "payload_base_spec", "eth_hdr_expr",
  "eth_hdr_field", "vlan_hdr_expr", "vlan_hdr_field", "arp_hdr_expr",
  "arp_hdr_field", "ip_hdr_expr", "ip_hdr_field", "ip_option_type",
  "ip_option_field", "icmp_hdr_expr", "icmp_hdr_field", "igmp_hdr_expr",
  "igmp_hdr_field", "ip6_hdr_expr", "ip6_hdr_field", "icmp6_hdr_expr",
  "icmp6_hdr_field", "auth_hdr_expr", "auth_hdr_field", "esp_hdr_expr",
  "esp_hdr_field", "comp_hdr_expr", "comp_hdr_field", "udp_hdr_expr",
  "udp_hdr_field", "udplite_hdr_expr", "udplite_hdr_field", "tcp_hdr_expr",
  "optstrip_stmt", "tcp_hdr_field", "tcp_hdr_option_kind_and_field",
  "tcp_hdr_option_sack", "tcp_hdr_option_type", "tcpopt_field_sack",
  "tcpopt_field_window", "tcpopt_field_tsopt", "tcpopt_field_maxseg",
  "tcpopt_field_mptcp", "dccp_hdr_expr", "dccp_hdr_field",
  "sctp_chunk_type", "sctp_chunk_common_field", "sctp_chunk_data_field",
  "sctp_chunk_init_field", "sctp_chunk_sack_field", "sctp_chunk_alloc",
  "sctp_hdr_expr", "sctp_hdr_field", "th_hdr_expr", "th_hdr_field",
  "exthdr_expr", "hbh_hdr_expr", "hbh_hdr_field", "rt_hdr_expr",
  "rt_hdr_field", "rt0_hdr_expr", "rt0_hdr_field", "rt2_hdr_expr",
  "rt2_hdr_field", "rt4_hdr_expr", "rt4_hdr_field", "frag_hdr_expr",
  "frag_hdr_field", "dst_hdr_expr", "dst_hdr_field", "mh_hdr_expr",
  "mh_hdr_field", "exthdr_exists_expr", "exthdr_key", YY_NULLPTR
};
#endif

# ifdef YYPRINT
/* YYTOKNUM[NUM] -- (External) token number corresponding to the
   (internal) symbol number NUM (which must be that of a token).  */
static const yytype_uint16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,   603,   604,
     605,   606,   607,    61,   123,   125,    40,    41,   124,    36,
      91,    93
};
# endif

#define YYPACT_NINF -1702

#define yypact_value_is_default(Yystate) \
  (!!((Yystate) == (-1702)))

#define YYTABLE_NINF -1001

#define yytable_value_is_error(Yytable_value) \
  0

  /* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
     STATE-NUM.  */
static const yytype_int16 yypact[] =
{
   -1702,  7309, -1702,   396, -1702, -1702,   139,   148,   148,   148,
     786,   786,   786,   786,   786,   786,   786,   786, -1702, -1702,
    4489,   221,  1077,   252,  1772,   278,  6852,   879,   872,   303,
    6776,    87,   231,   319, -1702, -1702, -1702, -1702,   240,   786,
     786,   786,   786, -1702, -1702, -1702,  1006, -1702,   148, -1702,
     148,   207,  6157, -1702,   396, -1702,    97,   159,   396,   148,
   -1702,   124,   175,  6157,   148, -1702,   -32, -1702,   148, -1702,
   -1702,   786, -1702,   786,   786,   786,   786,   786,   786,   786,
     254,   786,   786,   786,   786, -1702,   786, -1702,   786,   786,
     786,   786,   786,   786,   786,   786,   487,   786,   786,   786,
     786, -1702,   786, -1702,   786,   786,   786,   786,   786,   786,
    1280,   786,   786,   786,   786,   786,   981,   786,   786,   786,
     579,   786,  1793,  1800,  2247,  2356,   786,   786,   786,  2391,
   -1702,   786,  2412,  2416,   786, -1702,   786,   786,   786,   786,
     786,   491,   786, -1702,   786, -1702,  1150,   693,   196,   454,
   -1702, -1702, -1702, -1702,   934,   936,  1248,  1557,  2940,  1061,
     517,  1081,  1587,  1148,   187,   876,   875,   946,  2608,   238,
     902,  1028,   362,   411,   438,   209,   846,   215,   833,  7532,
   -1702, -1702, -1702, -1702, -1702, -1702, -1702, -1702, -1702, -1702,
   -1702, -1702, -1702, -1702, -1702, -1702, -1702, -1702, -1702, -1702,
   -1702,  3842, -1702, -1702,   -84,  6415,   336,  1226,   784,  6776,
     148, -1702, -1702, -1702, -1702, -1702, -1702, -1702, -1702, -1702,
   -1702, -1702, -1702, -1702, -1702, -1702, -1702, -1702, -1702, -1702,
   -1702, -1702, -1702, -1702, -1702, -1702, -1702, -1702, -1702, -1702,
   -1702, -1702, -1702, -1702, -1702, -1702, -1702, -1702, -1702, -1702,
   -1702, -1702, -1702, -1702, -1702, -1702,   840, -1702, -1702,   342,
   -1702, -1702,   840, -1702, -1702, -1702, -1702,  1219, -1702, -1702,
   -1702,   786,   786,   786,   -70, -1702, -1702, -1702, -1702, -1702,
   -1702, -1702,   596,   600,   612, -1702, -1702, -1702,   583,   434,
     891, -1702, -1702, -1702,   561, -1702, -1702, -1702,   105,   105,
   -1702,   247,   148,  7561,  3505,   461, -1702,   334,   646, -1702,
   -1702, -1702, -1702, -1702,   213,   675,   633, -1702,   761, -1702,
     444,  6157, -1702, -1702, -1702, -1702, -1702, -1702, -1702, -1702,
     874, -1702,   724, -1702, -1702, -1702,   480, -1702,  4677, -1702,
   -1702,   754, -1702,   294, -1702,   317, -1702, -1702, -1702, -1702,
     886, -1702,   127, -1702, -1702,   767, -1702, -1702, -1702,  1173,
     799,   810,   472, -1702,   360, -1702,  5682, -1702, -1702, -1702,
     789, -1702, -1702, -1702,   819, -1702, -1702,  6021,  6021, -1702,
   -1702,   146,   506,   521, -1702, -1702,   540, -1702, -1702, -1702,
     573, -1702,   593,   788,  6157, -1702,   124,   175, -1702,   -32,
   -1702, -1702,   786,   786,   786,   696, -1702, -1702, -1702,  6157,
   -1702,   241, -1702, -1702, -1702,   503, -1702, -1702, -1702,   505,
   -1702, -1702, -1702, -1702,   592, -1702, -1702,   -32, -1702,   597,
     608, -1702, -1702, -1702, -1702,   786, -1702, -1702, -1702, -1702,
     -32, -1702, -1702, -1702,   944, -1702, -1702, -1702, -1702,   786,
   -1702, -1702, -1702, -1702, -1702, -1702,   786,   786, -1702, -1702,
   -1702,   973,   989, -1702,   786,  1021, -1702,   786, -1702,   786,
   -1702,   786, -1702,   786, -1702, -1702, -1702, -1702,   786, -1702,
   -1702, -1702,   786, -1702,   786, -1702, -1702, -1702, -1702, -1702,
   -1702, -1702, -1702,   786, -1702,   148, -1702, -1702, -1702, -1702,
    1068, -1702, -1702, -1702, -1702, -1702,  1074,   136, -1702, -1702,
     791, -1702, -1702,   993,   202, -1702, -1702, -1702, -1702, -1702,
   -1702, -1702, -1702, -1702, -1702, -1702, -1702, -1702,   183,   428,
   -1702, -1702, -1702, -1702, -1702, -1702, -1702, -1702, -1702, -1702,
   -1702, -1702, -1702, -1702, -1702, -1702, -1702, -1702,  1370, -1702,
   -1702, -1702, -1702, -1702, -1702, -1702, -1702, -1702, -1702, -1702,
   -1702, -1702, -1702, -1702, -1702, -1702, -1702, -1702, -1702, -1702,
   -1702, -1702, -1702, -1702, -1702, -1702, -1702, -1702, -1702, -1702,
   -1702, -1702, -1702, -1702, -1702, -1702, -1702, -1702, -1702, -1702,
   -1702, -1702, -1702, -1702, -1702, -1702, -1702, -1702, -1702, -1702,
   -1702, -1702, -1702, -1702, -1702, -1702, -1702, -1702, -1702, -1702,
   -1702, -1702, -1702, -1702, -1702,  2762, -1702, -1702, -1702, -1702,
   -1702, -1702, -1702, -1702,  4650, -1702, -1702, -1702, -1702, -1702,
   -1702, -1702, -1702, -1702, -1702, -1702, -1702,    55, -1702, -1702,
     748, -1702, -1702, -1702, -1702, -1702, -1702,   760, -1702, -1702,
   -1702, -1702, -1702, -1702, -1702, -1702, -1702, -1702, -1702, -1702,
   -1702, -1702, -1702, -1702, -1702, -1702, -1702, -1702, -1702, -1702,
   -1702, -1702, -1702, -1702, -1702, -1702, -1702, -1702, -1702, -1702,
   -1702, -1702, -1702, -1702, -1702, -1702, -1702, -1702, -1702, -1702,
   -1702, -1702, -1702, -1702, -1702, -1702, -1702, -1702, -1702, -1702,
    2557, -1702, -1702, -1702, -1702,   777,   714,   794,  1040, -1702,
   -1702, -1702, -1702, -1702, -1702, -1702, -1702, -1702,   804,   790,
   -1702, -1702, -1702, -1702, -1702, -1702, -1702, -1702, -1702, -1702,
   -1702, -1702, -1702, -1702, -1702,   840, -1702, -1702, -1702, -1702,
     -48,   -78,    35,   210, -1702, -1702, -1702,  4878,  1083,  6945,
    6776,   983, -1702, -1702, -1702, -1702,  1142,  1163,    79,  1119,
    1145,  1175,   104,  1178,  2557,  1183,  6945,  6945,   895,  6945,
   -1702, -1702,  1100,  6776,   893,  6945,  6945,  1177, -1702,  5751,
     125, -1702,  1137, -1702, -1702,   905, -1702,  1166,  1172,   874,
   -1702, -1702,   778,  1137,  1174,  1199,  1202,  1137,   724, -1702,
   -1702,   206, -1702, -1702,  6945, -1702,  5079,  1195,   936,  1248,
    1557,  2940, -1702,  1081,   725, -1702, -1702, -1702,  1208, -1702,
   -1702, -1702, -1702,  6945, -1702,  1297,  1291,  1302,   957,   831,
     763, -1702, -1702, -1702, -1702,  1326,   926,  1342, -1702, -1702,
   -1702, -1702,  1347, -1702, -1702, -1702, -1702,   128, -1702, -1702,
    1352,  1360, -1702, -1702, -1702,  1272,  1282, -1702, -1702,   754,
   -1702, -1702,  1389, -1702, -1702, -1702, -1702,  1391, -1702, -1702,
    5280, -1702,  1391, -1702, -1702, -1702,    76, -1702, -1702,   886,
   -1702,  1402, -1702,   148, -1702,  1046, -1702,   148,   113, -1702,
    7416,  7416,  7416,  7416,  7416,  6776,   154,  7146, -1702, -1702,
   -1702, -1702, -1702, -1702, -1702, -1702, -1702, -1702, -1702, -1702,
   -1702, -1702, -1702, -1702, -1702, -1702, -1702, -1702, -1702, -1702,
   -1702, -1702,  7416, -1702, -1702, -1702, -1702, -1702, -1702, -1702,
     519, -1702,  1303,  1397,  1400,  1062,   800,  1433, -1702, -1702,
   -1702,  7146,  6945,  6945,  1341,   135,   396,  1444, -1702,   847,
     396,  1351, -1702, -1702, -1702, -1702, -1702, -1702, -1702, -1702,
   -1702,  1420,  1107,  1110,  1126, -1702,  1132,  1135, -1702, -1702,
   -1702, -1702,  1203,  1189,  1023,  1137, -1702, -1702,  1373,  1394,
    1410,  1412, -1702,  1413,  1167, -1702, -1702, -1702, -1702, -1702,
   -1702, -1702,  1417, -1702, -1702, -1702, -1702, -1702,   786, -1702,
   -1702, -1702, -1702, -1702, -1702, -1702, -1702, -1702, -1702, -1702,
   -1702, -1702, -1702, -1702, -1702,  1422,   693, -1702, -1702, -1702,
   -1702,  1425, -1702, -1702, -1702, -1702, -1702, -1702, -1702, -1702,
   -1702, -1702, -1702, -1702, -1702, -1702, -1702, -1702, -1702, -1702,
     793, -1702, -1702, -1702, -1702, -1702, -1702, -1702, -1702, -1702,
   -1702, -1702, -1702, -1702, -1702, -1702, -1702,  1426, -1702,  1339,
   -1702, -1702,  1335, -1702, -1702, -1702, -1702, -1702, -1702, -1702,
   -1702, -1702,  1188, -1702,  1201,  1416, -1702, -1702,   914,  1319,
    1205,  1205, -1702, -1702, -1702,  1323, -1702, -1702, -1702, -1702,
    1328,  1329, -1702,  1325,  1337,  1354,   808, -1702, -1702, -1702,
   -1702, -1702, -1702, -1702, -1702, -1702,  1465, -1702, -1702, -1702,
    1481, -1702, -1702, -1702, -1702, -1702, -1702, -1702, -1702, -1702,
   -1702, -1702, -1702,  1285, -1702,  1296, -1702, -1702, -1702, -1702,
   -1702, -1702, -1702,  1483,  1484,  1253, -1702, -1702, -1702, -1702,
   -1702,  1488,    74, -1702, -1702, -1702,  1237,  1245,  1247,  1500,
   -1702, -1702,   895, -1702, -1702, -1702,  1504, -1702, -1702, -1702,
   -1702,  6945,  2940,  1081,  1602,  5481, -1702,   127,   211,  1601,
    1392,  1137,  1137,  1518,  6776,  6945,  6945,  6945, -1702,  1519,
    6945,  1570,  6945, -1702, -1702, -1702, -1702,  1521, -1702,   170,
    1604, -1702, -1702,   423,   606,   714, -1702,   245,   688,  1402,
    1581, -1702,  6945, -1702,   761,  1408,   439,   229, -1702,   859,
    1433,   761, -1702, -1702, -1702, -1702, -1702, -1702, -1702, -1702,
    1479,   361, -1702, -1702, -1702, -1702, -1702, -1702, -1702, -1702,
   -1702,   478,   706, -1702,   961, -1702, -1702,  6945,  1623,  6945,
   -1702, -1702, -1702,   323,   543,  6945, -1702, -1702,  1275, -1702,
   -1702,  6945,  6945,  6945,  6945,  6945,  1531,  6945,  6945,   171,
    6945,  1391,  6945,  1552,  1630,  1555,  2683,  2683, -1702, -1702,
   -1702,  6945,   926,  6945,   926, -1702,  1618,  1622, -1702,   893,
   -1702,  6776, -1702,  6776, -1702, -1702, -1702,  1303,  1397,  1400,
   -1702,   761, -1702, -1702, -1702, -1702, -1702, -1702, -1702, -1702,
   -1702, -1702, -1702, -1702, -1702, -1702, -1702, -1702,  1289,  7416,
    7416,  7416,  7416,  7416,  7416,  7416,  7416,  7520,  7416,  7416,
     589, -1702,   975, -1702, -1702, -1702, -1702, -1702,  1545, -1702,
     853,   455, -1702,  2992,  3401,  2795,  3584,   881, -1702, -1702,
   -1702, -1702, -1702, -1702,  1294,  1295,  1304, -1702, -1702, -1702,
   -1702, -1702, -1702, -1702, -1702, -1702, -1702, -1702, -1702, -1702,
   -1702,  1644, -1702, -1702, -1702, -1702, -1702, -1702, -1702, -1702,
   -1702, -1702, -1702, -1702, -1702, -1702, -1702, -1702, -1702,  1392,
   -1702, -1702, -1702, -1702, -1702, -1702, -1702, -1702, -1702, -1702,
   -1702, -1702, -1702, -1702, -1702, -1702, -1702, -1702, -1702, -1702,
   -1702, -1702, -1702, -1702, -1702, -1702, -1702, -1702, -1702, -1702,
   -1702, -1702, -1702, -1702, -1702, -1702, -1702, -1702, -1702, -1702,
   -1702, -1702,  1299,  1300, -1702, -1702, -1702, -1702, -1702, -1702,
    1253,   599,  1554, -1702, -1702, -1702, -1702, -1702,  1321, -1702,
   -1702, -1702,  1369,   644, -1702,  1521,  1512, -1702,   652,   170,
   -1702,   797, -1702, -1702,  6945,  6945,  1657, -1702,  1560,  1560,
   -1702,   211, -1702, -1702, -1702, -1702, -1702, -1702, -1702, -1702,
   -1702,  1312,  1601,  6157,   211, -1702, -1702, -1702, -1702, -1702,
   -1702,  6945, -1702, -1702,   144,  1364,  1372,  1654, -1702, -1702,
   -1702,  1375,    76, -1702,   111,  6945,  1645, -1702,  7368, -1702,
    1498,  1428,  1414,   439, -1702,  1560,  1560, -1702,   265, -1702,
    5751, -1702,  4410, -1702, -1702, -1702, -1702,  1688, -1702, -1702,
   -1702,  1333, -1702, -1702,  1333, -1702,  1647,  1333, -1702, -1702,
    6945, -1702, -1702, -1702, -1702, -1702,  1297,  1291,  1302, -1702,
   -1702, -1702, -1702, -1702, -1702, -1702,  1713,  6945,  1559,  6945,
   -1702, -1702, -1702, -1702,   926, -1702,   926,  1391, -1702, -1702,
     422,  6157,  5799,   130, -1702, -1702, -1702,  1444,  1712, -1702,
   -1702,  1303,  1397,  1400, -1702,   156,  1444, -1702, -1702,   859,
    7416,  7520, -1702,  1624,  1686, -1702, -1702, -1702, -1702, -1702,
     148,   148,   148,   148,   148,  1628,   512,   148,   148,   148,
     148, -1702, -1702, -1702,   396, -1702,    89, -1702,  1629, -1702,
   -1702, -1702,   396,   396,   396,   396,   396,  6776, -1702,  1560,
    1560,  1382,  1344,  1635,   149,  1257,  1550, -1702, -1702, -1702,
     396,   396,   456, -1702,  6776,  1560,  1395,   149,  1257, -1702,
   -1702, -1702,   396,   396,   456,  1641,  1398,  1648, -1702, -1702,
   -1702, -1702, -1702,  4246,  3738,  3232,  3921,  1732, -1702, -1702,
   -1702, -1702, -1702, -1702, -1702,  1761, -1702, -1702,  1650, -1702,
   -1702, -1702,  1740, -1702, -1702, -1702, -1702, -1702, -1702, -1702,
   -1702, -1702, -1702,  1651, -1702, -1702, -1702, -1702, -1702, -1702,
   -1702,  1122,   192,   306,  1652, -1702, -1702, -1702, -1702, -1702,
    1364,  1372, -1702, -1702, -1702, -1702, -1702, -1702, -1702, -1702,
   -1702, -1702,  1375, -1702, -1702, -1702, -1702, -1702, -1702, -1702,
    6945, -1702, -1702, -1702, -1702, -1702, -1702, -1702,  6776,  1401,
     211, -1702, -1702, -1702, -1702, -1702, -1702, -1702,  1393,  1730,
   -1702,  1661, -1702,  1662, -1702,  1393,  1664, -1702, -1702, -1702,
   -1702,  6776,    76, -1702,  6945,   105,   105,   761,  1433, -1702,
     114,  1666, -1702,   895, -1702, -1702, -1702,   439, -1702, -1702,
   -1702,   396, -1702,   361, -1702, -1702, -1702, -1702, -1702, -1702,
    6945, -1702,  1694, -1702,  1391,  1391,  6776, -1702,   482,  1424,
    1767,   761, -1702,  1444,  1444,  1592,  1679, -1702, -1702, -1702,
   -1702, -1702, -1702, -1702, -1702, -1702, -1702, -1702,   148,   148,
     148, -1702, -1702, -1702, -1702, -1702, -1702, -1702, -1702, -1702,
   -1702,  1680, -1702, -1702, -1702, -1702, -1702, -1702,  1113, -1702,
     396,   396,   -32, -1702, -1702, -1702, -1702, -1702, -1702, -1702,
   -1702, -1702, -1702, -1702,  1371, -1702, -1702, -1702, -1702, -1702,
    1079, -1702, -1702, -1702, -1702, -1702,   908,   396,   -32,  1057,
    1079, -1702, -1702, -1702,  1634,   609,   396, -1702, -1702, -1702,
   -1702, -1702, -1702,  2232,   230,  1310, -1702, -1702,  1683, -1702,
    1253, -1702, -1702,  1438,   870,   786, -1702, -1702, -1702, -1702,
   -1702,  1560,  1684,   870,  1690,   786, -1702, -1702, -1702, -1702,
   -1702,  1689,   786, -1702, -1702, -1702, -1702, -1702, -1702, -1702,
   -1702, -1702, -1702, -1702, -1702, -1702, -1702,  6157, -1702, -1702,
   -1702, -1702, -1702, -1702, -1702, -1702,  1507, -1702,   188, -1702,
   -1702, -1702,   170, -1702, -1702, -1702, -1702, -1702, -1702,  1693,
    1510,  1521, -1702, -1702, -1702, -1702, -1702, -1702, -1702,  6945,
    1446,  6776, -1702, -1702,  1423,  5799, -1702, -1702,  1614,   396,
    1449,  1450,  1452,  1454,  1456, -1702, -1702, -1702, -1702,  1457,
    1458,  1459,  1461, -1702,  1775, -1702,  6776, -1702, -1702, -1702,
   -1702, -1702,   149, -1702,  1257, -1702,  6607, -1702, -1702,  2077,
   -1702,   163,   396,    83,   396, -1702, -1702, -1702, -1702, -1702,
   -1702,  1811, -1702,  1466, -1702, -1702,   396,   396, -1702,   396,
     396,   396,   396,   396, -1702,  1698,   396, -1702,  1467, -1702,
   -1702, -1702, -1702, -1702, -1702, -1702,  1721,  1364,  1372, -1702,
   -1702, -1702, -1702,  1477,   761, -1702, -1702,  1592, -1702, -1702,
   -1702, -1702, -1702,  1482,  1485,  1486, -1702, -1702, -1702, -1702,
    1734, -1702, -1702, -1702, -1702, -1702,  6776,   396,  1827,  1834,
   -1702,   149, -1702, -1702, -1702, -1702,   396,  1371, -1702,  1753,
   -1702, -1702, -1702,  1121, -1702, -1702, -1702, -1702, -1702, -1702,
     134, -1702, -1702, -1702, -1702, -1702, -1702, -1702,  1755, -1702,
    1760, -1702, -1702, -1702, -1702, -1702, -1702, -1702, -1702, -1702,
     870, -1702, -1702, -1702, -1702, -1702, -1702, -1702, -1702,  1614,
    2290,  4075,  3330,  4346,  1910, -1702, -1702, -1702,  2183,  2348,
    1066,  1190,  1429,  1113, -1702,  6776, -1702,  1371, -1702, -1702,
   -1702, -1702, -1702, -1702, -1702,  1756,  1762,   151, -1702, -1702,
    1861,   140, -1702,   396, -1702, -1702, -1702, -1702,   396,   396,
     396,   396,   396,  2276,   445,  1993,   396,   396,   396,   396,
      98,  1515,  1634, -1702,  1863, -1702, -1702, -1702, -1702, -1702,
   -1702, -1702,  1773,  1760,   396, -1702, -1702, -1702, -1702, -1702,
   -1702, -1702, -1702, -1702, -1702, -1702, -1702, -1702, -1702, -1702,
     609, -1702, -1702, -1702, -1702, -1702, -1702, -1702,   396,   396,
     396, -1702, -1702, -1702, -1702, -1702, -1702, -1702, -1702, -1702
};

  /* YYDEFACT[STATE-NUM] -- Default reduction number in state STATE-NUM.
     Performed when YYTABLE does not specify something else to do.  Zero
     means the default is an error.  */
static const yytype_uint16 yydefact[] =
{
       2,     0,     1,     0,     4,     5,     0,     0,     0,     0,
     395,   395,   395,   395,   395,   395,   395,   395,   399,   402,
     395,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   206,   401,     9,    26,    27,     0,   395,
     395,   395,   395,    65,    64,     3,     0,    68,     0,   396,
       0,   420,     0,    63,     0,   390,     0,     0,     0,     0,
     565,    83,    85,     0,     0,   257,     0,   279,     0,   303,
      69,   395,    70,   395,   395,   395,   395,   395,   395,   395,
       0,   395,   395,   395,   395,    71,   395,    72,   395,   395,
     395,   395,   395,   395,   395,   395,     0,   395,   395,   395,
     395,    73,   395,    74,   395,   426,   395,   426,   395,   426,
     426,   395,   395,   426,   395,   426,     0,   395,   426,   426,
       0,   395,   426,   426,   426,   426,   395,   395,   395,   426,
      33,   395,   426,   426,   395,    45,   395,   395,   395,   395,
     426,     0,   395,    77,   395,    78,     0,     0,     0,   722,
     693,   391,   392,   393,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     901,   902,   903,   904,   905,   906,   907,   908,   909,   910,
     911,   912,   913,   914,   915,   916,   917,   918,   919,   920,
     922,     0,   924,   923,     0,     0,     0,     0,    32,     0,
       0,    82,   689,   688,   694,   695,   221,   705,   706,   699,
     892,   700,   703,   707,   704,   701,   702,   696,  1008,  1009,
    1010,  1011,  1012,  1013,  1014,  1015,  1016,  1017,  1018,  1019,
    1020,  1021,    51,  1023,  1024,  1025,   697,  1234,  1235,  1236,
    1237,  1238,  1239,  1240,  1241,   698,     0,   218,   219,     0,
      31,   202,     0,    19,   204,   207,    37,   208,   400,   397,
     398,   395,   395,   395,    13,   816,   789,   791,    67,    66,
     403,   405,     0,     0,     0,   422,   421,   423,     0,   555,
       0,   673,   674,   675,     0,   883,   884,   885,   460,   461,
     888,   680,     0,     0,     0,   476,   484,     0,   508,   533,
     545,   546,   622,   628,   649,     0,     0,   928,     7,    88,
     428,   430,   443,   431,   241,   458,   439,   464,   438,    13,
     474,    57,   482,   436,   437,    44,   536,    38,     0,    52,
      58,   553,    38,   621,    38,   627,    16,    23,   449,    43,
     647,   455,     0,   456,   441,     0,   679,   440,   724,   727,
     729,   731,   733,   734,   741,   743,     0,   742,   686,   463,
     892,   444,   450,   442,   696,   459,    59,     0,     0,    62,
     414,     0,     0,     0,    87,   408,     0,    91,   272,   271,
       0,   411,     0,     0,     0,   565,   108,   110,   257,     0,
     279,   303,   395,   395,   395,    13,   816,   789,   791,     0,
      58,     0,   132,   133,   134,     0,   126,   127,   135,     0,
     128,   129,   136,   137,     0,   130,   131,     0,   138,     0,
     140,   141,   793,   794,   792,   395,    13,    34,    42,    49,
       0,    58,   183,   427,   185,   150,   151,   152,   153,   395,
     154,   156,   180,   179,   178,   172,   395,   426,   176,   175,
     177,   793,   794,   795,   395,     0,    13,   395,   157,   395,
     160,   395,   163,   395,   169,    34,    42,    49,   395,   166,
      75,    13,   395,   187,   395,   190,    42,    76,   193,   194,
     195,   196,   199,   395,   198,     0,  1030,  1027,  1028,    54,
       0,   713,   714,   715,   716,   717,   719,     0,   933,   935,
       0,   934,    50,     0,     0,  1232,  1233,    54,  1032,  1033,
      53,    18,    53,  1036,  1037,  1038,  1039,    28,     0,     0,
    1042,  1043,  1044,  1045,  1046,     9,  1064,  1065,  1059,  1054,
    1055,  1056,  1057,  1058,  1060,  1061,  1062,  1063,     0,    26,
      53,  1079,  1078,  1077,  1080,  1081,  1082,    29,    53,  1085,
    1086,  1087,    30,  1096,  1097,  1089,  1090,  1091,  1093,  1092,
    1094,  1095,    27,    53,  1104,  1101,  1100,  1105,  1103,  1102,
    1106,    29,  1109,  1112,  1108,  1110,  1111,     8,  1115,  1114,
      17,  1117,    21,  1119,    11,  1123,  1124,  1121,  1122,    55,
    1129,  1126,  1127,  1128,    56,  1143,  1137,  1140,    21,  1135,
    1136,  1138,  1139,  1142,  1144,     0,  1130,    53,  1176,  1177,
      14,  1230,  1227,  1228,     0,  1229,    47,    53,    26,  1247,
     960,    27,  1246,  1249,   958,   959,    32,     0,    46,    46,
       0,    46,  1253,    46,    21,  1255,  1257,     0,    46,  1244,
    1243,    25,  1265,  1262,  1260,  1261,  1263,  1264,    22,  1268,
    1267,    15,    53,  1271,  1274,  1270,  1273,    36,    35,   896,
     897,   898,    49,   899,    32,    35,   894,   895,   975,   976,
     982,   968,   969,   967,   977,   978,   998,   971,   980,   973,
     974,   979,   970,   972,   965,   966,   996,   995,   997,    49,
       0,    12,   983,   939,   938,     0,   741,     0,     0,    46,
      25,    22,    15,    36,  1275,   943,   944,   921,   942,     0,
     687,  1022,   201,   220,    79,   203,    80,    81,   209,   210,
     212,   211,   214,   215,   213,   216,   813,   813,   813,    93,
       0,     0,   508,     0,   417,   418,   419,     0,     0,     0,
       0,     0,   890,   889,   886,   887,     0,     0,     0,    35,
      35,     0,     0,     0,     0,    12,     0,     0,   517,     0,
     506,   507,     0,     0,     0,     0,     0,     0,     6,     0,
       0,   745,     0,   429,   432,     0,   435,     0,     0,   475,
     478,   445,     0,     0,     0,     0,     0,     0,   483,   485,
     446,     0,   532,   447,     0,    45,     0,     0,    18,    28,
       9,    26,   854,    27,     0,   858,   856,   857,     0,    38,
      38,   844,   845,     0,   583,   586,   588,   590,   592,   593,
     598,   603,   601,   602,   604,   606,   544,   570,   571,   581,
     846,   572,   579,   573,   580,   576,   577,     0,   574,   575,
       0,   605,   578,   448,   457,     0,     0,   562,   561,   554,
     557,   451,     0,   640,   641,   642,   620,   625,   638,   452,
       0,   626,   631,   453,   454,   643,     0,   665,   666,   648,
     650,   653,   663,     0,   691,     0,   690,     0,     0,   681,
       0,     0,     0,     0,     0,     0,     0,     0,   876,   877,
     878,   879,   880,   881,   882,    18,    28,     9,    26,    29,
     869,    27,    29,     8,    17,    11,    55,    56,    51,    14,
      47,    38,     0,   859,   829,   860,   738,   739,   841,   828,
     818,   817,   833,   835,   837,   839,   840,   827,   861,   862,
     830,     0,     0,     0,     0,     7,     0,   783,   782,   840,
       0,     0,   359,    58,   225,   242,   258,   285,   304,   424,
     107,     0,     0,     0,     0,   114,     0,     0,   813,   813,
     813,   116,     0,     0,   508,     0,   125,   148,     0,     0,
       0,     0,   139,     0,     0,   813,   143,   146,   144,   147,
     149,   171,     0,   186,   155,   174,   173,    12,   395,   159,
     158,   161,   164,   170,   165,   162,   168,   167,   189,   188,
     191,   192,   197,   200,  1029,     0,     0,    53,   710,   711,
      20,     0,   931,   723,    40,    40,  1231,  1034,  1031,  1040,
    1035,    18,    26,    18,    26,  1041,  1066,  1067,  1068,  1069,
      26,  1051,  1076,  1075,  1084,  1083,  1088,  1099,  1098,  1107,
    1113,  1118,  1116,  1120,  1125,  1141,    10,  1161,  1167,  1165,
    1156,  1157,  1160,  1162,  1151,  1152,  1153,  1154,  1155,  1163,
    1158,  1159,  1164,  1132,  1166,  1131,  1178,  1175,  1182,  1179,
    1180,  1181,  1183,  1184,  1185,  1186,  1187,  1188,  1189,  1190,
    1191,  1192,  1193,  1194,  1195,  1196,  1213,    48,  1225,  1248,
     954,   955,   961,    46,   956,  1245,     0,  1250,  1252,  1256,
       0,  1254,  1242,  1259,  1266,  1272,  1269,   893,   900,   891,
     981,   984,   985,     0,   987,     0,   986,   988,   989,    12,
      12,   990,   962,     0,     0,   936,  1277,  1276,  1278,  1279,
    1280,     0,     0,   708,   205,   217,     0,     0,     0,     0,
     324,    13,   517,   349,    34,   329,     0,    42,   354,   790,
      49,     0,    26,    27,   547,     0,   556,     0,   667,   669,
       0,     0,     0,     0,     0,     0,     0,     0,    12,     0,
       0,   990,     0,   477,    34,   515,   516,     0,    42,     0,
       0,   662,    43,   657,   656,     0,   661,   659,   660,    21,
     634,   636,     0,   758,     7,     7,   760,   754,   757,   840,
     779,     7,   744,   425,   250,   480,   481,   479,   498,    18,
       0,     0,   496,    21,   487,   488,   489,   490,   493,   491,
     486,     0,     0,    51,     0,   612,   855,     0,   607,     0,
     847,   850,   851,   848,   849,     0,   853,   852,     0,   570,
     579,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   614,     0,     0,     0,     0,     0,     0,   559,   560,
     558,     0,     0,     0,   629,   652,   657,   656,   651,     0,
      10,     0,   683,     0,   682,   725,   726,   728,   730,   732,
     735,     7,   465,   467,   740,   848,   868,   849,   870,   867,
     866,   871,   864,   865,   863,   872,   873,   874,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     824,   823,   840,   926,  1007,   785,   784,    60,     0,    61,
       0,     0,   105,     0,     0,     0,     0,     0,    58,   225,
     242,   258,   285,   304,     0,     0,     0,    13,    34,    42,
      49,   415,   404,   406,   409,   412,   304,    12,   184,   181,
      12,     0,   718,   712,   709,    50,   720,   721,  1047,  1049,
    1048,  1050,    53,  1071,  1073,  1072,  1074,  1053,    26,     0,
    1173,  1145,  1170,  1147,  1174,  1150,  1171,  1172,  1148,  1168,
    1169,  1146,  1149,  1210,  1209,  1211,  1212,  1218,  1200,  1201,
    1202,  1203,  1215,  1204,  1205,  1206,  1207,  1208,  1216,  1217,
    1219,  1220,  1221,  1222,  1223,  1224,    53,  1199,    21,  1214,
      47,   957,     0,     0,    26,    26,    27,    27,   963,   964,
     936,   936,     0,    24,   941,   945,   946,    32,     0,   339,
     344,   334,     0,     0,    94,     0,     0,   101,     0,     0,
      96,     0,   103,   549,     0,     0,   548,   670,     0,     0,
     765,   668,   761,  1161,  1165,  1160,  1164,  1166,    51,    10,
      10,     0,   753,     0,   751,    35,    35,    12,   472,    12,
      12,     0,    12,   505,     0,   518,   521,     0,   514,   510,
     509,   511,     0,   644,     0,     0,     0,   748,     0,   749,
       0,    13,     0,   759,   768,     0,     0,   778,   755,   766,
     747,   746,     0,   497,    26,   501,   502,    51,   500,   492,
     534,     0,   538,   535,     0,   540,     0,     0,   542,   613,
       0,   617,   619,   582,   584,   585,   587,   589,   591,   599,
     600,   594,   597,   596,   595,   609,   608,     0,     0,     0,
     999,  1000,  1001,  1002,   623,   639,   630,   632,   664,   692,
       0,     0,     0,     0,   468,   875,   826,   820,     0,   831,
     832,   834,   836,   838,   825,   736,   819,   737,   842,   843,
       0,     0,   736,     0,     0,    58,   361,   360,   363,   362,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    84,   227,   226,     0,   224,     0,    53,     0,    86,
     244,   243,     0,     0,     0,     0,     0,     0,   268,     0,
       0,     0,     0,     0,     0,     0,     0,    89,   260,   259,
       0,     0,     0,   433,     0,     0,     0,     0,     0,    90,
     287,   286,     0,     0,     0,     0,     0,     0,    13,    92,
     306,   305,   124,     0,     0,     0,     0,     0,   339,   344,
     334,   117,   122,   118,   123,     0,   145,   182,     0,   932,
    1070,  1052,     0,  1197,  1198,  1226,  1251,  1258,   991,   992,
     993,   994,    39,     0,    24,   937,   953,   949,   948,   947,
      32,     0,     0,     0,     0,    13,   326,   325,   328,   327,
     518,   521,    34,   351,   350,   353,   352,    42,   331,   330,
     333,   332,   511,    49,   356,   355,   358,   357,   550,   552,
       0,   394,   763,   764,   762,  1134,   930,   929,     0,     0,
     752,   927,   925,  1004,   473,  1005,    12,  1003,     0,   523,
     525,     0,    34,     0,    34,     0,     0,    42,   658,   654,
     655,     0,     0,   635,     0,     0,     0,     7,   780,   781,
       0,     0,   770,   517,   769,   776,   777,   756,   767,   462,
     251,     0,   495,     0,   494,    53,    53,    45,    53,   610,
       0,   616,     0,   618,   624,   633,     0,   671,     0,     0,
       0,     7,   466,   822,   821,   566,     0,   106,   416,   323,
     407,   241,   410,   257,   279,   413,   303,    21,     0,     0,
       0,   323,   323,   323,   323,   228,   388,   389,    41,   387,
     386,     0,    21,   245,   247,   246,   249,   248,     0,   255,
       0,     0,     0,   302,   301,    41,   300,   364,   366,   367,
     365,   320,   368,   321,     0,   319,   275,   276,   278,   277,
       0,   274,   269,   270,   266,   434,     0,     0,     0,     0,
       0,   298,   297,   295,     0,     0,     0,   309,   109,   111,
     112,   113,   115,     0,     0,     0,   142,    10,     0,   940,
     936,   952,   950,     0,     0,     0,    12,   341,   340,   343,
     342,     0,     0,     0,     0,     0,    12,   346,   345,   348,
     347,     0,     0,    12,   336,   335,   338,   337,   786,    95,
     814,   815,   102,    97,   788,   104,   551,     0,   684,  1006,
     527,   528,   529,   530,   531,   520,     0,   503,     0,   522,
     504,   524,     0,   513,    43,    43,   637,   750,    12,     0,
       0,     0,   252,   499,    29,    29,   543,   541,   611,     0,
       0,     0,   672,   678,     0,   470,   469,   567,   568,     0,
       0,     0,     0,     0,     0,   223,   323,   323,   323,     0,
       0,     0,     0,   385,     0,   384,     0,   262,   264,   265,
     267,   299,     0,    53,     0,    21,     0,   288,   296,     0,
      21,     0,     0,     0,     0,   312,    21,    12,    12,    12,
    1026,     0,    24,     0,    55,    51,     0,     0,    99,     0,
       0,     0,     0,     0,   100,     0,     0,    98,     0,   519,
     526,   512,   645,   646,   774,    12,     0,   518,   521,   537,
     539,   615,   676,     0,     7,   569,   563,   566,   359,   242,
     258,   285,   304,     0,     0,     0,   324,   349,   329,   354,
       0,   256,   322,   261,   273,   263,     0,     0,     0,   253,
      58,     0,    13,    34,    42,    49,     0,     0,   294,     0,
     378,   372,   371,   375,   370,   373,   374,   307,   317,   316,
       0,   313,   318,   308,   310,   120,   121,   119,     0,   951,
       0,   799,   798,   805,   807,   810,   811,   808,   809,   812,
       0,   801,   685,   775,    13,    34,    34,   677,   471,   568,
       0,     0,     0,     0,     0,   339,   344,   334,     0,     0,
       0,     0,   383,     0,   291,     0,   284,     0,   280,   282,
     281,   283,    53,    53,   379,     0,     0,     7,   311,  1133,
       0,     0,   802,     0,   771,   772,   773,   564,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   292,   254,    53,   293,   289,   377,   376,
     315,   314,     0,     0,     0,    53,    58,   229,   230,   231,
     232,    12,    12,    12,    13,    34,    42,    49,   380,   381,
       0,   369,   290,   804,   803,    41,   800,   240,     0,     0,
       0,   233,   238,   234,   239,   382,   806,   236,   237,   235
};

  /* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
   -1702, -1702,    -1, -1100,   956,    59, -1187,   962,   963,  -322,
     959,  1164, -1702,   965,  -470, -1702, -1702,  -498,  1169, -1702,
   -1532,  1176,   -21,   -16,  1355,  -557, -1702, -1702,  -603, -1702,
    -471,  -627,  1171, -1702,  -227, -1702,   860, -1701,  -445, -1148,
   -1702,  -762,  -519,  -825, -1702,  -467,   522,  -880, -1702,  -420,
    1376,  -888,   972, -1702,  -401,    17, -1702, -1702,  1875, -1702,
   -1702, -1702, -1702, -1702, -1702,  1497, -1702, -1702, -1702, -1702,
   -1702, -1702, -1702, -1702, -1702, -1702, -1702, -1702, -1702, -1702,
      18, -1702,  1501, -1702,   557,  -313, -1291, -1702, -1702, -1507,
    -381, -1280,  -380,   266,   -77,  -388, -1702, -1263, -1261, -1702,
    -375, -1266,  -284, -1702,  -229,   -72, -1521, -1077,  -133,  -131,
   -1563, -1560, -1551,  -132,  -129,  -117, -1702, -1702,  -235, -1702,
   -1702, -1702, -1702, -1702, -1702, -1702, -1702,    92,  -706, -1324,
    1839,   -51,  3111, -1702,  1311, -1702, -1702,   133, -1702,   337,
     632, -1702, -1702,   371, -1702,  -911,  1536, -1702, -1702,   307,
    1840,   979,  2606,   -38, -1702, -1702, -1273, -1270,  -301, -1702,
   -1702, -1702, -1702, -1702, -1702,   141, -1702, -1702, -1702, -1702,
    1151, -1702, -1702, -1702,  1143, -1702, -1702, -1702,   172, -1702,
    1638, -1353,   249, -1702, -1064, -1531, -1342, -1522, -1339,   220,
     208, -1702, -1702,  -862, -1702, -1702, -1702, -1702, -1702, -1702,
   -1702,  1105,  -295,  1571,   -69,  -144,  -174,   717,   718,   716,
   -1702,  -714, -1702, -1702, -1702, -1702, -1702, -1702,  1848, -1702,
   -1702, -1702, -1702, -1702, -1702, -1702, -1702, -1702,  -309,   701,
   -1702, -1702, -1702, -1702,  1095,   483,  -837,   236,  1214,   710,
   -1196, -1702, -1702,  1705, -1702, -1702, -1702, -1702,  1108, -1702,
   -1702,   -58,   -29,  -768,  -283,   667,   -24, -1702, -1702, -1702,
     982,   -17, -1702, -1702, -1702, -1702, -1702,  -157,  -202, -1702,
   -1702,   681,  -743,  1798,   -61, -1702,   796, -1170, -1702, -1431,
   -1702, -1702,   530, -1304, -1702,   508, -1333,   510, -1702, -1702,
    1636,  -536,  1608,  -559,  1616,  -528,  1620,  1904, -1702, -1680,
   -1702, -1702,  -147, -1702, -1702,    32,  -504,  1632, -1702,  -337,
    -286,  -771,  -770,  -758, -1702,  -212,  -747, -1702,  -259,  1659,
    -729, -1702, -1386,  -277,   216,  1726, -1702,   -36, -1702,   622,
   -1702, -1305, -1702,   709, -1702, -1702, -1702, -1702, -1702,   750,
    -246,   769,  1403,   781,  1731,  1737, -1702, -1702,  -478,   218,
   -1702, -1702, -1702,   951, -1702, -1702, -1702, -1702, -1702, -1702,
   -1702, -1702, -1702, -1702, -1702, -1702, -1702, -1702, -1702, -1702,
   -1702, -1702, -1702, -1702, -1702, -1702, -1702, -1702, -1702, -1702,
   -1702, -1702, -1702, -1702, -1702, -1702, -1702, -1702,  1415,  -981,
   -1702, -1702, -1702, -1702, -1702, -1702, -1702, -1702, -1702, -1702,
     953, -1702, -1702, -1702, -1702, -1702, -1702, -1702, -1702, -1702,
   -1702, -1702, -1702, -1702, -1702, -1702, -1702, -1702, -1702, -1702,
   -1702, -1702, -1702, -1702, -1702, -1702
};

  /* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
      -1,     1,  1650,   779,  1049,  1242,  1379,  1052,  1132,   739,
    1077,  1114,   873,  1050,  1240,   726,  1364,  1051,  1113,   874,
    1686,  1112,  1295,  1297,  1241,  1043,  1045,   724,   717,   480,
     987,  1117,  1116,   727,   803,  1879,  1366,  1973,   988,   875,
     800,   487,  1104,  1098,  1420,   989,  1022,   721,   853,  1027,
    1014,  1053,  1054,   791,   854,  1651,    45,    46,    47,    72,
      85,    87,   414,   418,   423,   410,   101,   103,   130,   993,
     442,   135,   143,   145,   260,   263,   266,   267,   735,  1144,
     261,   211,   382,  1604,  1333,   383,  1334,  1512,  2057,  1828,
     386,  1335,   387,  1850,  1851,   390,  2066,  1336,  1630,  1835,
     392,  1337,  1994,  2080,  2081,  1843,  1844,  1960,  1443,  1448,
    1693,  1691,  1692,  1446,  1451,  1331,  1845,  1612,  1992,  2073,
    2074,  2075,  2162,  1613,  1614,  1818,  1819,  1798,   212,  1722,
      48,    49,    59,   417,    51,   421,  1801,    65,   426,  1803,
      69,   431,  1806,   412,   413,  1799,   285,   286,   287,    52,
     394,  1460,   444,  1616,   320,   321,  1632,   322,   323,   324,
     325,   326,   327,  1292,  1563,  1564,   328,   329,   330,   789,
     790,   331,   332,   798,   799,  1229,  1223,  1517,  1518,   333,
    1156,  1491,  1747,   334,  1187,  1742,  1485,  1744,  1486,  1487,
    1925,   335,   336,  1522,   802,   337,   338,   339,   340,   341,
     859,   860,  1589,   381,  1958,  2036,   824,   825,   826,   827,
     828,   829,   830,  1542,   831,   832,   833,   834,   835,   836,
     342,   343,   866,   344,   345,   871,   346,   347,   867,   868,
     348,   349,   350,   879,   880,  1190,  1191,  1192,   881,   882,
    1167,  1168,   351,   352,   353,   354,   355,   888,   889,   356,
     357,   213,   837,   885,   924,   838,   358,   217,  1020,   506,
     507,   839,   514,   359,   360,   361,   362,   363,   364,   926,
     927,   928,   365,   366,   367,   780,   781,  1473,  1474,  1205,
    1206,  1207,  1461,  1462,  1508,  1503,  1504,  1509,  1208,  1757,
     946,  1699,   740,  1711,   742,  1717,   743,   435,   465,  2006,
    1907,  2141,  2142,  1890,  1900,  1146,  1706,   741,   368,   947,
     948,   932,   933,   934,   935,  1209,   937,   840,   841,   842,
     940,   941,   369,   754,   843,   675,   676,   220,   371,   844,
     512,  1433,   705,   845,  1142,   718,  1437,  1690,   223,   846,
     637,   848,   638,   849,   700,   701,  1129,  1130,   702,   850,
     851,   372,   373,   852,   228,   500,   229,   521,   230,   527,
     231,   535,   232,   549,  1040,  1378,   233,   557,   234,   562,
     235,   572,   236,   581,   237,   587,   238,   590,   239,   594,
     240,   599,   241,   604,   242,   375,   616,  1073,  1467,  1075,
    1391,  1383,  1388,  1381,  1385,   243,   620,  1096,  1419,  1402,
    1408,  1397,  1097,   244,   626,   245,   517,   246,   247,   651,
     248,   639,   249,   641,   250,   643,   251,   648,   252,   658,
     253,   661,   254,   667,   255,   714
};

  /* YYTABLE[YYPACT[STATE-NUM]] -- What to do in state STATE-NUM.  If
     positive, shift that token.  If negative, reduce the rule whose
     number is the opposite.  If YYTABLE_NINF, syntax error.  */
static const yytype_int16 yytable[] =
{
      43,   214,    53,   706,  1004,   389,   216,   786,   388,   977,
    1006,   785,   966,   218,   319,   269,   370,   964,    44,   965,
     784,   270,   755,   214,  1048,   384,   967,   370,  1302,   930,
    1196,  1005,  1210,  1102,   214,   218,   872,  1159,  1304,  1275,
     991,  1011,   748,  1236,  1493,   279,   218,   982,  1119,  1654,
     264,  1028,   719,   376,   443,   984,   443,   379,   443,   443,
     990,  1655,   443,  1644,   443,  1633,  1633,   443,   443,   886,
     777,   443,   443,   443,   443,  1642,  1213,  1657,   443,  1656,
     931,   443,   443,   971,   963,  1560,   953,  1224,  1445,   443,
    1665,  1228,   847,  1559,   268,  1306,  1712,  1875,  1873,    56,
      57,    58,  1029,  1700,  1497,  1499,  1701,   938,  1874,  1248,
    1055,  1510,  1759,  1561,   986,   861,  1859,   869,   938,   938,
    1105,  1287,  1107,  1288,  1108,  1682,  1684,  1856,  1293,  1111,
    1042,  1790,  1211,  1119,  1981,  1723,  1289,  1791,  1044,   778,
     280,  2137,   281,   677,   999,   256,  1109,  2173,    66,    67,
     883,   380,  1881,  1047,   936,   778,   385,  1724,   887,  1008,
     391,  1285,  1286,  -693,  1738,   949,   949,  1816,  1817,  1910,
    1764,  -693,  -693,  -693,  -693,  1173,   214,   883,   150,  1911,
     214,  1765,  1766,  1157,   951,  2069,  2078,  2079,   218,  1468,
    1136,  1562,   218,     3,   883,  1751,     4,  1076,     5,   628,
     630,   151,   152,   153,  1151,  1118,  1178,  1099,    55,   398,
     399,   400,  1262,  2011,  1263,  1160,  1938,  -787,     6,     7,
       8,     9,  1131,   631,  1152,   425,   427,   428,   508,   509,
     510,     3,  1120,  1435,     4,   440,     5,  1154,   703,  1149,
     753,   753,  1115,    54,   451,   452,   219,  1739,   704,  1017,
     458,    55,  1837,  -703,  2078,  2079,     6,     7,     8,     9,
    -703,  -703,  -703,  -703,   282,  2070,  2071,   677,   219,  1159,
      71,   490,   491,  1489,   722,   494,  1153,  1838,  1839,   219,
     725,  1891,  1726,  1727,  -787,   370,  1181,  1788,  1892,   262,
    1633,  2020,   214,  1031,   884,  1830,  1831,   773,   978,  -703,
    1458,    86,   720,  1459,   218,   929,  1150,     3,  1032,   756,
       4,  1857,     5,   151,   152,   153,   929,   929,  1505,  1891,
      63,  1506,   318,   634,   635,  1893,  1892,   210,  1024,   271,
     588,   102,     6,     7,     8,     9,   649,   923,   389,   770,
     771,   388,   659,   402,    55,   757,   589,  1231,   923,   923,
     144,   617,  1296,  1526,  1505,  1298,   960,  1506,   370,  1894,
    1232,   650,  1855,  1893,  1264,   214,   389,   660,   895,   388,
    1525,   976,  1528,   370,  1855,   774,  1233,   218,   862,   389,
     214,    60,   388,  1644,   896,  1633,  1633,  1018,  1019,  1155,
     752,   752,   218,   409,   758,  1642,  1840,  1894,  1672,  1457,
       4,   870,     5,   636,   618,   619,   443,  -954,  1179,  -954,
     274,   275,   276,   277,   897,  1349,  1841,  1842,  1939,  1901,
    2143,   219,   265,  1436,  1265,   219,  1724,  1786,   257,   258,
     259,  -688,  1740,  1174,  1764,   210,  1347,  1752,  -688,  -688,
    -688,  -688,   210,   511,   395,  -654,     3,  1350,   210,     4,
     377,     5,   405,   406,   407,   408,     3,   210,  1490,     4,
       4,     5,     5,  1895,   210,  1469,  1470,  1283,  2067,  1348,
    2089,     6,     7,     8,     9,   441,  1740,  -688,  -222,  2058,
    1212,     6,     7,     8,     9,  1792,   210,  1951,  1025,  2138,
    1326,  1543,   466,   951,  2206,  2174,  2105,   475,   476,   477,
     952,  1895,   481,   380,  1515,   486,  2106,   280,  1291,  1516,
     210,   281,   378,   210,  -693,  2072,   385,   272,  1855,   273,
     938,   391,   210,  1234,  1790,   318,  1309,  1261,  1041,  -241,
     210,   403,   782,   404,  1891,  1500,   493,   219,  1033,  1310,
    2127,  1892,  1571,  1540,  1572,   283,   284,  1896,  1169,  2123,
    1501,   782,  1332,  1034,  2155,  2153,  1046,  1573,  1917,  -954,
     979,  1368,   980,  1370,  1158,  2154,  1502,  2009,  2034,   782,
     782,  1195,   257,   258,   259,  2002,   432,  1902,  1893,  2021,
     150,  1520,  1569,  1570,  1421,  1998,   513,  1013,  1725,   995,
    1950,  1521,  1246,  1247,  1035,  1675,  1309,  1363,   640,  2027,
     644,  1808,  2028,  -703,  1320,   782,    55,  1100,    55,  1580,
     219,  1294,  1894,   886,  -695,  1101,   863,   864,   865,  -954,
     767,  -695,  -695,  -695,  -695,   219,  1012,  -955,  -655,  -955,
     558,   938,   938,   938,   938,   938,   768,  1774,   938,   863,
     864,   865,   736,   737,   738,     3,   782,   642,     4,   981,
       5,   559,   221,     3,   983,  1321,     4,  1937,     5,  1775,
    -695,  1903,  1776,   938,   560,  1778,  1338,   747,   461,   708,
       6,     7,     8,     9,   221,   645,   646,   647,     6,     7,
       8,     9,   938,  1447,   723,   221,  1811,  1812,  1813,  1814,
    2000,  1955,  1626,  1452,  1307,    55,  -704,   215,   744,  1941,
      55,  1494,   745,  -704,  -704,  -704,  -704,   305,   628,  1500,
    1308,   401,  1450,  1483,   746,  1193,  1895,   776,  1204,   215,
     749,   214,   895,   307,  1501,  1519,  1626,   430,   308,  1322,
     215,   751,   631,   218,  1969,  1970,  1971,  1972,  1290,   222,
    1502,   305,  -704,  1488,   214,  1159,   454,   766,  2111,  1513,
     923,  1758,  1626,  1145,  -508,  2033,   218,   307,   628,   775,
    2112,   222,   308,  1210,   433,   778,   434,   305,   897,  1147,
    1148,  1258,   222,   968,   969,   970,  2114,  1787,  2113,  -955,
     224,  -688,   631,   307,   782,   782,  2022,  2023,   308,  1809,
    1243,  1810,   855,   856,  1249,   782,   801,  1244,     3,   225,
    2182,     4,   224,     5,   501,   502,   985,  1316,   150,  1520,
    1585,   226,   887,   224,   561,  1210,   892,  1259,  1276,  1524,
    1317,   225,  1318,     6,     7,     8,     9,   221,   893,  1444,
     894,   221,   225,   226,  1687,   997,   929,  1952,   884,  -955,
    1644,   942,  1633,  1633,   226,   282,    18,    19,  1731,  1732,
     628,  1256,  1642,  1257,  1316,  1218,   462,     4,   434,     5,
     954,   923,   923,   923,   923,   923,   214,  1328,   923,  1318,
     630,   943,   215,   463,   631,   955,   215,  1662,   218,  1328,
     929,  1318,     3,  1664,   886,     4,   792,     5,  1219,  2043,
    2044,  2045,  1583,   923,   956,    34,  1438,  1966,  1967,  1968,
     151,   152,   153,  1220,  1663,    35,  1372,     6,     7,     8,
       9,    36,   923,  1986,   222,  1935,  1976,   136,   222,   137,
    1674,  1416,  1645,  1373,   138,  1646,   139,   957,  1374,  1375,
     140,  1149,   769,  1432,  2108,    37,  1683,  1652,  1417,   857,
     503,   504,   858,   221,   505,  1327,   662,   958,  1221,  1329,
     770,   771,  1670,   291,   292,   224,   770,   771,   293,   224,
     663,   652,  -303,  1993,  -695,  1557,   219,   664,   210,   141,
    1418,   142,  1472,  1567,   225,  1280,   886,   653,   225,  1282,
    1576,   227,  1316,  -787,   782,   665,   226,   992,   215,   219,
     226,   666,   782,   634,   635,  1581,  1673,  1318,   654,  1695,
    1344,  1345,  1346,   374,   655,   595,   278,  1707,  1196,   596,
       4,  1369,     5,  1371,   374,  1946,   221,  1357,  -796,  1377,
     793,   794,   795,   796,   797,  1661,   456,   457,   591,  1376,
     222,   221,  1222,   925,  -797,  2004,   621,  2170,   592,   593,
    2005,   597,   598,  1647,   925,   925,  -704,   518,   519,   520,
     938,   938,   938,   938,   938,   938,   938,   938,   938,   938,
     938,   215,  1989,   150,  1520,  1982,   998,     3,   622,   623,
       4,   224,     5,   636,  1527,  1015,   215,  1534,  1535,  1169,
     600,  1472,  1016,     4,  1541,     5,  1984,  1882,   656,   657,
     225,  1021,     6,     7,     8,     9,  1023,  1566,  1568,   624,
     515,   516,   226,   222,  1574,  1568,  1577,  1579,  1106,   884,
    1133,   219,   601,   602,    73,   603,  2091,     4,   222,     5,
    1110,  1976,    74,     3,    75,  2092,     4,  1134,     5,    76,
      77,    78,   625,    79,  1393,   715,   716,   782,  1394,  1395,
    1396,   627,  1135,  2135,   224,   214,  2136,  1143,     6,     7,
       8,     9,  1713,   628,  1141,   629,   227,   218,  1170,   224,
     227,   787,   788,   225,   131,  1171,  1648,  1165,  -508,   132,
     133,  1175,  1729,   630,   550,   226,   551,   631,   225,  1762,
     632,   257,   258,   259,  1797,   134,  1172,  1821,   890,   891,
     226,     3,   563,   564,     4,   552,     5,  1176,  1544,  1185,
    1186,   884,  1189,   553,   554,   555,   556,   565,  1210,   566,
     567,   568,   876,   877,   878,  1883,     6,     7,     8,     9,
     877,   878,  1249,  1249,  1249,  1249,  1249,  1177,  1249,  1249,
    1180,  1912,   569,   570,   571,  1182,  1649,  1550,  1550,   938,
     151,   152,   153,  1793,  1794,  1784,  1915,  1785,   863,   864,
     865,   938,   214,   496,   214,  1884,   497,   498,   499,  1214,
    1789,  1202,  1913,   633,   218,   728,   218,   729,  1215,   730,
     731,  1927,   374,  1930,  1216,   582,  1225,   732,   733,  1239,
     923,   923,   923,   923,   923,   923,   923,   923,   923,   923,
     923,   583,  1245,   151,   152,   153,   634,   635,   370,   783,
     584,  1226,  1933,   938,  1227,   214,   585,   586,  1253,  1965,
     734,     3,  1251,  1252,     4,  1255,     5,   218,  1311,  1312,
    1254,   938,   938,    62,  1975,   449,  1867,   770,   771,  1584,
    1586,  1260,  1602,  1610,  1628,  1640,     6,     7,     8,     9,
      18,    19,  1846,  1847,  1848,   374,  1849,    80,  1587,  -999,
    1603,  1611,  1629,  1641, -1000,  1944,  1945,  1671,  1947,  1266,
     374,   522,    81,   523,   524,   525,   526,  1267,  1568,  1568,
     770,   771,   221,  1909,  1268,     4,   636,     5,    82,  1982,
    1386,  1387,   393,    83,  1269,    84,   397,  2029,  2030,    34,
     219,  1389,  1390,  1885,  1271,   221,  1424,  1425,  1272,    35,
    1281,   420,   393,  1678,  1679,    36,   782,  1426,  1427,  1279,
    1680,  1681,   778,  1498,  1313,  1159,  1963,   215,  1314,   447,
    1315,  2158,  1962,  1901,  1403,  1404,  1405,  1406,  1407,    37,
    1463,  1964,  1688,  1689,  1749,   150,  1520,   370,  1833,  1834,
    1194,  1319,  1696,  1325,   214,  1703,   925,  1708,   489,  1204,
    1714,  1309,  1980,  1330,  2188,   495,   218,   709,   951,   222,
    1697,  1339,   782,  1704,  1340,  1709,   710,   711,  1715,   923,
     712,   713,  2160,  2161,  1771,  1351,   370,  1886,  1988,   755,
    1341,   923,  1197,   214,  1552,  1553,  1342,  2055,  1961,  1343,
    1149,  1152,  2068,  1772,  1058,   218,  1352,   219,  2084,   219,
     224,   295,   296,   297,  1755,  1756,   300,  1036,  1037,  1038,
    1039,  1770,  1353,     3,  1354,  1355,     4,   221,     5,   225,
    1358,  1356,  1380,  1198,  1361,   370,  1472,  1365,  1382,  1384,
     782,   226,   214,   923,  1398,  1399,  1400,  1401,     6,     7,
       8,     9,   225,  1277,   218,  2159,  1392,  1410,  1820,  1195,
     219,   923,   923,  1413,   226,  1411,  1412,   925,   925,   925,
     925,   925,   215,  2053,   925,  1464,  1414,  1422,  1060,  1061,
    1465,  1063,  1064,  1065,  1066,  1067,  1068,  1069,  1070,  1071,
    1466,  1902,  1415,  1423,  1169,  1430,  1431,  1432,   214,   925,
    1434,  1439,  2129,  1829,   436,   437,   438,   439,  2131,  1440,
     218,  1441,  1442,  1815,   222,   214,  1449,  1454,   925,   895,
    1829,  1823,  1824,  1825,  1826,  1827,  2018,   218,   370,  2130,
    1471,  1479,  1481,  1484,  1495,   214,  1492,  1514,  1530,  1852,
    1853,  1854,  1533,  1539,  2145,  2146,  1547,   218,  1548,  1549,
    -654,  1861,  1862,  1863,  -655,   224,  1565,  1582,  1658,  1659,
     782,  1668,  1602,  1610,  1628,  1640,  1685,  1694,  1660,  2126,
    1676,  1677,  1720,  1721,   225,  1999,  1728,  1741,   528,   529,
    1603,  1611,  1629,  1641,  1745,  1743,   226,   530,   531,   532,
     533,   534,  1746,  1800,  1802,  1802,  1805,  1760,  1754,   219,
    1887,  1897,  1904,  1193,  1276,  1773,   938,   753,   753,   214,
     573,   227,   574,  1920,  1921,  1922,  1923,  1924,  1888,  1898,
    1905,   218,  2166,  2167,  2202,  1761,  1763,  1777,  1780,  1316,
    2204,   575,   214,  1782,   227,  1796,  1795,  1822,   219,   576,
     577,  1807,   578,     3,   218,  1832,     4,  1836,     5,   762,
    2128,  2203,   579,   580,  1864,  2192,  1866,  1878,  1858,  1169,
    -526,  1865,  1877,  1880,  1908,  2196,  1918,   214,     6,     7,
       8,     9,     3,  1926,  1928,     4,  1932,     5,  1940,   218,
    1942,   389,  1954,  1645,   388,  2197,  1646,   219,  1949,  1953,
    1957,  1959,  2144,  1974,  1991,  2001,  2010,     6,     7,     8,
       9,  2003,  2012,  2015,  2019,  2025,   221,   389,  2026,  2035,
     388,  2032,  1645,  2038,  2039,  1646,  2040,  1995,  2041,    88,
    2042,  2046,  2047,  2048,  1152,  2049,  2050,    89,  2088,    90,
    2090,    91,  2102,  2104,    92,    93,    94,  1977,    95,  1978,
    1979,  2100,  2107,   219,  2007,  2125,  2115,  2122,   467,  2116,
    2117,   215,  -255,  1983,  2013,   469,   227,   752,   752,  1985,
     219,  2016,   782,    18,    19,  2134,  1987,  2139,  2168,  1990,
      18,    19,  2201,  2140,  2169,  1996,  2172,  1702,  2190,  1299,
     219,  -256,  1887,  1897,  1904,  2193,  1139,  1301,  1305,  1300,
    1138,   370,  1030,   222,  1140,  1367,  1137,  1669,   214,  1303,
    1888,  1898,  1905,  1026,  1647,    70,  1653,   962,  1523,  1523,
     218,  1523,    34,   221,  1860,   221,  2205,  2054,  2171,    34,
    2052,     3,    35,  2118,     4,  2119,     5,  2120,    36,    35,
    2121,  2110,   214,  1647,   224,    36,   923,  2191,   415,   959,
    1804,   422,  1956,  2076,   218,  2082,     6,     7,     8,     9,
    1217,  1230,    37,   225,   219,  1943,   772,   214,   215,    37,
     215,  1645,  2051,  1931,  1646,   226,   221,   214,  2037,   218,
    1359,  1914,  2059,  1929,  1270,  2147,   961,   219,  2109,   218,
    1536,  1538,  1537,  1555,  1278,  1748,   925,   925,   925,   925,
     925,   925,   925,   925,   925,   925,   925,  1934,  1199,  1558,
     222,  2077,   222,  2083,     3,   750,  1284,     4,  1362,     5,
    1578,   215,   219,   707,  1730,  2093,  2094,  1511,  2095,  2096,
    2097,  2098,  2099,   972,   950,  2101,  1767,  1648,  1768,     6,
       7,     8,     9,   974,   464,   939,  2194,   214,   975,   760,
    1074,   224,  1829,   224,  1409,   764,   939,   939,   973,   218,
    1103,   765,    96,   222,     0,     0,  1648,     0,     0,     0,
     225,     0,   225,     0,     0,     0,  2124,    97,     0,     0,
       0,     0,   226,     0,   226,  2132,  2133,     0,     0,     0,
       0,     0,  1647,    98,     0,   370,     0,     0,    99,  2082,
     100,     0,   214,     0,   224,     0,     0,  1872,     0,     0,
       0,     0,  1428,  1429,   218,   221,   214,     0,     0,     0,
       0,  2164,  2189,   225,     0,     0,  1901,     0,   218,  1586,
    1610,  1628,  1640,     0,  2060,   226,  1876,  1696,  1703,  1708,
    1714,     0,  2163,     0,     0,   227,  2165,  1587,  1611,  1629,
    1641,     0,  1995,   219,   221,  1697,  1704,  1709,  1715,     0,
     215,  1478,  2175,     0,     0,     0,     0,  2176,  2177,  2178,
    2179,  2180,  1887,  1897,  1904,  2184,  2185,  2186,  2187,  1750,
       0,     0,     0,  2061,     0,   925,     0,   219,     0,     0,
    1888,  1898,  1905,  2195,     0,     0,     0,   925,     0,   215,
    1837,     0,   222,   221,     3,     0,  1507,     4,  1523,     5,
       0,  1523,   219,     0,  1523,  1648,     0,  2207,  2208,  2209,
       0,     0,   219,     0,     0,  1838,  1839,     0,     0,     6,
       7,     8,     9,     0,     0,     0,     0,     0,     0,     0,
       0,   222,     0,   224,     0,     0,     0,     0,   215,   925,
       0,     0,   227,     3,   227,     0,     4,     0,     5,   221,
       0,     0,   225,     0,     0,     0,     0,   925,   925,     0,
       0,     0,     0,     0,   226,     0,   221,     0,     6,     7,
       8,     9,   224,     0,  1902,  2152,     0,     0,     0,     0,
     222,     0,   219,     0,     0,     0,   221,     3,     0,     0,
       4,   225,     5,     0,   215,   374,     0,     0,     0,     0,
       0,     3,   471,   226,     4,     0,     5,     0,     0,     0,
       0,   215,     6,     7,     8,     9,     0,    18,    19,     0,
    1588,   224,  1605,  1615,  1631,  1643,     6,     7,     8,     9,
    1666,   215,     0,  1667,  1840,  1883,   222,   219,   951,     0,
     225,     0,     0,   782,     0,     0,     0,     0,     0,     0,
       0,   219,   226,   222,  1841,  1842,     0,     0,  2183,     3,
     221,     0,     4,     0,     5,     0,    34,     0,     0,     0,
       0,     0,  2062,   222,     0,  1884,    35,   224,     0,  1883,
       0,     0,    36,   221,     6,     7,     8,     9,  2063,     0,
       0,     0,     0,  2064,   224,  2065,   225,     0,     0,     0,
       0,     0,     0,     0,     0,   215,    37,     0,   226,     0,
       0,   473,     0,   225,   224,     0,     0,     0,   221,  1884,
       0,     0,     0,     0,     0,   226,    18,    19,  1194,  1277,
       0,     0,  1698,   225,   374,  1705,     0,  1710,     0,     0,
    1716,     0,     0,     0,     0,   226,   478,   222,   939,     0,
    1733,     0,  1734,  1735,     0,  1737,     0,     0,     0,     0,
       0,    18,    19,   215,     0,     0,     0,   482,     0,     0,
    1197,   484,     0,   374,     0,    34,     0,     0,     0,     0,
    1149,     0,    18,    19,     0,    35,    18,    19,   224,     0,
       0,    36,  1250,     0,     0,     0,     0,  1507,     0,     0,
       0,     0,     0,     0,     0,   222,     0,   225,     0,     0,
      34,  1198,     0,  1885,     0,    37,     0,     0,     0,   226,
      35,     0,   374,     0,     0,     0,    36,     0,     0,     0,
     225,    34,     0,   782,     0,    34,     0,     0,     0,     0,
       0,    35,   226,     0,     0,    35,   224,    36,  2156,   221,
      37,    36,     0,     0,     0,     0,     0,  1885,     0,   939,
     939,   939,   939,   939,     0,   225,   939,     0,     0,     0,
       0,    37,     0,     0,     0,    37,     0,   226,   227,     0,
       0,     0,   782,   221,     0,     0,     0,     0,     0,     0,
       0,   939,     0,     0,   215,   227,     0,  1997,     0,     0,
       0,     0,     0,     0,     0,  1164,     0,  1166,   221,     0,
     939,     0,     0,     0,     0,   374,     0,     0,   221,     0,
       0,     0,     0,     0,  1183,  1184,   782,  1188,   215,     0,
       0,     0,   925,  1200,  1201,     0,   222,     0,     0,     0,
     782,  2181,  1605,  1615,  1631,  1643,     0,     0,     0,     0,
       0,     0,     0,   215,     0,  2148,     0,     0,     0,     0,
    1152,     0,  1235,   215,  1238,     0,     0,     0,     0,     0,
     222,     0,     0,     0,     0,     0,     0,   224,  1121,  1122,
    1889,  1899,  1906,     0,     0,     0,     0,     0,   221,   227,
       0,     0,  1123,     0,     0,   222,   225,     0,   782,     0,
    1124,     0,     0,     0,     0,   222,     0,     0,   226,  1919,
       0,   224,   227,  2157,     0,     0,  1125,     0,     0,     0,
       0,     0,     0,   446,     0,   448,   450,     0,  1274,   453,
     225,   455,     0,   215,   459,   460,   224,     0,   468,   470,
     472,   474,   226,   221,     0,   479,   224,   227,   483,   485,
       0,     0,   605,     0,     0,   225,   492,   221,     0,     0,
       0,   606,     0,   805,     0,   225,     0,   226,     0,     0,
       0,     0,     0,     0,     0,   222,   607,   226,     0,     0,
     608,     0,     0,     0,   609,   610,     0,     0,   215,   611,
     612,   613,   614,   615,     0,  1056,   151,   152,   153,     0,
    1323,  1324,   215,   905,     0,     0,     3,   906,     0,     4,
    1057,     5,   907,     0,     0,     0,   224,     0,   908,     0,
       0,     0,   812,     0,     0,     0,     0,     0,     0,     0,
     222,     6,     7,     8,     9,   225,     0,     0,  1126,  1127,
    1128,   686,   911,     0,   222,  1617,     0,   226,     0,     0,
       0,     0,     0,     0,   696,   697,   698,     0,     0,  2008,
       0,     0,  1889,  1899,  1906,     0,     0,     0,     0,  2014,
       0,   224,     0,     0,  1058,     0,  2017,     0,   374,     0,
       0,     0,     0,     0,     0,   224,     0,     0,     0,     0,
     225,     0,     0,  1618,  1619,  1620,  1621,     0,  1622,     0,
       0,  1623,   226,     0,   225,     0,     0,     0,     0,     0,
       0,  2024,   227,     0,     0,     0,   226,     0,  1624,     0,
    1250,  1250,  1250,  1250,  1250,     0,  1250,  1250,     0,     0,
       0,     0,     0,     0,     0,  1551,  1551,   227,     0,     0,
       0,     0,     0,     0,     0,  1059,     0,   227,  1060,  1061,
    1062,  1063,  1064,  1065,  1066,  1067,  1068,  1069,  1070,  1071,
    1072,     0,     0,     0,     0,     0,     0,  1625,     0,     0,
    2085,  2086,  2087,   815,     0,     0,   816,   817,   939,   939,
     939,   939,   939,   939,   939,   939,   939,   939,   939,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2103,     0,
       0,     0,     0,     3,     0,     0,     4,     0,     5,     0,
       0,   819,   820,     0,     0,     0,     0,   227,     0,  1453,
       0,     0,     0,  1456,     0,     0,     0,     0,     6,     7,
       8,     9,     0,  1475,  1476,  1477,     0,     0,  1480,  1590,
    1482,     0,     0,     0,     0,     0,     0,     0,     0,  1591,
       0,     0,   210,     0,  1592,     0,  1593,     0,  1594,     0,
    1496,   536,   537,     0,     0,   538,     0,     0,     0,     0,
       0,     0,   374,   996,     0,  1626,   539,   540,   541,   542,
     543,   544,   545,   546,   547,     0,   227,     0,     0,     0,
     305,     0,     0,     0,     0,  1529,     0,  1531,     0,  1588,
    1615,  1631,  1643,  1532,     0,     0,   307,  1698,  1705,  1710,
    1716,   308,     0,     0,     0,     0,     0,     0,  1545,     0,
    1546,     0,    50,     0,     0,   548,     0,     0,     0,  1554,
       0,  1556,    61,    50,    50,    64,    64,    64,    68,     0,
       0,    50,  1889,  1899,  1906,   782,     0,     0,     0,     0,
       0,     0,     0,     0,  2198,  2199,  2200,     0,     0,     0,
    1627,     0,     0,     0,  1595,     0,     0,   939,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   939,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    50,     0,     0,   396,    50,    64,    64,    64,
      68,     0,     0,     0,     0,     0,     0,    50,     0,   411,
     416,   419,    50,   424,    64,    64,   429,     0,   411,   411,
     411,   411,     0,    64,     0,     0,     0,   445,     0,    50,
       0,   939,    64,    64,     0,    68,     0,     0,    64,     0,
       0,     0,     0,     3,     0,     0,     4,     0,     5,   939,
     939,     0,     0,     0,     0,     0,     0,   488,    50,    64,
      64,     0,     0,    64,     0,    50,     0,     0,     6,     7,
       8,     9,  1596,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1617,     0,     0,     0,     0,  1597,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1598,     0,     0,     0,     0,  1599,     0,
    1600,     0,  1718,  1719,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1618,  1619,  1620,  1621,     0,  1622,     0,     0,  1623,  1736,
       0,     3,   782,     0,     4,     0,     5,     0,     0,     0,
       0,     0,     0,  1753,     0,  1624,     0,  1601,     0,     0,
       0,     0,     0,     0,     0,     0,     6,     7,     8,     9,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1617,     0,     0,     0,     0,     0,     0,     0,  1779,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1625,  1781,     0,  1783,     0,     0,
       0,     0,     3,     0,     0,     4,     0,     5,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1618,  1619,
    1620,  1621,     0,  1622,   146,     0,  1623,     6,     7,     8,
       9,   147,   148,     0,     0,     0,   288,   149,   289,     0,
       0,     0,     0,  1624,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   290,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   291,   292,     0,     0,     0,   293,     0,
       0,   294,     0,     0,     0,     0,     0,     0,     0,   295,
     296,   297,   298,   299,   300,     0,     0,     0,     0,     0,
       0,     0,  1625,     0,  1606,     0,     0,     0,   301,     0,
     302,     0,  1626,   150,   151,   152,   153,     0,     0,   154,
       0,   155,     0,     0,  1607,   156,     0,   305,     0,     0,
     157,     0,     0,     0,     0,     0,   158,     0,     0,     0,
       0,     0,     0,   307,     0,     0,     0,     0,   308,     0,
       0,     0,   159,     0,     0,     0,     0,   160,     0,     0,
     161,     0,     0,     0,     0,   162,     0,     0,   163,     0,
     994,   164,   165,  1608,     0,     0,   166,    64,  1916,   167,
       0,   168,   782,     0,     0,     0,     0,     0,  1000,     0,
    1001,     0,  1002,     0,  1003,     3,     0,  1870,     4,  1007,
       5,     0,     0,  1009,   761,  1010,   169,   170,     0,     0,
    1626,     0,  1936,     0,    64,     0,     0,     0,     0,     0,
       6,     7,     8,     9,   939,   305,   678,   679,     0,     0,
     680,     0,     0,     0,  1634,     0,     0,     0,  1948,     0,
       0,   307,   171,   172,   173,   174,   308,     0,   681,     0,
       0,   175,   176,     0,     0,   177,   178,   303,   180,   181,
     182,   183,   184,   185,   186,   187,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,     0,
     782,   304,     0,  1635,     0,  1636,     0,  1622,     0,     0,
    1623,     0,     0,     0,     0,  2150,   305,     0,     0,     0,
       0,     0,     0,     0,   762,     0,   306,  1637,     0,     0,
       0,     0,   307,     0,     0,     0,     0,   308,     0,     0,
       0,     0,     0,   202,   203,     0,   309,     0,     0,   310,
     311,   312,   313,     0,     0,     0,   314,     0,     0,     0,
     315,   316,   204,     0,     0,     0,   205,   206,     0,     3,
       0,   782,     4,     0,     5,   317,  1638,     0,   207,   208,
       0,     0,   682,     0,     0,   318,  1609,   209,     0,     0,
     210,   146,     0,     0,     6,     7,     8,     9,   147,   148,
       0,     0,     0,   288,   149,   289,   683,   684,   685,   686,
     687,   688,   763,   689,   690,   691,   692,   693,   694,   695,
     290,     0,   696,   697,   698,     0,     0,  2031,     0,     0,
     291,   292,     0,     0,     0,   293,     0,     0,   294,     0,
       0,     0,     0,   699,     0,     0,   295,   296,   297,   298,
     299,   300,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1606,     0,     0,     0,   301,     0,   302,     0,     0,
     150,   151,   152,   153,     0,     0,   154,     0,   155,     0,
       0,  1607,   156,     0,  1626,     0,     0,   157,     0,     0,
       0,     0,     0,   158,     0,     0,     0,     0,     0,   305,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   159,
       0,     0,     0,     0,   160,   307,     0,   161,     0,     0,
     308,     0,   162,     0,     0,   163,     0,     0,   164,   165,
    1608,     0,     0,   166,     0,     0,   167,     0,   168,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     3,     0,   782,     4,     0,     5,     0,     0,
       0,     0,     0,   169,   170,     0,     0,     0,     0,  1639,
       0,     0,     0,     0,     0,     0,     0,     6,     7,     8,
       9,     0,     0,   678,   679,     0,     0,   680,     0,     0,
       0,  1634,     0,     0,     0,     0,     0,     0,     0,   171,
     172,   173,   174,     0,     0,   681,     0,     0,   175,   176,
       0,     0,   177,   178,   303,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,     0,     0,   304,     0,
    1635,     0,  1636,     0,  1622,     0,     0,  1623,     0,     0,
       0,     0,     0,   305,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   306,  1637,     0,     0,     0,     0,   307,
       0,     0,     0,     0,   308,     0,     0,     0,     0,     0,
     202,   203,     0,   309,     0,     0,   310,   311,   312,   313,
       0,     0,     0,   314,     0,     0,     0,   315,   316,   204,
       0,     0,     0,   205,   206,     0,     3,     0,   782,     4,
       0,     5,   317,  1638,     0,   207,   208,     0,     0,   682,
       0,     0,   318,  1869,   209,     0,     0,   210,   146,     0,
       0,     6,     7,     8,     9,   147,   148,     0,     0,  1360,
     288,   149,   289,   683,   684,   685,   686,   687,   688,     0,
     689,   690,   691,   692,   693,   694,   695,   290,     0,   696,
     697,   698,     0,     0,     0,     0,     0,   291,   292,     0,
       0,     0,   293,     0,     0,   294,     0,     0,     0,     0,
     699,     0,     0,   295,   296,   297,   298,   299,   300,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1606,     0,
       0,     0,   301,     0,   302,     0,     0,   150,   151,   152,
     153,     0,     0,   154,     0,   155,     0,     0,  1607,   156,
       0,  1626,     0,     0,   157,     0,     0,     0,     0,     0,
     158,     0,     0,     0,     0,     0,   305,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   159,     0,     0,     0,
       0,   160,   307,     0,   161,     0,     0,   308,     0,   162,
       0,     0,   163,     0,     0,   164,   165,  1608,     0,     0,
     166,     0,     0,   167,     0,   168,     0,     3,     0,     0,
       4,     0,     5,     0,     0,     0,     0,     0,     0,     0,
       0,   782,     0,     0,     0,     0,     0,     0,     0,     0,
     169,   170,     6,     7,     8,     9,  1871,     0,     0,     0,
       0,     0,     0,  1590,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1591,     0,     0,     0,     0,  1592,     0,
    1593,     0,  1594,     0,     0,     0,   171,   172,   173,   174,
       0,     0,     0,     0,     0,   175,   176,     0,     0,   177,
     178,   303,   180,   181,   182,   183,   184,   185,   186,   187,
     188,   189,   190,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,     0,     0,   304,     0,     3,     0,     0,
       4,     0,     5,     0,     0,     0,     0,     0,     0,     0,
     305,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     306,     0,     6,     7,     8,     9,   307,     0,     0,     0,
       0,   308,     0,     0,     0,     0,  1634,   202,   203,     0,
     309,     0,     0,   310,   311,   312,   313,     0,     0,     0,
     314,     0,     0,     0,   315,   316,   204,     0,  1595,     0,
     205,   206,     0,     0,     4,   782,     5,     0,     0,   317,
       0,     0,   207,   208,     0,     0,     0,     0,     0,   318,
    2149,   209,     0,   146,   210,  1635,     0,  1636,     0,  1622,
     147,   148,  1623,     0,     0,   288,   149,   289,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1637,
       0,     0,   290,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   291,   292,     0,     0,     0,   293,     0,     0,
     294,     0,     0,     0,     0,     0,     0,     0,   295,   296,
     297,   298,   299,   300,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   301,  1638,   302,
       0,     0,   150,   151,   152,   153,  1596,     0,   154,     0,
     155,     0,     0,     0,   156,     0,    10,     0,     0,   157,
       0,  1597,     0,     0,    11,   158,    12,     0,    13,     0,
       0,    14,    15,    16,     0,    17,     0,  1598,     0,    18,
      19,   159,  1599,     0,  1600,     0,   160,     0,     0,   161,
       0,     0,     0,     0,   162,     0,     0,   163,     0,     0,
     164,   165,     0,     0,     0,   166,     0,     0,   167,     0,
     168,     0,     0,     0,     0,     0,   782,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    34,     0,
       0,  1868,     0,     0,     0,   169,   170,     0,    35,     0,
       0,     0,     0,     0,    36,     0,  1626,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   305,     0,     0,     0,     0,     0,     0,    37,     0,
       0,   171,   172,   173,   174,     0,     0,   307,     0,     0,
     175,   176,   308,     0,   177,   178,   303,   180,   181,   182,
     183,   184,   185,   186,   187,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,     0,     0,
     304,     0,   804,     0,     0,     0,   782,     0,     0,     0,
       0,     0,     0,     0,     0,   305,     0,     0,     0,     0,
     146,  2151,     0,     0,     0,   306,     0,     0,   148,     0,
       0,   307,     0,   149,     0,     0,   308,     0,     0,     0,
       0,     0,   202,   203,     0,   309,     0,     0,   310,   311,
     312,   313,     0,     0,     0,   314,     0,     0,     0,   315,
     316,   204,     0,     0,     0,   205,   206,   805,     0,     0,
       0,     0,     0,     0,   317,     0,     0,   207,   208,    38,
       0,   806,     0,   807,   318,  1769,   209,     0,     0,   210,
       0,     0,     0,     0,    39,     0,     0,     0,     0,   150,
     151,   152,   153,     0,     0,   154,     0,   808,     0,     0,
      40,   809,     0,     0,     0,    41,   810,    42,     0,     0,
       0,     0,   811,     0,     0,     0,   812,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   159,     0,
       0,     0,     0,   160,     0,     0,   813,     0,     0,     0,
    1078,   162,     0,     0,   163,     0,     0,   164,   165,     0,
       0,     0,   166,     0,     0,   167,     0,   168,  1079,  1080,
    1081,  1082,  1083,  1084,  1085,  1086,  1087,  1088,  1089,  1090,
    1091,  1092,  1093,  1094,  1095,     0,     0,     0,     0,     0,
       0,     0,   169,   170,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1161,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   146,     0,     0,     0,     0,     0,     0,   814,   148,
       0,     0,     0,     0,   149,     0,     0,     0,     0,     0,
       0,     0,     0,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,     0,     0,   201,   805,     0,
       0,     0,     0,     0,     0,     0,     0,   815,     0,     0,
     816,   817,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   818,     0,     0,     0,     0,     0,     0,
     150,   151,   152,   153,     0,     0,   154,     0,   808,   202,
     203,     0,   809,     0,     0,   819,   820,   810,     0,     0,
       0,     0,     0,  1162,     0,     0,     0,   812,   204,     0,
       0,     0,   205,   206,     0,     0,     0,     0,     0,   159,
       0,     0,   821,   822,   160,   674,     0,  1163,     0,     0,
       0,     0,   162,   823,     0,   163,   210,     0,   164,   165,
       0,     0,     0,   166,     0,     0,   167,     0,   168,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   169,   170,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1237,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   146,     0,     0,     0,     0,     0,     0,   814,
     148,     0,     0,     0,     0,   149,     0,     0,     0,     0,
       0,     0,     0,     0,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,     0,     0,   201,   805,
       0,     0,     0,     0,     0,     0,     0,     0,   815,     0,
       0,   816,   817,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   150,   151,   152,   153,     0,     0,   154,     0,   808,
     202,   203,     0,   809,     0,     0,   819,   820,   810,     0,
       0,     0,     0,     0,  1162,     0,     0,     0,   812,   204,
       0,     0,     0,   205,   206,     0,     0,     0,     0,     0,
     159,     0,     0,   821,   822,   160,   674,     0,  1163,     0,
       0,     0,     0,   162,   823,     0,   163,   210,     0,   164,
     165,     0,     0,     0,   166,     0,     0,   167,     0,   168,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   169,   170,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1273,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   146,     0,     0,     0,     0,     0,     0,
     814,   148,     0,     0,     0,     0,   149,     0,     0,     0,
       0,     0,     0,     0,     0,   179,   180,   181,   182,   183,
     184,   185,   186,   187,   188,   189,   190,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,     0,     0,   201,
     805,     0,     0,     0,     0,     0,     0,     0,     0,   815,
       0,     0,   816,   817,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   150,   151,   152,   153,     0,     0,   154,     0,
     808,   202,   203,     0,   809,     0,     0,   819,   820,   810,
       0,     0,     0,     0,     0,  1162,     0,     0,     0,   812,
     204,     0,     0,     0,   205,   206,     0,     0,     0,     0,
       0,   159,     0,     0,   821,   822,   160,   674,     0,  1163,
       0,     0,     0,     0,   162,   823,     0,   163,   210,     0,
     164,   165,     0,     0,     0,   166,     0,     0,   167,     0,
     168,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   169,   170,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1455,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   146,     0,     0,     0,     0,     0,
       0,   814,   148,     0,     0,     0,     0,   149,     0,     0,
       0,     0,     0,     0,     0,     0,   179,   180,   181,   182,
     183,   184,   185,   186,   187,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,     0,     0,
     201,   805,     0,     0,     0,     0,     0,     0,     0,     0,
     815,     0,     0,   816,   817,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   150,   151,   152,   153,     0,     0,   154,
       0,   808,   202,   203,     0,   809,     0,     0,   819,   820,
     810,     0,     0,     0,     0,     0,  1162,     0,     0,     0,
     812,   204,     0,     0,     0,   205,   206,     0,     0,     0,
       0,     0,   159,     0,     0,   821,   822,   160,   674,     0,
    1163,     0,     0,     0,     0,   162,   823,     0,   163,   210,
       0,   164,   165,     0,     0,     0,   166,     0,     0,   167,
       0,   168,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   169,   170,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   898,   899,   900,   901,   902,   903,     0,     0,     0,
       0,   904,     0,     0,     0,   883,     0,     0,     0,     0,
       0,     0,   814,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   179,   180,   181,
     182,   183,   184,   185,   186,   187,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,     0,
       0,   201,   805,     0,     0,     0,     0,     0,     0,     0,
       0,   815,     0,     0,   816,   817,     0,     0,     0,     0,
       0,     0,  1203,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   150,   151,   152,   153,     0,     0,
       0,     0,   905,   202,   203,     0,   906,     0,     0,   819,
     820,   907,     0,     0,     0,     0,     0,   908,     0,     0,
       0,   812,   204,     0,     0,     0,   205,   206,     0,     0,
    1203,   805,     0,   909,     0,     0,   821,   822,   910,   674,
       0,   911,     0,     0,     0,     0,   912,   823,     0,   913,
     210,     0,   914,   915,     0,     0,     0,   916,     0,     0,
     917,     0,   918,   150,   151,   152,   153,     0,     0,     0,
       0,   905,     0,     0,     0,   906,     0,     0,     0,   805,
     907,     0,     0,     0,     0,     0,   908,   919,   920,     0,
     812,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   909,     0,     0,     0,     0,   910,     0,     0,
     911,   150,   151,   152,   153,   912,     0,     0,   913,   905,
       0,   914,   915,   906,     0,     0,   916,     0,   907,   917,
       0,   918,     0,     0,   908,     0,     0,     0,   812,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     909,     0,     0,     0,     0,   910,   919,   920,   911,     0,
       0,     0,     0,   912,     0,     0,   913,     0,     0,   914,
     915,     0,   815,     0,   916,   816,   817,   917,     0,   918,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   919,   920,     0,     0,     0,     0,
     819,   820,     0,   921,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   821,   822,     0,
       0,   815,     0,     0,   816,   817,   318,     0,   922,     0,
       0,   210,     0,   944,   883,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   819,
     820,     0,   921,     0,     0,     0,     0,     0,     0,   815,
       0,     0,   816,   817,     0,     0,     0,     0,     0,     0,
       0,   805,     0,     0,     0,     0,   821,   822,     0,     0,
       0,     0,     0,     0,     0,   318,     0,   922,     0,     0,
     210,     0,     0,     0,     0,     0,     0,   819,   820,     0,
     921,     0,     0,   150,   151,   152,   153,     0,     0,     0,
       0,   905,     0,     0,     0,   906,     0,     0,     0,     0,
     907,     0,     0,     0,   821,   822,   908,     0,     0,     0,
     812,     0,     0,     0,     0,   922,     0,     0,   210,     0,
       0,     0,   909,     0,     0,     0,     0,   910,     0,     0,
     911,     0,     0,     0,     0,   912,     0,     0,   913,     0,
     146,   914,   915,     0,     0,     0,   916,   147,   148,   917,
       0,   918,   288,   149,   289,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   290,
       0,     0,     0,     0,     0,     0,   919,   920,     0,   291,
     292,     0,     0,     0,   293,     0,     0,   294,     0,     0,
       0,     0,     0,     0,     0,   295,   296,   297,   298,   299,
     300,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   301,     0,   302,     0,     0,   150,
     151,   152,   153,     0,     0,   154,     0,   155,     0,     0,
       0,   156,     0,     0,     0,     0,   157,     0,     0,     0,
       0,     0,   158,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   159,     0,
       0,   815,     0,   160,   816,   817,   161,     0,     0,     0,
       0,   162,     0,     0,   163,     0,     0,   164,   165,     0,
       0,     0,   166,     0,     0,   167,     0,   168,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   819,
     820,     0,   921,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   169,   170,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   821,   822,     0,     0,
       0,     0,     0,     0,     0,   945,     0,   922,     0,     0,
     210,     0,     0,     0,     0,     0,     0,     0,   171,   172,
     173,   174,     0,     0,     0,     0,     0,   175,   176,     0,
       0,   177,   178,   303,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,     0,     0,   304,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   146,     0,
       0,     0,   305,     0,     0,   147,   148,     0,     0,     0,
       0,   149,   306,     0,     0,     0,     0,     0,   307,     0,
       0,     0,     0,   308,     0,     0,     0,     0,     0,   202,
     203,     0,   309,     0,     0,   310,   311,   312,   313,     0,
       0,     0,   314,     0,     0,     0,   315,   316,   204,     0,
       0,     0,   205,   206,     0,     0,     0,     0,     0,     0,
       0,   317,     0,     0,   207,   208,     0,     0,     0,     0,
       0,   318,     0,   209,     0,     0,   210,   150,   151,   152,
     153,     0,     0,   154,     0,   155,     0,     0,     0,   156,
       0,     0,     0,     0,   157,     0,     0,     0,     0,     0,
     158,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   159,     0,     0,     0,
       0,   160,     0,     0,   161,     0,     0,     0,     0,   162,
       0,     0,   163,     0,     0,   164,   165,     0,     0,     0,
     166,     0,     0,   167,     0,   168,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     169,   170,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     146,     0,     0,     0,     0,     0,     0,   147,   148,     0,
       0,     0,     0,   149,     0,     0,   171,   172,   173,   174,
       0,     0,     0,     0,     0,   175,   176,     0,     0,   177,
     178,   179,   180,   181,   182,   183,   184,   185,   186,   187,
     188,   189,   190,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,     0,     0,   201,     0,     0,     0,     0,
       0,     0,     0,  2056,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   150,
     151,   152,   153,     0,     0,   154,     0,   155,     0,     0,
       0,   156,     0,     0,     0,     0,   157,   202,   203,     0,
       0,     0,   158,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   204,     0,   159,     0,
     205,   206,     0,   160,     0,     0,   161,     0,     0,     0,
       0,   162,   207,   208,   163,     0,     0,   164,   165,   318,
       0,   209,   166,     0,   210,   167,     0,   168,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   146,
       0,     0,   169,   170,     0,     0,   147,   148,     0,     0,
       0,     0,   149,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   171,   172,
     173,   174,     0,     0,     0,     0,     0,   175,   176,     0,
       0,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,     0,     0,   201,   150,   151,
     152,   153,     0,     0,   154,     0,   155,     0,     0,   104,
     156,     0,     0,     0,   105,   157,     0,   106,   107,   108,
     109,   158,     0,   110,   111,     0,   112,   113,   114,     0,
     115,     0,     0,     0,     0,     0,     0,   159,     0,   202,
     203,     0,   160,     0,     0,   161,     0,     0,     0,     0,
     162,     0,     0,   163,     0,     0,   164,   165,   204,     0,
       0,   166,   205,   206,   167,     0,   168,     0,     0,   116,
       0,   117,   118,   119,   207,   208,     0,     0,     0,     0,
       0,     0,     0,   209,     0,     0,   210,     0,   146,     0,
       0,   169,   170,     0,     0,     0,   148,     0,     0,     0,
       0,   149,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   171,   172,   173,
     174,     0,     0,     0,     0,   805,   175,   176,     0,     0,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
     187,   188,   189,   190,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,     0,     0,   201,   150,   151,   152,
     153,     0,     0,   154,     0,   808,     0,     0,     0,   809,
       0,     0,     0,     0,   810,     0,     0,     0,     0,     0,
    1162,     0,     0,     0,   812,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   159,     0,   202,   203,
       0,   160,     0,     0,  1163,     0,     0,     0,     0,   162,
       0,     0,   163,     0,     0,   164,   165,   204,     0,     0,
     166,   205,   206,   167,     0,   168,     0,     0,     0,     0,
       0,     0,   120,   207,   208,     0,     0,     0,     0,     0,
       0,     0,   209,     0,     0,   210,     0,   121,     0,     0,
     169,   170,   122,   123,   124,   125,     0,     0,     0,     0,
       0,     0,     0,   126,     0,     0,     0,     0,   127,     0,
     128,   129,     0,     0,     0,     0,     0,     0,     0,   883,
       0,     0,     0,     0,     0,     0,   814,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   179,   180,   181,   182,   183,   184,   185,   186,   187,
     188,   189,   190,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,     0,     0,   201,   805,     0,     0,     0,
       0,     0,     0,     0,     0,   815,     0,     0,   816,   817,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   150,   151,
     152,   153,     0,     0,     0,     0,   905,   202,   203,     0,
     906,     0,     0,   819,   820,   907,     0,     0,     0,     0,
       0,   908,     0,     0,     0,   812,   204,     0,     0,     0,
     205,   206,     0,     0,     0,     0,     0,   909,     0,     0,
     821,   822,   910,   674,     0,   911,     0,     0,     0,     0,
     912,   823,     0,   913,   210,     0,   914,   915,     0,     2,
       3,   916,     0,     4,   917,     5,   918,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     6,     7,     8,     9,     0,
       0,   919,   920,     0,     0,     0,    10,     0,     0,     0,
       0,     0,     0,     0,    11,     0,    12,     0,    13,     0,
       0,    14,    15,    16,     0,    17,     0,     0,     0,    18,
      19,    20,     0,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    30,    31,    32,    33,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  -395,     0,     0,     0,     0,     0,    34,     0,
       0,     0,     0,     0,     0,     0,   815,     0,    35,   816,
     817,     0,     0,     0,    36,     0,     0,     0,   805,     0,
       0,     0,     0,     0,     0,     0,   295,   296,   297,  1755,
    1756,   300,     0,     0,     0,     0,     0,     0,    37,     0,
       0,     0,     0,     0,   819,   820,     0,   921,     0,     0,
     150,   151,   152,   153,     0,     0,     0,     0,   905,     0,
       0,     0,   906,     0,     0,     0,   805,   907,     0,     0,
       0,   821,   822,   908,     0,     0,     0,   812,     0,     0,
     318,     0,   922,     0,     0,   210,     0,     0,     0,   909,
       0,     0,     0,     0,   910,     0,     0,   911,   150,   151,
     152,   153,   912,     0,     0,   913,   905,     0,   914,   915,
     906,     0,     0,   916,     0,   907,   917,     0,   918,     0,
       0,   908,     0,     0,     0,   812,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   909,     0,     0,
       0,     0,   910,   919,   920,   911,     0,     0,     0,     0,
     912,     0,     0,   913,     0,     0,   914,   915,     0,    38,
       0,   916,     0,     0,   917,     0,   918,     0,     0,     0,
     805,     0,     0,     0,    39,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      40,   919,   920,     0,     0,    41,     0,    42,     0,     0,
       0,     0,  1575,   151,   152,   153,     0,     0,     0,     0,
     905,     0,     0,     0,   906,   668,     0,     0,     0,   907,
       0,     0,     0,     0,     0,   908,     0,     0,   815,   812,
       0,   816,   817,     0,     0,     0,     0,     0,     0,     0,
       0,   909,   669,     0,   759,   670,   910,     0,     0,   911,
       0,     0,     0,     0,   912,     0,     0,   913,     0,     0,
     914,   915,   671,     0,     0,   916,   819,   820,   917,   921,
     918,   669,     0,     0,   670,     0,   815,     0,     0,   816,
     817,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   671,     0,   821,   822,   919,   920,     0,     0,     0,
       0,     0,     0,     0,   922,     0,     0,   210,     0,     0,
       0,     0,     0,     0,   819,   820,     0,   921,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   821,   822,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   922,     0,     0,   210,     0,     0,     0,   180,
     181,   182,   183,   184,   185,   186,   187,   188,   189,   190,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     815,     0,     0,   816,   817,     0,     0,     0,   180,   181,
     182,   183,   184,   185,   186,   187,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   819,   820,
     672,   921,     0,     0,   202,   203,     0,     0,     0,     0,
       0,     0,     0,     0,   673,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   821,   822,     0,     0,   672,
       0,     0,     0,   202,   203,     0,   922,     0,     0,   210,
     674,     0,     0,   673,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   674
};

static const yytype_int16 yycheck[] =
{
       1,    30,     3,   205,   475,    66,    30,   329,    66,   410,
     477,   324,   400,    30,    52,    36,    52,   398,     1,   399,
     321,    37,   299,    52,   581,    63,   401,    63,   916,   366,
     773,   476,   779,   636,    63,    52,   345,   743,   918,   876,
     441,   486,   288,   805,  1192,    46,    63,   427,   675,  1340,
      32,   521,   209,    54,   105,   430,   107,    58,   109,   110,
     440,  1341,   113,  1336,   115,  1335,  1336,   118,   119,   352,
     316,   122,   123,   124,   125,  1336,   782,  1343,   129,  1342,
     366,   132,   133,   405,   397,  1281,   381,   793,  1152,   140,
    1356,   797,   338,  1280,    35,   920,  1449,  1660,  1658,     7,
       8,     9,   522,  1445,  1204,  1205,  1445,   366,  1659,   823,
     608,  1211,  1498,  1283,   436,   342,  1637,   344,   377,   378,
     639,   892,   641,   893,   643,  1430,  1431,  1634,   896,   648,
     550,  1562,     7,   760,  1835,  1459,   894,     7,   558,     4,
      48,     7,    50,   179,   466,    58,   644,     7,    15,    16,
      23,    59,  1684,   573,   366,     4,    64,  1461,    45,   481,
      68,   890,   891,     7,    20,   377,   378,    78,    79,  1700,
    1503,    15,    16,    17,    18,    96,   205,    23,   102,  1701,
     209,  1505,  1506,   742,    38,    22,   103,   104,   205,  1170,
     709,  1291,   209,     1,    23,    84,     4,   617,     6,   125,
     145,   103,   104,   105,   740,   672,   102,   627,   103,    76,
      77,    78,    84,  1893,    86,   743,   102,   287,    26,    27,
      28,    29,   700,   149,   302,    92,    93,    94,    32,    33,
      34,     1,   699,   159,     4,   102,     6,   741,   322,   287,
     298,   299,   662,   104,   111,   112,    30,   103,   332,   113,
     117,   103,   103,     8,   103,   104,    26,    27,    28,    29,
      15,    16,    17,    18,    57,   102,   103,   303,    52,   975,
      49,   138,   139,   103,   256,   142,   354,   128,   129,    63,
     262,    89,  1469,  1470,   354,   321,   764,  1560,    96,    58,
    1560,   103,   321,   110,   352,  1619,  1620,    84,    57,    54,
      89,    49,   210,    92,   321,   366,   354,     1,   125,    62,
       4,  1635,     6,   103,   104,   105,   377,   378,    89,    89,
      13,    92,   354,   268,   269,   133,    96,   359,   126,    89,
     143,    53,    26,    27,    28,    29,   127,   366,   399,   304,
     305,   399,   127,    89,   103,    98,   159,   141,   377,   378,
      47,   113,   909,  1233,    89,   912,   394,    92,   394,   167,
     154,   152,  1632,   133,   236,   394,   427,   152,     8,   427,
    1232,   409,  1234,   409,  1644,   162,   170,   394,    84,   440,
     409,    10,   440,  1656,    24,  1655,  1656,   251,   252,   354,
     298,   299,   409,    86,   302,  1656,   247,   167,  1379,  1167,
       4,    84,     6,   348,   166,   167,   457,    84,   304,    86,
      39,    40,    41,    42,    54,   974,   267,   268,   304,   113,
    2100,   205,   103,   349,   296,   209,  1730,     5,   341,   342,
     343,     8,   288,   354,  1767,   359,   972,   326,    15,    16,
      17,    18,   359,   247,    73,    22,     1,   975,   359,     4,
     353,     6,    81,    82,    83,    84,     1,   359,   288,     4,
       4,     6,     6,   271,   359,  1171,  1172,   354,  1989,   973,
    2002,    26,    27,    28,    29,   104,   288,    54,   354,  1986,
     355,    26,    27,    28,    29,   355,   359,     5,   286,   355,
     355,  1259,   121,    38,  2195,   355,  2027,   126,   127,   128,
     354,   271,   131,   411,   143,   134,  2028,   415,   354,   148,
     359,   419,   353,   359,   358,   352,   424,   277,  1788,   279,
     779,   429,   359,   317,  1955,   354,     7,   836,   549,   354,
     359,   277,   340,   279,    89,   270,    45,   321,   110,    20,
    2061,    96,  1313,  1257,  1314,   338,   339,   355,   750,  2056,
     285,   340,   953,   125,  2117,  2115,   572,  1315,  1728,   236,
      57,  1031,    57,  1033,   354,  2116,   301,  1891,  1954,   340,
     340,   773,   341,   342,   343,  1880,    89,   271,   133,  1932,
     102,   103,  1311,  1312,  1103,   355,   132,   495,  1468,   456,
    1786,   113,   819,   820,   535,  1420,     7,  1017,   236,  1941,
     162,    89,  1941,   358,   941,   340,   103,   628,   103,    20,
     394,   897,   167,   896,     8,   631,   322,   323,   324,   296,
     286,    15,    16,    17,    18,   409,   493,    84,    22,    86,
     113,   890,   891,   892,   893,   894,   302,  1517,   897,   322,
     323,   324,   271,   272,   273,     1,   340,   236,     4,    57,
       6,   134,    30,     1,    57,   941,     4,  1757,     6,  1521,
      54,   355,  1524,   922,   147,  1527,   961,    84,    89,   333,
      26,    27,    28,    29,    52,   237,   238,   239,    26,    27,
      28,    29,   941,  1154,   342,    63,  1597,  1598,  1599,  1600,
    1877,  1791,   270,  1160,   921,   103,     8,    30,   102,  1763,
     103,  1199,   102,    15,    16,    17,    18,   285,   125,   270,
     922,    79,  1157,  1184,   102,   773,   271,    84,   779,    52,
     286,   750,     8,   301,   285,  1223,   270,    95,   306,   941,
      63,   170,   149,   750,  1811,  1812,  1813,  1814,   895,    30,
     301,   285,    54,  1188,   773,  1451,   114,   286,  2039,  1219,
     779,  1498,   270,   735,   102,  1951,   773,   301,   125,    84,
    2040,    52,   306,  1510,   277,     4,   279,   285,    54,   737,
     738,     8,    63,   402,   403,   404,  2042,   355,  2041,   236,
      30,   358,   149,   301,   340,   340,  1934,  1935,   306,   277,
     811,   279,    38,    39,   823,   340,   316,   813,     1,    30,
     355,     4,    52,     6,   111,   112,   435,     7,   102,   103,
     355,    30,    45,    63,   297,  1562,    17,    54,   876,   113,
      20,    52,    22,    26,    27,    28,    29,   205,    18,  1151,
     358,   209,    63,    52,  1437,   464,   897,   355,   896,   296,
    2113,    52,  2112,  2113,    63,    57,    60,    61,  1475,  1476,
     125,    20,  2113,    22,     7,    77,   277,     4,   279,     6,
     354,   890,   891,   892,   893,   894,   895,    20,   897,    22,
     145,    52,   205,   294,   149,   354,   209,  1348,   895,    20,
     941,    22,     1,  1350,  1167,     4,   162,     6,   110,  1966,
    1967,  1968,    39,   922,   354,   109,  1142,  1808,  1809,  1810,
     103,   104,   105,   125,  1349,   119,   113,    26,    27,    28,
      29,   125,   941,     5,   205,  1752,     8,    45,   209,    47,
    1418,   113,    41,   130,    52,    44,    54,   354,   135,   136,
      58,   287,   286,   334,  2034,   149,   337,  1338,   130,   185,
     247,   248,   188,   321,   251,   946,   113,   354,   170,   950,
     304,   305,  1372,    62,    63,   205,   304,   305,    67,   209,
     127,   115,   354,   354,   358,  1274,   750,   134,   359,    97,
     162,    99,  1174,  1310,   205,   883,  1259,   131,   209,   887,
    1317,    30,     7,   287,   340,   152,   205,    43,   321,   773,
     209,   158,   340,   268,   269,    20,  1416,    22,   152,   355,
     968,   969,   970,    52,   158,   130,     0,   355,  1751,   134,
       4,  1032,     6,  1034,    63,  1777,   394,   985,    45,  1040,
     296,   297,   298,   299,   300,  1347,    45,    46,   152,   236,
     321,   409,   254,   366,    45,   165,   134,  2137,   162,   163,
     170,   166,   167,   162,   377,   378,   358,   111,   112,   113,
    1309,  1310,  1311,  1312,  1313,  1314,  1315,  1316,  1317,  1318,
    1319,   394,     5,   102,   103,     8,    45,     1,   166,   167,
       4,   321,     6,   348,   113,     7,   409,  1251,  1252,  1281,
     134,  1283,     8,     4,  1258,     6,     7,  1690,   242,   243,
     321,   300,    26,    27,    28,    29,   103,  1309,  1310,   197,
     166,   167,   321,   394,  1316,  1317,  1318,  1319,   360,  1167,
     333,   895,   166,   167,    37,   169,  2004,     4,   409,     6,
     360,     8,    45,     1,    47,  2005,     4,   333,     6,    52,
      53,    54,   230,    56,   220,   351,   352,   340,   224,   225,
     226,   113,   102,    22,   394,  1174,    25,   357,    26,    27,
      28,    29,   355,   125,   350,   127,   205,  1174,   175,   409,
     209,   287,   288,   394,   285,    23,   285,    84,   102,   290,
     291,    52,  1473,   145,   113,   394,   115,   149,   409,  1501,
     152,   341,   342,   343,  1585,   306,    23,  1607,    15,    16,
     409,     1,   111,   112,     4,   134,     6,    52,  1259,   304,
     305,  1259,   102,   142,   143,   144,   145,   126,  1955,   128,
     129,   130,   326,   327,   328,    93,    26,    27,    28,    29,
     327,   328,  1251,  1252,  1253,  1254,  1255,    52,  1257,  1258,
      52,  1702,   151,   152,   153,    52,   355,  1266,  1267,  1498,
     103,   104,   105,  1580,  1581,  1554,  1713,  1556,   322,   323,
     324,  1510,  1281,   103,  1283,   133,   106,   107,   108,   354,
    1561,    84,  1707,   235,  1281,    46,  1283,    48,   102,    50,
      51,  1742,   321,  1744,   102,   127,   102,    58,    59,    84,
    1309,  1310,  1311,  1312,  1313,  1314,  1315,  1316,  1317,  1318,
    1319,   143,    84,   103,   104,   105,   268,   269,  1334,   320,
     152,   102,  1747,  1562,   102,  1334,   158,   159,    17,  1807,
      91,     1,    15,    16,     4,   358,     6,  1334,    15,    16,
      18,  1580,  1581,    12,  1822,    45,  1648,   304,   305,  1330,
    1331,     5,  1333,  1334,  1335,  1336,    26,    27,    28,    29,
      60,    61,    85,    86,    87,   394,    89,   270,  1331,     7,
    1333,  1334,  1335,  1336,     7,  1775,  1776,  1378,  1778,     7,
     409,   113,   285,   115,   116,   117,   118,     7,  1580,  1581,
     304,   305,   750,  1695,   102,     4,   348,     6,   301,     8,
     192,   193,    71,   306,   102,   308,    75,  1944,  1945,   109,
    1174,   190,   191,   271,     5,   773,   111,   112,     7,   119,
     354,    90,    91,  1424,  1425,   125,   340,   111,   112,     7,
    1426,  1427,     4,     5,    17,  2121,  1804,   750,    18,   108,
     358,   355,  1803,   113,   219,   220,   221,   222,   223,   149,
      38,  1806,   111,   112,  1492,   102,   103,  1473,    94,    95,
     773,     8,  1443,   102,  1473,  1446,   779,  1448,   137,  1510,
    1451,     7,  1832,   102,  2160,   144,  1473,   231,    38,   750,
    1443,   354,   340,  1446,   354,  1448,   240,   241,  1451,  1498,
     244,   245,    43,    44,  1512,   102,  1512,   355,  1858,  1756,
     354,  1510,   773,  1512,  1266,  1267,   354,  1985,  1801,   354,
     287,   302,  1990,  1514,   102,  1512,   102,  1281,  1996,  1283,
     750,    78,    79,    80,    81,    82,    83,   137,   138,   139,
     140,  1512,   102,     1,   102,   102,     4,   895,     6,   750,
     103,   354,    96,   773,   102,  1561,  1728,   102,   189,   194,
     340,   750,  1561,  1562,   215,   216,   217,   218,    26,    27,
      28,    29,   773,   876,  1561,   355,   130,   224,  1606,  1751,
    1334,  1580,  1581,   228,   773,   227,   227,   890,   891,   892,
     893,   894,   895,  1983,   897,   173,   229,   102,   176,   177,
     178,   179,   180,   181,   182,   183,   184,   185,   186,   187,
     188,   271,   228,   102,  1786,   102,   102,   334,  1617,   922,
     102,   354,  2063,  1617,    97,    98,    99,   100,  2065,   354,
    1617,   354,   102,  1604,   895,  1634,   102,     5,   941,     8,
    1634,  1612,  1613,  1614,  1615,  1616,  1917,  1634,  1654,  2064,
     102,   102,    52,   102,    43,  1654,    22,   148,     5,  1630,
    1631,  1632,   357,   102,  2105,  2106,    84,  1654,     8,    84,
      22,  1642,  1643,  1644,    22,   895,   357,   102,   354,   354,
     340,     7,  1653,  1654,  1655,  1656,   102,   288,   354,  2060,
     361,   361,     5,   103,   895,   355,   354,   303,   111,   112,
    1653,  1654,  1655,  1656,    20,   303,   895,   120,   121,   122,
     123,   124,   307,  1591,  1592,  1593,  1594,   189,    43,  1473,
    1691,  1692,  1693,  1751,  1752,     7,  1955,  1755,  1756,  1728,
     113,   750,   115,   310,   311,   312,   313,   314,  1691,  1692,
    1693,  1728,  2132,  2133,  2185,   287,   302,    70,     5,     7,
    2187,   134,  1751,   164,   773,    39,   102,    98,  1512,   142,
     143,   103,   145,     1,  1751,   353,     4,   102,     6,   189,
    2062,  2186,   155,   156,   103,  2165,    98,     7,   353,  1951,
      20,   353,   102,   102,   102,  2175,   355,  1786,    26,    27,
      28,    29,     1,   102,   102,     4,   102,     6,   102,  1786,
    1771,  1832,     5,    41,  1832,  2176,    44,  1561,    84,   355,
     188,   102,  2104,   103,   150,   102,   102,    26,    27,    28,
      29,   353,   102,   104,   287,   102,  1174,  1858,   288,   185,
    1858,   355,    41,   354,   354,    44,   354,  1865,   354,    37,
     354,   354,   354,   354,   302,   354,    41,    45,     7,    47,
     354,    49,   355,   102,    52,    53,    54,  1828,    56,  1830,
    1831,   133,   355,  1617,  1885,     8,   354,   103,    45,   354,
     354,  1174,     8,  1844,  1895,    45,   895,  1755,  1756,  1850,
    1634,  1902,   340,    60,    61,   102,  1857,   102,   102,  1860,
      60,    61,  2184,   103,   102,  1866,     5,   355,   353,   913,
    1654,     8,  1873,  1874,  1875,   102,   712,   915,   919,   914,
     711,  1917,   527,  1174,   713,  1025,   710,  1365,  1917,   917,
    1873,  1874,  1875,   517,   162,    20,  1339,   396,  1231,  1232,
    1917,  1234,   109,  1281,  1638,  1283,  2190,  1984,  2137,   109,
    1982,     1,   119,  2046,     4,  2047,     6,  2048,   125,   119,
    2049,  2038,  1951,   162,  1174,   125,  1955,  2162,    89,   393,
    1593,    91,  1791,  1991,  1951,  1993,    26,    27,    28,    29,
     789,   798,   149,  1174,  1728,  1773,   308,  1976,  1281,   149,
    1283,    41,  1976,  1745,    44,  1174,  1334,  1986,  1959,  1976,
     997,  1712,  1986,  1743,   859,  2109,   395,  1751,  2037,  1986,
    1253,  1255,  1254,  1272,   879,  1492,  1309,  1310,  1311,  1312,
    1313,  1314,  1315,  1316,  1317,  1318,  1319,  1751,   774,  1279,
    1281,  1992,  1283,  1994,     1,   290,   888,     4,  1016,     6,
    1319,  1334,  1786,   205,  1474,  2006,  2007,  1211,  2009,  2010,
    2011,  2012,  2013,   405,   378,  2016,  1508,   285,  1508,    26,
      27,    28,    29,   407,   120,   366,  2173,  2056,   408,   303,
     615,  1281,  2056,  1283,  1081,   304,   377,   378,   406,  2056,
     637,   304,   270,  1334,    -1,    -1,   285,    -1,    -1,    -1,
    1281,    -1,  1283,    -1,    -1,    -1,  2057,   285,    -1,    -1,
      -1,    -1,  1281,    -1,  1283,  2066,  2067,    -1,    -1,    -1,
      -1,    -1,   162,   301,    -1,  2111,    -1,    -1,   306,  2137,
     308,    -1,  2111,    -1,  1334,    -1,    -1,   355,    -1,    -1,
      -1,    -1,  1129,  1130,  2111,  1473,  2125,    -1,    -1,    -1,
      -1,  2125,  2160,  1334,    -1,    -1,   113,    -1,  2125,  2110,
    2111,  2112,  2113,    -1,    37,  1334,   355,  2118,  2119,  2120,
    2121,    -1,  2123,    -1,    -1,  1174,  2127,  2110,  2111,  2112,
    2113,    -1,  2190,  1917,  1512,  2118,  2119,  2120,  2121,    -1,
    1473,  1178,  2143,    -1,    -1,    -1,    -1,  2148,  2149,  2150,
    2151,  2152,  2153,  2154,  2155,  2156,  2157,  2158,  2159,  1492,
      -1,    -1,    -1,    86,    -1,  1498,    -1,  1951,    -1,    -1,
    2153,  2154,  2155,  2174,    -1,    -1,    -1,  1510,    -1,  1512,
     103,    -1,  1473,  1561,     1,    -1,  1207,     4,  1521,     6,
      -1,  1524,  1976,    -1,  1527,   285,    -1,  2198,  2199,  2200,
      -1,    -1,  1986,    -1,    -1,   128,   129,    -1,    -1,    26,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1512,    -1,  1473,    -1,    -1,    -1,    -1,  1561,  1562,
      -1,    -1,  1281,     1,  1283,    -1,     4,    -1,     6,  1617,
      -1,    -1,  1473,    -1,    -1,    -1,    -1,  1580,  1581,    -1,
      -1,    -1,    -1,    -1,  1473,    -1,  1634,    -1,    26,    27,
      28,    29,  1512,    -1,   271,   355,    -1,    -1,    -1,    -1,
    1561,    -1,  2056,    -1,    -1,    -1,  1654,     1,    -1,    -1,
       4,  1512,     6,    -1,  1617,  1334,    -1,    -1,    -1,    -1,
      -1,     1,    45,  1512,     4,    -1,     6,    -1,    -1,    -1,
      -1,  1634,    26,    27,    28,    29,    -1,    60,    61,    -1,
    1331,  1561,  1333,  1334,  1335,  1336,    26,    27,    28,    29,
    1357,  1654,    -1,  1360,   247,    93,  1617,  2111,    38,    -1,
    1561,    -1,    -1,   340,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2125,  1561,  1634,   267,   268,    -1,    -1,   355,     1,
    1728,    -1,     4,    -1,     6,    -1,   109,    -1,    -1,    -1,
      -1,    -1,   285,  1654,    -1,   133,   119,  1617,    -1,    93,
      -1,    -1,   125,  1751,    26,    27,    28,    29,   301,    -1,
      -1,    -1,    -1,   306,  1634,   308,  1617,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1728,   149,    -1,  1617,    -1,
      -1,    45,    -1,  1634,  1654,    -1,    -1,    -1,  1786,   133,
      -1,    -1,    -1,    -1,    -1,  1634,    60,    61,  1751,  1752,
      -1,    -1,  1443,  1654,  1473,  1446,    -1,  1448,    -1,    -1,
    1451,    -1,    -1,    -1,    -1,  1654,    45,  1728,   779,    -1,
    1477,    -1,  1479,  1480,    -1,  1482,    -1,    -1,    -1,    -1,
      -1,    60,    61,  1786,    -1,    -1,    -1,    45,    -1,    -1,
    1751,    45,    -1,  1512,    -1,   109,    -1,    -1,    -1,    -1,
     287,    -1,    60,    61,    -1,   119,    60,    61,  1728,    -1,
      -1,   125,   823,    -1,    -1,    -1,    -1,  1508,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1786,    -1,  1728,    -1,    -1,
     109,  1751,    -1,   271,    -1,   149,    -1,    -1,    -1,  1728,
     119,    -1,  1561,    -1,    -1,    -1,   125,    -1,    -1,    -1,
    1751,   109,    -1,   340,    -1,   109,    -1,    -1,    -1,    -1,
      -1,   119,  1751,    -1,    -1,   119,  1786,   125,   355,  1917,
     149,   125,    -1,    -1,    -1,    -1,    -1,   271,    -1,   890,
     891,   892,   893,   894,    -1,  1786,   897,    -1,    -1,    -1,
      -1,   149,    -1,    -1,    -1,   149,    -1,  1786,  1617,    -1,
      -1,    -1,   340,  1951,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   922,    -1,    -1,  1917,  1634,    -1,   355,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   747,    -1,   749,  1976,    -1,
     941,    -1,    -1,    -1,    -1,  1654,    -1,    -1,  1986,    -1,
      -1,    -1,    -1,    -1,   766,   767,   340,   769,  1951,    -1,
      -1,    -1,  1955,   775,   776,    -1,  1917,    -1,    -1,    -1,
     340,   355,  1653,  1654,  1655,  1656,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1976,    -1,   355,    -1,    -1,    -1,    -1,
     302,    -1,   804,  1986,   806,    -1,    -1,    -1,    -1,    -1,
    1951,    -1,    -1,    -1,    -1,    -1,    -1,  1917,   111,   112,
    1691,  1692,  1693,    -1,    -1,    -1,    -1,    -1,  2056,  1728,
      -1,    -1,   125,    -1,    -1,  1976,  1917,    -1,   340,    -1,
     133,    -1,    -1,    -1,    -1,  1986,    -1,    -1,  1917,  1736,
      -1,  1951,  1751,   355,    -1,    -1,   149,    -1,    -1,    -1,
      -1,    -1,    -1,   107,    -1,   109,   110,    -1,   870,   113,
    1951,   115,    -1,  2056,   118,   119,  1976,    -1,   122,   123,
     124,   125,  1951,  2111,    -1,   129,  1986,  1786,   132,   133,
      -1,    -1,   134,    -1,    -1,  1976,   140,  2125,    -1,    -1,
      -1,   143,    -1,    70,    -1,  1986,    -1,  1976,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2056,   158,  1986,    -1,    -1,
     162,    -1,    -1,    -1,   166,   167,    -1,    -1,  2111,   171,
     172,   173,   174,   175,    -1,    23,   103,   104,   105,    -1,
     942,   943,  2125,   110,    -1,    -1,     1,   114,    -1,     4,
      38,     6,   119,    -1,    -1,    -1,  2056,    -1,   125,    -1,
      -1,    -1,   129,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2111,    26,    27,    28,    29,  2056,    -1,    -1,   271,   272,
     273,   274,   149,    -1,  2125,    40,    -1,  2056,    -1,    -1,
      -1,    -1,    -1,    -1,   287,   288,   289,    -1,    -1,  1886,
      -1,    -1,  1873,  1874,  1875,    -1,    -1,    -1,    -1,  1896,
      -1,  2111,    -1,    -1,   102,    -1,  1903,    -1,  1917,    -1,
      -1,    -1,    -1,    -1,    -1,  2125,    -1,    -1,    -1,    -1,
    2111,    -1,    -1,    88,    89,    90,    91,    -1,    93,    -1,
      -1,    96,  2111,    -1,  2125,    -1,    -1,    -1,    -1,    -1,
      -1,  1938,  1951,    -1,    -1,    -1,  2125,    -1,   113,    -1,
    1251,  1252,  1253,  1254,  1255,    -1,  1257,  1258,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1266,  1267,  1976,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   173,    -1,  1986,   176,   177,
     178,   179,   180,   181,   182,   183,   184,   185,   186,   187,
     188,    -1,    -1,    -1,    -1,    -1,    -1,   162,    -1,    -1,
    1997,  1998,  1999,   280,    -1,    -1,   283,   284,  1309,  1310,
    1311,  1312,  1313,  1314,  1315,  1316,  1317,  1318,  1319,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2025,    -1,
      -1,    -1,    -1,     1,    -1,    -1,     4,    -1,     6,    -1,
      -1,   318,   319,    -1,    -1,    -1,    -1,  2056,    -1,  1161,
      -1,    -1,    -1,  1165,    -1,    -1,    -1,    -1,    26,    27,
      28,    29,    -1,  1175,  1176,  1177,    -1,    -1,  1180,    37,
    1182,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    47,
      -1,    -1,   359,    -1,    52,    -1,    54,    -1,    56,    -1,
    1202,   111,   112,    -1,    -1,   115,    -1,    -1,    -1,    -1,
      -1,    -1,  2111,   457,    -1,   270,   126,   127,   128,   129,
     130,   131,   132,   133,   134,    -1,  2125,    -1,    -1,    -1,
     285,    -1,    -1,    -1,    -1,  1237,    -1,  1239,    -1,  2110,
    2111,  2112,  2113,  1245,    -1,    -1,   301,  2118,  2119,  2120,
    2121,   306,    -1,    -1,    -1,    -1,    -1,    -1,  1260,    -1,
    1262,    -1,     1,    -1,    -1,   175,    -1,    -1,    -1,  1271,
      -1,  1273,    11,    12,    13,    14,    15,    16,    17,    -1,
      -1,    20,  2153,  2154,  2155,   340,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2181,  2182,  2183,    -1,    -1,    -1,
     355,    -1,    -1,    -1,   162,    -1,    -1,  1498,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1510,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    71,    -1,    -1,    74,    75,    76,    77,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    86,    -1,    88,
      89,    90,    91,    92,    93,    94,    95,    -1,    97,    98,
      99,   100,    -1,   102,    -1,    -1,    -1,   106,    -1,   108,
      -1,  1562,   111,   112,    -1,   114,    -1,    -1,   117,    -1,
      -1,    -1,    -1,     1,    -1,    -1,     4,    -1,     6,  1580,
    1581,    -1,    -1,    -1,    -1,    -1,    -1,   136,   137,   138,
     139,    -1,    -1,   142,    -1,   144,    -1,    -1,    26,    27,
      28,    29,   270,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    -1,    -1,    -1,    -1,   285,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   301,    -1,    -1,    -1,    -1,   306,    -1,
     308,    -1,  1454,  1455,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      88,    89,    90,    91,    -1,    93,    -1,    -1,    96,  1481,
      -1,     1,   340,    -1,     4,    -1,     6,    -1,    -1,    -1,
      -1,    -1,    -1,  1495,    -1,   113,    -1,   355,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    26,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1530,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   162,  1547,    -1,  1549,    -1,    -1,
      -1,    -1,     1,    -1,    -1,     4,    -1,     6,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    88,    89,
      90,    91,    -1,    93,    23,    -1,    96,    26,    27,    28,
      29,    30,    31,    -1,    -1,    -1,    35,    36,    37,    -1,
      -1,    -1,    -1,   113,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    52,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    62,    63,    -1,    -1,    -1,    67,    -1,
      -1,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    80,    81,    82,    83,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   162,    -1,    93,    -1,    -1,    -1,    97,    -1,
      99,    -1,   270,   102,   103,   104,   105,    -1,    -1,   108,
      -1,   110,    -1,    -1,   113,   114,    -1,   285,    -1,    -1,
     119,    -1,    -1,    -1,    -1,    -1,   125,    -1,    -1,    -1,
      -1,    -1,    -1,   301,    -1,    -1,    -1,    -1,   306,    -1,
      -1,    -1,   141,    -1,    -1,    -1,    -1,   146,    -1,    -1,
     149,    -1,    -1,    -1,    -1,   154,    -1,    -1,   157,    -1,
     449,   160,   161,   162,    -1,    -1,   165,   456,  1720,   168,
      -1,   170,   340,    -1,    -1,    -1,    -1,    -1,   467,    -1,
     469,    -1,   471,    -1,   473,     1,    -1,   355,     4,   478,
       6,    -1,    -1,   482,    89,   484,   195,   196,    -1,    -1,
     270,    -1,  1754,    -1,   493,    -1,    -1,    -1,    -1,    -1,
      26,    27,    28,    29,  1955,   285,   111,   112,    -1,    -1,
     115,    -1,    -1,    -1,    40,    -1,    -1,    -1,  1780,    -1,
      -1,   301,   231,   232,   233,   234,   306,    -1,   133,    -1,
      -1,   240,   241,    -1,    -1,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,    -1,
     340,   270,    -1,    89,    -1,    91,    -1,    93,    -1,    -1,
      96,    -1,    -1,    -1,    -1,   355,   285,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   189,    -1,   295,   113,    -1,    -1,
      -1,    -1,   301,    -1,    -1,    -1,    -1,   306,    -1,    -1,
      -1,    -1,    -1,   312,   313,    -1,   315,    -1,    -1,   318,
     319,   320,   321,    -1,    -1,    -1,   325,    -1,    -1,    -1,
     329,   330,   331,    -1,    -1,    -1,   335,   336,    -1,     1,
      -1,   340,     4,    -1,     6,   344,   162,    -1,   347,   348,
      -1,    -1,   247,    -1,    -1,   354,   355,   356,    -1,    -1,
     359,    23,    -1,    -1,    26,    27,    28,    29,    30,    31,
      -1,    -1,    -1,    35,    36,    37,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
      52,    -1,   287,   288,   289,    -1,    -1,  1949,    -1,    -1,
      62,    63,    -1,    -1,    -1,    67,    -1,    -1,    70,    -1,
      -1,    -1,    -1,   308,    -1,    -1,    78,    79,    80,    81,
      82,    83,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    93,    -1,    -1,    -1,    97,    -1,    99,    -1,    -1,
     102,   103,   104,   105,    -1,    -1,   108,    -1,   110,    -1,
      -1,   113,   114,    -1,   270,    -1,    -1,   119,    -1,    -1,
      -1,    -1,    -1,   125,    -1,    -1,    -1,    -1,    -1,   285,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   141,
      -1,    -1,    -1,    -1,   146,   301,    -1,   149,    -1,    -1,
     306,    -1,   154,    -1,    -1,   157,    -1,    -1,   160,   161,
     162,    -1,    -1,   165,    -1,    -1,   168,    -1,   170,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,     1,    -1,   340,     4,    -1,     6,    -1,    -1,
      -1,    -1,    -1,   195,   196,    -1,    -1,    -1,    -1,   355,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    26,    27,    28,
      29,    -1,    -1,   111,   112,    -1,    -1,   115,    -1,    -1,
      -1,    40,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   231,
     232,   233,   234,    -1,    -1,   133,    -1,    -1,   240,   241,
      -1,    -1,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,    -1,    -1,   270,    -1,
      89,    -1,    91,    -1,    93,    -1,    -1,    96,    -1,    -1,
      -1,    -1,    -1,   285,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   295,   113,    -1,    -1,    -1,    -1,   301,
      -1,    -1,    -1,    -1,   306,    -1,    -1,    -1,    -1,    -1,
     312,   313,    -1,   315,    -1,    -1,   318,   319,   320,   321,
      -1,    -1,    -1,   325,    -1,    -1,    -1,   329,   330,   331,
      -1,    -1,    -1,   335,   336,    -1,     1,    -1,   340,     4,
      -1,     6,   344,   162,    -1,   347,   348,    -1,    -1,   247,
      -1,    -1,   354,   355,   356,    -1,    -1,   359,    23,    -1,
      -1,    26,    27,    28,    29,    30,    31,    -1,    -1,   998,
      35,    36,    37,   271,   272,   273,   274,   275,   276,    -1,
     278,   279,   280,   281,   282,   283,   284,    52,    -1,   287,
     288,   289,    -1,    -1,    -1,    -1,    -1,    62,    63,    -1,
      -1,    -1,    67,    -1,    -1,    70,    -1,    -1,    -1,    -1,
     308,    -1,    -1,    78,    79,    80,    81,    82,    83,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    93,    -1,
      -1,    -1,    97,    -1,    99,    -1,    -1,   102,   103,   104,
     105,    -1,    -1,   108,    -1,   110,    -1,    -1,   113,   114,
      -1,   270,    -1,    -1,   119,    -1,    -1,    -1,    -1,    -1,
     125,    -1,    -1,    -1,    -1,    -1,   285,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   141,    -1,    -1,    -1,
      -1,   146,   301,    -1,   149,    -1,    -1,   306,    -1,   154,
      -1,    -1,   157,    -1,    -1,   160,   161,   162,    -1,    -1,
     165,    -1,    -1,   168,    -1,   170,    -1,     1,    -1,    -1,
       4,    -1,     6,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   340,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     195,   196,    26,    27,    28,    29,   355,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    47,    -1,    -1,    -1,    -1,    52,    -1,
      54,    -1,    56,    -1,    -1,    -1,   231,   232,   233,   234,
      -1,    -1,    -1,    -1,    -1,   240,   241,    -1,    -1,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,    -1,    -1,   270,    -1,     1,    -1,    -1,
       4,    -1,     6,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     285,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     295,    -1,    26,    27,    28,    29,   301,    -1,    -1,    -1,
      -1,   306,    -1,    -1,    -1,    -1,    40,   312,   313,    -1,
     315,    -1,    -1,   318,   319,   320,   321,    -1,    -1,    -1,
     325,    -1,    -1,    -1,   329,   330,   331,    -1,   162,    -1,
     335,   336,    -1,    -1,     4,   340,     6,    -1,    -1,   344,
      -1,    -1,   347,   348,    -1,    -1,    -1,    -1,    -1,   354,
     355,   356,    -1,    23,   359,    89,    -1,    91,    -1,    93,
      30,    31,    96,    -1,    -1,    35,    36,    37,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
      -1,    -1,    52,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    62,    63,    -1,    -1,    -1,    67,    -1,    -1,
      70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,
      80,    81,    82,    83,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    97,   162,    99,
      -1,    -1,   102,   103,   104,   105,   270,    -1,   108,    -1,
     110,    -1,    -1,    -1,   114,    -1,    37,    -1,    -1,   119,
      -1,   285,    -1,    -1,    45,   125,    47,    -1,    49,    -1,
      -1,    52,    53,    54,    -1,    56,    -1,   301,    -1,    60,
      61,   141,   306,    -1,   308,    -1,   146,    -1,    -1,   149,
      -1,    -1,    -1,    -1,   154,    -1,    -1,   157,    -1,    -1,
     160,   161,    -1,    -1,    -1,   165,    -1,    -1,   168,    -1,
     170,    -1,    -1,    -1,    -1,    -1,   340,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,    -1,
      -1,   355,    -1,    -1,    -1,   195,   196,    -1,   119,    -1,
      -1,    -1,    -1,    -1,   125,    -1,   270,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   285,    -1,    -1,    -1,    -1,    -1,    -1,   149,    -1,
      -1,   231,   232,   233,   234,    -1,    -1,   301,    -1,    -1,
     240,   241,   306,    -1,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,    -1,    -1,
     270,    -1,     5,    -1,    -1,    -1,   340,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   285,    -1,    -1,    -1,    -1,
      23,   355,    -1,    -1,    -1,   295,    -1,    -1,    31,    -1,
      -1,   301,    -1,    36,    -1,    -1,   306,    -1,    -1,    -1,
      -1,    -1,   312,   313,    -1,   315,    -1,    -1,   318,   319,
     320,   321,    -1,    -1,    -1,   325,    -1,    -1,    -1,   329,
     330,   331,    -1,    -1,    -1,   335,   336,    70,    -1,    -1,
      -1,    -1,    -1,    -1,   344,    -1,    -1,   347,   348,   270,
      -1,    84,    -1,    86,   354,   355,   356,    -1,    -1,   359,
      -1,    -1,    -1,    -1,   285,    -1,    -1,    -1,    -1,   102,
     103,   104,   105,    -1,    -1,   108,    -1,   110,    -1,    -1,
     301,   114,    -1,    -1,    -1,   306,   119,   308,    -1,    -1,
      -1,    -1,   125,    -1,    -1,    -1,   129,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   141,    -1,
      -1,    -1,    -1,   146,    -1,    -1,   149,    -1,    -1,    -1,
     180,   154,    -1,    -1,   157,    -1,    -1,   160,   161,    -1,
      -1,    -1,   165,    -1,    -1,   168,    -1,   170,   198,   199,
     200,   201,   202,   203,   204,   205,   206,   207,   208,   209,
     210,   211,   212,   213,   214,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   195,   196,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,     5,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    23,    -1,    -1,    -1,    -1,    -1,    -1,   231,    31,
      -1,    -1,    -1,    -1,    36,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,    -1,    -1,   270,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   280,    -1,    -1,
     283,   284,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   296,    -1,    -1,    -1,    -1,    -1,    -1,
     102,   103,   104,   105,    -1,    -1,   108,    -1,   110,   312,
     313,    -1,   114,    -1,    -1,   318,   319,   119,    -1,    -1,
      -1,    -1,    -1,   125,    -1,    -1,    -1,   129,   331,    -1,
      -1,    -1,   335,   336,    -1,    -1,    -1,    -1,    -1,   141,
      -1,    -1,   345,   346,   146,   348,    -1,   149,    -1,    -1,
      -1,    -1,   154,   356,    -1,   157,   359,    -1,   160,   161,
      -1,    -1,    -1,   165,    -1,    -1,   168,    -1,   170,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   195,   196,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,     5,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    23,    -1,    -1,    -1,    -1,    -1,    -1,   231,
      31,    -1,    -1,    -1,    -1,    36,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,    -1,    -1,   270,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   280,    -1,
      -1,   283,   284,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   102,   103,   104,   105,    -1,    -1,   108,    -1,   110,
     312,   313,    -1,   114,    -1,    -1,   318,   319,   119,    -1,
      -1,    -1,    -1,    -1,   125,    -1,    -1,    -1,   129,   331,
      -1,    -1,    -1,   335,   336,    -1,    -1,    -1,    -1,    -1,
     141,    -1,    -1,   345,   346,   146,   348,    -1,   149,    -1,
      -1,    -1,    -1,   154,   356,    -1,   157,   359,    -1,   160,
     161,    -1,    -1,    -1,   165,    -1,    -1,   168,    -1,   170,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   195,   196,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,     5,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    23,    -1,    -1,    -1,    -1,    -1,    -1,
     231,    31,    -1,    -1,    -1,    -1,    36,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,    -1,    -1,   270,
      70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   280,
      -1,    -1,   283,   284,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   102,   103,   104,   105,    -1,    -1,   108,    -1,
     110,   312,   313,    -1,   114,    -1,    -1,   318,   319,   119,
      -1,    -1,    -1,    -1,    -1,   125,    -1,    -1,    -1,   129,
     331,    -1,    -1,    -1,   335,   336,    -1,    -1,    -1,    -1,
      -1,   141,    -1,    -1,   345,   346,   146,   348,    -1,   149,
      -1,    -1,    -1,    -1,   154,   356,    -1,   157,   359,    -1,
     160,   161,    -1,    -1,    -1,   165,    -1,    -1,   168,    -1,
     170,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   195,   196,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,     5,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    23,    -1,    -1,    -1,    -1,    -1,
      -1,   231,    31,    -1,    -1,    -1,    -1,    36,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,    -1,    -1,
     270,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     280,    -1,    -1,   283,   284,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   102,   103,   104,   105,    -1,    -1,   108,
      -1,   110,   312,   313,    -1,   114,    -1,    -1,   318,   319,
     119,    -1,    -1,    -1,    -1,    -1,   125,    -1,    -1,    -1,
     129,   331,    -1,    -1,    -1,   335,   336,    -1,    -1,    -1,
      -1,    -1,   141,    -1,    -1,   345,   346,   146,   348,    -1,
     149,    -1,    -1,    -1,    -1,   154,   356,    -1,   157,   359,
      -1,   160,   161,    -1,    -1,    -1,   165,    -1,    -1,   168,
      -1,   170,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   195,   196,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,     9,    10,    11,    12,    13,    14,    -1,    -1,    -1,
      -1,    19,    -1,    -1,    -1,    23,    -1,    -1,    -1,    -1,
      -1,    -1,   231,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,    -1,
      -1,   270,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   280,    -1,    -1,   283,   284,    -1,    -1,    -1,    -1,
      -1,    -1,    21,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   102,   103,   104,   105,    -1,    -1,
      -1,    -1,   110,   312,   313,    -1,   114,    -1,    -1,   318,
     319,   119,    -1,    -1,    -1,    -1,    -1,   125,    -1,    -1,
      -1,   129,   331,    -1,    -1,    -1,   335,   336,    -1,    -1,
      21,    70,    -1,   141,    -1,    -1,   345,   346,   146,   348,
      -1,   149,    -1,    -1,    -1,    -1,   154,   356,    -1,   157,
     359,    -1,   160,   161,    -1,    -1,    -1,   165,    -1,    -1,
     168,    -1,   170,   102,   103,   104,   105,    -1,    -1,    -1,
      -1,   110,    -1,    -1,    -1,   114,    -1,    -1,    -1,    70,
     119,    -1,    -1,    -1,    -1,    -1,   125,   195,   196,    -1,
     129,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   141,    -1,    -1,    -1,    -1,   146,    -1,    -1,
     149,   102,   103,   104,   105,   154,    -1,    -1,   157,   110,
      -1,   160,   161,   114,    -1,    -1,   165,    -1,   119,   168,
      -1,   170,    -1,    -1,   125,    -1,    -1,    -1,   129,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     141,    -1,    -1,    -1,    -1,   146,   195,   196,   149,    -1,
      -1,    -1,    -1,   154,    -1,    -1,   157,    -1,    -1,   160,
     161,    -1,   280,    -1,   165,   283,   284,   168,    -1,   170,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   195,   196,    -1,    -1,    -1,    -1,
     318,   319,    -1,   321,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   345,   346,    -1,
      -1,   280,    -1,    -1,   283,   284,   354,    -1,   356,    -1,
      -1,   359,    -1,    22,    23,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   318,
     319,    -1,   321,    -1,    -1,    -1,    -1,    -1,    -1,   280,
      -1,    -1,   283,   284,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    70,    -1,    -1,    -1,    -1,   345,   346,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   354,    -1,   356,    -1,    -1,
     359,    -1,    -1,    -1,    -1,    -1,    -1,   318,   319,    -1,
     321,    -1,    -1,   102,   103,   104,   105,    -1,    -1,    -1,
      -1,   110,    -1,    -1,    -1,   114,    -1,    -1,    -1,    -1,
     119,    -1,    -1,    -1,   345,   346,   125,    -1,    -1,    -1,
     129,    -1,    -1,    -1,    -1,   356,    -1,    -1,   359,    -1,
      -1,    -1,   141,    -1,    -1,    -1,    -1,   146,    -1,    -1,
     149,    -1,    -1,    -1,    -1,   154,    -1,    -1,   157,    -1,
      23,   160,   161,    -1,    -1,    -1,   165,    30,    31,   168,
      -1,   170,    35,    36,    37,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    52,
      -1,    -1,    -1,    -1,    -1,    -1,   195,   196,    -1,    62,
      63,    -1,    -1,    -1,    67,    -1,    -1,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    80,    81,    82,
      83,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    97,    -1,    99,    -1,    -1,   102,
     103,   104,   105,    -1,    -1,   108,    -1,   110,    -1,    -1,
      -1,   114,    -1,    -1,    -1,    -1,   119,    -1,    -1,    -1,
      -1,    -1,   125,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   141,    -1,
      -1,   280,    -1,   146,   283,   284,   149,    -1,    -1,    -1,
      -1,   154,    -1,    -1,   157,    -1,    -1,   160,   161,    -1,
      -1,    -1,   165,    -1,    -1,   168,    -1,   170,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   318,
     319,    -1,   321,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   195,   196,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   345,   346,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   354,    -1,   356,    -1,    -1,
     359,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   231,   232,
     233,   234,    -1,    -1,    -1,    -1,    -1,   240,   241,    -1,
      -1,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,    -1,    -1,   270,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    23,    -1,
      -1,    -1,   285,    -1,    -1,    30,    31,    -1,    -1,    -1,
      -1,    36,   295,    -1,    -1,    -1,    -1,    -1,   301,    -1,
      -1,    -1,    -1,   306,    -1,    -1,    -1,    -1,    -1,   312,
     313,    -1,   315,    -1,    -1,   318,   319,   320,   321,    -1,
      -1,    -1,   325,    -1,    -1,    -1,   329,   330,   331,    -1,
      -1,    -1,   335,   336,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   344,    -1,    -1,   347,   348,    -1,    -1,    -1,    -1,
      -1,   354,    -1,   356,    -1,    -1,   359,   102,   103,   104,
     105,    -1,    -1,   108,    -1,   110,    -1,    -1,    -1,   114,
      -1,    -1,    -1,    -1,   119,    -1,    -1,    -1,    -1,    -1,
     125,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   141,    -1,    -1,    -1,
      -1,   146,    -1,    -1,   149,    -1,    -1,    -1,    -1,   154,
      -1,    -1,   157,    -1,    -1,   160,   161,    -1,    -1,    -1,
     165,    -1,    -1,   168,    -1,   170,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     195,   196,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      23,    -1,    -1,    -1,    -1,    -1,    -1,    30,    31,    -1,
      -1,    -1,    -1,    36,    -1,    -1,   231,   232,   233,   234,
      -1,    -1,    -1,    -1,    -1,   240,   241,    -1,    -1,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,    -1,    -1,   270,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,
     103,   104,   105,    -1,    -1,   108,    -1,   110,    -1,    -1,
      -1,   114,    -1,    -1,    -1,    -1,   119,   312,   313,    -1,
      -1,    -1,   125,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   331,    -1,   141,    -1,
     335,   336,    -1,   146,    -1,    -1,   149,    -1,    -1,    -1,
      -1,   154,   347,   348,   157,    -1,    -1,   160,   161,   354,
      -1,   356,   165,    -1,   359,   168,    -1,   170,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    23,
      -1,    -1,   195,   196,    -1,    -1,    30,    31,    -1,    -1,
      -1,    -1,    36,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   231,   232,
     233,   234,    -1,    -1,    -1,    -1,    -1,   240,   241,    -1,
      -1,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,    -1,    -1,   270,   102,   103,
     104,   105,    -1,    -1,   108,    -1,   110,    -1,    -1,    37,
     114,    -1,    -1,    -1,    42,   119,    -1,    45,    46,    47,
      48,   125,    -1,    51,    52,    -1,    54,    55,    56,    -1,
      58,    -1,    -1,    -1,    -1,    -1,    -1,   141,    -1,   312,
     313,    -1,   146,    -1,    -1,   149,    -1,    -1,    -1,    -1,
     154,    -1,    -1,   157,    -1,    -1,   160,   161,   331,    -1,
      -1,   165,   335,   336,   168,    -1,   170,    -1,    -1,    97,
      -1,    99,   100,   101,   347,   348,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   356,    -1,    -1,   359,    -1,    23,    -1,
      -1,   195,   196,    -1,    -1,    -1,    31,    -1,    -1,    -1,
      -1,    36,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   231,   232,   233,
     234,    -1,    -1,    -1,    -1,    70,   240,   241,    -1,    -1,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,    -1,    -1,   270,   102,   103,   104,
     105,    -1,    -1,   108,    -1,   110,    -1,    -1,    -1,   114,
      -1,    -1,    -1,    -1,   119,    -1,    -1,    -1,    -1,    -1,
     125,    -1,    -1,    -1,   129,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   141,    -1,   312,   313,
      -1,   146,    -1,    -1,   149,    -1,    -1,    -1,    -1,   154,
      -1,    -1,   157,    -1,    -1,   160,   161,   331,    -1,    -1,
     165,   335,   336,   168,    -1,   170,    -1,    -1,    -1,    -1,
      -1,    -1,   270,   347,   348,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   356,    -1,    -1,   359,    -1,   285,    -1,    -1,
     195,   196,   290,   291,   292,   293,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   301,    -1,    -1,    -1,    -1,   306,    -1,
     308,   309,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    23,
      -1,    -1,    -1,    -1,    -1,    -1,   231,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,    -1,    -1,   270,    70,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   280,    -1,    -1,   283,   284,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,   103,
     104,   105,    -1,    -1,    -1,    -1,   110,   312,   313,    -1,
     114,    -1,    -1,   318,   319,   119,    -1,    -1,    -1,    -1,
      -1,   125,    -1,    -1,    -1,   129,   331,    -1,    -1,    -1,
     335,   336,    -1,    -1,    -1,    -1,    -1,   141,    -1,    -1,
     345,   346,   146,   348,    -1,   149,    -1,    -1,    -1,    -1,
     154,   356,    -1,   157,   359,    -1,   160,   161,    -1,     0,
       1,   165,    -1,     4,   168,     6,   170,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    26,    27,    28,    29,    -1,
      -1,   195,   196,    -1,    -1,    -1,    37,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    45,    -1,    47,    -1,    49,    -1,
      -1,    52,    53,    54,    -1,    56,    -1,    -1,    -1,    60,
      61,    62,    -1,    64,    65,    66,    67,    68,    69,    70,
      71,    72,    73,    74,    75,    76,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   103,    -1,    -1,    -1,    -1,    -1,   109,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   280,    -1,   119,   283,
     284,    -1,    -1,    -1,   125,    -1,    -1,    -1,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    80,    81,
      82,    83,    -1,    -1,    -1,    -1,    -1,    -1,   149,    -1,
      -1,    -1,    -1,    -1,   318,   319,    -1,   321,    -1,    -1,
     102,   103,   104,   105,    -1,    -1,    -1,    -1,   110,    -1,
      -1,    -1,   114,    -1,    -1,    -1,    70,   119,    -1,    -1,
      -1,   345,   346,   125,    -1,    -1,    -1,   129,    -1,    -1,
     354,    -1,   356,    -1,    -1,   359,    -1,    -1,    -1,   141,
      -1,    -1,    -1,    -1,   146,    -1,    -1,   149,   102,   103,
     104,   105,   154,    -1,    -1,   157,   110,    -1,   160,   161,
     114,    -1,    -1,   165,    -1,   119,   168,    -1,   170,    -1,
      -1,   125,    -1,    -1,    -1,   129,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   141,    -1,    -1,
      -1,    -1,   146,   195,   196,   149,    -1,    -1,    -1,    -1,
     154,    -1,    -1,   157,    -1,    -1,   160,   161,    -1,   270,
      -1,   165,    -1,    -1,   168,    -1,   170,    -1,    -1,    -1,
      70,    -1,    -1,    -1,   285,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     301,   195,   196,    -1,    -1,   306,    -1,   308,    -1,    -1,
      -1,    -1,   102,   103,   104,   105,    -1,    -1,    -1,    -1,
     110,    -1,    -1,    -1,   114,   103,    -1,    -1,    -1,   119,
      -1,    -1,    -1,    -1,    -1,   125,    -1,    -1,   280,   129,
      -1,   283,   284,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   141,   130,    -1,   103,   133,   146,    -1,    -1,   149,
      -1,    -1,    -1,    -1,   154,    -1,    -1,   157,    -1,    -1,
     160,   161,   150,    -1,    -1,   165,   318,   319,   168,   321,
     170,   130,    -1,    -1,   133,    -1,   280,    -1,    -1,   283,
     284,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   150,    -1,   345,   346,   195,   196,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   356,    -1,    -1,   359,    -1,    -1,
      -1,    -1,    -1,    -1,   318,   319,    -1,   321,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   345,   346,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   356,    -1,    -1,   359,    -1,    -1,    -1,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     280,    -1,    -1,   283,   284,    -1,    -1,    -1,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   318,   319,
     308,   321,    -1,    -1,   312,   313,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   322,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   345,   346,    -1,    -1,   308,
      -1,    -1,    -1,   312,   313,    -1,   356,    -1,    -1,   359,
     348,    -1,    -1,   322,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   348
};

  /* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
     symbol of state STATE-NUM.  */
static const yytype_uint16 yystos[] =
{
       0,   363,     0,     1,     4,     6,    26,    27,    28,    29,
      37,    45,    47,    49,    52,    53,    54,    56,    60,    61,
      62,    64,    65,    66,    67,    68,    69,    70,    71,    72,
      73,    74,    75,    76,   109,   119,   125,   149,   270,   285,
     301,   306,   308,   364,   417,   418,   419,   420,   492,   493,
     494,   496,   511,   364,   104,   103,   489,   489,   489,   494,
     505,   494,   496,   511,   494,   499,   499,   499,   494,   502,
     420,    49,   421,    37,    45,    47,    52,    53,    54,    56,
     270,   285,   301,   306,   308,   422,    49,   423,    37,    45,
      47,    49,    52,    53,    54,    56,   270,   285,   301,   306,
     308,   428,    53,   429,    37,    42,    45,    46,    47,    48,
      51,    52,    54,    55,    56,    58,    97,    99,   100,   101,
     270,   285,   290,   291,   292,   293,   301,   306,   308,   309,
     430,   285,   290,   291,   306,   433,    45,    47,    52,    54,
      58,    97,    99,   434,    47,   435,    23,    30,    31,    36,
     102,   103,   104,   105,   108,   110,   114,   119,   125,   141,
     146,   149,   154,   157,   160,   161,   165,   168,   170,   195,
     196,   231,   232,   233,   234,   240,   241,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   270,   312,   313,   331,   335,   336,   347,   348,   356,
     359,   443,   490,   613,   614,   617,   618,   619,   623,   686,
     689,   691,   695,   700,   701,   703,   705,   715,   716,   718,
     720,   722,   724,   728,   730,   732,   734,   736,   738,   740,
     742,   744,   746,   757,   765,   767,   769,   770,   772,   774,
     776,   778,   780,   782,   784,   786,    58,   341,   342,   343,
     436,   442,    58,   437,   442,   103,   438,   439,   367,   384,
     385,    89,   277,   279,   505,   505,   505,   505,     0,   364,
     489,   489,    57,   338,   339,   508,   509,   510,    35,    37,
      52,    62,    63,    67,    70,    78,    79,    80,    81,    82,
      83,    97,    99,   246,   270,   285,   295,   301,   306,   315,
     318,   319,   320,   321,   325,   329,   330,   344,   354,   515,
     516,   517,   519,   520,   521,   522,   523,   524,   528,   529,
     530,   533,   534,   541,   545,   553,   554,   557,   558,   559,
     560,   561,   582,   583,   585,   586,   588,   589,   592,   593,
     594,   604,   605,   606,   607,   608,   611,   612,   618,   625,
     626,   627,   628,   629,   630,   634,   635,   636,   670,   684,
     689,   690,   713,   714,   715,   747,   364,   353,   353,   364,
     489,   565,   444,   447,   515,   489,   452,   454,   613,   636,
     457,   489,   462,   496,   512,   505,   494,   496,   499,   499,
     499,   502,    89,   277,   279,   505,   505,   505,   505,   511,
     427,   494,   505,   506,   424,   492,   494,   495,   425,   494,
     496,   497,   512,   426,   494,   499,   500,   499,   499,   494,
     502,   503,    89,   277,   279,   659,   427,   427,   427,   427,
     499,   505,   432,   493,   514,   494,   514,   496,   514,    45,
     514,   499,   499,   514,   502,   514,    45,    46,   499,   514,
     514,    89,   277,   294,   659,   660,   505,    45,   514,    45,
     514,    45,   514,    45,   514,   505,   505,   505,    45,   514,
     391,   505,    45,   514,    45,   514,   505,   403,   494,   496,
     499,   499,   514,    45,   499,   496,   103,   106,   107,   108,
     717,   111,   112,   247,   248,   251,   621,   622,    32,    33,
      34,   247,   692,   132,   624,   166,   167,   768,   111,   112,
     113,   719,   113,   115,   116,   117,   118,   721,   111,   112,
     120,   121,   122,   123,   124,   723,   111,   112,   115,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   175,   725,
     113,   115,   134,   142,   143,   144,   145,   729,   113,   134,
     147,   297,   731,   111,   112,   126,   128,   129,   130,   151,
     152,   153,   733,   113,   115,   134,   142,   143,   145,   155,
     156,   735,   127,   143,   152,   158,   159,   737,   143,   159,
     739,   152,   162,   163,   741,   130,   134,   166,   167,   743,
     134,   166,   167,   169,   745,   134,   143,   158,   162,   166,
     167,   171,   172,   173,   174,   175,   748,   113,   166,   167,
     758,   134,   166,   167,   197,   230,   766,   113,   125,   127,
     145,   149,   152,   235,   268,   269,   348,   702,   704,   773,
     236,   775,   236,   777,   162,   237,   238,   239,   779,   127,
     152,   771,   115,   131,   152,   158,   242,   243,   781,   127,
     152,   783,   113,   127,   134,   152,   158,   785,   103,   130,
     133,   150,   308,   322,   348,   687,   688,   689,   111,   112,
     115,   133,   247,   271,   272,   273,   274,   275,   276,   278,
     279,   280,   281,   282,   283,   284,   287,   288,   289,   308,
     706,   707,   710,   322,   332,   694,   630,   635,   333,   231,
     240,   241,   244,   245,   787,   351,   352,   390,   697,   629,
     489,   409,   442,   342,   389,   442,   377,   395,    46,    48,
      50,    51,    58,    59,    91,   440,   505,   505,   505,   371,
     654,   669,   656,   658,   102,   102,   102,    84,   702,   286,
     605,   170,   489,   613,   685,   685,    62,    98,   489,   103,
     687,    89,   189,   277,   706,   707,   286,   286,   302,   286,
     304,   305,   542,    84,   162,    84,    84,   702,     4,   365,
     637,   638,   340,   513,   520,   447,   371,   287,   288,   531,
     532,   415,   162,   296,   297,   298,   299,   300,   535,   536,
     402,   316,   556,   396,     5,    70,    84,    86,   110,   114,
     119,   125,   129,   149,   231,   280,   283,   284,   296,   318,
     319,   345,   346,   356,   568,   569,   570,   571,   572,   573,
     574,   576,   577,   578,   579,   580,   581,   614,   617,   623,
     679,   680,   681,   686,   691,   695,   701,   702,   703,   705,
     711,   712,   715,   410,   416,    38,    39,   185,   188,   562,
     563,   396,    84,   322,   323,   324,   584,   590,   591,   396,
      84,   587,   590,   374,   381,   401,   326,   327,   328,   595,
     596,   600,   601,    23,   613,   615,   616,    45,   609,   610,
      15,    16,    17,    18,   358,     8,    24,    54,     9,    10,
      11,    12,    13,    14,    19,   110,   114,   119,   125,   141,
     146,   149,   154,   157,   160,   161,   165,   168,   170,   195,
     196,   321,   356,   614,   616,   617,   631,   632,   633,   636,
     671,   672,   673,   674,   675,   676,   677,   678,   680,   681,
     682,   683,    52,    52,    22,   354,   652,   671,   672,   677,
     652,    38,   354,   564,   354,   354,   354,   354,   354,   508,
     515,   565,   444,   447,   452,   454,   457,   462,   505,   505,
     505,   371,   654,   669,   656,   658,   515,   416,    57,    57,
      57,    57,   454,    57,   462,   505,   371,   392,   400,   407,
     454,   416,    43,   431,   494,   499,   514,   505,    45,   371,
     494,   494,   494,   494,   392,   400,   407,   494,   371,   494,
     494,   400,   499,   489,   412,     7,     8,   113,   251,   252,
     620,   300,   408,   103,   126,   286,   412,   411,   376,   411,
     386,   110,   125,   110,   125,   367,   137,   138,   139,   140,
     726,   384,   411,   387,   411,   388,   385,   411,   387,   366,
     375,   379,   369,   413,   414,   379,    23,    38,   102,   173,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   749,   750,   751,   411,   372,   180,   198,
     199,   200,   201,   202,   203,   204,   205,   206,   207,   208,
     209,   210,   211,   212,   213,   214,   759,   764,   405,   411,
     384,   385,   390,   704,   404,   404,   360,   404,   404,   379,
     360,   404,   383,   380,   373,   411,   394,   393,   407,   393,
     407,   111,   112,   125,   133,   149,   271,   272,   273,   708,
     709,   710,   370,   333,   333,   102,   404,   383,   380,   373,
     394,   350,   696,   357,   441,   442,   667,   667,   667,   287,
     354,   653,   302,   354,   668,   354,   542,   655,   354,   490,
     657,     5,   125,   149,   580,    84,   580,   602,   603,   630,
     175,    23,    23,    96,   354,    52,    52,    52,   102,   304,
      52,   710,    52,   580,   580,   304,   305,   546,   580,   102,
     597,   598,   599,   613,   617,   630,   634,   695,   701,   600,
     580,   580,    84,    21,   636,   641,   642,   643,   650,   677,
     678,     7,   355,   490,   354,   102,   102,   532,    77,   110,
     125,   170,   254,   538,   490,   102,   102,   102,   490,   537,
     536,   141,   154,   170,   317,   580,   403,     5,   580,    84,
     376,   386,   367,   384,   385,    84,   396,   396,   573,   614,
     681,    15,    16,    17,    18,   358,    20,    22,     8,    54,
       5,   590,    84,    86,   236,   296,     7,     7,   102,   102,
     563,     5,     7,     5,   580,   598,   613,   617,   596,     7,
     489,   354,   489,   354,   610,   682,   682,   673,   674,   675,
     629,   354,   525,   615,   672,   384,   387,   385,   387,   366,
     375,   369,   413,   414,   409,   372,   405,   396,   677,     7,
      20,    15,    16,    17,    18,   358,     7,    20,    22,     8,
     671,   672,   677,   580,   580,   102,   355,   364,    20,   364,
     102,   477,   416,   446,   448,   453,   459,   463,   564,   354,
     354,   354,   354,   354,   667,   667,   667,   653,   668,   655,
     657,   102,   102,   102,   102,   102,   354,   667,   103,   370,
     494,   102,   622,   411,   378,   102,   398,   398,   376,   384,
     376,   384,   113,   130,   135,   136,   236,   384,   727,   368,
      96,   755,   189,   753,   194,   756,   192,   193,   754,   190,
     191,   752,   130,   220,   224,   225,   226,   763,   215,   216,
     217,   218,   761,   219,   220,   221,   222,   223,   762,   762,
     224,   227,   227,   228,   229,   228,   113,   130,   162,   760,
     406,   404,   102,   102,   111,   112,   111,   112,   370,   370,
     102,   102,   334,   693,   102,   159,   349,   698,   702,   354,
     354,   354,   102,   470,   371,   546,   475,   392,   471,   102,
     400,   476,   407,   580,     5,     5,   580,   615,    89,    92,
     513,   644,   645,    38,   173,   178,   188,   750,   751,   490,
     490,   102,   630,   639,   640,   580,   580,   580,   370,   102,
     580,    52,   580,   392,   102,   548,   550,   551,   400,   103,
     288,   543,    22,   401,   379,    43,   580,   365,     5,   365,
     270,   285,   301,   647,   648,    89,    92,   513,   646,   649,
     365,   638,   449,   376,   148,   143,   148,   539,   540,   379,
     103,   113,   555,   617,   113,   555,   409,   113,   555,   580,
       5,   580,   580,   357,   568,   568,   569,   570,   571,   102,
     573,   568,   575,   615,   636,   580,   580,    84,     8,    84,
     614,   681,   711,   711,   580,   591,   580,   590,   601,   368,
     602,   639,   365,   526,   527,   357,   677,   671,   677,   682,
     682,   673,   674,   675,   677,   102,   671,   677,   633,   677,
      20,    20,   102,    39,   364,   355,   364,   417,   513,   564,
      37,    47,    52,    54,    56,   162,   270,   285,   301,   306,
     308,   355,   364,   417,   445,   513,    93,   113,   162,   355,
     364,   417,   479,   485,   486,   513,   515,    40,    88,    89,
      90,    91,    93,    96,   113,   162,   270,   355,   364,   417,
     460,   513,   518,   519,    40,    89,    91,   113,   162,   355,
     364,   417,   460,   513,   518,    41,    44,   162,   285,   355,
     364,   417,   416,   446,   448,   453,   459,   463,   354,   354,
     354,   371,   392,   400,   407,   463,   370,   370,     7,   408,
     411,   384,   751,   411,   379,   405,   361,   361,   384,   384,
     385,   385,   693,   337,   693,   102,   382,   390,   111,   112,
     699,   473,   474,   472,   288,   355,   364,   417,   513,   653,
     548,   550,   355,   364,   417,   513,   668,   355,   364,   417,
     513,   655,   543,   355,   364,   417,   513,   657,   580,   580,
       5,   103,   491,   491,   645,   409,   368,   368,   354,   520,
     644,   393,   393,   370,   370,   370,   580,   370,    20,   103,
     288,   303,   547,   303,   549,    20,   307,   544,   597,   613,
     617,    84,   326,   580,    43,    81,    82,   651,   678,   684,
     189,   287,   371,   302,   648,   491,   491,   647,   649,   355,
     364,   515,   384,     7,   409,   555,   555,    70,   555,   580,
       5,   580,   164,   580,   590,   590,     5,   355,   518,   520,
     641,     7,   355,   671,   671,   102,    39,   416,   489,   507,
     489,   498,   489,   501,   501,   489,   504,   103,    89,   277,
     279,   507,   507,   507,   507,   364,    78,    79,   487,   488,
     613,   411,    98,   364,   364,   364,   364,   364,   451,   618,
     491,   491,   353,    94,    95,   461,   102,   103,   128,   129,
     247,   267,   268,   467,   468,   478,    85,    86,    87,    89,
     455,   456,   364,   364,   364,   519,   451,   491,   353,   468,
     455,   364,   364,   364,   103,   353,    98,   371,   355,   355,
     355,   355,   355,   473,   474,   472,   355,   102,     7,   397,
     102,   382,   390,    93,   133,   271,   355,   364,   417,   513,
     665,    89,    96,   133,   167,   271,   355,   364,   417,   513,
     666,   113,   271,   355,   364,   417,   513,   662,   102,   371,
     547,   549,   392,   400,   544,   407,   580,   639,   355,   370,
     310,   311,   312,   313,   314,   552,   102,   392,   102,   551,
     392,   552,   102,   400,   599,   598,   580,   365,   102,   304,
     102,   546,   364,   540,   411,   411,   403,   411,   580,    84,
     602,     5,   355,   355,     5,   365,   527,   188,   566,   102,
     469,   447,   452,   457,   462,   379,   507,   507,   507,   469,
     469,   469,   469,   399,   103,   379,     8,   364,   364,   364,
     454,   399,     8,   364,     7,   364,     5,   364,   454,     5,
     364,   150,   480,   354,   464,   613,   364,   355,   355,   355,
     368,   102,   693,   353,   165,   170,   661,   493,   370,   491,
     102,   661,   102,   493,   370,   104,   493,   370,   520,   287,
     103,   543,   401,   401,   370,   102,   288,   548,   550,   387,
     387,   580,   355,   602,   684,   185,   567,   364,   354,   354,
     354,   354,   354,   469,   469,   469,   354,   354,   354,   354,
      41,   618,   467,   411,   456,   379,    86,   450,   451,   618,
      37,    86,   285,   301,   306,   308,   458,   468,   379,    22,
     102,   103,   352,   481,   482,   483,   613,   364,   103,   104,
     465,   466,   613,   364,   379,   370,   370,   370,     7,   382,
     354,   413,   409,   364,   364,   364,   364,   364,   364,   364,
     133,   364,   355,   370,   102,   547,   549,   355,   365,   566,
     477,   448,   453,   459,   463,   354,   354,   354,   470,   475,
     471,   476,   103,   451,   364,     8,   416,   468,   371,   392,
     400,   407,   364,   364,   102,    22,    25,     7,   355,   102,
     103,   663,   664,   661,   371,   392,   392,   567,   355,   355,
     355,   355,   355,   473,   474,   472,   355,   355,   355,   355,
      43,    44,   484,   364,   618,   364,   411,   411,   102,   102,
     365,   466,     5,     7,   355,   364,   364,   364,   364,   364,
     364,   355,   355,   355,   364,   364,   364,   364,   490,   613,
     353,   480,   411,   102,   664,   364,   411,   416,   370,   370,
     370,   371,   392,   400,   407,   464,   399,   364,   364,   364
};

  /* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_uint16 yyr1[] =
{
       0,   362,   363,   363,   364,   364,   365,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     417,   417,   417,   417,   418,   418,   418,   418,   419,   419,
     419,   419,   419,   419,   419,   419,   419,   419,   419,   419,
     419,   419,   419,   420,   420,   420,   420,   420,   420,   420,
     420,   420,   420,   420,   420,   420,   420,   420,   420,   420,
     420,   420,   420,   420,   420,   420,   420,   421,   422,   422,
     422,   422,   422,   422,   422,   422,   422,   422,   422,   422,
     422,   422,   422,   422,   422,   423,   424,   424,   425,   425,
     426,   426,   427,   427,   428,   428,   428,   428,   428,   428,
     428,   428,   428,   428,   428,   428,   428,   428,   428,   429,
     430,   430,   430,   430,   430,   430,   430,   430,   430,   430,
     430,   430,   430,   430,   430,   430,   430,   430,   430,   430,
     430,   430,   430,   430,   430,   430,   430,   430,   430,   430,
     430,   430,   430,   430,   431,   432,   432,   433,   433,   433,
     433,   433,   433,   434,   434,   434,   434,   434,   434,   434,
     435,   436,   436,   437,   437,   438,   439,   439,   440,   440,
     440,   440,   440,   440,   440,   440,   441,   441,   442,   442,
     442,   443,   444,   445,   445,   446,   446,   446,   446,   446,
     446,   446,   446,   446,   446,   446,   446,   446,   446,   446,
     446,   447,   448,   448,   448,   448,   448,   448,   448,   448,
     449,   449,   449,   450,   450,   451,   451,   452,   453,   453,
     453,   453,   453,   453,   453,   453,   453,   453,   453,   453,
     453,   454,   454,   455,   455,   456,   456,   456,   456,   457,
     458,   458,   458,   458,   458,   459,   459,   459,   459,   459,
     459,   459,   459,   459,   459,   459,   459,   459,   459,   460,
     460,   461,   461,   462,   463,   463,   463,   463,   463,   463,
     463,   464,   464,   465,   465,   465,   466,   466,   466,   467,
     467,   468,   468,   469,   470,   470,   470,   470,   470,   471,
     471,   471,   471,   471,   472,   472,   472,   472,   472,   473,
     473,   473,   473,   473,   474,   474,   474,   474,   474,   475,
     475,   475,   475,   475,   476,   476,   476,   476,   476,   477,
     477,   477,   477,   477,   478,   478,   478,   478,   478,   479,
     480,   481,   481,   482,   482,   482,   482,   482,   483,   483,
     484,   484,   484,   484,   485,   486,   487,   487,   488,   488,
     489,   490,   490,   490,   491,   492,   492,   493,   493,   493,
     493,   493,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   511,   511,   511,   512,   513,   514,   514,   515,   515,
     516,   517,   517,   518,   518,   519,   519,   519,   519,   520,
     520,   520,   520,   520,   520,   520,   520,   520,   520,   520,
     520,   520,   520,   520,   520,   520,   520,   520,   520,   520,
     521,   521,   522,   523,   523,   524,   525,   525,   526,   526,
     526,   527,   528,   528,   529,   529,   530,   530,   531,   531,
     532,   532,   533,   533,   534,   535,   535,   536,   536,   536,
     536,   536,   536,   537,   538,   538,   538,   538,   538,   539,
     539,   540,   540,   541,   541,   541,   542,   542,   542,   543,
     543,   544,   544,   545,   545,   546,   546,   546,   547,   547,
     548,   549,   549,   550,   550,   551,   551,   552,   552,   552,
     552,   552,   553,   554,   555,   555,   556,   556,   556,   556,
     556,   556,   556,   556,   557,   558,   558,   559,   559,   559,
     559,   559,   559,   560,   560,   561,   561,   562,   562,   563,
     563,   563,   563,   564,   564,   565,   566,   566,   567,   567,
     568,   568,   568,   568,   568,   568,   568,   568,   568,   568,
     568,   568,   568,   569,   569,   569,   570,   570,   571,   571,
     572,   572,   573,   574,   574,   575,   575,   576,   576,   577,
     578,   579,   579,   580,   580,   580,   581,   581,   581,   581,
     581,   581,   581,   581,   581,   581,   581,   581,   581,   581,
     582,   582,   583,   584,   584,   584,   585,   585,   586,   587,
     587,   587,   587,   587,   588,   588,   589,   589,   590,   590,
     591,   591,   591,   592,   592,   592,   592,   593,   593,   594,
     595,   595,   596,   596,   597,   597,   598,   598,   598,   599,
     599,   599,   599,   600,   600,   601,   601,   602,   602,   603,
     604,   604,   604,   605,   605,   605,   606,   606,   607,   607,
     608,   609,   609,   610,   611,   611,   612,   613,   614,   614,
     615,   615,   616,   617,   618,   618,   618,   618,   618,   618,
     618,   618,   618,   618,   618,   618,   618,   618,   618,   619,
     620,   620,   620,   621,   621,   621,   621,   621,   622,   622,
     623,   623,   624,   624,   625,   625,   625,   626,   626,   627,
     627,   628,   628,   629,   630,   630,   631,   632,   633,   633,
     634,   635,   635,   635,   636,   637,   637,   637,   638,   638,
     638,   639,   639,   640,   641,   641,   641,   642,   642,   643,
     643,   644,   644,   645,   645,   645,   646,   646,   647,   647,
     648,   648,   648,   648,   648,   648,   649,   649,   649,   650,
     651,   651,   652,   652,   652,   652,   653,   654,   655,   656,
     657,   658,   659,   659,   659,   660,   660,   660,   661,   661,
     662,   662,   663,   663,   664,   665,   665,   665,   666,   666,
     666,   666,   666,   667,   668,   668,   669,   670,   670,   670,
     670,   670,   670,   670,   670,   671,   671,   672,   672,   672,
     673,   673,   673,   674,   674,   675,   675,   676,   676,   677,
     678,   678,   678,   678,   679,   679,   680,   681,   681,   681,
     681,   681,   681,   681,   681,   681,   681,   681,   681,   682,
     682,   682,   682,   682,   682,   682,   682,   682,   682,   682,
     682,   682,   682,   682,   682,   682,   683,   683,   683,   683,
     683,   683,   683,   684,   684,   684,   684,   684,   684,   685,
     685,   686,   686,   686,   687,   687,   688,   688,   688,   688,
     688,   689,   689,   689,   689,   689,   689,   689,   689,   689,
     689,   689,   689,   689,   689,   689,   689,   689,   689,   689,
     689,   689,   689,   689,   689,   690,   690,   690,   690,   690,
     690,   691,   691,   692,   692,   692,   693,   693,   694,   694,
     695,   696,   696,   697,   697,   698,   698,   699,   699,   700,
     700,   701,   701,   701,   702,   702,   703,   703,   704,   704,
     704,   704,   705,   705,   705,   706,   706,   707,   707,   707,
     707,   707,   707,   707,   707,   707,   707,   707,   707,   707,
     707,   707,   707,   707,   708,   708,   708,   708,   708,   708,
     708,   709,   709,   709,   709,   710,   710,   710,   710,   711,
     711,   712,   712,   713,   713,   713,   713,   714,   715,   715,
     715,   715,   715,   715,   715,   715,   715,   715,   715,   715,
     715,   715,   715,   715,   715,   715,   716,   717,   717,   717,
     717,   718,   719,   719,   719,   720,   721,   721,   721,   721,
     721,   722,   723,   723,   723,   723,   723,   723,   723,   723,
     723,   724,   724,   724,   725,   725,   725,   725,   725,   725,
     725,   725,   725,   725,   725,   725,   726,   726,   726,   726,
     727,   727,   727,   727,   727,   728,   729,   729,   729,   729,
     729,   729,   729,   730,   731,   731,   731,   731,   732,   733,
     733,   733,   733,   733,   733,   733,   733,   733,   734,   735,
     735,   735,   735,   735,   735,   735,   735,   736,   737,   737,
     737,   737,   737,   738,   739,   739,   740,   741,   741,   741,
     742,   743,   743,   743,   743,   744,   745,   745,   745,   745,
     746,   746,   746,   746,   747,   748,   748,   748,   748,   748,
     748,   748,   748,   748,   748,   749,   749,   749,   749,   749,
     749,   750,   750,   750,   750,   750,   751,   751,   751,   751,
     751,   751,   751,   751,   751,   751,   751,   751,   752,   752,
     753,   754,   754,   755,   756,   757,   758,   758,   758,   759,
     759,   759,   759,   759,   759,   759,   759,   759,   759,   759,
     759,   759,   759,   759,   759,   759,   759,   760,   760,   760,
     761,   761,   761,   761,   762,   762,   762,   762,   762,   763,
     763,   763,   763,   764,   764,   764,   764,   764,   764,   764,
     764,   764,   764,   764,   764,   765,   765,   766,   766,   766,
     766,   767,   768,   768,   769,   769,   769,   769,   769,   769,
     769,   769,   770,   771,   771,   772,   773,   773,   773,   773,
     774,   775,   776,   777,   778,   779,   779,   779,   779,   780,
     781,   781,   781,   781,   781,   781,   782,   783,   783,   784,
     785,   785,   785,   785,   785,   786,   787,   787,   787,   787,
     787
};

  /* YYR2[YYN] -- Number of symbols on the right hand side of rule YYN.  */
static const yytype_uint8 yyr2[] =
{
       0,     2,     0,     2,     1,     1,     1,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     3,
       5,     5,     3,     2,     1,     1,     2,     2,     1,     2,
       2,     2,     2,     2,     2,     3,     3,     2,     2,     3,
       3,     3,     2,     2,     6,     2,     6,     3,     2,     6,
       6,     3,     6,     3,     5,     7,     5,     7,     8,     8,
       8,     5,     7,     5,     7,     5,     7,     3,     2,     6,
       2,     6,     6,     6,     3,     6,     3,     5,     5,     8,
       8,     8,     5,     5,     5,     3,     1,     1,     1,     1,
       1,     1,     1,     1,     2,     2,     2,     2,     2,     3,
       2,     2,     6,     3,     3,     5,     3,     3,     3,     3,
       2,     2,     2,     2,     2,     3,     2,     2,     3,     3,
       2,     3,     3,     2,     3,     3,     2,     3,     3,     2,
       3,     3,     2,     3,     3,     2,     2,     2,     2,     2,
       2,     4,     5,     2,     2,     1,     2,     2,     3,     3,
       2,     3,     3,     2,     2,     2,     2,     3,     2,     2,
       3,     2,     1,     2,     1,     3,     0,     1,     0,     1,
       1,     1,     1,     1,     1,     1,     0,     1,     1,     1,
       2,     1,     0,     3,     1,     0,     2,     2,     3,     8,
       8,     8,     8,     9,     9,    10,    10,    10,     9,     9,
       9,     0,     0,     2,     2,     3,     3,     3,     3,     3,
       0,     2,     3,     1,     3,     1,     3,     0,     0,     2,
       2,     5,     4,     5,     4,     4,     3,     4,     2,     3,
       3,     1,     1,     3,     1,     1,     1,     1,     1,     0,
       2,     2,     2,     2,     2,     0,     2,     2,     4,     7,
       8,     6,     7,     7,     5,     3,     4,     3,     3,     3,
       2,     1,     1,     0,     0,     2,     2,     5,     5,     3,
       5,     3,     1,     1,     3,     3,     1,     1,     1,     1,
       1,     1,     3,     0,     0,     2,     2,     2,     2,     0,
       2,     2,     2,     2,     0,     2,     2,     2,     2,     0,
       2,     2,     2,     2,     0,     2,     2,     2,     2,     0,
       2,     2,     2,     2,     0,     2,     2,     2,     2,     0,
       2,     2,     2,     2,     1,     1,     1,     1,     1,     7,
       2,     1,     1,     1,     1,     1,     3,     3,     1,     2,
       2,     2,     3,     0,     3,     3,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     0,     1,     2,     2,     1,
       2,     1,     1,     2,     3,     2,     3,     1,     2,     3,
       1,     2,     3,     1,     2,     3,     1,     2,     2,     2,
       1,     2,     2,     2,     2,     2,     0,     1,     1,     2,
       1,     1,     2,     1,     2,     2,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     2,     2,     2,     2,     1,
       1,     2,     2,     2,     2,     1,     1,     2,     1,     1,
       1,     1,     5,     1,     1,     3,     3,     1,     1,     3,
       3,     5,     4,     5,     1,     2,     1,     3,     1,     2,
       2,     2,     1,     2,     1,     1,     2,     2,     2,     2,
       2,     2,     3,     1,     3,     3,     1,     2,     1,     3,
       1,     1,     1,     6,     6,     4,     1,     1,     0,     1,
       1,     0,     3,     6,     4,     1,     1,     0,     0,     3,
       3,     0,     2,     2,     3,     2,     2,     1,     1,     1,
       1,     1,     2,     1,     1,     1,     0,     6,     3,     6,
       3,     5,     3,     5,     2,     1,     1,     3,     4,     4,
       5,     6,     5,     1,     2,     1,     3,     1,     2,     2,
       2,     1,     1,     6,     8,     0,     0,     1,     0,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     3,     1,     3,     3,     1,     3,     1,     3,
       1,     3,     1,     1,     3,     1,     1,     3,     1,     3,
       3,     1,     1,     1,     1,     1,     1,     2,     3,     3,
       4,     5,     2,     3,     2,     6,     4,     3,     4,     3,
       2,     1,     1,     3,     4,     1,     2,     1,     1,     2,
       3,     1,     3,     4,     3,     5,     3,     6,     1,     3,
       1,     1,     1,     2,     4,     7,     7,     1,     2,     1,
       1,     2,     2,     1,     1,     1,     1,     1,     3,     1,
       1,     1,     1,     1,     3,     1,     1,     1,     2,     1,
       4,     5,     6,     1,     1,     1,     7,     8,     6,     1,
       1,     1,     2,     2,     6,     8,     1,     2,     1,     1,
       1,     1,     3,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     3,     4,
       1,     1,     2,     1,     1,     1,     1,     1,     3,     1,
       4,     4,     0,     2,     1,     3,     3,     1,     3,     1,
       3,     1,     3,     1,     1,     3,     3,     3,     1,     1,
       3,     1,     1,     1,     3,     1,     3,     3,     3,     3,
       5,     1,     2,     1,     1,     2,     3,     1,     1,     2,
       1,     1,     2,     2,     2,     1,     1,     2,     1,     2,
       2,     6,     6,     6,     4,     5,     2,     2,     1,     1,
       1,     1,     1,     1,     2,     2,     4,     0,     4,     0,
       1,     0,     1,     1,     1,     1,     1,     1,     2,     2,
       6,     3,     1,     3,     3,     3,     7,     3,     3,     3,
       3,     3,     3,     0,     4,     4,     0,     2,     2,     4,
       4,     5,     5,     3,     3,     3,     3,     1,     1,     1,
       1,     3,     3,     1,     3,     1,     3,     1,     3,     1,
       1,     1,     3,     3,     1,     1,     1,     2,     2,     2,
       2,     2,     2,     2,     1,     2,     1,     1,     1,     1,
       1,     1,     1,     2,     2,     2,     2,     2,     2,     1,
       2,     2,     2,     2,     2,     3,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     2,     2,     1,     1,
       1,     3,     1,     3,     1,     1,     1,     1,     1,     1,
       2,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     2,     1,     1,     1,     5,     3,     5,     1,     5,
       5,     3,     5,     1,     1,     1,     0,     2,     1,     1,
       6,     2,     0,     1,     1,     1,     1,     1,     1,     5,
       6,     8,     6,     5,     2,     2,     3,     4,     1,     1,
       1,     2,     3,     4,     4,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     2,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     3,     3,     3,     3,     1,     1,     1,     1,     1,
       1,     3,     3,     5,     5,     5,     6,     3,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     2,     1,     1,     1,     7,     1,     1,     2,
       1,     3,     1,     1,     2,     3,     1,     1,     1,     1,
       2,     3,     1,     1,     1,     1,     1,     3,     3,     3,
       3,     3,     5,     4,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       2,     1,     1,     1,     1,     3,     2,     1,     1,     1,
       1,     1,     1,     3,     2,     1,     1,     1,     3,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     3,     2,
       1,     1,     1,     1,     1,     1,     1,     3,     1,     1,
       1,     1,     1,     3,     1,     1,     3,     1,     2,     1,
       3,     1,     1,     1,     1,     3,     1,     1,     1,     1,
       2,     3,     3,     9,     5,     1,     1,     1,     1,     1,
       1,     2,     1,     1,     1,     2,     2,     2,     2,     2,
       2,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     3,     1,     1,     2,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     2,     2,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     3,     5,     1,     1,     1,
       1,     3,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     3,     1,     1,     3,     1,     1,     2,     1,
       3,     4,     3,     1,     3,     1,     2,     1,     4,     3,
       1,     1,     1,     1,     1,     1,     3,     1,     1,     3,
       1,     1,     2,     1,     1,     2,     2,     2,     2,     2,
       2
};


#define yyerrok         (yyerrstatus = 0)
#define yyclearin       (yychar = YYEMPTY)
#define YYEMPTY         (-2)
#define YYEOF           0

#define YYACCEPT        goto yyacceptlab
#define YYABORT         goto yyabortlab
#define YYERROR         goto yyerrorlab


#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)                                  \
do                                                              \
  if (yychar == YYEMPTY)                                        \
    {                                                           \
      yychar = (Token);                                         \
      yylval = (Value);                                         \
      YYPOPSTACK (yylen);                                       \
      yystate = *yyssp;                                         \
      goto yybackup;                                            \
    }                                                           \
  else                                                          \
    {                                                           \
      yyerror (&yylloc, nft, scanner, state, YY_("syntax error: cannot back up")); \
      YYERROR;                                                  \
    }                                                           \
while (0)

/* Error token number */
#define YYTERROR        1
#define YYERRCODE       256


/* YYLLOC_DEFAULT -- Set CURRENT to span from RHS[1] to RHS[N].
   If N is 0, then set CURRENT to the empty location which ends
   the previous symbol: RHS[0] (always defined).  */

#ifndef YYLLOC_DEFAULT
# define YYLLOC_DEFAULT(Current, Rhs, N)                                \
    do                                                                  \
      if (N)                                                            \
        {                                                               \
          (Current).first_line   = YYRHSLOC (Rhs, 1).first_line;        \
          (Current).first_column = YYRHSLOC (Rhs, 1).first_column;      \
          (Current).last_line    = YYRHSLOC (Rhs, N).last_line;         \
          (Current).last_column  = YYRHSLOC (Rhs, N).last_column;       \
        }                                                               \
      else                                                              \
        {                                                               \
          (Current).first_line   = (Current).last_line   =              \
            YYRHSLOC (Rhs, 0).last_line;                                \
          (Current).first_column = (Current).last_column =              \
            YYRHSLOC (Rhs, 0).last_column;                              \
        }                                                               \
    while (0)
#endif

#define YYRHSLOC(Rhs, K) ((Rhs)[K])


/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)                        \
do {                                            \
  if (yydebug)                                  \
    YYFPRINTF Args;                             \
} while (0)


/* YY_LOCATION_PRINT -- Print the location on the stream.
   This macro was not mandated originally: define only if we know
   we won't break user code: when these are the locations we know.  */

#ifndef YY_LOCATION_PRINT
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL

/* Print *YYLOCP on YYO.  Private, do not rely on its existence. */

YY_ATTRIBUTE_UNUSED
static unsigned
yy_location_print_ (FILE *yyo, YYLTYPE const * const yylocp)
{
  unsigned res = 0;
  int end_col = 0 != yylocp->last_column ? yylocp->last_column - 1 : 0;
  if (0 <= yylocp->first_line)
    {
      res += YYFPRINTF (yyo, "%d", yylocp->first_line);
      if (0 <= yylocp->first_column)
        res += YYFPRINTF (yyo, ".%d", yylocp->first_column);
    }
  if (0 <= yylocp->last_line)
    {
      if (yylocp->first_line < yylocp->last_line)
        {
          res += YYFPRINTF (yyo, "-%d", yylocp->last_line);
          if (0 <= end_col)
            res += YYFPRINTF (yyo, ".%d", end_col);
        }
      else if (0 <= end_col && yylocp->first_column < end_col)
        res += YYFPRINTF (yyo, "-%d", end_col);
    }
  return res;
 }

#  define YY_LOCATION_PRINT(File, Loc)          \
  yy_location_print_ (File, &(Loc))

# else
#  define YY_LOCATION_PRINT(File, Loc) ((void) 0)
# endif
#endif


# define YY_SYMBOL_PRINT(Title, Type, Value, Location)                    \
do {                                                                      \
  if (yydebug)                                                            \
    {                                                                     \
      YYFPRINTF (stderr, "%s ", Title);                                   \
      yy_symbol_print (stderr,                                            \
                  Type, Value, Location, nft, scanner, state); \
      YYFPRINTF (stderr, "\n");                                           \
    }                                                                     \
} while (0)


/*----------------------------------------.
| Print this symbol's value on YYOUTPUT.  |
`----------------------------------------*/

static void
yy_symbol_value_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp, struct nft_ctx *nft, void *scanner, struct parser_state *state)
{
  FILE *yyo = yyoutput;
  YYUSE (yyo);
  YYUSE (yylocationp);
  YYUSE (nft);
  YYUSE (scanner);
  YYUSE (state);
  if (!yyvaluep)
    return;
# ifdef YYPRINT
  if (yytype < YYNTOKENS)
    YYPRINT (yyoutput, yytoknum[yytype], *yyvaluep);
# endif
  YYUSE (yytype);
}


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

static void
yy_symbol_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp, struct nft_ctx *nft, void *scanner, struct parser_state *state)
{
  YYFPRINTF (yyoutput, "%s %s (",
             yytype < YYNTOKENS ? "token" : "nterm", yytname[yytype]);

  YY_LOCATION_PRINT (yyoutput, *yylocationp);
  YYFPRINTF (yyoutput, ": ");
  yy_symbol_value_print (yyoutput, yytype, yyvaluep, yylocationp, nft, scanner, state);
  YYFPRINTF (yyoutput, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

static void
yy_stack_print (yytype_int16 *yybottom, yytype_int16 *yytop)
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)                            \
do {                                                            \
  if (yydebug)                                                  \
    yy_stack_print ((Bottom), (Top));                           \
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

static void
yy_reduce_print (yytype_int16 *yyssp, YYSTYPE *yyvsp, YYLTYPE *yylsp, int yyrule, struct nft_ctx *nft, void *scanner, struct parser_state *state)
{
  unsigned long int yylno = yyrline[yyrule];
  int yynrhs = yyr2[yyrule];
  int yyi;
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %lu):\n",
             yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr,
                       yystos[yyssp[yyi + 1 - yynrhs]],
                       &(yyvsp[(yyi + 1) - (yynrhs)])
                       , &(yylsp[(yyi + 1) - (yynrhs)])                       , nft, scanner, state);
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)          \
do {                                    \
  if (yydebug)                          \
    yy_reduce_print (yyssp, yyvsp, yylsp, Rule, nft, scanner, state); \
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
# define YY_SYMBOL_PRINT(Title, Type, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif


#if YYERROR_VERBOSE

# ifndef yystrlen
#  if defined __GLIBC__ && defined _STRING_H
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
static YYSIZE_T
yystrlen (const char *yystr)
{
  YYSIZE_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
static char *
yystpcpy (char *yydest, const char *yysrc)
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif

# ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYSIZE_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYSIZE_T yyn = 0;
      char const *yyp = yystr;

      for (;;)
        switch (*++yyp)
          {
          case '\'':
          case ',':
            goto do_not_strip_quotes;

          case '\\':
            if (*++yyp != '\\')
              goto do_not_strip_quotes;
            /* Fall through.  */
          default:
            if (yyres)
              yyres[yyn] = *yyp;
            yyn++;
            break;

          case '"':
            if (yyres)
              yyres[yyn] = '\0';
            return yyn;
          }
    do_not_strip_quotes: ;
    }

  if (! yyres)
    return yystrlen (yystr);

  return yystpcpy (yyres, yystr) - yyres;
}
# endif

/* Copy into *YYMSG, which is of size *YYMSG_ALLOC, an error message
   about the unexpected token YYTOKEN for the state stack whose top is
   YYSSP.

   Return 0 if *YYMSG was successfully written.  Return 1 if *YYMSG is
   not large enough to hold the message.  In that case, also set
   *YYMSG_ALLOC to the required number of bytes.  Return 2 if the
   required number of bytes is too large to store.  */
static int
yysyntax_error (YYSIZE_T *yymsg_alloc, char **yymsg,
                yytype_int16 *yyssp, int yytoken)
{
  YYSIZE_T yysize0 = yytnamerr (YY_NULLPTR, yytname[yytoken]);
  YYSIZE_T yysize = yysize0;
  enum { YYERROR_VERBOSE_ARGS_MAXIMUM = 5 };
  /* Internationalized format string. */
  const char *yyformat = YY_NULLPTR;
  /* Arguments of yyformat. */
  char const *yyarg[YYERROR_VERBOSE_ARGS_MAXIMUM];
  /* Number of reported tokens (one for the "unexpected", one per
     "expected"). */
  int yycount = 0;

  /* There are many possibilities here to consider:
     - If this state is a consistent state with a default action, then
       the only way this function was invoked is if the default action
       is an error action.  In that case, don't check for expected
       tokens because there are none.
     - The only way there can be no lookahead present (in yychar) is if
       this state is a consistent state with a default action.  Thus,
       detecting the absence of a lookahead is sufficient to determine
       that there is no unexpected or expected token to report.  In that
       case, just report a simple "syntax error".
     - Don't assume there isn't a lookahead just because this state is a
       consistent state with a default action.  There might have been a
       previous inconsistent state, consistent state with a non-default
       action, or user semantic action that manipulated yychar.
     - Of course, the expected token list depends on states to have
       correct lookahead information, and it depends on the parser not
       to perform extra reductions after fetching a lookahead from the
       scanner and before detecting a syntax error.  Thus, state merging
       (from LALR or IELR) and default reductions corrupt the expected
       token list.  However, the list is correct for canonical LR with
       one exception: it will still contain any token that will not be
       accepted due to an error action in a later state.
  */
  if (yytoken != YYEMPTY)
    {
      int yyn = yypact[*yyssp];
      yyarg[yycount++] = yytname[yytoken];
      if (!yypact_value_is_default (yyn))
        {
          /* Start YYX at -YYN if negative to avoid negative indexes in
             YYCHECK.  In other words, skip the first -YYN actions for
             this state because they are default actions.  */
          int yyxbegin = yyn < 0 ? -yyn : 0;
          /* Stay within bounds of both yycheck and yytname.  */
          int yychecklim = YYLAST - yyn + 1;
          int yyxend = yychecklim < YYNTOKENS ? yychecklim : YYNTOKENS;
          int yyx;

          for (yyx = yyxbegin; yyx < yyxend; ++yyx)
            if (yycheck[yyx + yyn] == yyx && yyx != YYTERROR
                && !yytable_value_is_error (yytable[yyx + yyn]))
              {
                if (yycount == YYERROR_VERBOSE_ARGS_MAXIMUM)
                  {
                    yycount = 1;
                    yysize = yysize0;
                    break;
                  }
                yyarg[yycount++] = yytname[yyx];
                {
                  YYSIZE_T yysize1 = yysize + yytnamerr (YY_NULLPTR, yytname[yyx]);
                  if (! (yysize <= yysize1
                         && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
                    return 2;
                  yysize = yysize1;
                }
              }
        }
    }

  switch (yycount)
    {
# define YYCASE_(N, S)                      \
      case N:                               \
        yyformat = S;                       \
      break
      YYCASE_(0, YY_("syntax error"));
      YYCASE_(1, YY_("syntax error, unexpected %s"));
      YYCASE_(2, YY_("syntax error, unexpected %s, expecting %s"));
      YYCASE_(3, YY_("syntax error, unexpected %s, expecting %s or %s"));
      YYCASE_(4, YY_("syntax error, unexpected %s, expecting %s or %s or %s"));
      YYCASE_(5, YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s"));
# undef YYCASE_
    }

  {
    YYSIZE_T yysize1 = yysize + yystrlen (yyformat);
    if (! (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
      return 2;
    yysize = yysize1;
  }

  if (*yymsg_alloc < yysize)
    {
      *yymsg_alloc = 2 * yysize;
      if (! (yysize <= *yymsg_alloc
             && *yymsg_alloc <= YYSTACK_ALLOC_MAXIMUM))
        *yymsg_alloc = YYSTACK_ALLOC_MAXIMUM;
      return 1;
    }

  /* Avoid sprintf, as that infringes on the user's name space.
     Don't have undefined behavior even if the translation
     produced a string with the wrong number of "%s"s.  */
  {
    char *yyp = *yymsg;
    int yyi = 0;
    while ((*yyp = *yyformat) != '\0')
      if (*yyp == '%' && yyformat[1] == 's' && yyi < yycount)
        {
          yyp += yytnamerr (yyp, yyarg[yyi++]);
          yyformat += 2;
        }
      else
        {
          yyp++;
          yyformat++;
        }
  }
  return 0;
}
#endif /* YYERROR_VERBOSE */

/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

static void
yydestruct (const char *yymsg, int yytype, YYSTYPE *yyvaluep, YYLTYPE *yylocationp, struct nft_ctx *nft, void *scanner, struct parser_state *state)
{
  YYUSE (yyvaluep);
  YYUSE (yylocationp);
  YYUSE (nft);
  YYUSE (scanner);
  YYUSE (state);
  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yytype, yyvaluep, yylocationp);

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  switch (yytype)
    {
          case 103: /* "string"  */
#line 320 "parser_bison.y" /* yacc.c:1257  */
      { xfree(((*yyvaluep).string)); }
#line 4865 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 104: /* "quoted string"  */
#line 320 "parser_bison.y" /* yacc.c:1257  */
      { xfree(((*yyvaluep).string)); }
#line 4871 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 105: /* "string with a trailing asterisk"  */
#line 320 "parser_bison.y" /* yacc.c:1257  */
      { xfree(((*yyvaluep).string)); }
#line 4877 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 418: /* line  */
#line 630 "parser_bison.y" /* yacc.c:1257  */
      { cmd_free(((*yyvaluep).cmd)); }
#line 4883 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 419: /* base_cmd  */
#line 633 "parser_bison.y" /* yacc.c:1257  */
      { cmd_free(((*yyvaluep).cmd)); }
#line 4889 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 420: /* add_cmd  */
#line 633 "parser_bison.y" /* yacc.c:1257  */
      { cmd_free(((*yyvaluep).cmd)); }
#line 4895 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 421: /* replace_cmd  */
#line 633 "parser_bison.y" /* yacc.c:1257  */
      { cmd_free(((*yyvaluep).cmd)); }
#line 4901 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 422: /* create_cmd  */
#line 633 "parser_bison.y" /* yacc.c:1257  */
      { cmd_free(((*yyvaluep).cmd)); }
#line 4907 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 423: /* insert_cmd  */
#line 633 "parser_bison.y" /* yacc.c:1257  */
      { cmd_free(((*yyvaluep).cmd)); }
#line 4913 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 424: /* table_or_id_spec  */
#line 636 "parser_bison.y" /* yacc.c:1257  */
      { handle_free(&((*yyvaluep).handle)); }
#line 4919 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 425: /* chain_or_id_spec  */
#line 638 "parser_bison.y" /* yacc.c:1257  */
      { handle_free(&((*yyvaluep).handle)); }
#line 4925 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 426: /* set_or_id_spec  */
#line 643 "parser_bison.y" /* yacc.c:1257  */
      { handle_free(&((*yyvaluep).handle)); }
#line 4931 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 427: /* obj_or_id_spec  */
#line 645 "parser_bison.y" /* yacc.c:1257  */
      { handle_free(&((*yyvaluep).handle)); }
#line 4937 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 428: /* delete_cmd  */
#line 633 "parser_bison.y" /* yacc.c:1257  */
      { cmd_free(((*yyvaluep).cmd)); }
#line 4943 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 429: /* get_cmd  */
#line 633 "parser_bison.y" /* yacc.c:1257  */
      { cmd_free(((*yyvaluep).cmd)); }
#line 4949 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 430: /* list_cmd  */
#line 633 "parser_bison.y" /* yacc.c:1257  */
      { cmd_free(((*yyvaluep).cmd)); }
#line 4955 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 431: /* basehook_device_name  */
#line 657 "parser_bison.y" /* yacc.c:1257  */
      { xfree(((*yyvaluep).string)); }
#line 4961 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 432: /* basehook_spec  */
#line 651 "parser_bison.y" /* yacc.c:1257  */
      { handle_free(&((*yyvaluep).handle)); }
#line 4967 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 433: /* reset_cmd  */
#line 633 "parser_bison.y" /* yacc.c:1257  */
      { cmd_free(((*yyvaluep).cmd)); }
#line 4973 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 434: /* flush_cmd  */
#line 633 "parser_bison.y" /* yacc.c:1257  */
      { cmd_free(((*yyvaluep).cmd)); }
#line 4979 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 435: /* rename_cmd  */
#line 633 "parser_bison.y" /* yacc.c:1257  */
      { cmd_free(((*yyvaluep).cmd)); }
#line 4985 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 436: /* import_cmd  */
#line 633 "parser_bison.y" /* yacc.c:1257  */
      { cmd_free(((*yyvaluep).cmd)); }
#line 4991 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 437: /* export_cmd  */
#line 633 "parser_bison.y" /* yacc.c:1257  */
      { cmd_free(((*yyvaluep).cmd)); }
#line 4997 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 438: /* monitor_cmd  */
#line 633 "parser_bison.y" /* yacc.c:1257  */
      { cmd_free(((*yyvaluep).cmd)); }
#line 5003 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 439: /* monitor_event  */
#line 876 "parser_bison.y" /* yacc.c:1257  */
      { xfree(((*yyvaluep).string)); }
#line 5009 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 443: /* describe_cmd  */
#line 633 "parser_bison.y" /* yacc.c:1257  */
      { cmd_free(((*yyvaluep).cmd)); }
#line 5015 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 444: /* table_block_alloc  */
#line 663 "parser_bison.y" /* yacc.c:1257  */
      { close_scope(state); table_free(((*yyvaluep).table)); }
#line 5021 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 447: /* chain_block_alloc  */
#line 665 "parser_bison.y" /* yacc.c:1257  */
      { close_scope(state); chain_free(((*yyvaluep).chain)); }
#line 5027 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 450: /* typeof_data_expr  */
#line 737 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5033 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 451: /* typeof_expr  */
#line 737 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5039 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 452: /* set_block_alloc  */
#line 674 "parser_bison.y" /* yacc.c:1257  */
      { set_free(((*yyvaluep).set)); }
#line 5045 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 454: /* set_block_expr  */
#line 778 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5051 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 457: /* map_block_alloc  */
#line 677 "parser_bison.y" /* yacc.c:1257  */
      { set_free(((*yyvaluep).set)); }
#line 5057 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 462: /* flowtable_block_alloc  */
#line 681 "parser_bison.y" /* yacc.c:1257  */
      { flowtable_free(((*yyvaluep).flowtable)); }
#line 5063 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 464: /* flowtable_expr  */
#line 778 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5069 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 465: /* flowtable_list_expr  */
#line 778 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5075 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 466: /* flowtable_expr_member  */
#line 778 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5081 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 467: /* data_type_atom_expr  */
#line 627 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5087 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 468: /* data_type_expr  */
#line 627 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5093 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 469: /* obj_block_alloc  */
#line 684 "parser_bison.y" /* yacc.c:1257  */
      { obj_free(((*yyvaluep).obj)); }
#line 5099 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 478: /* type_identifier  */
#line 622 "parser_bison.y" /* yacc.c:1257  */
      { xfree(((*yyvaluep).string)); }
#line 5105 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 481: /* extended_prio_name  */
#line 657 "parser_bison.y" /* yacc.c:1257  */
      { xfree(((*yyvaluep).string)); }
#line 5111 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 484: /* dev_spec  */
#line 660 "parser_bison.y" /* yacc.c:1257  */
      { xfree(((*yyvaluep).expr)); }
#line 5117 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 487: /* policy_expr  */
#line 735 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5123 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 489: /* identifier  */
#line 622 "parser_bison.y" /* yacc.c:1257  */
      { xfree(((*yyvaluep).string)); }
#line 5129 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 490: /* string  */
#line 622 "parser_bison.y" /* yacc.c:1257  */
      { xfree(((*yyvaluep).string)); }
#line 5135 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 494: /* table_spec  */
#line 636 "parser_bison.y" /* yacc.c:1257  */
      { handle_free(&((*yyvaluep).handle)); }
#line 5141 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 495: /* tableid_spec  */
#line 636 "parser_bison.y" /* yacc.c:1257  */
      { handle_free(&((*yyvaluep).handle)); }
#line 5147 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 496: /* chain_spec  */
#line 638 "parser_bison.y" /* yacc.c:1257  */
      { handle_free(&((*yyvaluep).handle)); }
#line 5153 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 497: /* chainid_spec  */
#line 638 "parser_bison.y" /* yacc.c:1257  */
      { handle_free(&((*yyvaluep).handle)); }
#line 5159 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 498: /* chain_identifier  */
#line 641 "parser_bison.y" /* yacc.c:1257  */
      { handle_free(&((*yyvaluep).handle)); }
#line 5165 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 499: /* set_spec  */
#line 643 "parser_bison.y" /* yacc.c:1257  */
      { handle_free(&((*yyvaluep).handle)); }
#line 5171 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 500: /* setid_spec  */
#line 643 "parser_bison.y" /* yacc.c:1257  */
      { handle_free(&((*yyvaluep).handle)); }
#line 5177 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 501: /* set_identifier  */
#line 648 "parser_bison.y" /* yacc.c:1257  */
      { handle_free(&((*yyvaluep).handle)); }
#line 5183 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 502: /* flowtable_spec  */
#line 641 "parser_bison.y" /* yacc.c:1257  */
      { handle_free(&((*yyvaluep).handle)); }
#line 5189 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 503: /* flowtableid_spec  */
#line 648 "parser_bison.y" /* yacc.c:1257  */
      { handle_free(&((*yyvaluep).handle)); }
#line 5195 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 505: /* obj_spec  */
#line 645 "parser_bison.y" /* yacc.c:1257  */
      { handle_free(&((*yyvaluep).handle)); }
#line 5201 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 506: /* objid_spec  */
#line 645 "parser_bison.y" /* yacc.c:1257  */
      { handle_free(&((*yyvaluep).handle)); }
#line 5207 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 507: /* obj_identifier  */
#line 648 "parser_bison.y" /* yacc.c:1257  */
      { handle_free(&((*yyvaluep).handle)); }
#line 5213 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 508: /* handle_spec  */
#line 641 "parser_bison.y" /* yacc.c:1257  */
      { handle_free(&((*yyvaluep).handle)); }
#line 5219 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 509: /* position_spec  */
#line 641 "parser_bison.y" /* yacc.c:1257  */
      { handle_free(&((*yyvaluep).handle)); }
#line 5225 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 510: /* index_spec  */
#line 641 "parser_bison.y" /* yacc.c:1257  */
      { handle_free(&((*yyvaluep).handle)); }
#line 5231 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 511: /* rule_position  */
#line 641 "parser_bison.y" /* yacc.c:1257  */
      { handle_free(&((*yyvaluep).handle)); }
#line 5237 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 512: /* ruleid_spec  */
#line 641 "parser_bison.y" /* yacc.c:1257  */
      { handle_free(&((*yyvaluep).handle)); }
#line 5243 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 513: /* comment_spec  */
#line 622 "parser_bison.y" /* yacc.c:1257  */
      { xfree(((*yyvaluep).string)); }
#line 5249 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 514: /* ruleset_spec  */
#line 641 "parser_bison.y" /* yacc.c:1257  */
      { handle_free(&((*yyvaluep).handle)); }
#line 5255 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 515: /* rule  */
#line 667 "parser_bison.y" /* yacc.c:1257  */
      { rule_free(((*yyvaluep).rule)); }
#line 5261 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 517: /* stmt_list  */
#line 687 "parser_bison.y" /* yacc.c:1257  */
      { stmt_list_free(((*yyvaluep).list)); xfree(((*yyvaluep).list)); }
#line 5267 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 518: /* stateful_stmt_list  */
#line 687 "parser_bison.y" /* yacc.c:1257  */
      { stmt_list_free(((*yyvaluep).list)); xfree(((*yyvaluep).list)); }
#line 5273 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 519: /* stateful_stmt  */
#line 691 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 5279 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 520: /* stmt  */
#line 689 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 5285 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 522: /* chain_stmt  */
#line 714 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 5291 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 523: /* verdict_stmt  */
#line 689 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 5297 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 524: /* verdict_map_stmt  */
#line 772 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5303 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 525: /* verdict_map_expr  */
#line 775 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5309 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 526: /* verdict_map_list_expr  */
#line 775 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5315 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 527: /* verdict_map_list_member_expr  */
#line 775 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5321 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 528: /* connlimit_stmt  */
#line 702 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 5327 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 529: /* counter_stmt  */
#line 691 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 5333 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 530: /* counter_stmt_alloc  */
#line 691 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 5339 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 533: /* log_stmt  */
#line 699 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 5345 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 534: /* log_stmt_alloc  */
#line 699 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 5351 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 541: /* limit_stmt  */
#line 702 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 5357 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 543: /* quota_unit  */
#line 657 "parser_bison.y" /* yacc.c:1257  */
      { xfree(((*yyvaluep).string)); }
#line 5363 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 545: /* quota_stmt  */
#line 702 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 5369 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 553: /* reject_stmt  */
#line 705 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 5375 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 554: /* reject_stmt_alloc  */
#line 705 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 5381 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 555: /* reject_with_expr  */
#line 720 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5387 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 557: /* nat_stmt  */
#line 707 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 5393 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 558: /* nat_stmt_alloc  */
#line 707 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 5399 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 559: /* tproxy_stmt  */
#line 710 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 5405 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 560: /* synproxy_stmt  */
#line 712 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 5411 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 561: /* synproxy_stmt_alloc  */
#line 712 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 5417 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 565: /* synproxy_obj  */
#line 798 "parser_bison.y" /* yacc.c:1257  */
      { obj_free(((*yyvaluep).obj)); }
#line 5423 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 568: /* primary_stmt_expr  */
#line 759 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5429 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 569: /* shift_stmt_expr  */
#line 761 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5435 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 570: /* and_stmt_expr  */
#line 763 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5441 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 571: /* exclusive_or_stmt_expr  */
#line 763 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5447 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 572: /* inclusive_or_stmt_expr  */
#line 763 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5453 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 573: /* basic_stmt_expr  */
#line 759 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5459 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 574: /* concat_stmt_expr  */
#line 751 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5465 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 575: /* map_stmt_expr_set  */
#line 751 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5471 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 576: /* map_stmt_expr  */
#line 751 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5477 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 577: /* prefix_stmt_expr  */
#line 756 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5483 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 578: /* range_stmt_expr  */
#line 756 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5489 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 579: /* multiton_stmt_expr  */
#line 754 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5495 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 580: /* stmt_expr  */
#line 751 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5501 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 582: /* masq_stmt  */
#line 707 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 5507 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 583: /* masq_stmt_alloc  */
#line 707 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 5513 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 585: /* redir_stmt  */
#line 707 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 5519 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 586: /* redir_stmt_alloc  */
#line 707 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 5525 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 588: /* dup_stmt  */
#line 723 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 5531 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 589: /* fwd_stmt  */
#line 725 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 5537 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 592: /* queue_stmt  */
#line 718 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 5543 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 593: /* queue_stmt_compat  */
#line 718 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 5549 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 594: /* queue_stmt_alloc  */
#line 718 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 5555 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 597: /* queue_expr  */
#line 720 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5561 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 598: /* queue_stmt_expr_simple  */
#line 720 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5567 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 599: /* queue_stmt_expr  */
#line 720 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5573 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 602: /* set_elem_expr_stmt  */
#line 782 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5579 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 603: /* set_elem_expr_stmt_alloc  */
#line 782 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5585 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 604: /* set_stmt  */
#line 727 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 5591 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 606: /* map_stmt  */
#line 730 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 5597 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 607: /* meter_stmt  */
#line 732 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 5603 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 608: /* flow_stmt_legacy_alloc  */
#line 732 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 5609 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 611: /* meter_stmt_alloc  */
#line 732 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 5615 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 612: /* match_stmt  */
#line 689 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 5621 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 613: /* variable_expr  */
#line 735 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5627 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 614: /* symbol_expr  */
#line 735 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5633 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 615: /* set_ref_expr  */
#line 743 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5639 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 616: /* set_ref_symbol_expr  */
#line 743 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5645 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 617: /* integer_expr  */
#line 735 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5651 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 618: /* primary_expr  */
#line 737 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5657 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 619: /* fib_expr  */
#line 867 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5663 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 623: /* osf_expr  */
#line 872 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5669 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 625: /* shift_expr  */
#line 737 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5675 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 626: /* and_expr  */
#line 737 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5681 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 627: /* exclusive_or_expr  */
#line 739 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5687 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 628: /* inclusive_or_expr  */
#line 739 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5693 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 629: /* basic_expr  */
#line 741 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5699 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 630: /* concat_expr  */
#line 766 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5705 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 631: /* prefix_rhs_expr  */
#line 748 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5711 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 632: /* range_rhs_expr  */
#line 748 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5717 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 633: /* multiton_rhs_expr  */
#line 746 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5723 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 634: /* map_expr  */
#line 769 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5729 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 635: /* expr  */
#line 788 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5735 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 636: /* set_expr  */
#line 778 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5741 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 637: /* set_list_expr  */
#line 778 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5747 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 638: /* set_list_member_expr  */
#line 778 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5753 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 639: /* meter_key_expr  */
#line 785 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5759 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 640: /* meter_key_expr_alloc  */
#line 785 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5765 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 641: /* set_elem_expr  */
#line 780 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5771 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 642: /* set_elem_key_expr  */
#line 910 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5777 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 643: /* set_elem_expr_alloc  */
#line 780 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5783 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 647: /* set_elem_stmt_list  */
#line 687 "parser_bison.y" /* yacc.c:1257  */
      { stmt_list_free(((*yyvaluep).list)); xfree(((*yyvaluep).list)); }
#line 5789 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 648: /* set_elem_stmt  */
#line 689 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 5795 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 650: /* set_lhs_expr  */
#line 780 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5801 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 651: /* set_rhs_expr  */
#line 780 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5807 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 652: /* initializer_expr  */
#line 788 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5813 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 654: /* counter_obj  */
#line 798 "parser_bison.y" /* yacc.c:1257  */
      { obj_free(((*yyvaluep).obj)); }
#line 5819 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 656: /* quota_obj  */
#line 798 "parser_bison.y" /* yacc.c:1257  */
      { obj_free(((*yyvaluep).obj)); }
#line 5825 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 658: /* secmark_obj  */
#line 798 "parser_bison.y" /* yacc.c:1257  */
      { obj_free(((*yyvaluep).obj)); }
#line 5831 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 663: /* timeout_states  */
#line 903 "parser_bison.y" /* yacc.c:1257  */
      { xfree(((*yyvaluep).list)); }
#line 5837 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 664: /* timeout_state  */
#line 903 "parser_bison.y" /* yacc.c:1257  */
      { xfree(((*yyvaluep).list)); }
#line 5843 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 667: /* ct_obj_alloc  */
#line 798 "parser_bison.y" /* yacc.c:1257  */
      { obj_free(((*yyvaluep).obj)); }
#line 5849 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 669: /* limit_obj  */
#line 798 "parser_bison.y" /* yacc.c:1257  */
      { obj_free(((*yyvaluep).obj)); }
#line 5855 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 670: /* relational_expr  */
#line 801 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5861 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 671: /* list_rhs_expr  */
#line 793 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5867 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 672: /* rhs_expr  */
#line 791 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5873 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 673: /* shift_rhs_expr  */
#line 793 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5879 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 674: /* and_rhs_expr  */
#line 795 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5885 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 675: /* exclusive_or_rhs_expr  */
#line 795 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5891 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 676: /* inclusive_or_rhs_expr  */
#line 795 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5897 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 677: /* basic_rhs_expr  */
#line 791 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5903 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 678: /* concat_rhs_expr  */
#line 791 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5909 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 680: /* boolean_expr  */
#line 893 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5915 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 681: /* keyword_expr  */
#line 788 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5921 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 682: /* primary_rhs_expr  */
#line 793 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5927 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 684: /* verdict_expr  */
#line 735 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5933 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 685: /* chain_expr  */
#line 735 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5939 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 686: /* meta_expr  */
#line 849 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5945 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 690: /* meta_stmt  */
#line 697 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 5951 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 691: /* socket_expr  */
#line 853 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5957 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 695: /* numgen_expr  */
#line 814 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5963 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 700: /* xfrm_expr  */
#line 907 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5969 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 701: /* hash_expr  */
#line 814 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5975 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 703: /* rt_expr  */
#line 859 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5981 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 705: /* ct_expr  */
#line 863 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5987 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 711: /* symbol_stmt_expr  */
#line 793 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5993 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 712: /* list_stmt_expr  */
#line 761 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5999 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 713: /* ct_stmt  */
#line 695 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 6005 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 714: /* payload_stmt  */
#line 693 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 6011 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 715: /* payload_expr  */
#line 805 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 6017 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 716: /* payload_raw_expr  */
#line 805 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 6023 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 718: /* eth_hdr_expr  */
#line 808 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 6029 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 720: /* vlan_hdr_expr  */
#line 808 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 6035 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 722: /* arp_hdr_expr  */
#line 811 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 6041 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 724: /* ip_hdr_expr  */
#line 814 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 6047 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 728: /* icmp_hdr_expr  */
#line 814 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 6053 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 730: /* igmp_hdr_expr  */
#line 814 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 6059 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 732: /* ip6_hdr_expr  */
#line 818 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 6065 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 734: /* icmp6_hdr_expr  */
#line 818 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 6071 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 736: /* auth_hdr_expr  */
#line 821 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 6077 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 738: /* esp_hdr_expr  */
#line 821 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 6083 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 740: /* comp_hdr_expr  */
#line 821 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 6089 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 742: /* udp_hdr_expr  */
#line 824 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 6095 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 744: /* udplite_hdr_expr  */
#line 824 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 6101 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 746: /* tcp_hdr_expr  */
#line 882 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 6107 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 747: /* optstrip_stmt  */
#line 890 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 6113 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 757: /* dccp_hdr_expr  */
#line 827 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 6119 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 764: /* sctp_chunk_alloc  */
#line 827 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 6125 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 765: /* sctp_hdr_expr  */
#line 827 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 6131 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 767: /* th_hdr_expr  */
#line 833 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 6137 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 769: /* exthdr_expr  */
#line 837 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 6143 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 770: /* hbh_hdr_expr  */
#line 839 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 6149 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 772: /* rt_hdr_expr  */
#line 842 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 6155 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 774: /* rt0_hdr_expr  */
#line 842 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 6161 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 776: /* rt2_hdr_expr  */
#line 842 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 6167 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 778: /* rt4_hdr_expr  */
#line 842 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 6173 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 780: /* frag_hdr_expr  */
#line 839 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 6179 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 782: /* dst_hdr_expr  */
#line 839 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 6185 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 784: /* mh_hdr_expr  */
#line 845 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 6191 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 786: /* exthdr_exists_expr  */
#line 897 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 6197 "parser_bison.c" /* yacc.c:1257  */
        break;


      default:
        break;
    }
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}




/*----------.
| yyparse.  |
`----------*/

int
yyparse (struct nft_ctx *nft, void *scanner, struct parser_state *state)
{
/* The lookahead symbol.  */
int yychar;


/* The semantic value of the lookahead symbol.  */
/* Default value used for initialization, for pacifying older GCCs
   or non-GCC compilers.  */
YY_INITIAL_VALUE (static YYSTYPE yyval_default;)
YYSTYPE yylval YY_INITIAL_VALUE (= yyval_default);

/* Location data for the lookahead symbol.  */
static YYLTYPE yyloc_default
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL
  = { 1, 1, 1, 1 }
# endif
;
YYLTYPE yylloc = yyloc_default;

    /* Number of syntax errors so far.  */
    int yynerrs;

    int yystate;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus;

    /* The stacks and their tools:
       'yyss': related to states.
       'yyvs': related to semantic values.
       'yyls': related to locations.

       Refer to the stacks through separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* The state stack.  */
    yytype_int16 yyssa[YYINITDEPTH];
    yytype_int16 *yyss;
    yytype_int16 *yyssp;

    /* The semantic value stack.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs;
    YYSTYPE *yyvsp;

    /* The location stack.  */
    YYLTYPE yylsa[YYINITDEPTH];
    YYLTYPE *yyls;
    YYLTYPE *yylsp;

    /* The locations where the error started and ended.  */
    YYLTYPE yyerror_range[3];

    YYSIZE_T yystacksize;

  int yyn;
  int yyresult;
  /* Lookahead token as an internal (translated) token number.  */
  int yytoken = 0;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;
  YYLTYPE yyloc;

#if YYERROR_VERBOSE
  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYSIZE_T yymsg_alloc = sizeof yymsgbuf;
#endif

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N), yylsp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  yyssp = yyss = yyssa;
  yyvsp = yyvs = yyvsa;
  yylsp = yyls = yylsa;
  yystacksize = YYINITDEPTH;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY; /* Cause a token to be read.  */

/* User initialization code.  */
#line 159 "parser_bison.y" /* yacc.c:1429  */
{
	location_init(scanner, state, &yylloc);
	if (nft->debug_mask & NFT_DEBUG_SCANNER)
		nft_set_debug(1, scanner);
	if (nft->debug_mask & NFT_DEBUG_PARSER)
		yydebug = 1;
}

#line 6314 "parser_bison.c" /* yacc.c:1429  */
  yylsp[0] = yylloc;
  goto yysetstate;

/*------------------------------------------------------------.
| yynewstate -- Push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
 yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;

 yysetstate:
  *yyssp = yystate;

  if (yyss + yystacksize - 1 <= yyssp)
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = yyssp - yyss + 1;

#ifdef yyoverflow
      {
        /* Give user a chance to reallocate the stack.  Use copies of
           these so that the &'s don't force the real ones into
           memory.  */
        YYSTYPE *yyvs1 = yyvs;
        yytype_int16 *yyss1 = yyss;
        YYLTYPE *yyls1 = yyls;

        /* Each stack pointer address is followed by the size of the
           data in use in that stack, in bytes.  This used to be a
           conditional around just the two extra args, but that might
           be undefined if yyoverflow is a macro.  */
        yyoverflow (YY_("memory exhausted"),
                    &yyss1, yysize * sizeof (*yyssp),
                    &yyvs1, yysize * sizeof (*yyvsp),
                    &yyls1, yysize * sizeof (*yylsp),
                    &yystacksize);

        yyls = yyls1;
        yyss = yyss1;
        yyvs = yyvs1;
      }
#else /* no yyoverflow */
# ifndef YYSTACK_RELOCATE
      goto yyexhaustedlab;
# else
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
        goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
        yystacksize = YYMAXDEPTH;

      {
        yytype_int16 *yyss1 = yyss;
        union yyalloc *yyptr =
          (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
        if (! yyptr)
          goto yyexhaustedlab;
        YYSTACK_RELOCATE (yyss_alloc, yyss);
        YYSTACK_RELOCATE (yyvs_alloc, yyvs);
        YYSTACK_RELOCATE (yyls_alloc, yyls);
#  undef YYSTACK_RELOCATE
        if (yyss1 != yyssa)
          YYSTACK_FREE (yyss1);
      }
# endif
#endif /* no yyoverflow */

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;
      yylsp = yyls + yysize - 1;

      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
                  (unsigned long int) yystacksize));

      if (yyss + yystacksize - 1 <= yyssp)
        YYABORT;
    }

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;

/*-----------.
| yybackup.  |
`-----------*/
yybackup:

  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either YYEMPTY or YYEOF or a valid lookahead symbol.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = yylex (&yylval, &yylloc, scanner);
    }

  if (yychar <= YYEOF)
    {
      yychar = yytoken = YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);

  /* Discard the shifted token.  */
  yychar = YYEMPTY;

  yystate = yyn;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END
  *++yylsp = yylloc;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- Do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     '$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];

  /* Default location.  */
  YYLLOC_DEFAULT (yyloc, (yylsp - yylen), yylen);
  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
        case 3:
#line 916 "parser_bison.y" /* yacc.c:1646  */
    {
				if ((yyvsp[0].cmd) != NULL) {
					(yyvsp[0].cmd)->location = (yylsp[0]);
					list_add_tail(&(yyvsp[0].cmd)->list, state->cmds);
				}
			}
#line 6508 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 8:
#line 932 "parser_bison.y" /* yacc.c:1646  */
    { scanner_pop_start_cond(nft->scanner, PARSER_SC_EXPR_AH); }
#line 6514 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 9:
#line 933 "parser_bison.y" /* yacc.c:1646  */
    { scanner_pop_start_cond(nft->scanner, PARSER_SC_ARP); }
#line 6520 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 10:
#line 934 "parser_bison.y" /* yacc.c:1646  */
    { scanner_pop_start_cond(nft->scanner, PARSER_SC_AT); }
#line 6526 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 11:
#line 935 "parser_bison.y" /* yacc.c:1646  */
    { scanner_pop_start_cond(nft->scanner, PARSER_SC_EXPR_COMP); }
#line 6532 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 12:
#line 936 "parser_bison.y" /* yacc.c:1646  */
    { scanner_pop_start_cond(nft->scanner, PARSER_SC_CT); }
#line 6538 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 13:
#line 937 "parser_bison.y" /* yacc.c:1646  */
    { scanner_pop_start_cond(nft->scanner, PARSER_SC_COUNTER); }
#line 6544 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 14:
#line 938 "parser_bison.y" /* yacc.c:1646  */
    { scanner_pop_start_cond(nft->scanner, PARSER_SC_EXPR_DCCP); }
#line 6550 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 15:
#line 939 "parser_bison.y" /* yacc.c:1646  */
    { scanner_pop_start_cond(nft->scanner, PARSER_SC_EXPR_DST); }
#line 6556 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 16:
#line 940 "parser_bison.y" /* yacc.c:1646  */
    { scanner_pop_start_cond(nft->scanner, PARSER_SC_STMT_DUP); }
#line 6562 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 17:
#line 941 "parser_bison.y" /* yacc.c:1646  */
    { scanner_pop_start_cond(nft->scanner, PARSER_SC_EXPR_ESP); }
#line 6568 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 18:
#line 942 "parser_bison.y" /* yacc.c:1646  */
    { scanner_pop_start_cond(nft->scanner, PARSER_SC_ETH); }
#line 6574 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 19:
#line 943 "parser_bison.y" /* yacc.c:1646  */
    { scanner_pop_start_cond(nft->scanner, PARSER_SC_CMD_EXPORT); }
#line 6580 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 20:
#line 944 "parser_bison.y" /* yacc.c:1646  */
    { scanner_pop_start_cond(nft->scanner, PARSER_SC_EXPR_FIB); }
#line 6586 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 21:
#line 945 "parser_bison.y" /* yacc.c:1646  */
    { scanner_pop_start_cond(nft->scanner, PARSER_SC_FLAGS); }
#line 6592 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 22:
#line 946 "parser_bison.y" /* yacc.c:1646  */
    { scanner_pop_start_cond(nft->scanner, PARSER_SC_EXPR_FRAG); }
#line 6598 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 23:
#line 947 "parser_bison.y" /* yacc.c:1646  */
    { scanner_pop_start_cond(nft->scanner, PARSER_SC_STMT_FWD); }
#line 6604 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 24:
#line 948 "parser_bison.y" /* yacc.c:1646  */
    { scanner_pop_start_cond(nft->scanner, PARSER_SC_EXPR_HASH); }
#line 6610 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 25:
#line 949 "parser_bison.y" /* yacc.c:1646  */
    { scanner_pop_start_cond(nft->scanner, PARSER_SC_EXPR_HBH); }
#line 6616 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 26:
#line 950 "parser_bison.y" /* yacc.c:1646  */
    { scanner_pop_start_cond(nft->scanner, PARSER_SC_IP); }
#line 6622 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 27:
#line 951 "parser_bison.y" /* yacc.c:1646  */
    { scanner_pop_start_cond(nft->scanner, PARSER_SC_IP6); }
#line 6628 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 28:
#line 952 "parser_bison.y" /* yacc.c:1646  */
    { scanner_pop_start_cond(nft->scanner, PARSER_SC_VLAN); }
#line 6634 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 29:
#line 953 "parser_bison.y" /* yacc.c:1646  */
    { scanner_pop_start_cond(nft->scanner, PARSER_SC_ICMP); }
#line 6640 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 30:
#line 954 "parser_bison.y" /* yacc.c:1646  */
    { scanner_pop_start_cond(nft->scanner, PARSER_SC_IGMP); }
#line 6646 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 31:
#line 955 "parser_bison.y" /* yacc.c:1646  */
    { scanner_pop_start_cond(nft->scanner, PARSER_SC_CMD_IMPORT); }
#line 6652 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 32:
#line 956 "parser_bison.y" /* yacc.c:1646  */
    { scanner_pop_start_cond(nft->scanner, PARSER_SC_EXPR_IPSEC); }
#line 6658 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 33:
#line 957 "parser_bison.y" /* yacc.c:1646  */
    { scanner_pop_start_cond(nft->scanner, PARSER_SC_CMD_LIST); }
#line 6664 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 34:
#line 958 "parser_bison.y" /* yacc.c:1646  */
    { scanner_pop_start_cond(nft->scanner, PARSER_SC_LIMIT); }
#line 6670 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 35:
#line 959 "parser_bison.y" /* yacc.c:1646  */
    { scanner_pop_start_cond(nft->scanner, PARSER_SC_META); }
#line 6676 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 36:
#line 960 "parser_bison.y" /* yacc.c:1646  */
    { scanner_pop_start_cond(nft->scanner, PARSER_SC_EXPR_MH); }
#line 6682 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 37:
#line 961 "parser_bison.y" /* yacc.c:1646  */
    { scanner_pop_start_cond(nft->scanner, PARSER_SC_CMD_MONITOR); }
#line 6688 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 38:
#line 962 "parser_bison.y" /* yacc.c:1646  */
    { scanner_pop_start_cond(nft->scanner, PARSER_SC_STMT_NAT); }
#line 6694 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 39:
#line 963 "parser_bison.y" /* yacc.c:1646  */
    { scanner_pop_start_cond(nft->scanner, PARSER_SC_EXPR_NUMGEN); }
#line 6700 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 40:
#line 964 "parser_bison.y" /* yacc.c:1646  */
    { scanner_pop_start_cond(nft->scanner, PARSER_SC_EXPR_OSF); }
#line 6706 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 41:
#line 965 "parser_bison.y" /* yacc.c:1646  */
    { scanner_pop_start_cond(nft->scanner, PARSER_SC_POLICY); }
#line 6712 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 42:
#line 966 "parser_bison.y" /* yacc.c:1646  */
    { scanner_pop_start_cond(nft->scanner, PARSER_SC_QUOTA); }
#line 6718 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 43:
#line 967 "parser_bison.y" /* yacc.c:1646  */
    { scanner_pop_start_cond(nft->scanner, PARSER_SC_EXPR_QUEUE); }
#line 6724 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 44:
#line 968 "parser_bison.y" /* yacc.c:1646  */
    { scanner_pop_start_cond(nft->scanner, PARSER_SC_STMT_REJECT); }
#line 6730 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 45:
#line 969 "parser_bison.y" /* yacc.c:1646  */
    { scanner_pop_start_cond(nft->scanner, PARSER_SC_CMD_RESET); }
#line 6736 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 46:
#line 970 "parser_bison.y" /* yacc.c:1646  */
    { scanner_pop_start_cond(nft->scanner, PARSER_SC_EXPR_RT); }
#line 6742 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 47:
#line 971 "parser_bison.y" /* yacc.c:1646  */
    { scanner_pop_start_cond(nft->scanner, PARSER_SC_SCTP); }
#line 6748 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 48:
#line 972 "parser_bison.y" /* yacc.c:1646  */
    { scanner_pop_start_cond(nft->scanner, PARSER_SC_EXPR_SCTP_CHUNK); }
#line 6754 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 49:
#line 973 "parser_bison.y" /* yacc.c:1646  */
    { scanner_pop_start_cond(nft->scanner, PARSER_SC_SECMARK); }
#line 6760 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 50:
#line 974 "parser_bison.y" /* yacc.c:1646  */
    { scanner_pop_start_cond(nft->scanner, PARSER_SC_EXPR_SOCKET); }
#line 6766 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 51:
#line 975 "parser_bison.y" /* yacc.c:1646  */
    { scanner_pop_start_cond(nft->scanner, PARSER_SC_TCP); }
#line 6772 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 52:
#line 976 "parser_bison.y" /* yacc.c:1646  */
    { scanner_pop_start_cond(nft->scanner, PARSER_SC_STMT_TPROXY); }
#line 6778 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 53:
#line 977 "parser_bison.y" /* yacc.c:1646  */
    { scanner_pop_start_cond(nft->scanner, PARSER_SC_TYPE); }
#line 6784 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 54:
#line 978 "parser_bison.y" /* yacc.c:1646  */
    { scanner_pop_start_cond(nft->scanner, PARSER_SC_EXPR_TH); }
#line 6790 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 55:
#line 979 "parser_bison.y" /* yacc.c:1646  */
    { scanner_pop_start_cond(nft->scanner, PARSER_SC_EXPR_UDP); }
#line 6796 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 56:
#line 980 "parser_bison.y" /* yacc.c:1646  */
    { scanner_pop_start_cond(nft->scanner, PARSER_SC_EXPR_UDPLITE); }
#line 6802 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 57:
#line 982 "parser_bison.y" /* yacc.c:1646  */
    { scanner_pop_start_cond(nft->scanner, PARSER_SC_STMT_LOG); }
#line 6808 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 58:
#line 983 "parser_bison.y" /* yacc.c:1646  */
    { scanner_pop_start_cond(nft->scanner, PARSER_SC_STMT_SYNPROXY); }
#line 6814 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 59:
#line 986 "parser_bison.y" /* yacc.c:1646  */
    {
				if (scanner_include_file(nft, scanner, (yyvsp[-1].string), &(yyloc)) < 0) {
					xfree((yyvsp[-1].string));
					YYERROR;
				}
				xfree((yyvsp[-1].string));
			}
#line 6826 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 60:
#line 994 "parser_bison.y" /* yacc.c:1646  */
    {
				struct scope *scope = current_scope(state);

				if (symbol_lookup(scope, (yyvsp[-3].string)) != NULL) {
					erec_queue(error(&(yylsp[-3]), "redefinition of symbol '%s'", (yyvsp[-3].string)),
						   state->msgs);
					expr_free((yyvsp[-1].expr));
					xfree((yyvsp[-3].string));
					YYERROR;
				}

				symbol_bind(scope, (yyvsp[-3].string), (yyvsp[-1].expr));
				xfree((yyvsp[-3].string));
			}
#line 6845 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 61:
#line 1009 "parser_bison.y" /* yacc.c:1646  */
    {
				struct scope *scope = current_scope(state);

				symbol_bind(scope, (yyvsp[-3].string), (yyvsp[-1].expr));
				xfree((yyvsp[-3].string));
			}
#line 6856 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 62:
#line 1016 "parser_bison.y" /* yacc.c:1646  */
    {
				struct scope *scope = current_scope(state);

				if (symbol_unbind(scope, (yyvsp[-1].string)) < 0) {
					erec_queue(error(&(yylsp[-1]), "undefined symbol '%s'", (yyvsp[-1].string)),
						   state->msgs);
					xfree((yyvsp[-1].string));
					YYERROR;
				}
				xfree((yyvsp[-1].string));
			}
#line 6872 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 63:
#line 1028 "parser_bison.y" /* yacc.c:1646  */
    {
				if (++state->nerrs == nft->parser_max_errors)
					YYABORT;
				yyerrok;
			}
#line 6882 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 64:
#line 1035 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.cmd) = NULL; }
#line 6888 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 65:
#line 1036 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.cmd) = NULL; }
#line 6894 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 66:
#line 1037 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.cmd) = (yyvsp[-1].cmd); }
#line 6900 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 67:
#line 1039 "parser_bison.y" /* yacc.c:1646  */
    {
				/*
				 * Very hackish workaround for bison >= 2.4: previous versions
				 * terminated parsing after EOF, 2.4+ tries to get further input
				 * in 'input' and calls the scanner again, causing a crash when
				 * the final input buffer has been popped. Terminate manually to
				 * avoid this. The correct fix should be to adjust the grammar
				 * to accept EOF in input, but for unknown reasons it does not
				 * work.
				 */
				if ((yyvsp[-1].cmd) != NULL) {
					(yyvsp[-1].cmd)->location = (yylsp[-1]);
					list_add_tail(&(yyvsp[-1].cmd)->list, state->cmds);
				}
				(yyval.cmd) = NULL;
				YYACCEPT;
			}
#line 6922 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 68:
#line 1058 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.cmd) = (yyvsp[0].cmd); }
#line 6928 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 69:
#line 1059 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.cmd) = (yyvsp[0].cmd); }
#line 6934 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 70:
#line 1060 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.cmd) = (yyvsp[0].cmd); }
#line 6940 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 71:
#line 1061 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.cmd) = (yyvsp[0].cmd); }
#line 6946 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 72:
#line 1062 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.cmd) = (yyvsp[0].cmd); }
#line 6952 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 73:
#line 1063 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.cmd) = (yyvsp[0].cmd); }
#line 6958 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 74:
#line 1064 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.cmd) = (yyvsp[0].cmd); }
#line 6964 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 75:
#line 1065 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.cmd) = (yyvsp[-1].cmd); }
#line 6970 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 76:
#line 1066 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.cmd) = (yyvsp[-1].cmd); }
#line 6976 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 77:
#line 1067 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.cmd) = (yyvsp[0].cmd); }
#line 6982 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 78:
#line 1068 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.cmd) = (yyvsp[0].cmd); }
#line 6988 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 79:
#line 1069 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.cmd) = (yyvsp[-1].cmd); }
#line 6994 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 80:
#line 1070 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.cmd) = (yyvsp[-1].cmd); }
#line 7000 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 81:
#line 1071 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.cmd) = (yyvsp[-1].cmd); }
#line 7006 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 82:
#line 1072 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.cmd) = (yyvsp[0].cmd); }
#line 7012 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 83:
#line 1076 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_TABLE, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 7020 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 84:
#line 1081 "parser_bison.y" /* yacc.c:1646  */
    {
				handle_merge(&(yyvsp[-3].table)->handle, &(yyvsp[-4].handle));
				close_scope(state);
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_TABLE, &(yyvsp[-4].handle), &(yyloc), (yyvsp[-1].table));
			}
#line 7030 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 85:
#line 1087 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_CHAIN, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 7038 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 86:
#line 1092 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-1].chain)->location = (yylsp[-1]);
				handle_merge(&(yyvsp[-3].chain)->handle, &(yyvsp[-4].handle));
				close_scope(state);
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_CHAIN, &(yyvsp[-4].handle), &(yyloc), (yyvsp[-1].chain));
			}
#line 7049 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 87:
#line 1099 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_RULE, &(yyvsp[-1].handle), &(yyloc), (yyvsp[0].rule));
			}
#line 7057 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 88:
#line 1103 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_RULE, &(yyvsp[-1].handle), &(yyloc), (yyvsp[0].rule));
			}
#line 7065 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 89:
#line 1108 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-1].set)->location = (yylsp[-1]);
				handle_merge(&(yyvsp[-3].set)->handle, &(yyvsp[-4].handle));
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_SET, &(yyvsp[-4].handle), &(yyloc), (yyvsp[-1].set));
			}
#line 7075 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 90:
#line 1115 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-1].set)->location = (yylsp[-1]);
				handle_merge(&(yyvsp[-3].set)->handle, &(yyvsp[-4].handle));
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_SET, &(yyvsp[-4].handle), &(yyloc), (yyvsp[-1].set));
			}
#line 7085 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 91:
#line 1121 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_ELEMENTS, &(yyvsp[-1].handle), &(yyloc), (yyvsp[0].expr));
			}
#line 7093 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 92:
#line 1126 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-1].flowtable)->location = (yylsp[-1]);
				handle_merge(&(yyvsp[-3].flowtable)->handle, &(yyvsp[-4].handle));
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_FLOWTABLE, &(yyvsp[-4].handle), &(yyloc), (yyvsp[-1].flowtable));
			}
#line 7103 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 93:
#line 1132 "parser_bison.y" /* yacc.c:1646  */
    {
				struct obj *obj;

				obj = obj_alloc(&(yyloc));
				obj->type = NFT_OBJECT_COUNTER;
				handle_merge(&obj->handle, &(yyvsp[-1].handle));
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_COUNTER, &(yyvsp[-1].handle), &(yyloc), obj);
			}
#line 7116 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 94:
#line 1141 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_COUNTER, &(yyvsp[-3].handle), &(yyloc), (yyvsp[-2].obj));
			}
#line 7124 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 95:
#line 1145 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_COUNTER, &(yyvsp[-5].handle), &(yyloc), (yyvsp[-4].obj));
			}
#line 7132 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 96:
#line 1149 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_QUOTA, &(yyvsp[-3].handle), &(yyloc), (yyvsp[-2].obj));
			}
#line 7140 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 97:
#line 1153 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_QUOTA, &(yyvsp[-5].handle), &(yyloc), (yyvsp[-4].obj));
			}
#line 7148 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 98:
#line 1157 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc_obj_ct(CMD_ADD, NFT_OBJECT_CT_HELPER, &(yyvsp[-5].handle), &(yyloc), (yyvsp[-4].obj));
			}
#line 7156 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 99:
#line 1161 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc_obj_ct(CMD_ADD, NFT_OBJECT_CT_TIMEOUT, &(yyvsp[-5].handle), &(yyloc), (yyvsp[-4].obj));
			}
#line 7164 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 100:
#line 1165 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc_obj_ct(CMD_ADD, NFT_OBJECT_CT_EXPECT, &(yyvsp[-5].handle), &(yyloc), (yyvsp[-4].obj));
			}
#line 7172 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 101:
#line 1169 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_LIMIT, &(yyvsp[-3].handle), &(yyloc), (yyvsp[-2].obj));
			}
#line 7180 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 102:
#line 1173 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_LIMIT, &(yyvsp[-5].handle), &(yyloc), (yyvsp[-4].obj));
			}
#line 7188 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 103:
#line 1177 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_SECMARK, &(yyvsp[-3].handle), &(yyloc), (yyvsp[-2].obj));
			}
#line 7196 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 104:
#line 1181 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_SECMARK, &(yyvsp[-5].handle), &(yyloc), (yyvsp[-4].obj));
			}
#line 7204 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 105:
#line 1185 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_SYNPROXY, &(yyvsp[-3].handle), &(yyloc), (yyvsp[-2].obj));
			}
#line 7212 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 106:
#line 1189 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_SYNPROXY, &(yyvsp[-5].handle), &(yyloc), (yyvsp[-4].obj));
			}
#line 7220 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 107:
#line 1195 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_REPLACE, CMD_OBJ_RULE, &(yyvsp[-1].handle), &(yyloc), (yyvsp[0].rule));
			}
#line 7228 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 108:
#line 1201 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_CREATE, CMD_OBJ_TABLE, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 7236 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 109:
#line 1206 "parser_bison.y" /* yacc.c:1646  */
    {
				handle_merge(&(yyvsp[-3].table)->handle, &(yyvsp[-4].handle));
				close_scope(state);
				(yyval.cmd) = cmd_alloc(CMD_CREATE, CMD_OBJ_TABLE, &(yyvsp[-4].handle), &(yyloc), (yyvsp[-1].table));
			}
#line 7246 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 110:
#line 1212 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_CREATE, CMD_OBJ_CHAIN, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 7254 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 111:
#line 1217 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-1].chain)->location = (yylsp[-1]);
				handle_merge(&(yyvsp[-3].chain)->handle, &(yyvsp[-4].handle));
				close_scope(state);
				(yyval.cmd) = cmd_alloc(CMD_CREATE, CMD_OBJ_CHAIN, &(yyvsp[-4].handle), &(yyloc), (yyvsp[-1].chain));
			}
#line 7265 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 112:
#line 1225 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-1].set)->location = (yylsp[-1]);
				handle_merge(&(yyvsp[-3].set)->handle, &(yyvsp[-4].handle));
				(yyval.cmd) = cmd_alloc(CMD_CREATE, CMD_OBJ_SET, &(yyvsp[-4].handle), &(yyloc), (yyvsp[-1].set));
			}
#line 7275 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 113:
#line 1232 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-1].set)->location = (yylsp[-1]);
				handle_merge(&(yyvsp[-3].set)->handle, &(yyvsp[-4].handle));
				(yyval.cmd) = cmd_alloc(CMD_CREATE, CMD_OBJ_SET, &(yyvsp[-4].handle), &(yyloc), (yyvsp[-1].set));
			}
#line 7285 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 114:
#line 1238 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_CREATE, CMD_OBJ_ELEMENTS, &(yyvsp[-1].handle), &(yyloc), (yyvsp[0].expr));
			}
#line 7293 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 115:
#line 1243 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-1].flowtable)->location = (yylsp[-1]);
				handle_merge(&(yyvsp[-3].flowtable)->handle, &(yyvsp[-4].handle));
				(yyval.cmd) = cmd_alloc(CMD_CREATE, CMD_OBJ_FLOWTABLE, &(yyvsp[-4].handle), &(yyloc), (yyvsp[-1].flowtable));
			}
#line 7303 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 116:
#line 1249 "parser_bison.y" /* yacc.c:1646  */
    {
				struct obj *obj;

				obj = obj_alloc(&(yyloc));
				obj->type = NFT_OBJECT_COUNTER;
				handle_merge(&obj->handle, &(yyvsp[-1].handle));
				(yyval.cmd) = cmd_alloc(CMD_CREATE, CMD_OBJ_COUNTER, &(yyvsp[-1].handle), &(yyloc), obj);
			}
#line 7316 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 117:
#line 1258 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_CREATE, CMD_OBJ_COUNTER, &(yyvsp[-3].handle), &(yyloc), (yyvsp[-2].obj));
			}
#line 7324 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 118:
#line 1262 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_CREATE, CMD_OBJ_QUOTA, &(yyvsp[-3].handle), &(yyloc), (yyvsp[-2].obj));
			}
#line 7332 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 119:
#line 1266 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc_obj_ct(CMD_CREATE, NFT_OBJECT_CT_HELPER, &(yyvsp[-5].handle), &(yyloc), (yyvsp[-4].obj));
			}
#line 7340 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 120:
#line 1270 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc_obj_ct(CMD_CREATE, NFT_OBJECT_CT_TIMEOUT, &(yyvsp[-5].handle), &(yyloc), (yyvsp[-4].obj));
			}
#line 7348 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 121:
#line 1274 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc_obj_ct(CMD_CREATE, NFT_OBJECT_CT_EXPECT, &(yyvsp[-5].handle), &(yyloc), (yyvsp[-4].obj));
			}
#line 7356 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 122:
#line 1278 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_CREATE, CMD_OBJ_LIMIT, &(yyvsp[-3].handle), &(yyloc), (yyvsp[-2].obj));
			}
#line 7364 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 123:
#line 1282 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_CREATE, CMD_OBJ_SECMARK, &(yyvsp[-3].handle), &(yyloc), (yyvsp[-2].obj));
			}
#line 7372 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 124:
#line 1286 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_CREATE, CMD_OBJ_SYNPROXY, &(yyvsp[-3].handle), &(yyloc), (yyvsp[-2].obj));
			}
#line 7380 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 125:
#line 1292 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_INSERT, CMD_OBJ_RULE, &(yyvsp[-1].handle), &(yyloc), (yyvsp[0].rule));
			}
#line 7388 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 134:
#line 1314 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_DELETE, CMD_OBJ_TABLE, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 7396 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 135:
#line 1318 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_DELETE, CMD_OBJ_CHAIN, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 7404 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 136:
#line 1322 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_DELETE, CMD_OBJ_RULE, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 7412 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 137:
#line 1326 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_DELETE, CMD_OBJ_SET, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 7420 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 138:
#line 1330 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_DELETE, CMD_OBJ_SET, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 7428 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 139:
#line 1334 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_DELETE, CMD_OBJ_ELEMENTS, &(yyvsp[-1].handle), &(yyloc), (yyvsp[0].expr));
			}
#line 7436 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 140:
#line 1338 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_DELETE, CMD_OBJ_FLOWTABLE, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 7444 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 141:
#line 1342 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_DELETE, CMD_OBJ_FLOWTABLE, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 7452 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 142:
#line 1347 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-1].flowtable)->location = (yylsp[-1]);
				handle_merge(&(yyvsp[-3].flowtable)->handle, &(yyvsp[-4].handle));
				(yyval.cmd) = cmd_alloc(CMD_DELETE, CMD_OBJ_FLOWTABLE, &(yyvsp[-4].handle), &(yyloc), (yyvsp[-1].flowtable));
			}
#line 7462 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 143:
#line 1353 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_DELETE, CMD_OBJ_COUNTER, &(yyvsp[-1].handle), &(yyloc), NULL);
			}
#line 7470 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 144:
#line 1357 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_DELETE, CMD_OBJ_QUOTA, &(yyvsp[-1].handle), &(yyloc), NULL);
			}
#line 7478 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 145:
#line 1361 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc_obj_ct(CMD_DELETE, (yyvsp[-3].val), &(yyvsp[-2].handle), &(yyloc), (yyvsp[-1].obj));
				if ((yyvsp[-3].val) == NFT_OBJECT_CT_TIMEOUT)
					init_list_head(&(yyvsp[-1].obj)->ct_timeout.timeout_list);
			}
#line 7488 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 146:
#line 1367 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_DELETE, CMD_OBJ_LIMIT, &(yyvsp[-1].handle), &(yyloc), NULL);
			}
#line 7496 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 147:
#line 1371 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_DELETE, CMD_OBJ_SECMARK, &(yyvsp[-1].handle), &(yyloc), NULL);
			}
#line 7504 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 148:
#line 1375 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_DELETE, CMD_OBJ_SYNPROXY, &(yyvsp[-1].handle), &(yyloc), NULL);
			}
#line 7512 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 149:
#line 1381 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_GET, CMD_OBJ_ELEMENTS, &(yyvsp[-1].handle), &(yyloc), (yyvsp[0].expr));
			}
#line 7520 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 150:
#line 1387 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_TABLE, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 7528 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 151:
#line 1391 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_TABLE, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 7536 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 152:
#line 1395 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_CHAIN, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 7544 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 153:
#line 1399 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_CHAINS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 7552 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 154:
#line 1403 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_SETS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 7560 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 155:
#line 1407 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_SETS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 7568 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 156:
#line 1411 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_SET, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 7576 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 157:
#line 1415 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_COUNTERS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 7584 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 158:
#line 1419 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_COUNTERS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 7592 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 159:
#line 1423 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_COUNTER, &(yyvsp[-1].handle), &(yyloc), NULL);
			}
#line 7600 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 160:
#line 1427 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_QUOTAS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 7608 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 161:
#line 1431 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_QUOTAS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 7616 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 162:
#line 1435 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_QUOTA, &(yyvsp[-1].handle), &(yyloc), NULL);
			}
#line 7624 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 163:
#line 1439 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_LIMITS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 7632 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 164:
#line 1443 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_LIMITS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 7640 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 165:
#line 1447 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_LIMIT, &(yyvsp[-1].handle), &(yyloc), NULL);
			}
#line 7648 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 166:
#line 1451 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_SECMARKS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 7656 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 167:
#line 1455 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_SECMARKS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 7664 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 168:
#line 1459 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_SECMARK, &(yyvsp[-1].handle), &(yyloc), NULL);
			}
#line 7672 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 169:
#line 1463 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_SYNPROXYS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 7680 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 170:
#line 1467 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_SYNPROXYS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 7688 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 171:
#line 1471 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_SYNPROXY, &(yyvsp[-1].handle), &(yyloc), NULL);
			}
#line 7696 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 172:
#line 1475 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_RULESET, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 7704 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 173:
#line 1479 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_METERS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 7712 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 174:
#line 1483 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_METER, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 7720 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 175:
#line 1487 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_METERS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 7728 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 176:
#line 1491 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_METER, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 7736 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 177:
#line 1495 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_FLOWTABLES, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 7744 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 178:
#line 1499 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_FLOWTABLE, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 7752 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 179:
#line 1503 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_MAPS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 7760 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 180:
#line 1507 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_MAP, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 7768 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 181:
#line 1511 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc_obj_ct(CMD_LIST, (yyvsp[-2].val), &(yyvsp[-1].handle), &(yyloc), NULL);
			}
#line 7776 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 182:
#line 1515 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, (yyvsp[-3].val), &(yyvsp[-1].handle), &(yyloc), NULL);
			}
#line 7784 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 183:
#line 1519 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_HOOKS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 7792 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 184:
#line 1525 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.string) = (yyvsp[0].string);
			}
#line 7800 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 185:
#line 1531 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.handle) = (yyvsp[0].handle);
			}
#line 7808 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 186:
#line 1535 "parser_bison.y" /* yacc.c:1646  */
    {
				if ((yyvsp[0].string)) {
					(yyvsp[-1].handle).obj.name = (yyvsp[0].string);
					(yyvsp[-1].handle).obj.location = (yylsp[0]);
				}
				(yyval.handle) = (yyvsp[-1].handle);
			}
#line 7820 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 187:
#line 1545 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_RESET, CMD_OBJ_COUNTERS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 7828 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 188:
#line 1549 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_RESET, CMD_OBJ_COUNTERS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 7836 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 189:
#line 1553 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_RESET, CMD_OBJ_COUNTER, &(yyvsp[-1].handle),&(yyloc), NULL);
			}
#line 7844 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 190:
#line 1557 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_RESET, CMD_OBJ_QUOTAS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 7852 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 191:
#line 1561 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_RESET, CMD_OBJ_QUOTAS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 7860 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 192:
#line 1565 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_RESET, CMD_OBJ_QUOTA, &(yyvsp[-1].handle), &(yyloc), NULL);
			}
#line 7868 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 193:
#line 1571 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_FLUSH, CMD_OBJ_TABLE, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 7876 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 194:
#line 1575 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_FLUSH, CMD_OBJ_CHAIN, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 7884 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 195:
#line 1579 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_FLUSH, CMD_OBJ_SET, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 7892 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 196:
#line 1583 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_FLUSH, CMD_OBJ_MAP, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 7900 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 197:
#line 1587 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_FLUSH, CMD_OBJ_METER, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 7908 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 198:
#line 1591 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_FLUSH, CMD_OBJ_METER, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 7916 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 199:
#line 1595 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_FLUSH, CMD_OBJ_RULESET, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 7924 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 200:
#line 1601 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_RENAME, CMD_OBJ_CHAIN, &(yyvsp[-1].handle), &(yyloc), NULL);
				(yyval.cmd)->arg = (yyvsp[0].string);
			}
#line 7933 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 201:
#line 1608 "parser_bison.y" /* yacc.c:1646  */
    {
				struct handle h = { .family = NFPROTO_UNSPEC };
				struct markup *markup = markup_alloc((yyvsp[0].val));
				(yyval.cmd) = cmd_alloc(CMD_IMPORT, CMD_OBJ_MARKUP, &h, &(yyloc), markup);
			}
#line 7943 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 202:
#line 1614 "parser_bison.y" /* yacc.c:1646  */
    {
				struct handle h = { .family = NFPROTO_UNSPEC };
				struct markup *markup = markup_alloc((yyvsp[0].val));
				(yyval.cmd) = cmd_alloc(CMD_IMPORT, CMD_OBJ_MARKUP, &h, &(yyloc), markup);
			}
#line 7953 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 203:
#line 1622 "parser_bison.y" /* yacc.c:1646  */
    {
				struct handle h = { .family = NFPROTO_UNSPEC };
				struct markup *markup = markup_alloc((yyvsp[0].val));
				(yyval.cmd) = cmd_alloc(CMD_EXPORT, CMD_OBJ_MARKUP, &h, &(yyloc), markup);
			}
#line 7963 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 204:
#line 1628 "parser_bison.y" /* yacc.c:1646  */
    {
				struct handle h = { .family = NFPROTO_UNSPEC };
				struct markup *markup = markup_alloc((yyvsp[0].val));
				(yyval.cmd) = cmd_alloc(CMD_EXPORT, CMD_OBJ_MARKUP, &h, &(yyloc), markup);
			}
#line 7973 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 205:
#line 1636 "parser_bison.y" /* yacc.c:1646  */
    {
				struct handle h = { .family = NFPROTO_UNSPEC };
				struct monitor *m = monitor_alloc((yyvsp[0].val), (yyvsp[-1].val), (yyvsp[-2].string));
				m->location = (yylsp[-2]);
				(yyval.cmd) = cmd_alloc(CMD_MONITOR, CMD_OBJ_MONITOR, &h, &(yyloc), m);
			}
#line 7984 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 206:
#line 1644 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.string) = NULL; }
#line 7990 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 207:
#line 1645 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.string) = (yyvsp[0].string); }
#line 7996 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 208:
#line 1648 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = CMD_MONITOR_OBJ_ANY; }
#line 8002 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 209:
#line 1649 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = CMD_MONITOR_OBJ_TABLES; }
#line 8008 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 210:
#line 1650 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = CMD_MONITOR_OBJ_CHAINS; }
#line 8014 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 211:
#line 1651 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = CMD_MONITOR_OBJ_SETS; }
#line 8020 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 212:
#line 1652 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = CMD_MONITOR_OBJ_RULES; }
#line 8026 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 213:
#line 1653 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = CMD_MONITOR_OBJ_ELEMS; }
#line 8032 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 214:
#line 1654 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = CMD_MONITOR_OBJ_RULESET; }
#line 8038 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 215:
#line 1655 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = CMD_MONITOR_OBJ_TRACE; }
#line 8044 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 216:
#line 1658 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFTNL_OUTPUT_DEFAULT; }
#line 8050 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 218:
#line 1662 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = __NFT_OUTPUT_NOTSUPP; }
#line 8056 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 219:
#line 1663 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFTNL_OUTPUT_JSON; }
#line 8062 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 220:
#line 1664 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFTNL_OUTPUT_JSON; }
#line 8068 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 221:
#line 1668 "parser_bison.y" /* yacc.c:1646  */
    {
				struct handle h = { .family = NFPROTO_UNSPEC };
				(yyval.cmd) = cmd_alloc(CMD_DESCRIBE, CMD_OBJ_EXPR, &h, &(yyloc), NULL);
				(yyval.cmd)->expr = (yyvsp[0].expr);
			}
#line 8078 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 222:
#line 1676 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.table) = table_alloc();
				open_scope(state, &(yyval.table)->scope);
			}
#line 8087 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 223:
#line 1683 "parser_bison.y" /* yacc.c:1646  */
    {
				if (strcmp((yyvsp[-1].string), "dormant") == 0) {
					(yyvsp[-3].table)->flags |= TABLE_F_DORMANT;
					xfree((yyvsp[-1].string));
				} else if (strcmp((yyvsp[-1].string), "owner") == 0) {
					(yyvsp[-3].table)->flags |= TABLE_F_OWNER;
					xfree((yyvsp[-1].string));
				} else {
					erec_queue(error(&(yylsp[-1]), "unknown table option %s", (yyvsp[-1].string)),
						   state->msgs);
					xfree((yyvsp[-1].string));
					YYERROR;
				}
			}
#line 8106 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 224:
#line 1698 "parser_bison.y" /* yacc.c:1646  */
    {
				if (already_set((yyvsp[-1].table)->comment, &(yyloc), state)) {
					xfree((yyvsp[0].string));
					YYERROR;
				}
				(yyvsp[-1].table)->comment = (yyvsp[0].string);
			}
#line 8118 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 225:
#line 1707 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.table) = (yyvsp[(-1) - (0)].table); }
#line 8124 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 229:
#line 1714 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-4].chain)->location = (yylsp[-5]);
				handle_merge(&(yyvsp[-4].chain)->handle, &(yyvsp[-5].handle));
				handle_free(&(yyvsp[-5].handle));
				close_scope(state);
				list_add_tail(&(yyvsp[-4].chain)->list, &(yyvsp[-7].table)->chains);
				(yyval.table) = (yyvsp[-7].table);
			}
#line 8137 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 230:
#line 1725 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-4].set)->location = (yylsp[-5]);
				handle_merge(&(yyvsp[-4].set)->handle, &(yyvsp[-5].handle));
				handle_free(&(yyvsp[-5].handle));
				list_add_tail(&(yyvsp[-4].set)->list, &(yyvsp[-7].table)->sets);
				(yyval.table) = (yyvsp[-7].table);
			}
#line 8149 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 231:
#line 1735 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-4].set)->location = (yylsp[-5]);
				handle_merge(&(yyvsp[-4].set)->handle, &(yyvsp[-5].handle));
				handle_free(&(yyvsp[-5].handle));
				list_add_tail(&(yyvsp[-4].set)->list, &(yyvsp[-7].table)->sets);
				(yyval.table) = (yyvsp[-7].table);
			}
#line 8161 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 232:
#line 1746 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-4].flowtable)->location = (yylsp[-5]);
				handle_merge(&(yyvsp[-4].flowtable)->handle, &(yyvsp[-5].handle));
				handle_free(&(yyvsp[-5].handle));
				list_add_tail(&(yyvsp[-4].flowtable)->list, &(yyvsp[-7].table)->flowtables);
				(yyval.table) = (yyvsp[-7].table);
			}
#line 8173 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 233:
#line 1756 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-5].obj)->location = (yylsp[-6]);
				(yyvsp[-5].obj)->type = NFT_OBJECT_COUNTER;
				handle_merge(&(yyvsp[-5].obj)->handle, &(yyvsp[-6].handle));
				handle_free(&(yyvsp[-6].handle));
				list_add_tail(&(yyvsp[-5].obj)->list, &(yyvsp[-8].table)->objs);
				(yyval.table) = (yyvsp[-8].table);
			}
#line 8186 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 234:
#line 1767 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-5].obj)->location = (yylsp[-6]);
				(yyvsp[-5].obj)->type = NFT_OBJECT_QUOTA;
				handle_merge(&(yyvsp[-5].obj)->handle, &(yyvsp[-6].handle));
				handle_free(&(yyvsp[-6].handle));
				list_add_tail(&(yyvsp[-5].obj)->list, &(yyvsp[-8].table)->objs);
				(yyval.table) = (yyvsp[-8].table);
			}
#line 8199 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 235:
#line 1776 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-5].obj)->location = (yylsp[-6]);
				(yyvsp[-5].obj)->type = NFT_OBJECT_CT_HELPER;
				handle_merge(&(yyvsp[-5].obj)->handle, &(yyvsp[-6].handle));
				handle_free(&(yyvsp[-6].handle));
				list_add_tail(&(yyvsp[-5].obj)->list, &(yyvsp[-9].table)->objs);
				(yyval.table) = (yyvsp[-9].table);
			}
#line 8212 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 236:
#line 1785 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-5].obj)->location = (yylsp[-6]);
				(yyvsp[-5].obj)->type = NFT_OBJECT_CT_TIMEOUT;
				handle_merge(&(yyvsp[-5].obj)->handle, &(yyvsp[-6].handle));
				handle_free(&(yyvsp[-6].handle));
				list_add_tail(&(yyvsp[-5].obj)->list, &(yyvsp[-9].table)->objs);
				(yyval.table) = (yyvsp[-9].table);
			}
#line 8225 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 237:
#line 1794 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-5].obj)->location = (yylsp[-6]);
				(yyvsp[-5].obj)->type = NFT_OBJECT_CT_EXPECT;
				handle_merge(&(yyvsp[-5].obj)->handle, &(yyvsp[-6].handle));
				handle_free(&(yyvsp[-6].handle));
				list_add_tail(&(yyvsp[-5].obj)->list, &(yyvsp[-9].table)->objs);
				(yyval.table) = (yyvsp[-9].table);
			}
#line 8238 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 238:
#line 1805 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-5].obj)->location = (yylsp[-6]);
				(yyvsp[-5].obj)->type = NFT_OBJECT_LIMIT;
				handle_merge(&(yyvsp[-5].obj)->handle, &(yyvsp[-6].handle));
				handle_free(&(yyvsp[-6].handle));
				list_add_tail(&(yyvsp[-5].obj)->list, &(yyvsp[-8].table)->objs);
				(yyval.table) = (yyvsp[-8].table);
			}
#line 8251 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 239:
#line 1816 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-5].obj)->location = (yylsp[-6]);
				(yyvsp[-5].obj)->type = NFT_OBJECT_SECMARK;
				handle_merge(&(yyvsp[-5].obj)->handle, &(yyvsp[-6].handle));
				handle_free(&(yyvsp[-6].handle));
				list_add_tail(&(yyvsp[-5].obj)->list, &(yyvsp[-8].table)->objs);
				(yyval.table) = (yyvsp[-8].table);
			}
#line 8264 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 240:
#line 1827 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-5].obj)->location = (yylsp[-6]);
				(yyvsp[-5].obj)->type = NFT_OBJECT_SYNPROXY;
				handle_merge(&(yyvsp[-5].obj)->handle, &(yyvsp[-6].handle));
				handle_free(&(yyvsp[-6].handle));
				list_add_tail(&(yyvsp[-5].obj)->list, &(yyvsp[-8].table)->objs);
				(yyval.table) = (yyvsp[-8].table);
			}
#line 8277 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 241:
#line 1838 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.chain) = chain_alloc(NULL);
				open_scope(state, &(yyval.chain)->scope);
			}
#line 8286 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 242:
#line 1844 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.chain) = (yyvsp[(-1) - (0)].chain); }
#line 8292 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 248:
#line 1851 "parser_bison.y" /* yacc.c:1646  */
    {
				list_add_tail(&(yyvsp[-1].rule)->list, &(yyvsp[-2].chain)->rules);
				(yyval.chain) = (yyvsp[-2].chain);
			}
#line 8301 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 249:
#line 1856 "parser_bison.y" /* yacc.c:1646  */
    {
				if (already_set((yyvsp[-2].chain)->comment, &(yylsp[-1]), state)) {
					xfree((yyvsp[-1].string));
					YYERROR;
				}
				(yyvsp[-2].chain)->comment = (yyvsp[-1].string);
			}
#line 8313 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 250:
#line 1865 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.chain) = (yyvsp[(-1) - (0)].chain); }
#line 8319 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 252:
#line 1868 "parser_bison.y" /* yacc.c:1646  */
    {
				list_add_tail(&(yyvsp[-1].rule)->list, &(yyvsp[-2].chain)->rules);
				(yyval.chain) = (yyvsp[-2].chain);
			}
#line 8328 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 253:
#line 1875 "parser_bison.y" /* yacc.c:1646  */
    {
				struct expr *e = (yyvsp[0].expr);

				if (e->etype == EXPR_SYMBOL &&
				    strcmp("verdict", e->identifier) == 0) {
					struct expr *v = verdict_expr_alloc(&(yylsp[0]), NF_ACCEPT, NULL);

					expr_free(e);
					v->flags &= ~EXPR_F_CONSTANT;
					e = v;
				}

				if (expr_ops(e)->build_udata == NULL) {
					erec_queue(error(&(yylsp[0]), "map data type '%s' lacks typeof serialization", expr_ops(e)->name),
						   state->msgs);
					expr_free(e);
					YYERROR;
				}
				(yyval.expr) = e;
			}
#line 8353 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 254:
#line 1896 "parser_bison.y" /* yacc.c:1646  */
    {
				struct location rhs[] = {
					[1]	= (yylsp[-1]),
					[2]	= (yylsp[0]),
				};

				(yyval.expr) = handle_concat_expr(&(yyloc), (yyval.expr), (yyvsp[-2].expr), (yyvsp[0].expr), rhs);
			}
#line 8366 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 255:
#line 1907 "parser_bison.y" /* yacc.c:1646  */
    {
				if (expr_ops((yyvsp[0].expr))->build_udata == NULL) {
					erec_queue(error(&(yylsp[0]), "primary expression type '%s' lacks typeof serialization", expr_ops((yyvsp[0].expr))->name),
						   state->msgs);
					expr_free((yyvsp[0].expr));
					YYERROR;
				}

				(yyval.expr) = (yyvsp[0].expr);
			}
#line 8381 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 256:
#line 1918 "parser_bison.y" /* yacc.c:1646  */
    {
				struct location rhs[] = {
					[1]	= (yylsp[-1]),
					[2]	= (yylsp[0]),
				};

				(yyval.expr) = handle_concat_expr(&(yyloc), (yyval.expr), (yyvsp[-2].expr), (yyvsp[0].expr), rhs);
			}
#line 8394 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 257:
#line 1930 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.set) = set_alloc(NULL);
			}
#line 8402 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 258:
#line 1935 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.set) = (yyvsp[(-1) - (0)].set); }
#line 8408 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 261:
#line 1939 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-4].set)->key = (yyvsp[-2].expr);
				(yyval.set) = (yyvsp[-4].set);
			}
#line 8417 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 262:
#line 1944 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-3].set)->key = (yyvsp[-1].expr);
				datatype_set((yyvsp[-3].set)->key, (yyvsp[-1].expr)->dtype);
				(yyval.set) = (yyvsp[-3].set);
			}
#line 8427 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 263:
#line 1950 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-4].set)->flags = (yyvsp[-2].val);
				(yyval.set) = (yyvsp[-4].set);
			}
#line 8436 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 264:
#line 1955 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-3].set)->timeout = (yyvsp[-1].val);
				(yyval.set) = (yyvsp[-3].set);
			}
#line 8445 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 265:
#line 1960 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-3].set)->gc_int = (yyvsp[-1].val);
				(yyval.set) = (yyvsp[-3].set);
			}
#line 8454 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 266:
#line 1965 "parser_bison.y" /* yacc.c:1646  */
    {
				list_splice_tail((yyvsp[-1].list), &(yyvsp[-2].set)->stmt_list);
				(yyval.set) = (yyvsp[-2].set);
				free((yyvsp[-1].list));
			}
#line 8464 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 267:
#line 1971 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-3].set)->init = (yyvsp[0].expr);
				(yyval.set) = (yyvsp[-3].set);
			}
#line 8473 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 268:
#line 1976 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-1].set)->automerge = true;
				(yyval.set) = (yyvsp[-1].set);
			}
#line 8482 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 270:
#line 1982 "parser_bison.y" /* yacc.c:1646  */
    {
				if (already_set((yyvsp[-2].set)->comment, &(yylsp[-1]), state)) {
					xfree((yyvsp[-1].string));
					YYERROR;
				}
				(yyvsp[-2].set)->comment = (yyvsp[-1].string);
				(yyval.set) = (yyvsp[-2].set);
			}
#line 8495 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 273:
#line 1997 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.val) = (yyvsp[-2].val) | (yyvsp[0].val);
			}
#line 8503 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 275:
#line 2003 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_SET_CONSTANT; }
#line 8509 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 276:
#line 2004 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_SET_INTERVAL; }
#line 8515 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 277:
#line 2005 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_SET_TIMEOUT; }
#line 8521 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 278:
#line 2006 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_SET_EVAL; }
#line 8527 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 279:
#line 2010 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.set) = set_alloc(NULL);
			}
#line 8535 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 280:
#line 2015 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_OBJECT_COUNTER; }
#line 8541 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 281:
#line 2016 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_OBJECT_QUOTA; }
#line 8547 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 282:
#line 2017 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_OBJECT_LIMIT; }
#line 8553 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 283:
#line 2018 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_OBJECT_SECMARK; }
#line 8559 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 284:
#line 2019 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_OBJECT_SYNPROXY; }
#line 8565 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 285:
#line 2022 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.set) = (yyvsp[(-1) - (0)].set); }
#line 8571 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 288:
#line 2026 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-3].set)->timeout = (yyvsp[-1].val);
				(yyval.set) = (yyvsp[-3].set);
			}
#line 8580 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 289:
#line 2033 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-6].set)->key = (yyvsp[-4].expr);
				(yyvsp[-6].set)->data = (yyvsp[-2].expr);

				(yyvsp[-6].set)->flags |= NFT_SET_MAP;
				(yyval.set) = (yyvsp[-6].set);
			}
#line 8592 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 290:
#line 2043 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-7].set)->key = (yyvsp[-5].expr);
				(yyvsp[-7].set)->data = (yyvsp[-2].expr);
				(yyvsp[-7].set)->data->flags |= EXPR_F_INTERVAL;

				(yyvsp[-7].set)->flags |= NFT_SET_MAP;
				(yyval.set) = (yyvsp[-7].set);
			}
#line 8605 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 291:
#line 2054 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-5].set)->key = (yyvsp[-3].expr);
				datatype_set((yyvsp[-5].set)->key, (yyvsp[-3].expr)->dtype);
				(yyvsp[-5].set)->data = (yyvsp[-1].expr);

				(yyvsp[-5].set)->flags |= NFT_SET_MAP;
				(yyval.set) = (yyvsp[-5].set);
			}
#line 8618 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 292:
#line 2065 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-6].set)->key = (yyvsp[-4].expr);
				datatype_set((yyvsp[-6].set)->key, (yyvsp[-4].expr)->dtype);
				(yyvsp[-6].set)->data = (yyvsp[-1].expr);
				(yyvsp[-6].set)->data->flags |= EXPR_F_INTERVAL;

				(yyvsp[-6].set)->flags |= NFT_SET_MAP;
				(yyval.set) = (yyvsp[-6].set);
			}
#line 8632 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 293:
#line 2077 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-6].set)->key = (yyvsp[-4].expr);
				(yyvsp[-6].set)->objtype = (yyvsp[-2].val);
				(yyvsp[-6].set)->flags  |= NFT_SET_OBJECT;
				(yyval.set) = (yyvsp[-6].set);
			}
#line 8643 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 294:
#line 2084 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-4].set)->flags |= (yyvsp[-2].val);
				(yyval.set) = (yyvsp[-4].set);
			}
#line 8652 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 295:
#line 2089 "parser_bison.y" /* yacc.c:1646  */
    {
				list_splice_tail((yyvsp[-1].list), &(yyvsp[-2].set)->stmt_list);
				(yyval.set) = (yyvsp[-2].set);
				free((yyvsp[-1].list));
			}
#line 8662 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 296:
#line 2095 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-3].set)->init = (yyvsp[0].expr);
				(yyval.set) = (yyvsp[-3].set);
			}
#line 8671 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 297:
#line 2100 "parser_bison.y" /* yacc.c:1646  */
    {
				if (already_set((yyvsp[-2].set)->comment, &(yylsp[-1]), state)) {
					xfree((yyvsp[-1].string));
					YYERROR;
				}
				(yyvsp[-2].set)->comment = (yyvsp[-1].string);
				(yyval.set) = (yyvsp[-2].set);
			}
#line 8684 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 299:
#line 2112 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-3].set)->policy = (yyvsp[-1].val);
			}
#line 8692 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 300:
#line 2116 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-2].set)->desc.size = (yyvsp[0].val);
			}
#line 8700 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 301:
#line 2121 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_SET_POL_PERFORMANCE; }
#line 8706 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 302:
#line 2122 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_SET_POL_MEMORY; }
#line 8712 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 303:
#line 2126 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.flowtable) = flowtable_alloc(NULL);
			}
#line 8720 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 304:
#line 2131 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.flowtable) = (yyvsp[(-1) - (0)].flowtable); }
#line 8726 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 307:
#line 2135 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.flowtable)->hook.loc = (yylsp[-2]);
				(yyval.flowtable)->hook.name = chain_hookname_lookup((yyvsp[-2].string));
				if ((yyval.flowtable)->hook.name == NULL) {
					erec_queue(error(&(yylsp[-2]), "unknown chain hook"),
						   state->msgs);
					xfree((yyvsp[-2].string));
					YYERROR;
				}
				xfree((yyvsp[-2].string));

				(yyval.flowtable)->priority = (yyvsp[-1].prio_spec);
			}
#line 8744 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 308:
#line 2149 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.flowtable)->dev_expr = (yyvsp[-1].expr);
			}
#line 8752 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 309:
#line 2153 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.flowtable)->flags |= NFT_FLOWTABLE_COUNTER;
			}
#line 8760 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 310:
#line 2157 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.flowtable)->flags |= FLOWTABLE_F_HW_OFFLOAD;
			}
#line 8768 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 311:
#line 2163 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-1].expr)->location = (yyloc);
				(yyval.expr) = (yyvsp[-1].expr);
			}
#line 8777 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 312:
#line 2168 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[0].expr)->location = (yyloc);
				(yyval.expr) = (yyvsp[0].expr);
			}
#line 8786 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 313:
#line 2175 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = compound_expr_alloc(&(yyloc), EXPR_LIST);
				compound_expr_add((yyval.expr), (yyvsp[0].expr));
			}
#line 8795 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 314:
#line 2180 "parser_bison.y" /* yacc.c:1646  */
    {
				compound_expr_add((yyvsp[-2].expr), (yyvsp[0].expr));
				(yyval.expr) = (yyvsp[-2].expr);
			}
#line 8804 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 316:
#line 2188 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = constant_expr_alloc(&(yyloc), &string_type,
							 BYTEORDER_HOST_ENDIAN,
							 strlen((yyvsp[0].string)) * BITS_PER_BYTE, (yyvsp[0].string));
				xfree((yyvsp[0].string));
			}
#line 8815 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 317:
#line 2195 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = constant_expr_alloc(&(yyloc), &string_type,
							 BYTEORDER_HOST_ENDIAN,
							 strlen((yyvsp[0].string)) * BITS_PER_BYTE, (yyvsp[0].string));
				xfree((yyvsp[0].string));
			}
#line 8826 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 318:
#line 2202 "parser_bison.y" /* yacc.c:1646  */
    {
				datatype_set((yyvsp[0].expr)->sym->expr, &ifname_type);
				(yyval.expr) = (yyvsp[0].expr);
			}
#line 8835 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 319:
#line 2209 "parser_bison.y" /* yacc.c:1646  */
    {
				const struct datatype *dtype = datatype_lookup_byname((yyvsp[0].string));
				if (dtype == NULL) {
					erec_queue(error(&(yylsp[0]), "unknown datatype %s", (yyvsp[0].string)),
						   state->msgs);
					xfree((yyvsp[0].string));
					YYERROR;
				}
				(yyval.expr) = constant_expr_alloc(&(yylsp[0]), dtype, dtype->byteorder,
							 dtype->size, NULL);
				xfree((yyvsp[0].string));
			}
#line 8852 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 320:
#line 2222 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = constant_expr_alloc(&(yylsp[0]), &time_type, time_type.byteorder,
							 time_type.size, NULL);
			}
#line 8861 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 322:
#line 2230 "parser_bison.y" /* yacc.c:1646  */
    {
				struct location rhs[] = {
					[1]	= (yylsp[-1]),
					[2]	= (yylsp[0]),
				};

				(yyval.expr) = handle_concat_expr(&(yyloc), (yyval.expr), (yyvsp[-2].expr), (yyvsp[0].expr), rhs);
			}
#line 8874 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 323:
#line 2241 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.obj) = obj_alloc(NULL);
			}
#line 8882 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 324:
#line 2246 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.obj) = (yyvsp[(-1) - (0)].obj); }
#line 8888 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 327:
#line 2250 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.obj) = (yyvsp[-1].obj);
			}
#line 8896 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 328:
#line 2254 "parser_bison.y" /* yacc.c:1646  */
    {
				if (already_set((yyvsp[-1].obj)->comment, &(yylsp[0]), state)) {
					xfree((yyvsp[0].string));
					YYERROR;
				}
				(yyvsp[-1].obj)->comment = (yyvsp[0].string);
			}
#line 8908 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 329:
#line 2263 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.obj) = (yyvsp[(-1) - (0)].obj); }
#line 8914 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 332:
#line 2267 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.obj) = (yyvsp[-1].obj);
			}
#line 8922 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 333:
#line 2271 "parser_bison.y" /* yacc.c:1646  */
    {
				if (already_set((yyvsp[-1].obj)->comment, &(yylsp[0]), state)) {
					xfree((yyvsp[0].string));
					YYERROR;
				}
				(yyvsp[-1].obj)->comment = (yyvsp[0].string);
			}
#line 8934 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 334:
#line 2280 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.obj) = (yyvsp[(-1) - (0)].obj); }
#line 8940 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 337:
#line 2284 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.obj) = (yyvsp[-1].obj);
			}
#line 8948 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 338:
#line 2288 "parser_bison.y" /* yacc.c:1646  */
    {
				if (already_set((yyvsp[-1].obj)->comment, &(yylsp[0]), state)) {
					xfree((yyvsp[0].string));
					YYERROR;
				}
				(yyvsp[-1].obj)->comment = (yyvsp[0].string);
			}
#line 8960 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 339:
#line 2298 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.obj) = (yyvsp[(-1) - (0)].obj);
				init_list_head(&(yyval.obj)->ct_timeout.timeout_list);
			}
#line 8969 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 342:
#line 2305 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.obj) = (yyvsp[-1].obj);
			}
#line 8977 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 343:
#line 2309 "parser_bison.y" /* yacc.c:1646  */
    {
				if (already_set((yyvsp[-1].obj)->comment, &(yylsp[0]), state)) {
					xfree((yyvsp[0].string));
					YYERROR;
				}
				(yyvsp[-1].obj)->comment = (yyvsp[0].string);
			}
#line 8989 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 344:
#line 2318 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.obj) = (yyvsp[(-1) - (0)].obj); }
#line 8995 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 347:
#line 2322 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.obj) = (yyvsp[-1].obj);
			}
#line 9003 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 348:
#line 2326 "parser_bison.y" /* yacc.c:1646  */
    {
				if (already_set((yyvsp[-1].obj)->comment, &(yylsp[0]), state)) {
					xfree((yyvsp[0].string));
					YYERROR;
				}
				(yyvsp[-1].obj)->comment = (yyvsp[0].string);
			}
#line 9015 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 349:
#line 2335 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.obj) = (yyvsp[(-1) - (0)].obj); }
#line 9021 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 352:
#line 2339 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.obj) = (yyvsp[-1].obj);
			}
#line 9029 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 353:
#line 2343 "parser_bison.y" /* yacc.c:1646  */
    {
				if (already_set((yyvsp[-1].obj)->comment, &(yylsp[0]), state)) {
					xfree((yyvsp[0].string));
					YYERROR;
				}
				(yyvsp[-1].obj)->comment = (yyvsp[0].string);
			}
#line 9041 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 354:
#line 2352 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.obj) = (yyvsp[(-1) - (0)].obj); }
#line 9047 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 357:
#line 2356 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.obj) = (yyvsp[-1].obj);
			}
#line 9055 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 358:
#line 2360 "parser_bison.y" /* yacc.c:1646  */
    {
				if (already_set((yyvsp[-1].obj)->comment, &(yylsp[0]), state)) {
					xfree((yyvsp[0].string));
					YYERROR;
				}
				(yyvsp[-1].obj)->comment = (yyvsp[0].string);
			}
#line 9067 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 359:
#line 2369 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.obj) = (yyvsp[(-1) - (0)].obj); }
#line 9073 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 362:
#line 2373 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.obj) = (yyvsp[-1].obj);
			}
#line 9081 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 363:
#line 2377 "parser_bison.y" /* yacc.c:1646  */
    {
				if (already_set((yyvsp[-1].obj)->comment, &(yylsp[0]), state)) {
					xfree((yyvsp[0].string));
					YYERROR;
				}
				(yyvsp[-1].obj)->comment = (yyvsp[0].string);
			}
#line 9093 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 364:
#line 2386 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.string) = (yyvsp[0].string); }
#line 9099 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 365:
#line 2387 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.string) = xstrdup("mark"); }
#line 9105 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 366:
#line 2388 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.string) = xstrdup("dscp"); }
#line 9111 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 367:
#line 2389 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.string) = xstrdup("ecn"); }
#line 9117 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 368:
#line 2390 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.string) = xstrdup("classid"); }
#line 9123 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 369:
#line 2394 "parser_bison.y" /* yacc.c:1646  */
    {
				const char *chain_type = chain_type_name_lookup((yyvsp[-4].string));

				if (chain_type == NULL) {
					erec_queue(error(&(yylsp[-4]), "unknown chain type"),
						   state->msgs);
					xfree((yyvsp[-4].string));
					YYERROR;
				}
				(yyvsp[-7].chain)->type.loc = (yylsp[-4]);
				(yyvsp[-7].chain)->type.str = xstrdup(chain_type);
				xfree((yyvsp[-4].string));

				(yyvsp[-7].chain)->loc = (yyloc);
				(yyvsp[-7].chain)->hook.loc = (yylsp[-2]);
				(yyvsp[-7].chain)->hook.name = chain_hookname_lookup((yyvsp[-2].string));
				if ((yyvsp[-7].chain)->hook.name == NULL) {
					erec_queue(error(&(yylsp[-2]), "unknown chain hook"),
						   state->msgs);
					xfree((yyvsp[-2].string));
					YYERROR;
				}
				xfree((yyvsp[-2].string));

				(yyvsp[-7].chain)->dev_expr	= (yyvsp[-1].expr);
				(yyvsp[-7].chain)->priority	= (yyvsp[0].prio_spec);
				(yyvsp[-7].chain)->flags	|= CHAIN_F_BASECHAIN;
			}
#line 9156 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 370:
#line 2425 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.prio_spec) = (yyvsp[0].prio_spec);
				(yyval.prio_spec).loc = (yyloc);
			}
#line 9165 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 371:
#line 2432 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.string) = strdup("out");
			}
#line 9173 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 373:
#line 2439 "parser_bison.y" /* yacc.c:1646  */
    {
				struct prio_spec spec = {0};

				spec.expr = constant_expr_alloc(&(yyloc), &integer_type,
								BYTEORDER_HOST_ENDIAN,
								sizeof(int) *
								BITS_PER_BYTE, &(yyvsp[0].val32));
				(yyval.prio_spec) = spec;
			}
#line 9187 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 374:
#line 2449 "parser_bison.y" /* yacc.c:1646  */
    {
				struct prio_spec spec = {0};

				spec.expr = (yyvsp[0].expr);
				(yyval.prio_spec) = spec;
			}
#line 9198 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 375:
#line 2456 "parser_bison.y" /* yacc.c:1646  */
    {
				struct prio_spec spec = {0};

				spec.expr = constant_expr_alloc(&(yyloc), &string_type,
								BYTEORDER_HOST_ENDIAN,
								strlen((yyvsp[0].string)) * BITS_PER_BYTE,
								(yyvsp[0].string));
				xfree((yyvsp[0].string));
				(yyval.prio_spec) = spec;
			}
#line 9213 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 376:
#line 2467 "parser_bison.y" /* yacc.c:1646  */
    {
				struct prio_spec spec = {0};

				char str[NFT_NAME_MAXLEN];
				snprintf(str, sizeof(str), "%s + %" PRIu64, (yyvsp[-2].string), (yyvsp[0].val));
				spec.expr = constant_expr_alloc(&(yyloc), &string_type,
								BYTEORDER_HOST_ENDIAN,
								strlen(str) * BITS_PER_BYTE,
								str);
				xfree((yyvsp[-2].string));
				(yyval.prio_spec) = spec;
			}
#line 9230 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 377:
#line 2480 "parser_bison.y" /* yacc.c:1646  */
    {
				struct prio_spec spec = {0};
				char str[NFT_NAME_MAXLEN];

				snprintf(str, sizeof(str), "%s - %" PRIu64, (yyvsp[-2].string), (yyvsp[0].val));
				spec.expr = constant_expr_alloc(&(yyloc), &string_type,
								BYTEORDER_HOST_ENDIAN,
								strlen(str) * BITS_PER_BYTE,
								str);
				xfree((yyvsp[-2].string));
				(yyval.prio_spec) = spec;
			}
#line 9247 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 378:
#line 2494 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val32) = (yyvsp[0].val); }
#line 9253 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 379:
#line 2495 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val32) = -(yyvsp[0].val); }
#line 9259 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 380:
#line 2499 "parser_bison.y" /* yacc.c:1646  */
    {
				struct expr *expr;

				expr = constant_expr_alloc(&(yyloc), &string_type,
							   BYTEORDER_HOST_ENDIAN,
							   strlen((yyvsp[0].string)) * BITS_PER_BYTE, (yyvsp[0].string));
				xfree((yyvsp[0].string));
				(yyval.expr) = compound_expr_alloc(&(yyloc), EXPR_LIST);
				compound_expr_add((yyval.expr), expr);

			}
#line 9275 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 381:
#line 2511 "parser_bison.y" /* yacc.c:1646  */
    {
				datatype_set((yyvsp[0].expr)->sym->expr, &ifname_type);
				(yyval.expr) = compound_expr_alloc(&(yyloc), EXPR_LIST);
				compound_expr_add((yyval.expr), (yyvsp[0].expr));
			}
#line 9285 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 382:
#line 2517 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = (yyvsp[0].expr);
			}
#line 9293 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 383:
#line 2520 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = NULL; }
#line 9299 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 384:
#line 2524 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-3].chain)->flags |= CHAIN_F_HW_OFFLOAD;
			}
#line 9307 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 385:
#line 2530 "parser_bison.y" /* yacc.c:1646  */
    {
				if ((yyvsp[-3].chain)->policy) {
					erec_queue(error(&(yyloc), "you cannot set chain policy twice"),
						   state->msgs);
					expr_free((yyvsp[-1].expr));
					YYERROR;
				}
				(yyvsp[-3].chain)->policy		= (yyvsp[-1].expr);
				(yyvsp[-3].chain)->policy->location	= (yyloc);
			}
#line 9322 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 386:
#line 2543 "parser_bison.y" /* yacc.c:1646  */
    {
				datatype_set((yyvsp[0].expr)->sym->expr, &policy_type);
				(yyval.expr) = (yyvsp[0].expr);
			}
#line 9331 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 387:
#line 2548 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = constant_expr_alloc(&(yyloc), &integer_type,
							 BYTEORDER_HOST_ENDIAN,
							 sizeof(int) *
							 BITS_PER_BYTE, &(yyvsp[0].val32));
			}
#line 9342 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 388:
#line 2556 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val32) = NF_ACCEPT; }
#line 9348 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 389:
#line 2557 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val32) = NF_DROP;   }
#line 9354 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 394:
#line 2569 "parser_bison.y" /* yacc.c:1646  */
    {
				struct error_record *erec;
				uint64_t res;

				erec = time_parse(&(yylsp[0]), (yyvsp[0].string), &res);
				xfree((yyvsp[0].string));
				if (erec != NULL) {
					erec_queue(erec, state->msgs);
					YYERROR;
				}
				(yyval.val) = res;
			}
#line 9371 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 395:
#line 2583 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFPROTO_IPV4; }
#line 9377 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 397:
#line 2587 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFPROTO_IPV4; }
#line 9383 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 398:
#line 2588 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFPROTO_IPV6; }
#line 9389 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 399:
#line 2589 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFPROTO_INET; }
#line 9395 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 400:
#line 2590 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFPROTO_ARP; }
#line 9401 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 401:
#line 2591 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFPROTO_BRIDGE; }
#line 9407 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 402:
#line 2592 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFPROTO_NETDEV; }
#line 9413 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 403:
#line 2596 "parser_bison.y" /* yacc.c:1646  */
    {
				memset(&(yyval.handle), 0, sizeof((yyval.handle)));
				(yyval.handle).family	= (yyvsp[-1].val);
				(yyval.handle).table.location = (yylsp[0]);
				(yyval.handle).table.name	= (yyvsp[0].string);
			}
#line 9424 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 404:
#line 2605 "parser_bison.y" /* yacc.c:1646  */
    {
				memset(&(yyval.handle), 0, sizeof((yyval.handle)));
				(yyval.handle).family 		= (yyvsp[-2].val);
				(yyval.handle).handle.id 		= (yyvsp[0].val);
				(yyval.handle).handle.location	= (yylsp[0]);
			}
#line 9435 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 405:
#line 2614 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.handle)		= (yyvsp[-1].handle);
				(yyval.handle).chain.name	= (yyvsp[0].string);
				(yyval.handle).chain.location = (yylsp[0]);
			}
#line 9445 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 406:
#line 2622 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.handle) 			= (yyvsp[-2].handle);
				(yyval.handle).handle.location 	= (yylsp[0]);
				(yyval.handle).handle.id 		= (yyvsp[0].val);
			}
#line 9455 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 407:
#line 2630 "parser_bison.y" /* yacc.c:1646  */
    {
				memset(&(yyval.handle), 0, sizeof((yyval.handle)));
				(yyval.handle).chain.name		= (yyvsp[0].string);
				(yyval.handle).chain.location	= (yylsp[0]);
			}
#line 9465 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 408:
#line 2638 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.handle)		= (yyvsp[-1].handle);
				(yyval.handle).set.name	= (yyvsp[0].string);
				(yyval.handle).set.location	= (yylsp[0]);
			}
#line 9475 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 409:
#line 2646 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.handle) 			= (yyvsp[-2].handle);
				(yyval.handle).handle.location 	= (yylsp[0]);
				(yyval.handle).handle.id 		= (yyvsp[0].val);
			}
#line 9485 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 410:
#line 2654 "parser_bison.y" /* yacc.c:1646  */
    {
				memset(&(yyval.handle), 0, sizeof((yyval.handle)));
				(yyval.handle).set.name	= (yyvsp[0].string);
				(yyval.handle).set.location	= (yylsp[0]);
			}
#line 9495 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 411:
#line 2662 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.handle)			= (yyvsp[-1].handle);
				(yyval.handle).flowtable.name	= (yyvsp[0].string);
				(yyval.handle).flowtable.location	= (yylsp[0]);
			}
#line 9505 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 412:
#line 2670 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.handle)			= (yyvsp[-2].handle);
				(yyval.handle).handle.location	= (yylsp[0]);
				(yyval.handle).handle.id		= (yyvsp[0].val);
			}
#line 9515 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 413:
#line 2678 "parser_bison.y" /* yacc.c:1646  */
    {
				memset(&(yyval.handle), 0, sizeof((yyval.handle)));
				(yyval.handle).flowtable.name	= (yyvsp[0].string);
				(yyval.handle).flowtable.location	= (yylsp[0]);
			}
#line 9525 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 414:
#line 2686 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.handle)		= (yyvsp[-1].handle);
				(yyval.handle).obj.name	= (yyvsp[0].string);
				(yyval.handle).obj.location	= (yylsp[0]);
			}
#line 9535 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 415:
#line 2694 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.handle) 			= (yyvsp[-2].handle);
				(yyval.handle).handle.location	= (yylsp[0]);
				(yyval.handle).handle.id		= (yyvsp[0].val);
			}
#line 9545 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 416:
#line 2702 "parser_bison.y" /* yacc.c:1646  */
    {
				memset(&(yyval.handle), 0, sizeof((yyval.handle)));
				(yyval.handle).obj.name		= (yyvsp[0].string);
				(yyval.handle).obj.location		= (yylsp[0]);
			}
#line 9555 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 417:
#line 2710 "parser_bison.y" /* yacc.c:1646  */
    {
				memset(&(yyval.handle), 0, sizeof((yyval.handle)));
				(yyval.handle).handle.location	= (yylsp[0]);
				(yyval.handle).handle.id		= (yyvsp[0].val);
			}
#line 9565 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 418:
#line 2718 "parser_bison.y" /* yacc.c:1646  */
    {
				memset(&(yyval.handle), 0, sizeof((yyval.handle)));
				(yyval.handle).position.location	= (yyloc);
				(yyval.handle).position.id		= (yyvsp[0].val);
			}
#line 9575 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 419:
#line 2726 "parser_bison.y" /* yacc.c:1646  */
    {
				memset(&(yyval.handle), 0, sizeof((yyval.handle)));
				(yyval.handle).index.location	= (yyloc);
				(yyval.handle).index.id		= (yyvsp[0].val) + 1;
			}
#line 9585 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 420:
#line 2734 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.handle) = (yyvsp[0].handle);
			}
#line 9593 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 421:
#line 2738 "parser_bison.y" /* yacc.c:1646  */
    {
				handle_merge(&(yyvsp[-1].handle), &(yyvsp[0].handle));
				(yyval.handle) = (yyvsp[-1].handle);
			}
#line 9602 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 422:
#line 2743 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[0].handle).position.location = (yyvsp[0].handle).handle.location;
				(yyvsp[0].handle).position.id = (yyvsp[0].handle).handle.id;
				(yyvsp[0].handle).handle.id = 0;
				handle_merge(&(yyvsp[-1].handle), &(yyvsp[0].handle));
				(yyval.handle) = (yyvsp[-1].handle);
			}
#line 9614 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 423:
#line 2751 "parser_bison.y" /* yacc.c:1646  */
    {
				handle_merge(&(yyvsp[-1].handle), &(yyvsp[0].handle));
				(yyval.handle) = (yyvsp[-1].handle);
			}
#line 9623 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 424:
#line 2758 "parser_bison.y" /* yacc.c:1646  */
    {
				handle_merge(&(yyvsp[-1].handle), &(yyvsp[0].handle));
				(yyval.handle) = (yyvsp[-1].handle);
			}
#line 9632 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 425:
#line 2765 "parser_bison.y" /* yacc.c:1646  */
    {
				if (strlen((yyvsp[0].string)) > NFTNL_UDATA_COMMENT_MAXLEN) {
					erec_queue(error(&(yylsp[0]), "comment too long, %d characters maximum allowed",
							 NFTNL_UDATA_COMMENT_MAXLEN),
						   state->msgs);
					xfree((yyvsp[0].string));
					YYERROR;
				}
				(yyval.string) = (yyvsp[0].string);
			}
#line 9647 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 426:
#line 2778 "parser_bison.y" /* yacc.c:1646  */
    {
				memset(&(yyval.handle), 0, sizeof((yyval.handle)));
				(yyval.handle).family	= NFPROTO_UNSPEC;
			}
#line 9656 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 427:
#line 2783 "parser_bison.y" /* yacc.c:1646  */
    {
				memset(&(yyval.handle), 0, sizeof((yyval.handle)));
				(yyval.handle).family	= (yyvsp[0].val);
			}
#line 9665 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 428:
#line 2790 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.rule)->comment = NULL;
			}
#line 9673 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 429:
#line 2794 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.rule)->comment = (yyvsp[0].string);
			}
#line 9681 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 430:
#line 2800 "parser_bison.y" /* yacc.c:1646  */
    {
				struct stmt *i;

				(yyval.rule) = rule_alloc(&(yyloc), NULL);
				list_for_each_entry(i, (yyvsp[0].list), list)
					(yyval.rule)->num_stmts++;
				list_splice_tail((yyvsp[0].list), &(yyval.rule)->stmts);
				xfree((yyvsp[0].list));
			}
#line 9695 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 431:
#line 2812 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.list) = xmalloc(sizeof(*(yyval.list)));
				init_list_head((yyval.list));
				list_add_tail(&(yyvsp[0].stmt)->list, (yyval.list));
			}
#line 9705 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 432:
#line 2818 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.list) = (yyvsp[-1].list);
				list_add_tail(&(yyvsp[0].stmt)->list, (yyvsp[-1].list));
			}
#line 9714 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 433:
#line 2825 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.list) = xmalloc(sizeof(*(yyval.list)));
				init_list_head((yyval.list));
				list_add_tail(&(yyvsp[0].stmt)->list, (yyval.list));
			}
#line 9724 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 434:
#line 2831 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.list) = (yyvsp[-1].list);
				list_add_tail(&(yyvsp[0].stmt)->list, (yyvsp[-1].list));
			}
#line 9733 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 460:
#line 2866 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_JUMP; }
#line 9739 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 461:
#line 2867 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_GOTO; }
#line 9745 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 462:
#line 2871 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-3].chain)->location = (yylsp[-3]);
				close_scope(state);
				(yyvsp[-1].chain)->location = (yylsp[-1]);
				(yyval.stmt) = chain_stmt_alloc(&(yyloc), (yyvsp[-1].chain), (yyvsp[-4].val));
			}
#line 9756 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 463:
#line 2880 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = verdict_stmt_alloc(&(yyloc), (yyvsp[0].expr));
			}
#line 9764 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 464:
#line 2884 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = verdict_stmt_alloc(&(yyloc), (yyvsp[0].expr));
			}
#line 9772 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 465:
#line 2890 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = map_expr_alloc(&(yyloc), (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 9780 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 466:
#line 2896 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-1].expr)->location = (yyloc);
				(yyval.expr) = (yyvsp[-1].expr);
			}
#line 9789 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 468:
#line 2904 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = set_expr_alloc(&(yyloc), NULL);
				compound_expr_add((yyval.expr), (yyvsp[0].expr));
			}
#line 9798 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 469:
#line 2909 "parser_bison.y" /* yacc.c:1646  */
    {
				compound_expr_add((yyvsp[-2].expr), (yyvsp[0].expr));
				(yyval.expr) = (yyvsp[-2].expr);
			}
#line 9807 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 471:
#line 2917 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = mapping_expr_alloc(&(yyloc), (yyvsp[-3].expr), (yyvsp[-1].expr));
			}
#line 9815 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 472:
#line 2923 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = connlimit_stmt_alloc(&(yyloc));
				(yyval.stmt)->connlimit.count	= (yyvsp[-1].val);
			}
#line 9824 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 473:
#line 2928 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = connlimit_stmt_alloc(&(yyloc));
				(yyval.stmt)->connlimit.count = (yyvsp[-1].val);
				(yyval.stmt)->connlimit.flags = NFT_CONNLIMIT_F_INV;
			}
#line 9834 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 476:
#line 2939 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = counter_stmt_alloc(&(yyloc));
			}
#line 9842 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 477:
#line 2943 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = objref_stmt_alloc(&(yyloc));
				(yyval.stmt)->objref.type = NFT_OBJECT_COUNTER;
				(yyval.stmt)->objref.expr = (yyvsp[0].expr);
			}
#line 9852 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 478:
#line 2951 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt)	= (yyvsp[-1].stmt);
			}
#line 9860 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 480:
#line 2958 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-2].stmt)->counter.packets = (yyvsp[0].val);
			}
#line 9868 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 481:
#line 2962 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-2].stmt)->counter.bytes	 = (yyvsp[0].val);
			}
#line 9876 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 484:
#line 2972 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = log_stmt_alloc(&(yyloc));
			}
#line 9884 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 485:
#line 2978 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt)	= (yyvsp[-1].stmt);
			}
#line 9892 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 487:
#line 2985 "parser_bison.y" /* yacc.c:1646  */
    {
				struct scope *scope = current_scope(state);
				bool done = false, another_var = false;
				char *start, *end, scratch = '\0';
				struct expr *expr, *item;
				struct symbol *sym;
				enum {
					PARSE_TEXT,
					PARSE_VAR,
				} prefix_state;

				/* No variables in log prefix, skip. */
				if (!strchr((yyvsp[0].string), '$')) {
					expr = constant_expr_alloc(&(yyloc), &string_type,
								   BYTEORDER_HOST_ENDIAN,
								   (strlen((yyvsp[0].string)) + 1) * BITS_PER_BYTE, (yyvsp[0].string));
					xfree((yyvsp[0].string));
					(yyvsp[-2].stmt)->log.prefix = expr;
					(yyvsp[-2].stmt)->log.flags |= STMT_LOG_PREFIX;
					break;
				}

				/* Parse variables in log prefix string using a
				 * state machine parser with two states. This
				 * parser creates list of expressions composed
				 * of constant and variable expressions.
				 */
				expr = compound_expr_alloc(&(yyloc), EXPR_LIST);

				start = (char *)(yyvsp[0].string);

				if (*start != '$') {
					prefix_state = PARSE_TEXT;
				} else {
					prefix_state = PARSE_VAR;
					start++;
				}
				end = start;

				/* Not nice, but works. */
				while (!done) {
					switch (prefix_state) {
					case PARSE_TEXT:
						while (*end != '\0' && *end != '$')
							end++;

						if (*end == '\0')
							done = true;

						*end = '\0';
						item = constant_expr_alloc(&(yyloc), &string_type,
									   BYTEORDER_HOST_ENDIAN,
									   (strlen(start) + 1) * BITS_PER_BYTE,
									   start);
						compound_expr_add(expr, item);

						if (done)
							break;

						start = end + 1;
						end = start;

						/* fall through */
					case PARSE_VAR:
						while (isalnum(*end) || *end == '_')
							end++;

						if (*end == '\0')
							done = true;
						else if (*end == '$')
							another_var = true;
						else
							scratch = *end;

						*end = '\0';

						sym = symbol_get(scope, start);
						if (!sym) {
							sym = symbol_lookup_fuzzy(scope, start);
							if (sym) {
								erec_queue(error(&(yylsp[0]), "unknown identifier '%s'; "
										 "did you mean identifier ‘%s’?",
										 start, sym->identifier),
									   state->msgs);
							} else {
								erec_queue(error(&(yylsp[0]), "unknown identifier '%s'",
										 start),
									   state->msgs);
							}
							expr_free(expr);
							xfree((yyvsp[0].string));
							YYERROR;
						}
						item = variable_expr_alloc(&(yyloc), scope, sym);
						compound_expr_add(expr, item);

						if (done)
							break;

						/* Restore original byte after
						 * symbol lookup.
						 */
						if (scratch) {
							*end = scratch;
							scratch = '\0';
						}

						start = end;
						if (another_var) {
							another_var = false;
							start++;
							prefix_state = PARSE_VAR;
						} else {
							prefix_state = PARSE_TEXT;
						}
						end = start;
						break;
					}
				}

				xfree((yyvsp[0].string));
				(yyvsp[-2].stmt)->log.prefix	 = expr;
				(yyvsp[-2].stmt)->log.flags 	|= STMT_LOG_PREFIX;
			}
#line 10021 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 488:
#line 3110 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-2].stmt)->log.group	 = (yyvsp[0].val);
				(yyvsp[-2].stmt)->log.flags 	|= STMT_LOG_GROUP;
			}
#line 10030 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 489:
#line 3115 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-2].stmt)->log.snaplen	 = (yyvsp[0].val);
				(yyvsp[-2].stmt)->log.flags 	|= STMT_LOG_SNAPLEN;
			}
#line 10039 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 490:
#line 3120 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-2].stmt)->log.qthreshold = (yyvsp[0].val);
				(yyvsp[-2].stmt)->log.flags 	|= STMT_LOG_QTHRESHOLD;
			}
#line 10048 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 491:
#line 3125 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-2].stmt)->log.level	= (yyvsp[0].val);
				(yyvsp[-2].stmt)->log.flags 	|= STMT_LOG_LEVEL;
			}
#line 10057 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 492:
#line 3130 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-3].stmt)->log.logflags	|= (yyvsp[-1].val);
			}
#line 10065 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 493:
#line 3136 "parser_bison.y" /* yacc.c:1646  */
    {
				if (!strcmp("emerg", (yyvsp[0].string)))
					(yyval.val) = NFT_LOGLEVEL_EMERG;
				else if (!strcmp("alert", (yyvsp[0].string)))
					(yyval.val) = NFT_LOGLEVEL_ALERT;
				else if (!strcmp("crit", (yyvsp[0].string)))
					(yyval.val) = NFT_LOGLEVEL_CRIT;
				else if (!strcmp("err", (yyvsp[0].string)))
					(yyval.val) = NFT_LOGLEVEL_ERR;
				else if (!strcmp("warn", (yyvsp[0].string)))
					(yyval.val) = NFT_LOGLEVEL_WARNING;
				else if (!strcmp("notice", (yyvsp[0].string)))
					(yyval.val) = NFT_LOGLEVEL_NOTICE;
				else if (!strcmp("info", (yyvsp[0].string)))
					(yyval.val) = NFT_LOGLEVEL_INFO;
				else if (!strcmp("debug", (yyvsp[0].string)))
					(yyval.val) = NFT_LOGLEVEL_DEBUG;
				else if (!strcmp("audit", (yyvsp[0].string)))
					(yyval.val) = NFT_LOGLEVEL_AUDIT;
				else {
					erec_queue(error(&(yylsp[0]), "invalid log level"),
						   state->msgs);
					xfree((yyvsp[0].string));
					YYERROR;
				}
				xfree((yyvsp[0].string));
			}
#line 10097 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 494:
#line 3166 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.val) = (yyvsp[-1].val);
			}
#line 10105 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 495:
#line 3170 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.val) = NF_LOG_IPOPT;
			}
#line 10113 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 496:
#line 3174 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.val) = NF_LOG_UID;
			}
#line 10121 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 497:
#line 3178 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.val) = NF_LOG_MACDECODE;
			}
#line 10129 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 498:
#line 3182 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.val) = NF_LOG_MASK;
			}
#line 10137 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 499:
#line 3188 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.val) = (yyvsp[-2].val) | (yyvsp[0].val);
			}
#line 10145 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 501:
#line 3195 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.val) = NF_LOG_TCPSEQ;
			}
#line 10153 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 502:
#line 3199 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.val) = NF_LOG_TCPOPT;
			}
#line 10161 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 503:
#line 3205 "parser_bison.y" /* yacc.c:1646  */
    {
				if ((yyvsp[-1].val) == 0) {
					erec_queue(error(&(yylsp[-1]), "limit burst must be > 0"),
						   state->msgs);
					YYERROR;
				}
				(yyval.stmt) = limit_stmt_alloc(&(yyloc));
				(yyval.stmt)->limit.rate	= (yyvsp[-2].limit_rate).rate;
				(yyval.stmt)->limit.unit	= (yyvsp[-2].limit_rate).unit;
				(yyval.stmt)->limit.burst	= (yyvsp[-1].val);
				(yyval.stmt)->limit.type	= NFT_LIMIT_PKTS;
				(yyval.stmt)->limit.flags = (yyvsp[-3].val);
			}
#line 10179 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 504:
#line 3219 "parser_bison.y" /* yacc.c:1646  */
    {
				if ((yyvsp[-1].val) == 0) {
					erec_queue(error(&(yylsp[-1]), "limit burst must be > 0"),
						   state->msgs);
					YYERROR;
				}
				(yyval.stmt) = limit_stmt_alloc(&(yyloc));
				(yyval.stmt)->limit.rate	= (yyvsp[-2].limit_rate).rate;
				(yyval.stmt)->limit.unit	= (yyvsp[-2].limit_rate).unit;
				(yyval.stmt)->limit.burst	= (yyvsp[-1].val);
				(yyval.stmt)->limit.type	= NFT_LIMIT_PKT_BYTES;
				(yyval.stmt)->limit.flags = (yyvsp[-3].val);
			}
#line 10197 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 505:
#line 3233 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = objref_stmt_alloc(&(yyloc));
				(yyval.stmt)->objref.type = NFT_OBJECT_LIMIT;
				(yyval.stmt)->objref.expr = (yyvsp[-1].expr);
			}
#line 10207 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 506:
#line 3240 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_QUOTA_F_INV; }
#line 10213 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 507:
#line 3241 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = 0; }
#line 10219 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 508:
#line 3242 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = 0; }
#line 10225 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 509:
#line 3245 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.string) = xstrdup("bytes"); }
#line 10231 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 510:
#line 3246 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.string) = (yyvsp[0].string); }
#line 10237 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 511:
#line 3249 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = 0; }
#line 10243 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 512:
#line 3251 "parser_bison.y" /* yacc.c:1646  */
    {
				struct error_record *erec;
				uint64_t rate;

				erec = data_unit_parse(&(yyloc), (yyvsp[0].string), &rate);
				xfree((yyvsp[0].string));
				if (erec != NULL) {
					erec_queue(erec, state->msgs);
					YYERROR;
				}
				(yyval.val) = (yyvsp[-1].val) * rate;
			}
#line 10260 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 513:
#line 3266 "parser_bison.y" /* yacc.c:1646  */
    {
				struct error_record *erec;
				uint64_t rate;

				erec = data_unit_parse(&(yyloc), (yyvsp[-2].string), &rate);
				xfree((yyvsp[-2].string));
				if (erec != NULL) {
					erec_queue(erec, state->msgs);
					YYERROR;
				}
				(yyval.stmt) = quota_stmt_alloc(&(yyloc));
				(yyval.stmt)->quota.bytes	= (yyvsp[-3].val) * rate;
				(yyval.stmt)->quota.used = (yyvsp[-1].val);
				(yyval.stmt)->quota.flags	= (yyvsp[-4].val);
			}
#line 10280 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 514:
#line 3282 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = objref_stmt_alloc(&(yyloc));
				(yyval.stmt)->objref.type = NFT_OBJECT_QUOTA;
				(yyval.stmt)->objref.expr = (yyvsp[-1].expr);
			}
#line 10290 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 515:
#line 3289 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_LIMIT_F_INV; }
#line 10296 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 516:
#line 3290 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = 0; }
#line 10302 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 517:
#line 3291 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = 0; }
#line 10308 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 518:
#line 3294 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = 5; }
#line 10314 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 519:
#line 3295 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = (yyvsp[-1].val); }
#line 10320 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 520:
#line 3299 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.limit_rate).rate = (yyvsp[-2].val);
				(yyval.limit_rate).unit = (yyvsp[0].val);
			}
#line 10329 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 521:
#line 3305 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = 5; }
#line 10335 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 522:
#line 3306 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = (yyvsp[0].val); }
#line 10341 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 523:
#line 3310 "parser_bison.y" /* yacc.c:1646  */
    {
				struct error_record *erec;
				uint64_t rate, unit;

				erec = rate_parse(&(yyloc), (yyvsp[0].string), &rate, &unit);
				xfree((yyvsp[0].string));
				if (erec != NULL) {
					erec_queue(erec, state->msgs);
					YYERROR;
				}
				(yyval.limit_rate).rate = rate * (yyvsp[-1].val);
				(yyval.limit_rate).unit = unit;
			}
#line 10359 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 524:
#line 3324 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.limit_rate).rate = (yyvsp[-2].val);
				(yyval.limit_rate).unit = (yyvsp[0].val);
			}
#line 10368 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 525:
#line 3330 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = (yyvsp[-1].val); }
#line 10374 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 526:
#line 3332 "parser_bison.y" /* yacc.c:1646  */
    {
				struct error_record *erec;
				uint64_t rate;

				erec = data_unit_parse(&(yyloc), (yyvsp[0].string), &rate);
				xfree((yyvsp[0].string));
				if (erec != NULL) {
					erec_queue(erec, state->msgs);
					YYERROR;
				}
				(yyval.val) = (yyvsp[-1].val) * rate;
			}
#line 10391 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 527:
#line 3346 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = 1ULL; }
#line 10397 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 528:
#line 3347 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = 1ULL * 60; }
#line 10403 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 529:
#line 3348 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = 1ULL * 60 * 60; }
#line 10409 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 530:
#line 3349 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = 1ULL * 60 * 60 * 24; }
#line 10415 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 531:
#line 3350 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = 1ULL * 60 * 60 * 24 * 7; }
#line 10421 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 533:
#line 3357 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = reject_stmt_alloc(&(yyloc));
			}
#line 10429 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 534:
#line 3363 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = symbol_expr_alloc(&(yyloc), SYMBOL_VALUE,
						       current_scope(state), (yyvsp[0].string));
				xfree((yyvsp[0].string));
			}
#line 10439 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 535:
#line 3368 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 10445 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 536:
#line 3372 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[0].stmt)->reject.type = -1;
				(yyvsp[0].stmt)->reject.icmp_code = -1;
			}
#line 10454 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 537:
#line 3377 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-6].stmt)->reject.family = NFPROTO_IPV4;
				(yyvsp[-6].stmt)->reject.type = NFT_REJECT_ICMP_UNREACH;
				(yyvsp[-6].stmt)->reject.expr = (yyvsp[-2].expr);
				datatype_set((yyvsp[-6].stmt)->reject.expr, &icmp_code_type);
			}
#line 10465 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 538:
#line 3384 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-3].stmt)->reject.family = NFPROTO_IPV4;
				(yyvsp[-3].stmt)->reject.type = NFT_REJECT_ICMP_UNREACH;
				(yyvsp[-3].stmt)->reject.expr = (yyvsp[0].expr);
				datatype_set((yyvsp[-3].stmt)->reject.expr, &icmp_code_type);
			}
#line 10476 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 539:
#line 3391 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-6].stmt)->reject.family = NFPROTO_IPV6;
				(yyvsp[-6].stmt)->reject.type = NFT_REJECT_ICMP_UNREACH;
				(yyvsp[-6].stmt)->reject.expr = (yyvsp[-2].expr);
				datatype_set((yyvsp[-6].stmt)->reject.expr, &icmpv6_code_type);
			}
#line 10487 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 540:
#line 3398 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-3].stmt)->reject.family = NFPROTO_IPV6;
				(yyvsp[-3].stmt)->reject.type = NFT_REJECT_ICMP_UNREACH;
				(yyvsp[-3].stmt)->reject.expr = (yyvsp[0].expr);
				datatype_set((yyvsp[-3].stmt)->reject.expr, &icmpv6_code_type);
			}
#line 10498 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 541:
#line 3405 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-5].stmt)->reject.type = NFT_REJECT_ICMPX_UNREACH;
				(yyvsp[-5].stmt)->reject.expr = (yyvsp[-1].expr);
				datatype_set((yyvsp[-5].stmt)->reject.expr, &icmpx_code_type);
			}
#line 10508 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 542:
#line 3411 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-3].stmt)->reject.type = NFT_REJECT_ICMPX_UNREACH;
				(yyvsp[-3].stmt)->reject.expr = (yyvsp[0].expr);
				datatype_set((yyvsp[-3].stmt)->reject.expr, &icmpx_code_type);
			}
#line 10518 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 543:
#line 3417 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-5].stmt)->reject.type = NFT_REJECT_TCP_RST;
			}
#line 10526 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 545:
#line 3425 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.stmt) = nat_stmt_alloc(&(yyloc), NFT_NAT_SNAT); }
#line 10532 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 546:
#line 3426 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.stmt) = nat_stmt_alloc(&(yyloc), NFT_NAT_DNAT); }
#line 10538 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 547:
#line 3430 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = tproxy_stmt_alloc(&(yyloc));
				(yyval.stmt)->tproxy.family = NFPROTO_UNSPEC;
				(yyval.stmt)->tproxy.addr = (yyvsp[0].expr);
			}
#line 10548 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 548:
#line 3436 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = tproxy_stmt_alloc(&(yyloc));
				(yyval.stmt)->tproxy.family = (yyvsp[-2].val);
				(yyval.stmt)->tproxy.addr = (yyvsp[0].expr);
			}
#line 10558 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 549:
#line 3442 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = tproxy_stmt_alloc(&(yyloc));
				(yyval.stmt)->tproxy.family = NFPROTO_UNSPEC;
				(yyval.stmt)->tproxy.port = (yyvsp[0].expr);
			}
#line 10568 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 550:
#line 3448 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = tproxy_stmt_alloc(&(yyloc));
				(yyval.stmt)->tproxy.family = NFPROTO_UNSPEC;
				(yyval.stmt)->tproxy.addr = (yyvsp[-2].expr);
				(yyval.stmt)->tproxy.port = (yyvsp[0].expr);
			}
#line 10579 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 551:
#line 3455 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = tproxy_stmt_alloc(&(yyloc));
				(yyval.stmt)->tproxy.family = (yyvsp[-4].val);
				(yyval.stmt)->tproxy.addr = (yyvsp[-2].expr);
				(yyval.stmt)->tproxy.port = (yyvsp[0].expr);
			}
#line 10590 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 552:
#line 3462 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = tproxy_stmt_alloc(&(yyloc));
				(yyval.stmt)->tproxy.family = (yyvsp[-3].val);
				(yyval.stmt)->tproxy.port = (yyvsp[0].expr);
			}
#line 10600 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 555:
#line 3474 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = synproxy_stmt_alloc(&(yyloc));
			}
#line 10608 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 556:
#line 3478 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = objref_stmt_alloc(&(yyloc));
				(yyval.stmt)->objref.type = NFT_OBJECT_SYNPROXY;
				(yyval.stmt)->objref.expr = (yyvsp[0].expr);
			}
#line 10618 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 557:
#line 3486 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt)	= (yyvsp[-1].stmt);
			}
#line 10626 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 559:
#line 3493 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-2].stmt)->synproxy.mss = (yyvsp[0].val);
				(yyvsp[-2].stmt)->synproxy.flags |= NF_SYNPROXY_OPT_MSS;
			}
#line 10635 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 560:
#line 3498 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-2].stmt)->synproxy.wscale = (yyvsp[0].val);
				(yyvsp[-2].stmt)->synproxy.flags |= NF_SYNPROXY_OPT_WSCALE;
			}
#line 10644 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 561:
#line 3503 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-1].stmt)->synproxy.flags |= NF_SYNPROXY_OPT_TIMESTAMP;
			}
#line 10652 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 562:
#line 3507 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-1].stmt)->synproxy.flags |= NF_SYNPROXY_OPT_SACK_PERM;
			}
#line 10660 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 563:
#line 3513 "parser_bison.y" /* yacc.c:1646  */
    {
				struct synproxy *synproxy;
				uint32_t flags = 0;

				synproxy = &(yyvsp[-6].obj)->synproxy;
				synproxy->mss = (yyvsp[-4].val);
				flags |= NF_SYNPROXY_OPT_MSS;
				synproxy->wscale = (yyvsp[-2].val);
				flags |= NF_SYNPROXY_OPT_WSCALE;
				if ((yyvsp[-1].val))
					flags |= (yyvsp[-1].val);
				if ((yyvsp[0].val))
					flags |= (yyvsp[0].val);
				synproxy->flags = flags;
			}
#line 10680 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 564:
#line 3529 "parser_bison.y" /* yacc.c:1646  */
    {
				struct synproxy *synproxy;
				uint32_t flags = 0;

				synproxy = &(yyvsp[-8].obj)->synproxy;
				synproxy->mss = (yyvsp[-6].val);
				flags |= NF_SYNPROXY_OPT_MSS;
				synproxy->wscale = (yyvsp[-3].val);
				flags |= NF_SYNPROXY_OPT_WSCALE;
				if ((yyvsp[-1].val))
					flags |= (yyvsp[-1].val);
				if ((yyvsp[0].val))
					flags |= (yyvsp[0].val);
				synproxy->flags = flags;
			}
#line 10700 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 565:
#line 3547 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.obj) = obj_alloc(&(yyloc));
				(yyval.obj)->type = NFT_OBJECT_SYNPROXY;
			}
#line 10709 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 566:
#line 3553 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = 0; }
#line 10715 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 567:
#line 3555 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.val) = NF_SYNPROXY_OPT_TIMESTAMP;
			}
#line 10723 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 568:
#line 3560 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = 0; }
#line 10729 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 569:
#line 3562 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.val) = NF_SYNPROXY_OPT_SACK_PERM;
			}
#line 10737 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 570:
#line 3567 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 10743 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 571:
#line 3568 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 10749 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 572:
#line 3569 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 10755 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 573:
#line 3570 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 10761 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 574:
#line 3571 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 10767 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 575:
#line 3572 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 10773 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 576:
#line 3573 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 10779 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 577:
#line 3574 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 10785 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 578:
#line 3575 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 10791 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 579:
#line 3576 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 10797 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 580:
#line 3577 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 10803 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 581:
#line 3578 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 10809 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 582:
#line 3579 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[-1].expr); }
#line 10815 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 584:
#line 3584 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = binop_expr_alloc(&(yyloc), OP_LSHIFT, (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 10823 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 585:
#line 3588 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = binop_expr_alloc(&(yyloc), OP_RSHIFT, (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 10831 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 587:
#line 3595 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = binop_expr_alloc(&(yyloc), OP_AND, (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 10839 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 589:
#line 3602 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = binop_expr_alloc(&(yyloc), OP_XOR, (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 10847 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 591:
#line 3609 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = binop_expr_alloc(&(yyloc), OP_OR, (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 10855 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 594:
#line 3619 "parser_bison.y" /* yacc.c:1646  */
    {
				struct location rhs[] = {
					[1]	= (yylsp[-1]),
					[2]	= (yylsp[0]),
				};

				(yyval.expr) = handle_concat_expr(&(yyloc), (yyval.expr), (yyvsp[-2].expr), (yyvsp[0].expr), rhs);
			}
#line 10868 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 597:
#line 3634 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = map_expr_alloc(&(yyloc), (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 10876 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 598:
#line 3637 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 10882 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 599:
#line 3641 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = prefix_expr_alloc(&(yyloc), (yyvsp[-2].expr), (yyvsp[0].val));
			}
#line 10890 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 600:
#line 3647 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = range_expr_alloc(&(yyloc), (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 10898 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 606:
#line 3662 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-1].stmt)->nat.addr = (yyvsp[0].expr);
			}
#line 10906 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 607:
#line 3666 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-2].stmt)->nat.addr = (yyvsp[0].expr);
			}
#line 10914 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 608:
#line 3670 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-3].stmt)->nat.family = (yyvsp[-2].val);
				(yyvsp[-3].stmt)->nat.addr = (yyvsp[0].expr);
			}
#line 10923 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 609:
#line 3675 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-3].stmt)->nat.addr = (yyvsp[-2].expr);
				(yyvsp[-3].stmt)->nat.proto = (yyvsp[0].expr);
			}
#line 10932 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 610:
#line 3680 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-4].stmt)->nat.addr = (yyvsp[-2].expr);
				(yyvsp[-4].stmt)->nat.proto = (yyvsp[0].expr);
			}
#line 10941 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 611:
#line 3685 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-5].stmt)->nat.family = (yyvsp[-4].val);
				(yyvsp[-5].stmt)->nat.addr = (yyvsp[-2].expr);
				(yyvsp[-5].stmt)->nat.proto = (yyvsp[0].expr);
			}
#line 10951 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 612:
#line 3691 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-2].stmt)->nat.proto = (yyvsp[0].expr);
			}
#line 10959 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 613:
#line 3695 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-3].stmt)->nat.proto = (yyvsp[0].expr);
			}
#line 10967 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 614:
#line 3699 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-2].stmt)->nat.flags = (yyvsp[0].val);
			}
#line 10975 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 615:
#line 3703 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-6].stmt)->nat.family = (yyvsp[-5].val);
				(yyvsp[-6].stmt)->nat.addr = (yyvsp[0].expr);
				(yyvsp[-6].stmt)->nat.type_flags = STMT_NAT_F_CONCAT;
			}
#line 10985 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 616:
#line 3709 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-4].stmt)->nat.family = (yyvsp[-3].val);
				(yyvsp[-4].stmt)->nat.addr = (yyvsp[0].expr);
			}
#line 10994 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 617:
#line 3714 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-3].stmt)->nat.addr = (yyvsp[0].expr);
			}
#line 11002 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 618:
#line 3718 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-4].stmt)->nat.family = (yyvsp[-3].val);
				(yyvsp[-4].stmt)->nat.addr = (yyvsp[0].expr);
				(yyvsp[-4].stmt)->nat.type_flags =
						STMT_NAT_F_PREFIX;
				(yyvsp[-4].stmt)->nat.flags |= NF_NAT_RANGE_NETMAP;
			}
#line 11014 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 619:
#line 3726 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-3].stmt)->nat.addr = (yyvsp[0].expr);
				(yyvsp[-3].stmt)->nat.type_flags =
						STMT_NAT_F_PREFIX;
				(yyvsp[-3].stmt)->nat.flags |= NF_NAT_RANGE_NETMAP;
			}
#line 11025 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 622:
#line 3738 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.stmt) = nat_stmt_alloc(&(yyloc), NFT_NAT_MASQ); }
#line 11031 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 623:
#line 3742 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-3].stmt)->nat.proto = (yyvsp[0].expr);
			}
#line 11039 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 624:
#line 3746 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-4].stmt)->nat.proto = (yyvsp[-1].expr);
				(yyvsp[-4].stmt)->nat.flags = (yyvsp[0].val);
			}
#line 11048 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 625:
#line 3751 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-1].stmt)->nat.flags = (yyvsp[0].val);
			}
#line 11056 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 628:
#line 3760 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.stmt) = nat_stmt_alloc(&(yyloc), NFT_NAT_REDIR); }
#line 11062 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 629:
#line 3764 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-2].stmt)->nat.proto = (yyvsp[0].expr);
			}
#line 11070 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 630:
#line 3768 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-3].stmt)->nat.proto = (yyvsp[0].expr);
			}
#line 11078 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 631:
#line 3772 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-1].stmt)->nat.flags = (yyvsp[0].val);
			}
#line 11086 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 632:
#line 3776 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-3].stmt)->nat.proto = (yyvsp[-1].expr);
				(yyvsp[-3].stmt)->nat.flags = (yyvsp[0].val);
			}
#line 11095 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 633:
#line 3781 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-4].stmt)->nat.proto = (yyvsp[-1].expr);
				(yyvsp[-4].stmt)->nat.flags = (yyvsp[0].val);
			}
#line 11104 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 634:
#line 3788 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = dup_stmt_alloc(&(yyloc));
				(yyval.stmt)->dup.to = (yyvsp[0].expr);
			}
#line 11113 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 635:
#line 3793 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = dup_stmt_alloc(&(yyloc));
				(yyval.stmt)->dup.to = (yyvsp[-2].expr);
				(yyval.stmt)->dup.dev = (yyvsp[0].expr);
			}
#line 11123 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 636:
#line 3801 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = fwd_stmt_alloc(&(yyloc));
				(yyval.stmt)->fwd.dev = (yyvsp[0].expr);
			}
#line 11132 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 637:
#line 3806 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = fwd_stmt_alloc(&(yyloc));
				(yyval.stmt)->fwd.family = (yyvsp[-4].val);
				(yyval.stmt)->fwd.addr = (yyvsp[-2].expr);
				(yyval.stmt)->fwd.dev = (yyvsp[0].expr);
			}
#line 11143 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 639:
#line 3816 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.val) = (yyvsp[-2].val) | (yyvsp[0].val);
			}
#line 11151 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 640:
#line 3821 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NF_NAT_RANGE_PROTO_RANDOM; }
#line 11157 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 641:
#line 3822 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NF_NAT_RANGE_PROTO_RANDOM_FULLY; }
#line 11163 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 642:
#line 3823 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NF_NAT_RANGE_PERSISTENT; }
#line 11169 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 644:
#line 3828 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = queue_stmt_alloc(&(yyloc), (yyvsp[-1].expr), 0);
			}
#line 11177 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 645:
#line 3832 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = queue_stmt_alloc(&(yyloc), (yyvsp[-1].expr), (yyvsp[-4].val));
			}
#line 11185 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 646:
#line 3836 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = queue_stmt_alloc(&(yyloc), (yyvsp[-1].expr), (yyvsp[-4].val));
			}
#line 11193 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 649:
#line 3846 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = queue_stmt_alloc(&(yyloc), NULL, 0);
			}
#line 11201 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 650:
#line 3852 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt)	= (yyvsp[-1].stmt);
			}
#line 11209 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 652:
#line 3859 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-2].stmt)->queue.queue = (yyvsp[0].expr);
				(yyvsp[-2].stmt)->queue.queue->location = (yyloc);
			}
#line 11218 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 653:
#line 3864 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-1].stmt)->queue.flags |= (yyvsp[0].val);
			}
#line 11226 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 658:
#line 3876 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = range_expr_alloc(&(yyloc), (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 11234 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 664:
#line 3889 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.val) = (yyvsp[-2].val) | (yyvsp[0].val);
			}
#line 11242 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 665:
#line 3894 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_QUEUE_FLAG_BYPASS; }
#line 11248 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 666:
#line 3895 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_QUEUE_FLAG_CPU_FANOUT; }
#line 11254 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 669:
#line 3903 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = set_elem_expr_alloc(&(yylsp[0]), (yyvsp[0].expr));
			}
#line 11262 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 670:
#line 3909 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = set_stmt_alloc(&(yyloc));
				(yyval.stmt)->set.op  = (yyvsp[-2].val);
				(yyval.stmt)->set.key = (yyvsp[-1].expr);
				(yyval.stmt)->set.set = (yyvsp[0].expr);
			}
#line 11273 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 671:
#line 3916 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = set_stmt_alloc(&(yyloc));
				(yyval.stmt)->set.op  = (yyvsp[-4].val);
				(yyval.stmt)->set.key = (yyvsp[-1].expr);
				(yyval.stmt)->set.set = (yyvsp[-3].expr);
			}
#line 11284 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 672:
#line 3923 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = set_stmt_alloc(&(yyloc));
				(yyval.stmt)->set.op  = (yyvsp[-5].val);
				(yyval.stmt)->set.key = (yyvsp[-2].expr);
				(yyval.stmt)->set.set = (yyvsp[-4].expr);
				list_splice_tail((yyvsp[-1].list), &(yyval.stmt)->set.stmt_list);
				free((yyvsp[-1].list));
			}
#line 11297 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 673:
#line 3933 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_DYNSET_OP_ADD; }
#line 11303 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 674:
#line 3934 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_DYNSET_OP_UPDATE; }
#line 11309 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 675:
#line 3935 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_DYNSET_OP_DELETE; }
#line 11315 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 676:
#line 3939 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = map_stmt_alloc(&(yyloc));
				(yyval.stmt)->map.op  = (yyvsp[-6].val);
				(yyval.stmt)->map.key = (yyvsp[-3].expr);
				(yyval.stmt)->map.data = (yyvsp[-1].expr);
				(yyval.stmt)->map.set = (yyvsp[-5].expr);
			}
#line 11327 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 677:
#line 3947 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = map_stmt_alloc(&(yyloc));
				(yyval.stmt)->map.op  = (yyvsp[-7].val);
				(yyval.stmt)->map.key = (yyvsp[-4].expr);
				(yyval.stmt)->map.data = (yyvsp[-1].expr);
				(yyval.stmt)->map.set = (yyvsp[-6].expr);
				list_splice_tail((yyvsp[-3].list), &(yyval.stmt)->map.stmt_list);
				free((yyvsp[-3].list));
			}
#line 11341 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 678:
#line 3959 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-5].stmt)->meter.key  = (yyvsp[-2].expr);
				(yyvsp[-5].stmt)->meter.stmt = (yyvsp[-1].stmt);
				(yyval.stmt)->location  = (yyloc);
				(yyval.stmt) = (yyvsp[-5].stmt);
			}
#line 11352 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 679:
#line 3965 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.stmt) = (yyvsp[0].stmt); }
#line 11358 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 680:
#line 3969 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = meter_stmt_alloc(&(yyloc));
			}
#line 11366 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 681:
#line 3975 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt)	= (yyvsp[-1].stmt);
			}
#line 11374 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 683:
#line 3982 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-2].stmt)->meter.name = (yyvsp[0].string);
			}
#line 11382 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 684:
#line 3988 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = meter_stmt_alloc(&(yyloc));
				(yyval.stmt)->meter.name = (yyvsp[-4].string);
				(yyval.stmt)->meter.size = 0;
				(yyval.stmt)->meter.key  = (yyvsp[-2].expr);
				(yyval.stmt)->meter.stmt = (yyvsp[-1].stmt);
				(yyval.stmt)->location  = (yyloc);
			}
#line 11395 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 685:
#line 3997 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = meter_stmt_alloc(&(yyloc));
				(yyval.stmt)->meter.name = (yyvsp[-6].string);
				(yyval.stmt)->meter.size = (yyvsp[-4].val);
				(yyval.stmt)->meter.key  = (yyvsp[-2].expr);
				(yyval.stmt)->meter.stmt = (yyvsp[-1].stmt);
				(yyval.stmt)->location  = (yyloc);
			}
#line 11408 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 686:
#line 4008 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = expr_stmt_alloc(&(yyloc), (yyvsp[0].expr));
			}
#line 11416 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 687:
#line 4014 "parser_bison.y" /* yacc.c:1646  */
    {
				struct scope *scope = current_scope(state);
				struct symbol *sym;

				sym = symbol_get(scope, (yyvsp[0].string));
				if (!sym) {
					sym = symbol_lookup_fuzzy(scope, (yyvsp[0].string));
					if (sym) {
						erec_queue(error(&(yylsp[0]), "unknown identifier '%s'; "
								      "did you mean identifier ‘%s’?",
								      (yyvsp[0].string), sym->identifier),
							   state->msgs);
					} else {
						erec_queue(error(&(yylsp[0]), "unknown identifier '%s'", (yyvsp[0].string)),
							   state->msgs);
					}
					xfree((yyvsp[0].string));
					YYERROR;
				}

				(yyval.expr) = variable_expr_alloc(&(yyloc), scope, sym);
				xfree((yyvsp[0].string));
			}
#line 11444 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 689:
#line 4041 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = symbol_expr_alloc(&(yyloc), SYMBOL_VALUE,
						       current_scope(state),
						       (yyvsp[0].string));
				xfree((yyvsp[0].string));
			}
#line 11455 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 692:
#line 4054 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = symbol_expr_alloc(&(yyloc), SYMBOL_SET,
						       current_scope(state),
						       (yyvsp[-1].string));
				xfree((yyvsp[-1].string));
			}
#line 11466 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 693:
#line 4063 "parser_bison.y" /* yacc.c:1646  */
    {
				char str[64];

				snprintf(str, sizeof(str), "%" PRIu64, (yyvsp[0].val));
				(yyval.expr) = symbol_expr_alloc(&(yyloc), SYMBOL_VALUE,
						       current_scope(state),
						       str);
			}
#line 11479 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 694:
#line 4073 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 11485 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 695:
#line 4074 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 11491 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 696:
#line 4075 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 11497 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 697:
#line 4076 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 11503 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 698:
#line 4077 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 11509 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 699:
#line 4078 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 11515 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 700:
#line 4079 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 11521 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 701:
#line 4080 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 11527 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 702:
#line 4081 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 11533 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 703:
#line 4082 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 11539 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 704:
#line 4083 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 11545 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 705:
#line 4084 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 11551 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 706:
#line 4085 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 11557 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 707:
#line 4086 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 11563 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 708:
#line 4087 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[-1].expr); }
#line 11569 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 709:
#line 4091 "parser_bison.y" /* yacc.c:1646  */
    {
				if (((yyvsp[-2].val) & (NFTA_FIB_F_SADDR|NFTA_FIB_F_DADDR)) == 0) {
					erec_queue(error(&(yylsp[-2]), "fib: need either saddr or daddr"), state->msgs);
					YYERROR;
				}

				if (((yyvsp[-2].val) & (NFTA_FIB_F_SADDR|NFTA_FIB_F_DADDR)) ==
					  (NFTA_FIB_F_SADDR|NFTA_FIB_F_DADDR)) {
					erec_queue(error(&(yylsp[-2]), "fib: saddr and daddr are mutually exclusive"), state->msgs);
					YYERROR;
				}

				if (((yyvsp[-2].val) & (NFTA_FIB_F_IIF|NFTA_FIB_F_OIF)) ==
					  (NFTA_FIB_F_IIF|NFTA_FIB_F_OIF)) {
					erec_queue(error(&(yylsp[-2]), "fib: iif and oif are mutually exclusive"), state->msgs);
					YYERROR;
				}

				(yyval.expr) = fib_expr_alloc(&(yyloc), (yyvsp[-2].val), (yyvsp[-1].val));
			}
#line 11594 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 710:
#line 4113 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) =NFT_FIB_RESULT_OIF; }
#line 11600 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 711:
#line 4114 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) =NFT_FIB_RESULT_OIFNAME; }
#line 11606 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 712:
#line 4115 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) =NFT_FIB_RESULT_ADDRTYPE; }
#line 11612 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 713:
#line 4118 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFTA_FIB_F_SADDR; }
#line 11618 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 714:
#line 4119 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFTA_FIB_F_DADDR; }
#line 11624 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 715:
#line 4120 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFTA_FIB_F_MARK; }
#line 11630 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 716:
#line 4121 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFTA_FIB_F_IIF; }
#line 11636 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 717:
#line 4122 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFTA_FIB_F_OIF; }
#line 11642 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 718:
#line 4126 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.val) = (yyvsp[-2].val) | (yyvsp[0].val);
			}
#line 11650 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 720:
#line 4133 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = osf_expr_alloc(&(yyloc), (yyvsp[-2].val), NFT_OSF_F_VERSION);
			}
#line 11658 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 721:
#line 4137 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = osf_expr_alloc(&(yyloc), (yyvsp[-2].val), 0);
			}
#line 11666 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 722:
#line 4143 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.val) = NF_OSF_TTL_TRUE;
			}
#line 11674 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 723:
#line 4147 "parser_bison.y" /* yacc.c:1646  */
    {
				if (!strcmp((yyvsp[0].string), "loose"))
					(yyval.val) = NF_OSF_TTL_LESS;
				else if (!strcmp((yyvsp[0].string), "skip"))
					(yyval.val) = NF_OSF_TTL_NOCHECK;
				else {
					erec_queue(error(&(yylsp[0]), "invalid ttl option"),
						   state->msgs);
					xfree((yyvsp[0].string));
					YYERROR;
				}
				xfree((yyvsp[0].string));
			}
#line 11692 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 725:
#line 4164 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = binop_expr_alloc(&(yyloc), OP_LSHIFT, (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 11700 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 726:
#line 4168 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = binop_expr_alloc(&(yyloc), OP_RSHIFT, (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 11708 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 728:
#line 4175 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = binop_expr_alloc(&(yyloc), OP_AND, (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 11716 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 730:
#line 4182 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = binop_expr_alloc(&(yyloc), OP_XOR, (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 11724 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 732:
#line 4189 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = binop_expr_alloc(&(yyloc), OP_OR, (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 11732 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 735:
#line 4199 "parser_bison.y" /* yacc.c:1646  */
    {
				struct location rhs[] = {
					[1]	= (yylsp[-1]),
					[2]	= (yylsp[0]),
				};

				(yyval.expr) = handle_concat_expr(&(yyloc), (yyval.expr), (yyvsp[-2].expr), (yyvsp[0].expr), rhs);
			}
#line 11745 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 736:
#line 4210 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = prefix_expr_alloc(&(yyloc), (yyvsp[-2].expr), (yyvsp[0].val));
			}
#line 11753 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 737:
#line 4216 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = range_expr_alloc(&(yyloc), (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 11761 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 740:
#line 4226 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = map_expr_alloc(&(yyloc), (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 11769 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 744:
#line 4237 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-1].expr)->location = (yyloc);
				(yyval.expr) = (yyvsp[-1].expr);
			}
#line 11778 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 745:
#line 4244 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = set_expr_alloc(&(yyloc), NULL);
				compound_expr_add((yyval.expr), (yyvsp[0].expr));
			}
#line 11787 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 746:
#line 4249 "parser_bison.y" /* yacc.c:1646  */
    {
				compound_expr_add((yyvsp[-2].expr), (yyvsp[0].expr));
				(yyval.expr) = (yyvsp[-2].expr);
			}
#line 11796 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 748:
#line 4257 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = (yyvsp[-1].expr);
			}
#line 11804 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 749:
#line 4261 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = (yyvsp[-1].expr);
			}
#line 11812 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 750:
#line 4265 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = mapping_expr_alloc(&(yyloc), (yyvsp[-3].expr), (yyvsp[-1].expr));
			}
#line 11820 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 752:
#line 4272 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr)->location = (yyloc);
				(yyval.expr) = (yyvsp[-1].expr);
			}
#line 11829 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 753:
#line 4279 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = set_elem_expr_alloc(&(yylsp[0]), (yyvsp[0].expr));
			}
#line 11837 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 756:
#line 4287 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = (yyvsp[-2].expr);
				list_splice_tail((yyvsp[0].list), &(yyval.expr)->stmt_list);
				xfree((yyvsp[0].list));
			}
#line 11847 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 757:
#line 4294 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 11853 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 758:
#line 4295 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = set_elem_catchall_expr_alloc(&(yylsp[0])); }
#line 11859 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 759:
#line 4299 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = set_elem_expr_alloc(&(yylsp[-1]), (yyvsp[-1].expr));
				list_splice_tail((yyvsp[0].list), &(yyval.expr)->stmt_list);
				xfree((yyvsp[0].list));
			}
#line 11869 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 760:
#line 4305 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = set_elem_expr_alloc(&(yylsp[0]), (yyvsp[0].expr));
			}
#line 11877 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 761:
#line 4311 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr)	= (yyvsp[-1].expr);
			}
#line 11885 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 763:
#line 4318 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-2].expr)->timeout = (yyvsp[0].val);
			}
#line 11893 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 764:
#line 4322 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-2].expr)->expiration = (yyvsp[0].val);
			}
#line 11901 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 765:
#line 4326 "parser_bison.y" /* yacc.c:1646  */
    {
				if (already_set((yyvsp[-1].expr)->comment, &(yylsp[0]), state)) {
					xfree((yyvsp[0].string));
					YYERROR;
				}
				(yyvsp[-1].expr)->comment = (yyvsp[0].string);
			}
#line 11913 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 766:
#line 4336 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr)	= (yyvsp[-1].expr);
			}
#line 11921 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 768:
#line 4343 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.list) = xmalloc(sizeof(*(yyval.list)));
				init_list_head((yyval.list));
				list_add_tail(&(yyvsp[0].stmt)->list, (yyval.list));
			}
#line 11931 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 769:
#line 4349 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.list) = (yyvsp[-1].list);
				list_add_tail(&(yyvsp[0].stmt)->list, (yyvsp[-1].list));
			}
#line 11940 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 770:
#line 4356 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = counter_stmt_alloc(&(yyloc));
			}
#line 11948 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 771:
#line 4360 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = counter_stmt_alloc(&(yyloc));
				(yyval.stmt)->counter.packets = (yyvsp[-3].val);
				(yyval.stmt)->counter.bytes = (yyvsp[-1].val);
			}
#line 11958 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 772:
#line 4366 "parser_bison.y" /* yacc.c:1646  */
    {
				if ((yyvsp[-1].val) == 0) {
					erec_queue(error(&(yylsp[-1]), "limit burst must be > 0"),
						   state->msgs);
					YYERROR;
				}
				(yyval.stmt) = limit_stmt_alloc(&(yyloc));
				(yyval.stmt)->limit.rate  = (yyvsp[-2].limit_rate).rate;
				(yyval.stmt)->limit.unit  = (yyvsp[-2].limit_rate).unit;
				(yyval.stmt)->limit.burst = (yyvsp[-1].val);
				(yyval.stmt)->limit.type  = NFT_LIMIT_PKTS;
				(yyval.stmt)->limit.flags = (yyvsp[-3].val);
			}
#line 11976 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 773:
#line 4380 "parser_bison.y" /* yacc.c:1646  */
    {
				if ((yyvsp[-1].val) == 0) {
					erec_queue(error(&(yylsp[0]), "limit burst must be > 0"),
						   state->msgs);
					YYERROR;
				}
				(yyval.stmt) = limit_stmt_alloc(&(yyloc));
				(yyval.stmt)->limit.rate  = (yyvsp[-2].limit_rate).rate;
				(yyval.stmt)->limit.unit  = (yyvsp[-2].limit_rate).unit;
				(yyval.stmt)->limit.burst = (yyvsp[-1].val);
				(yyval.stmt)->limit.type  = NFT_LIMIT_PKT_BYTES;
				(yyval.stmt)->limit.flags = (yyvsp[-3].val);
			}
#line 11994 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 774:
#line 4394 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = connlimit_stmt_alloc(&(yyloc));
				(yyval.stmt)->connlimit.count	= (yyvsp[-1].val);
			}
#line 12003 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 775:
#line 4399 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = connlimit_stmt_alloc(&(yyloc));
				(yyval.stmt)->connlimit.count = (yyvsp[-1].val);
				(yyval.stmt)->connlimit.flags = NFT_CONNLIMIT_F_INV;
			}
#line 12013 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 776:
#line 4407 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-2].expr)->timeout = (yyvsp[0].val);
			}
#line 12021 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 777:
#line 4411 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-2].expr)->expiration = (yyvsp[0].val);
			}
#line 12029 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 778:
#line 4415 "parser_bison.y" /* yacc.c:1646  */
    {
				if (already_set((yyvsp[-1].expr)->comment, &(yylsp[0]), state)) {
					xfree((yyvsp[0].string));
					YYERROR;
				}
				(yyvsp[-1].expr)->comment = (yyvsp[0].string);
			}
#line 12041 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 784:
#line 4433 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = compound_expr_alloc(&(yyloc), EXPR_SET); }
#line 12047 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 785:
#line 4435 "parser_bison.y" /* yacc.c:1646  */
    {
				int32_t num = -(yyvsp[0].val);

				(yyval.expr) = constant_expr_alloc(&(yyloc), &integer_type,
							 BYTEORDER_HOST_ENDIAN,
							 sizeof(num) * BITS_PER_BYTE,
							 &num);
			}
#line 12060 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 786:
#line 4446 "parser_bison.y" /* yacc.c:1646  */
    {
				struct counter *counter;

				counter = &(yyvsp[-4].obj)->counter;
				counter->packets = (yyvsp[-2].val);
				counter->bytes = (yyvsp[0].val);
			}
#line 12072 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 787:
#line 4456 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.obj) = obj_alloc(&(yyloc));
				(yyval.obj)->type = NFT_OBJECT_COUNTER;
			}
#line 12081 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 788:
#line 4463 "parser_bison.y" /* yacc.c:1646  */
    {
				struct error_record *erec;
				struct quota *quota;
				uint64_t rate;

				erec = data_unit_parse(&(yyloc), (yyvsp[-1].string), &rate);
				xfree((yyvsp[-1].string));
				if (erec != NULL) {
					erec_queue(erec, state->msgs);
					YYERROR;
				}

				quota = &(yyvsp[-4].obj)->quota;
				quota->bytes	= (yyvsp[-2].val) * rate;
				quota->used	= (yyvsp[0].val);
				quota->flags	= (yyvsp[-3].val);
			}
#line 12103 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 789:
#line 4483 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.obj) = obj_alloc(&(yyloc));
				(yyval.obj)->type = NFT_OBJECT_QUOTA;
			}
#line 12112 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 790:
#line 4490 "parser_bison.y" /* yacc.c:1646  */
    {
				int ret;
				struct secmark *secmark;

				secmark = &(yyvsp[-1].obj)->secmark;
				ret = snprintf(secmark->ctx, sizeof(secmark->ctx), "%s", (yyvsp[0].string));
				if (ret <= 0 || ret >= (int)sizeof(secmark->ctx)) {
					erec_queue(error(&(yylsp[0]), "invalid context '%s', max length is %u\n", (yyvsp[0].string), (int)sizeof(secmark->ctx)), state->msgs);
					xfree((yyvsp[0].string));
					YYERROR;
				}
				xfree((yyvsp[0].string));
			}
#line 12130 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 791:
#line 4506 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.obj) = obj_alloc(&(yyloc));
				(yyval.obj)->type = NFT_OBJECT_SECMARK;
			}
#line 12139 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 792:
#line 4512 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_OBJECT_CT_HELPER; }
#line 12145 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 793:
#line 4513 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_OBJECT_CT_TIMEOUT; }
#line 12151 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 794:
#line 4514 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_OBJECT_CT_EXPECT; }
#line 12157 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 795:
#line 4517 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = CMD_OBJ_CT_HELPERS; }
#line 12163 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 796:
#line 4518 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = CMD_OBJ_CT_TIMEOUT; }
#line 12169 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 797:
#line 4519 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = CMD_OBJ_CT_EXPECT; }
#line 12175 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 798:
#line 4522 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IPPROTO_TCP; }
#line 12181 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 799:
#line 4523 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IPPROTO_UDP; }
#line 12187 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 800:
#line 4527 "parser_bison.y" /* yacc.c:1646  */
    {
				struct ct_helper *ct;
				int ret;

				ct = &(yyvsp[-6].obj)->ct_helper;

				ret = snprintf(ct->name, sizeof(ct->name), "%s", (yyvsp[-4].string));
				if (ret <= 0 || ret >= (int)sizeof(ct->name)) {
					erec_queue(error(&(yylsp[-4]), "invalid name '%s', max length is %u\n", (yyvsp[-4].string), (int)sizeof(ct->name)), state->msgs);
					YYERROR;
				}
				xfree((yyvsp[-4].string));

				ct->l4proto = (yyvsp[-2].val);
			}
#line 12207 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 801:
#line 4543 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-3].obj)->ct_helper.l3proto = (yyvsp[-1].val);
			}
#line 12215 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 802:
#line 4549 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.list) = xmalloc(sizeof(*(yyval.list)));
				init_list_head((yyval.list));
				list_add_tail((yyvsp[0].list), (yyval.list));
			}
#line 12225 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 803:
#line 4555 "parser_bison.y" /* yacc.c:1646  */
    {
				list_add_tail((yyvsp[0].list), (yyvsp[-2].list));
				(yyval.list) = (yyvsp[-2].list);
			}
#line 12234 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 804:
#line 4563 "parser_bison.y" /* yacc.c:1646  */
    {
				struct timeout_state *ts;

				ts = xzalloc(sizeof(*ts));
				ts->timeout_str = (yyvsp[-2].string);
				ts->timeout_value = (yyvsp[0].val);
				ts->location = (yylsp[-2]);
				init_list_head(&ts->head);
				(yyval.list) = &ts->head;
			}
#line 12249 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 805:
#line 4576 "parser_bison.y" /* yacc.c:1646  */
    {
				struct ct_timeout *ct;
				int l4proto = (yyvsp[-1].val);

				ct = &(yyvsp[-3].obj)->ct_timeout;
				ct->l4proto = l4proto;
			}
#line 12261 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 806:
#line 4584 "parser_bison.y" /* yacc.c:1646  */
    {
				struct ct_timeout *ct;

				ct = &(yyvsp[-7].obj)->ct_timeout;
				list_splice_tail((yyvsp[-3].list), &ct->timeout_list);
				xfree((yyvsp[-3].list));
			}
#line 12273 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 807:
#line 4592 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-3].obj)->ct_timeout.l3proto = (yyvsp[-1].val);
			}
#line 12281 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 808:
#line 4598 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-3].obj)->ct_expect.l4proto = (yyvsp[-1].val);
			}
#line 12289 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 809:
#line 4602 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-3].obj)->ct_expect.dport = (yyvsp[-1].val);
			}
#line 12297 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 810:
#line 4606 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-3].obj)->ct_expect.timeout = (yyvsp[-1].val);
			}
#line 12305 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 811:
#line 4610 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-3].obj)->ct_expect.size = (yyvsp[-1].val);
			}
#line 12313 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 812:
#line 4614 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-3].obj)->ct_expect.l3proto = (yyvsp[-1].val);
			}
#line 12321 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 813:
#line 4620 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.obj) = obj_alloc(&(yyloc));
			}
#line 12329 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 814:
#line 4626 "parser_bison.y" /* yacc.c:1646  */
    {
				struct limit *limit;

				limit = &(yyvsp[-4].obj)->limit;
				limit->rate	= (yyvsp[-1].limit_rate).rate;
				limit->unit	= (yyvsp[-1].limit_rate).unit;
				limit->burst	= (yyvsp[0].val);
				limit->type	= NFT_LIMIT_PKTS;
				limit->flags	= (yyvsp[-2].val);
			}
#line 12344 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 815:
#line 4637 "parser_bison.y" /* yacc.c:1646  */
    {
				struct limit *limit;

				limit = &(yyvsp[-4].obj)->limit;
				limit->rate	= (yyvsp[-1].limit_rate).rate;
				limit->unit	= (yyvsp[-1].limit_rate).unit;
				limit->burst	= (yyvsp[0].val);
				limit->type	= NFT_LIMIT_PKT_BYTES;
				limit->flags	= (yyvsp[-2].val);
			}
#line 12359 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 816:
#line 4650 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.obj) = obj_alloc(&(yyloc));
				(yyval.obj)->type = NFT_OBJECT_LIMIT;
			}
#line 12368 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 817:
#line 4657 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = relational_expr_alloc(&(yyloc), OP_IMPLICIT, (yyvsp[-1].expr), (yyvsp[0].expr));
			}
#line 12376 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 818:
#line 4661 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = relational_expr_alloc(&(yyloc), OP_IMPLICIT, (yyvsp[-1].expr), (yyvsp[0].expr));
			}
#line 12384 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 819:
#line 4665 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = flagcmp_expr_alloc(&(yyloc), OP_EQ, (yyvsp[-3].expr), (yyvsp[0].expr), (yyvsp[-2].expr));
			}
#line 12392 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 820:
#line 4669 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = flagcmp_expr_alloc(&(yyloc), OP_EQ, (yyvsp[-3].expr), (yyvsp[0].expr), (yyvsp[-2].expr));
			}
#line 12400 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 821:
#line 4673 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = flagcmp_expr_alloc(&(yyloc), (yyvsp[-3].val), (yyvsp[-4].expr), (yyvsp[0].expr), (yyvsp[-2].expr));
			}
#line 12408 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 822:
#line 4677 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = flagcmp_expr_alloc(&(yyloc), (yyvsp[-3].val), (yyvsp[-4].expr), (yyvsp[0].expr), (yyvsp[-2].expr));
			}
#line 12416 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 823:
#line 4681 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = relational_expr_alloc(&(yylsp[-1]), (yyvsp[-1].val), (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 12424 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 824:
#line 4685 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = relational_expr_alloc(&(yylsp[-1]), (yyvsp[-1].val), (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 12432 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 825:
#line 4691 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = list_expr_alloc(&(yyloc));
				compound_expr_add((yyval.expr), (yyvsp[-2].expr));
				compound_expr_add((yyval.expr), (yyvsp[0].expr));
			}
#line 12442 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 826:
#line 4697 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-2].expr)->location = (yyloc);
				compound_expr_add((yyvsp[-2].expr), (yyvsp[0].expr));
				(yyval.expr) = (yyvsp[-2].expr);
			}
#line 12452 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 827:
#line 4704 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 12458 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 828:
#line 4705 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 12464 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 829:
#line 4706 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 12470 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 831:
#line 4711 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = binop_expr_alloc(&(yyloc), OP_LSHIFT, (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 12478 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 832:
#line 4715 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = binop_expr_alloc(&(yyloc), OP_RSHIFT, (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 12486 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 834:
#line 4722 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = binop_expr_alloc(&(yyloc), OP_AND, (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 12494 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 836:
#line 4729 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = binop_expr_alloc(&(yyloc), OP_XOR, (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 12502 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 838:
#line 4736 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = binop_expr_alloc(&(yyloc), OP_OR, (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 12510 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 842:
#line 4747 "parser_bison.y" /* yacc.c:1646  */
    {
				struct location rhs[] = {
					[1]	= (yylsp[-1]),
					[2]	= (yylsp[0]),
				};

				(yyval.expr) = handle_concat_expr(&(yyloc), (yyval.expr), (yyvsp[-2].expr), (yyvsp[0].expr), rhs);
			}
#line 12523 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 843:
#line 4756 "parser_bison.y" /* yacc.c:1646  */
    {
				struct location rhs[] = {
					[1]	= (yylsp[-1]),
					[2]	= (yylsp[0]),
				};

				(yyval.expr) = handle_concat_expr(&(yyloc), (yyval.expr), (yyvsp[-2].expr), (yyvsp[0].expr), rhs);
			}
#line 12536 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 844:
#line 4766 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val8) = true; }
#line 12542 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 845:
#line 4767 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val8) = false; }
#line 12548 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 846:
#line 4771 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = constant_expr_alloc(&(yyloc), &boolean_type,
							 BYTEORDER_HOST_ENDIAN,
							 sizeof((yyvsp[0].val8)) * BITS_PER_BYTE, &(yyvsp[0].val8));
			}
#line 12558 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 847:
#line 4778 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = symbol_value(&(yyloc), "ether"); }
#line 12564 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 848:
#line 4779 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = symbol_value(&(yyloc), "ip"); }
#line 12570 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 849:
#line 4780 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = symbol_value(&(yyloc), "ip6"); }
#line 12576 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 850:
#line 4781 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = symbol_value(&(yyloc), "vlan"); }
#line 12582 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 851:
#line 4782 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = symbol_value(&(yyloc), "arp"); }
#line 12588 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 852:
#line 4783 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = symbol_value(&(yyloc), "dnat"); }
#line 12594 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 853:
#line 4784 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = symbol_value(&(yyloc), "snat"); }
#line 12600 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 854:
#line 4785 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = symbol_value(&(yyloc), "ecn"); }
#line 12606 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 855:
#line 4786 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = symbol_value(&(yyloc), "reset"); }
#line 12612 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 856:
#line 4787 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = symbol_value(&(yyloc), "original"); }
#line 12618 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 857:
#line 4788 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = symbol_value(&(yyloc), "reply"); }
#line 12624 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 858:
#line 4789 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = symbol_value(&(yyloc), "label"); }
#line 12630 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 859:
#line 4792 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 12636 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 860:
#line 4793 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 12642 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 861:
#line 4794 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 12648 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 862:
#line 4795 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 12654 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 863:
#line 4797 "parser_bison.y" /* yacc.c:1646  */
    {
				uint8_t data = IPPROTO_TCP;
				(yyval.expr) = constant_expr_alloc(&(yyloc), &inet_protocol_type,
							 BYTEORDER_HOST_ENDIAN,
							 sizeof(data) * BITS_PER_BYTE, &data);
			}
#line 12665 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 864:
#line 4804 "parser_bison.y" /* yacc.c:1646  */
    {
				uint8_t data = IPPROTO_UDP;
				(yyval.expr) = constant_expr_alloc(&(yyloc), &inet_protocol_type,
							 BYTEORDER_HOST_ENDIAN,
							 sizeof(data) * BITS_PER_BYTE, &data);
			}
#line 12676 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 865:
#line 4811 "parser_bison.y" /* yacc.c:1646  */
    {
				uint8_t data = IPPROTO_UDPLITE;
				(yyval.expr) = constant_expr_alloc(&(yyloc), &inet_protocol_type,
							 BYTEORDER_HOST_ENDIAN,
							 sizeof(data) * BITS_PER_BYTE, &data);
			}
#line 12687 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 866:
#line 4818 "parser_bison.y" /* yacc.c:1646  */
    {
				uint8_t data = IPPROTO_ESP;
				(yyval.expr) = constant_expr_alloc(&(yyloc), &inet_protocol_type,
							 BYTEORDER_HOST_ENDIAN,
							 sizeof(data) * BITS_PER_BYTE, &data);
			}
#line 12698 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 867:
#line 4825 "parser_bison.y" /* yacc.c:1646  */
    {
				uint8_t data = IPPROTO_AH;
				(yyval.expr) = constant_expr_alloc(&(yyloc), &inet_protocol_type,
							 BYTEORDER_HOST_ENDIAN,
							 sizeof(data) * BITS_PER_BYTE, &data);
			}
#line 12709 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 868:
#line 4832 "parser_bison.y" /* yacc.c:1646  */
    {
				uint8_t data = IPPROTO_ICMP;
				(yyval.expr) = constant_expr_alloc(&(yyloc), &inet_protocol_type,
							 BYTEORDER_HOST_ENDIAN,
							 sizeof(data) * BITS_PER_BYTE, &data);
			}
#line 12720 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 869:
#line 4839 "parser_bison.y" /* yacc.c:1646  */
    {
				uint8_t data = IPPROTO_IGMP;
				(yyval.expr) = constant_expr_alloc(&(yyloc), &inet_protocol_type,
							 BYTEORDER_HOST_ENDIAN,
							 sizeof(data) * BITS_PER_BYTE, &data);
			}
#line 12731 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 870:
#line 4846 "parser_bison.y" /* yacc.c:1646  */
    {
				uint8_t data = IPPROTO_ICMPV6;
				(yyval.expr) = constant_expr_alloc(&(yyloc), &inet_protocol_type,
							 BYTEORDER_HOST_ENDIAN,
							 sizeof(data) * BITS_PER_BYTE, &data);
			}
#line 12742 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 871:
#line 4853 "parser_bison.y" /* yacc.c:1646  */
    {
				uint8_t data = IPPROTO_COMP;
				(yyval.expr) = constant_expr_alloc(&(yyloc), &inet_protocol_type,
							 BYTEORDER_HOST_ENDIAN,
							 sizeof(data) * BITS_PER_BYTE, &data);
			}
#line 12753 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 872:
#line 4860 "parser_bison.y" /* yacc.c:1646  */
    {
				uint8_t data = IPPROTO_DCCP;
				(yyval.expr) = constant_expr_alloc(&(yyloc), &inet_protocol_type,
							 BYTEORDER_HOST_ENDIAN,
							 sizeof(data) * BITS_PER_BYTE, &data);
			}
#line 12764 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 873:
#line 4867 "parser_bison.y" /* yacc.c:1646  */
    {
				uint8_t data = IPPROTO_SCTP;
				(yyval.expr) = constant_expr_alloc(&(yyloc), &inet_protocol_type,
							 BYTEORDER_HOST_ENDIAN,
							 sizeof(data) * BITS_PER_BYTE, &data);
			}
#line 12775 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 874:
#line 4874 "parser_bison.y" /* yacc.c:1646  */
    {
				uint8_t data = ICMP_REDIRECT;
				(yyval.expr) = constant_expr_alloc(&(yyloc), &icmp_type_type,
							 BYTEORDER_HOST_ENDIAN,
							 sizeof(data) * BITS_PER_BYTE, &data);
			}
#line 12786 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 875:
#line 4880 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[-1].expr); }
#line 12792 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 876:
#line 4883 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = OP_EQ; }
#line 12798 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 877:
#line 4884 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = OP_NEQ; }
#line 12804 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 878:
#line 4885 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = OP_LT; }
#line 12810 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 879:
#line 4886 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = OP_GT; }
#line 12816 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 880:
#line 4887 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = OP_GTE; }
#line 12822 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 881:
#line 4888 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = OP_LTE; }
#line 12828 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 882:
#line 4889 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = OP_NEG; }
#line 12834 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 883:
#line 4893 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = verdict_expr_alloc(&(yyloc), NF_ACCEPT, NULL);
			}
#line 12842 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 884:
#line 4897 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = verdict_expr_alloc(&(yyloc), NF_DROP, NULL);
			}
#line 12850 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 885:
#line 4901 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = verdict_expr_alloc(&(yyloc), NFT_CONTINUE, NULL);
			}
#line 12858 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 886:
#line 4905 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = verdict_expr_alloc(&(yyloc), NFT_JUMP, (yyvsp[0].expr));
			}
#line 12866 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 887:
#line 4909 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = verdict_expr_alloc(&(yyloc), NFT_GOTO, (yyvsp[0].expr));
			}
#line 12874 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 888:
#line 4913 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = verdict_expr_alloc(&(yyloc), NFT_RETURN, NULL);
			}
#line 12882 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 890:
#line 4920 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = constant_expr_alloc(&(yyloc), &string_type,
							 BYTEORDER_HOST_ENDIAN,
							 strlen((yyvsp[0].string)) * BITS_PER_BYTE,
							 (yyvsp[0].string));
				xfree((yyvsp[0].string));
			}
#line 12894 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 891:
#line 4930 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = meta_expr_alloc(&(yyloc), (yyvsp[-1].val));
			}
#line 12902 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 892:
#line 4934 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = meta_expr_alloc(&(yyloc), (yyvsp[0].val));
			}
#line 12910 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 893:
#line 4938 "parser_bison.y" /* yacc.c:1646  */
    {
				struct error_record *erec;
				unsigned int key;

				erec = meta_key_parse(&(yyloc), (yyvsp[-1].string), &key);
				xfree((yyvsp[-1].string));
				if (erec != NULL) {
					erec_queue(erec, state->msgs);
					YYERROR;
				}

				(yyval.expr) = meta_expr_alloc(&(yyloc), key);
			}
#line 12928 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 896:
#line 4957 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_META_LEN; }
#line 12934 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 897:
#line 4958 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_META_PROTOCOL; }
#line 12940 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 898:
#line 4959 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_META_PRIORITY; }
#line 12946 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 899:
#line 4960 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_META_PRANDOM; }
#line 12952 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 900:
#line 4961 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_META_SECMARK; }
#line 12958 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 901:
#line 4964 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_META_MARK; }
#line 12964 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 902:
#line 4965 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_META_IIF; }
#line 12970 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 903:
#line 4966 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_META_IIFNAME; }
#line 12976 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 904:
#line 4967 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_META_IIFTYPE; }
#line 12982 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 905:
#line 4968 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_META_OIF; }
#line 12988 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 906:
#line 4969 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_META_OIFNAME; }
#line 12994 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 907:
#line 4970 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_META_OIFTYPE; }
#line 13000 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 908:
#line 4971 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_META_SKUID; }
#line 13006 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 909:
#line 4972 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_META_SKGID; }
#line 13012 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 910:
#line 4973 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_META_NFTRACE; }
#line 13018 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 911:
#line 4974 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_META_RTCLASSID; }
#line 13024 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 912:
#line 4975 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_META_BRI_IIFNAME; }
#line 13030 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 913:
#line 4976 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_META_BRI_OIFNAME; }
#line 13036 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 914:
#line 4977 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_META_BRI_IIFNAME; }
#line 13042 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 915:
#line 4978 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_META_BRI_OIFNAME; }
#line 13048 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 916:
#line 4979 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_META_PKTTYPE; }
#line 13054 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 917:
#line 4980 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_META_CPU; }
#line 13060 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 918:
#line 4981 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_META_IIFGROUP; }
#line 13066 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 919:
#line 4982 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_META_OIFGROUP; }
#line 13072 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 920:
#line 4983 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_META_CGROUP; }
#line 13078 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 921:
#line 4984 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_META_SECPATH; }
#line 13084 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 922:
#line 4985 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_META_TIME_NS; }
#line 13090 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 923:
#line 4986 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_META_TIME_DAY; }
#line 13096 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 924:
#line 4987 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_META_TIME_HOUR; }
#line 13102 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 925:
#line 4991 "parser_bison.y" /* yacc.c:1646  */
    {
				switch ((yyvsp[-3].val)) {
				case NFT_META_SECMARK:
					switch ((yyvsp[-1].expr)->etype) {
					case EXPR_CT:
						(yyval.stmt) = meta_stmt_alloc(&(yyloc), (yyvsp[-3].val), (yyvsp[-1].expr));
						break;
					default:
						(yyval.stmt) = objref_stmt_alloc(&(yyloc));
						(yyval.stmt)->objref.type = NFT_OBJECT_SECMARK;
						(yyval.stmt)->objref.expr = (yyvsp[-1].expr);
						break;
					}
					break;
				default:
					(yyval.stmt) = meta_stmt_alloc(&(yyloc), (yyvsp[-3].val), (yyvsp[-1].expr));
					break;
				}
			}
#line 13126 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 926:
#line 5011 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = meta_stmt_alloc(&(yyloc), (yyvsp[-2].val), (yyvsp[0].expr));
			}
#line 13134 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 927:
#line 5015 "parser_bison.y" /* yacc.c:1646  */
    {
				struct error_record *erec;
				unsigned int key;

				erec = meta_key_parse(&(yyloc), (yyvsp[-3].string), &key);
				xfree((yyvsp[-3].string));
				if (erec != NULL) {
					erec_queue(erec, state->msgs);
					YYERROR;
				}

				(yyval.stmt) = meta_stmt_alloc(&(yyloc), key, (yyvsp[-1].expr));
			}
#line 13152 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 928:
#line 5029 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = notrack_stmt_alloc(&(yyloc));
			}
#line 13160 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 929:
#line 5033 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = flow_offload_stmt_alloc(&(yyloc), (yyvsp[-1].string));
			}
#line 13168 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 930:
#line 5037 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = flow_offload_stmt_alloc(&(yyloc), (yyvsp[-1].string));
			}
#line 13176 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 931:
#line 5043 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = socket_expr_alloc(&(yyloc), (yyvsp[-1].val), 0);
			}
#line 13184 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 932:
#line 5047 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = socket_expr_alloc(&(yyloc), NFT_SOCKET_CGROUPV2, (yyvsp[-1].val));
			}
#line 13192 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 933:
#line 5052 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_SOCKET_TRANSPARENT; }
#line 13198 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 934:
#line 5053 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_SOCKET_MARK; }
#line 13204 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 935:
#line 5054 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_SOCKET_WILDCARD; }
#line 13210 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 936:
#line 5057 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = 0; }
#line 13216 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 937:
#line 5058 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = (yyvsp[0].val); }
#line 13222 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 938:
#line 5061 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_NG_INCREMENTAL; }
#line 13228 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 939:
#line 5062 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_NG_RANDOM; }
#line 13234 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 940:
#line 5066 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = numgen_expr_alloc(&(yyloc), (yyvsp[-4].val), (yyvsp[-2].val), (yyvsp[-1].val));
			}
#line 13242 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 941:
#line 5071 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = (yyvsp[0].val); }
#line 13248 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 942:
#line 5072 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = 0; }
#line 13254 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 943:
#line 5075 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = XFRM_POLICY_IN; }
#line 13260 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 944:
#line 5076 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = XFRM_POLICY_OUT; }
#line 13266 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 945:
#line 5079 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_XFRM_KEY_SPI; }
#line 13272 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 946:
#line 5080 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_XFRM_KEY_REQID; }
#line 13278 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 947:
#line 5083 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_XFRM_KEY_DADDR_IP4; }
#line 13284 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 948:
#line 5084 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_XFRM_KEY_SADDR_IP4; }
#line 13290 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 949:
#line 5088 "parser_bison.y" /* yacc.c:1646  */
    {
				if ((yyvsp[-2].val) > 255) {
					erec_queue(error(&(yylsp[-2]), "value too large"), state->msgs);
					YYERROR;
				}
				(yyval.expr) = xfrm_expr_alloc(&(yyloc), (yyvsp[-3].val), (yyvsp[-2].val), (yyvsp[-1].val));
			}
#line 13302 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 950:
#line 5096 "parser_bison.y" /* yacc.c:1646  */
    {
				enum nft_xfrm_keys xfrmk = (yyvsp[-1].val);

				switch ((yyvsp[-2].val)) {
				case NFPROTO_IPV4:
					break;
				case NFPROTO_IPV6:
					if ((yyvsp[-1].val) == NFT_XFRM_KEY_SADDR_IP4)
						xfrmk = NFT_XFRM_KEY_SADDR_IP6;
					else if ((yyvsp[-1].val) == NFT_XFRM_KEY_DADDR_IP4)
						xfrmk = NFT_XFRM_KEY_DADDR_IP6;
					break;
				default:
					YYERROR;
					break;
				}

				if ((yyvsp[-3].val) > 255) {
					erec_queue(error(&(yylsp[-3]), "value too large"), state->msgs);
					YYERROR;
				}

				(yyval.expr) = xfrm_expr_alloc(&(yyloc), (yyvsp[-4].val), (yyvsp[-3].val), xfrmk);
			}
#line 13331 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 951:
#line 5123 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = hash_expr_alloc(&(yyloc), (yyvsp[-4].val), true, (yyvsp[-2].val), (yyvsp[-1].val), NFT_HASH_JENKINS);
				(yyval.expr)->hash.expr = (yyvsp[-6].expr);
			}
#line 13340 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 952:
#line 5128 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = hash_expr_alloc(&(yyloc), (yyvsp[-2].val), false, 0, (yyvsp[-1].val), NFT_HASH_JENKINS);
				(yyval.expr)->hash.expr = (yyvsp[-4].expr);
			}
#line 13349 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 953:
#line 5133 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = hash_expr_alloc(&(yyloc), (yyvsp[-2].val), false, 0, (yyvsp[-1].val), NFT_HASH_SYM);
			}
#line 13357 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 954:
#line 5138 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFPROTO_IPV4; }
#line 13363 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 955:
#line 5139 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFPROTO_IPV6; }
#line 13369 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 956:
#line 5143 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = rt_expr_alloc(&(yyloc), (yyvsp[-1].val), true);
			}
#line 13377 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 957:
#line 5147 "parser_bison.y" /* yacc.c:1646  */
    {
				enum nft_rt_keys rtk = (yyvsp[-1].val);

				switch ((yyvsp[-2].val)) {
				case NFPROTO_IPV4:
					break;
				case NFPROTO_IPV6:
					if ((yyvsp[-1].val) == NFT_RT_NEXTHOP4)
						rtk = NFT_RT_NEXTHOP6;
					break;
				default:
					YYERROR;
					break;
				}

				(yyval.expr) = rt_expr_alloc(&(yyloc), rtk, false);
			}
#line 13399 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 958:
#line 5166 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_RT_CLASSID; }
#line 13405 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 959:
#line 5167 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_RT_NEXTHOP4; }
#line 13411 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 960:
#line 5168 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_RT_TCPMSS; }
#line 13417 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 961:
#line 5169 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_RT_XFRM; }
#line 13423 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 962:
#line 5173 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = ct_expr_alloc(&(yyloc), (yyvsp[-1].val), -1);
			}
#line 13431 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 963:
#line 5177 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = ct_expr_alloc(&(yyloc), (yyvsp[-1].val), (yyvsp[-2].val));
			}
#line 13439 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 964:
#line 5181 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = ct_expr_alloc(&(yyloc), (yyvsp[-1].val), (yyvsp[-2].val));
			}
#line 13447 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 965:
#line 5186 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IP_CT_DIR_ORIGINAL; }
#line 13453 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 966:
#line 5187 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IP_CT_DIR_REPLY; }
#line 13459 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 967:
#line 5190 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_CT_L3PROTOCOL; }
#line 13465 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 968:
#line 5191 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_CT_PROTOCOL; }
#line 13471 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 969:
#line 5192 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_CT_MARK; }
#line 13477 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 970:
#line 5193 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_CT_STATE; }
#line 13483 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 971:
#line 5194 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_CT_DIRECTION; }
#line 13489 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 972:
#line 5195 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_CT_STATUS; }
#line 13495 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 973:
#line 5196 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_CT_EXPIRATION; }
#line 13501 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 974:
#line 5197 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_CT_HELPER; }
#line 13507 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 975:
#line 5198 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_CT_SRC; }
#line 13513 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 976:
#line 5199 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_CT_DST; }
#line 13519 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 977:
#line 5200 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_CT_PROTO_SRC; }
#line 13525 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 978:
#line 5201 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_CT_PROTO_DST; }
#line 13531 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 979:
#line 5202 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_CT_LABELS; }
#line 13537 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 980:
#line 5203 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_CT_EVENTMASK; }
#line 13543 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 981:
#line 5204 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_CT_SECMARK; }
#line 13549 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 982:
#line 5205 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_CT_ID; }
#line 13555 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 984:
#line 5209 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_CT_SRC; }
#line 13561 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 985:
#line 5210 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_CT_DST; }
#line 13567 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 986:
#line 5211 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_CT_L3PROTOCOL; }
#line 13573 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 987:
#line 5212 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_CT_PROTOCOL; }
#line 13579 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 988:
#line 5213 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_CT_PROTO_SRC; }
#line 13585 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 989:
#line 5214 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_CT_PROTO_DST; }
#line 13591 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 991:
#line 5218 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_CT_SRC_IP; }
#line 13597 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 992:
#line 5219 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_CT_DST_IP; }
#line 13603 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 993:
#line 5220 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_CT_SRC_IP6; }
#line 13609 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 994:
#line 5221 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_CT_DST_IP6; }
#line 13615 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 995:
#line 5224 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_CT_BYTES; }
#line 13621 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 996:
#line 5225 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_CT_PKTS; }
#line 13627 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 997:
#line 5226 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_CT_AVGPKT; }
#line 13633 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 998:
#line 5227 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_CT_ZONE; }
#line 13639 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1001:
#line 5235 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = list_expr_alloc(&(yyloc));
				compound_expr_add((yyval.expr), (yyvsp[-2].expr));
				compound_expr_add((yyval.expr), (yyvsp[0].expr));
			}
#line 13649 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1002:
#line 5241 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-2].expr)->location = (yyloc);
				compound_expr_add((yyvsp[-2].expr), (yyvsp[0].expr));
				(yyval.expr) = (yyvsp[-2].expr);
			}
#line 13659 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1003:
#line 5249 "parser_bison.y" /* yacc.c:1646  */
    {
				switch ((yyvsp[-3].val)) {
				case NFT_CT_HELPER:
					(yyval.stmt) = objref_stmt_alloc(&(yyloc));
					(yyval.stmt)->objref.type = NFT_OBJECT_CT_HELPER;
					(yyval.stmt)->objref.expr = (yyvsp[-1].expr);
					break;
				default:
					(yyval.stmt) = ct_stmt_alloc(&(yyloc), (yyvsp[-3].val), -1, (yyvsp[-1].expr));
					break;
				}
			}
#line 13676 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1004:
#line 5262 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = objref_stmt_alloc(&(yyloc));
				(yyval.stmt)->objref.type = NFT_OBJECT_CT_TIMEOUT;
				(yyval.stmt)->objref.expr = (yyvsp[-1].expr);

			}
#line 13687 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1005:
#line 5269 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = objref_stmt_alloc(&(yyloc));
				(yyval.stmt)->objref.type = NFT_OBJECT_CT_EXPECT;
				(yyval.stmt)->objref.expr = (yyvsp[-1].expr);
			}
#line 13697 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1006:
#line 5275 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = ct_stmt_alloc(&(yyloc), (yyvsp[-3].val), (yyvsp[-4].val), (yyvsp[-1].expr));
			}
#line 13705 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1007:
#line 5281 "parser_bison.y" /* yacc.c:1646  */
    {
				if ((yyvsp[-2].expr)->etype == EXPR_EXTHDR)
					(yyval.stmt) = exthdr_stmt_alloc(&(yyloc), (yyvsp[-2].expr), (yyvsp[0].expr));
				else
					(yyval.stmt) = payload_stmt_alloc(&(yyloc), (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 13716 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1026:
#line 5310 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = payload_expr_alloc(&(yyloc), NULL, 0);
				payload_init_raw((yyval.expr), (yyvsp[-5].val), (yyvsp[-3].val), (yyvsp[-1].val));
				(yyval.expr)->byteorder		= BYTEORDER_BIG_ENDIAN;
				(yyval.expr)->payload.is_raw	= true;
			}
#line 13727 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1027:
#line 5318 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = PROTO_BASE_LL_HDR; }
#line 13733 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1028:
#line 5319 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = PROTO_BASE_NETWORK_HDR; }
#line 13739 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1029:
#line 5320 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = PROTO_BASE_TRANSPORT_HDR; }
#line 13745 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1030:
#line 5322 "parser_bison.y" /* yacc.c:1646  */
    {
				if (!strcmp((yyvsp[0].string), "ih")) {
					(yyval.val) = PROTO_BASE_INNER_HDR;
				} else {
					erec_queue(error(&(yylsp[0]), "unknown raw payload base"), state->msgs);
					xfree((yyvsp[0].string));
					YYERROR;
				}
				xfree((yyvsp[0].string));
			}
#line 13760 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1031:
#line 5335 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_eth, (yyvsp[-1].val));
			}
#line 13768 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1032:
#line 5340 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = ETHHDR_SADDR; }
#line 13774 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1033:
#line 5341 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = ETHHDR_DADDR; }
#line 13780 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1034:
#line 5342 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = ETHHDR_TYPE; }
#line 13786 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1035:
#line 5346 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_vlan, (yyvsp[-1].val));
			}
#line 13794 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1036:
#line 5351 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = VLANHDR_VID; }
#line 13800 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1037:
#line 5352 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = VLANHDR_CFI; }
#line 13806 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1038:
#line 5353 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = VLANHDR_DEI; }
#line 13812 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1039:
#line 5354 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = VLANHDR_PCP; }
#line 13818 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1040:
#line 5355 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = VLANHDR_TYPE; }
#line 13824 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1041:
#line 5359 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_arp, (yyvsp[-1].val));
			}
#line 13832 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1042:
#line 5364 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = ARPHDR_HRD; }
#line 13838 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1043:
#line 5365 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = ARPHDR_PRO; }
#line 13844 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1044:
#line 5366 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = ARPHDR_HLN; }
#line 13850 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1045:
#line 5367 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = ARPHDR_PLN; }
#line 13856 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1046:
#line 5368 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = ARPHDR_OP; }
#line 13862 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1047:
#line 5369 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = ARPHDR_SADDR_ETHER; }
#line 13868 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1048:
#line 5370 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = ARPHDR_DADDR_ETHER; }
#line 13874 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1049:
#line 5371 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = ARPHDR_SADDR_IP; }
#line 13880 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1050:
#line 5372 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = ARPHDR_DADDR_IP; }
#line 13886 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1051:
#line 5376 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_ip, (yyvsp[-1].val));
			}
#line 13894 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1052:
#line 5380 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = ipopt_expr_alloc(&(yyloc), (yyvsp[-2].val), (yyvsp[-1].val));
				if (!(yyval.expr)) {
					erec_queue(error(&(yylsp[-4]), "unknown ip option type/field"), state->msgs);
					YYERROR;
				}
			}
#line 13906 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1053:
#line 5388 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = ipopt_expr_alloc(&(yyloc), (yyvsp[-1].val), IPOPT_FIELD_TYPE);
				(yyval.expr)->exthdr.flags = NFT_EXTHDR_F_PRESENT;
			}
#line 13915 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1054:
#line 5394 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IPHDR_VERSION; }
#line 13921 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1055:
#line 5395 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IPHDR_HDRLENGTH; }
#line 13927 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1056:
#line 5396 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IPHDR_DSCP; }
#line 13933 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1057:
#line 5397 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IPHDR_ECN; }
#line 13939 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1058:
#line 5398 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IPHDR_LENGTH; }
#line 13945 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1059:
#line 5399 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IPHDR_ID; }
#line 13951 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1060:
#line 5400 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IPHDR_FRAG_OFF; }
#line 13957 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1061:
#line 5401 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IPHDR_TTL; }
#line 13963 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1062:
#line 5402 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IPHDR_PROTOCOL; }
#line 13969 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1063:
#line 5403 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IPHDR_CHECKSUM; }
#line 13975 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1064:
#line 5404 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IPHDR_SADDR; }
#line 13981 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1065:
#line 5405 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IPHDR_DADDR; }
#line 13987 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1066:
#line 5408 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IPOPT_LSRR; }
#line 13993 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1067:
#line 5409 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IPOPT_RR; }
#line 13999 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1068:
#line 5410 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IPOPT_SSRR; }
#line 14005 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1069:
#line 5411 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IPOPT_RA; }
#line 14011 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1070:
#line 5414 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IPOPT_FIELD_TYPE; }
#line 14017 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1071:
#line 5415 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IPOPT_FIELD_LENGTH; }
#line 14023 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1072:
#line 5416 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IPOPT_FIELD_VALUE; }
#line 14029 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1073:
#line 5417 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IPOPT_FIELD_PTR; }
#line 14035 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1074:
#line 5418 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IPOPT_FIELD_ADDR_0; }
#line 14041 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1075:
#line 5422 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_icmp, (yyvsp[-1].val));
			}
#line 14049 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1076:
#line 5427 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = ICMPHDR_TYPE; }
#line 14055 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1077:
#line 5428 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = ICMPHDR_CODE; }
#line 14061 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1078:
#line 5429 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = ICMPHDR_CHECKSUM; }
#line 14067 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1079:
#line 5430 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = ICMPHDR_ID; }
#line 14073 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1080:
#line 5431 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = ICMPHDR_SEQ; }
#line 14079 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1081:
#line 5432 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = ICMPHDR_GATEWAY; }
#line 14085 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1082:
#line 5433 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = ICMPHDR_MTU; }
#line 14091 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1083:
#line 5437 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_igmp, (yyvsp[-1].val));
			}
#line 14099 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1084:
#line 5442 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IGMPHDR_TYPE; }
#line 14105 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1085:
#line 5443 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IGMPHDR_CHECKSUM; }
#line 14111 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1086:
#line 5444 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IGMPHDR_MRT; }
#line 14117 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1087:
#line 5445 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IGMPHDR_GROUP; }
#line 14123 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1088:
#line 5449 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_ip6, (yyvsp[-1].val));
			}
#line 14131 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1089:
#line 5454 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IP6HDR_VERSION; }
#line 14137 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1090:
#line 5455 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IP6HDR_DSCP; }
#line 14143 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1091:
#line 5456 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IP6HDR_ECN; }
#line 14149 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1092:
#line 5457 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IP6HDR_FLOWLABEL; }
#line 14155 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1093:
#line 5458 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IP6HDR_LENGTH; }
#line 14161 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1094:
#line 5459 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IP6HDR_NEXTHDR; }
#line 14167 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1095:
#line 5460 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IP6HDR_HOPLIMIT; }
#line 14173 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1096:
#line 5461 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IP6HDR_SADDR; }
#line 14179 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1097:
#line 5462 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IP6HDR_DADDR; }
#line 14185 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1098:
#line 5465 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_icmp6, (yyvsp[-1].val));
			}
#line 14193 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1099:
#line 5470 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = ICMP6HDR_TYPE; }
#line 14199 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1100:
#line 5471 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = ICMP6HDR_CODE; }
#line 14205 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1101:
#line 5472 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = ICMP6HDR_CHECKSUM; }
#line 14211 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1102:
#line 5473 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = ICMP6HDR_PPTR; }
#line 14217 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1103:
#line 5474 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = ICMP6HDR_MTU; }
#line 14223 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1104:
#line 5475 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = ICMP6HDR_ID; }
#line 14229 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1105:
#line 5476 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = ICMP6HDR_SEQ; }
#line 14235 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1106:
#line 5477 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = ICMP6HDR_MAXDELAY; }
#line 14241 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1107:
#line 5481 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_ah, (yyvsp[-1].val));
			}
#line 14249 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1108:
#line 5486 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = AHHDR_NEXTHDR; }
#line 14255 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1109:
#line 5487 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = AHHDR_HDRLENGTH; }
#line 14261 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1110:
#line 5488 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = AHHDR_RESERVED; }
#line 14267 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1111:
#line 5489 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = AHHDR_SPI; }
#line 14273 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1112:
#line 5490 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = AHHDR_SEQUENCE; }
#line 14279 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1113:
#line 5494 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_esp, (yyvsp[-1].val));
			}
#line 14287 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1114:
#line 5499 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = ESPHDR_SPI; }
#line 14293 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1115:
#line 5500 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = ESPHDR_SEQUENCE; }
#line 14299 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1116:
#line 5504 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_comp, (yyvsp[-1].val));
			}
#line 14307 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1117:
#line 5509 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = COMPHDR_NEXTHDR; }
#line 14313 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1118:
#line 5510 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = COMPHDR_FLAGS; }
#line 14319 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1119:
#line 5511 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = COMPHDR_CPI; }
#line 14325 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1120:
#line 5515 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_udp, (yyvsp[-1].val));
			}
#line 14333 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1121:
#line 5520 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = UDPHDR_SPORT; }
#line 14339 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1122:
#line 5521 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = UDPHDR_DPORT; }
#line 14345 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1123:
#line 5522 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = UDPHDR_LENGTH; }
#line 14351 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1124:
#line 5523 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = UDPHDR_CHECKSUM; }
#line 14357 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1125:
#line 5527 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_udplite, (yyvsp[-1].val));
			}
#line 14365 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1126:
#line 5532 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = UDPHDR_SPORT; }
#line 14371 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1127:
#line 5533 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = UDPHDR_DPORT; }
#line 14377 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1128:
#line 5534 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = UDPHDR_LENGTH; }
#line 14383 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1129:
#line 5535 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = UDPHDR_CHECKSUM; }
#line 14389 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1130:
#line 5539 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_tcp, (yyvsp[0].val));
			}
#line 14397 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1131:
#line 5543 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = tcpopt_expr_alloc(&(yyloc), (yyvsp[0].val), TCPOPT_COMMON_KIND);
				(yyval.expr)->exthdr.flags = NFT_EXTHDR_F_PRESENT;
			}
#line 14406 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1132:
#line 5548 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = tcpopt_expr_alloc(&(yyloc), (yyvsp[0].tcp_kind_field).kind, (yyvsp[0].tcp_kind_field).field);
			}
#line 14414 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1133:
#line 5552 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = tcpopt_expr_alloc(&(yyloc), (yyvsp[-4].val), 0);
				tcpopt_init_raw((yyval.expr), (yyvsp[-4].val), (yyvsp[-2].val), (yyvsp[0].val), 0);
			}
#line 14423 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1134:
#line 5559 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = optstrip_stmt_alloc(&(yyloc), tcpopt_expr_alloc(&(yyloc),
										(yyvsp[-1].val), TCPOPT_COMMON_KIND));
			}
#line 14432 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1135:
#line 5565 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPHDR_SPORT; }
#line 14438 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1136:
#line 5566 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPHDR_DPORT; }
#line 14444 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1137:
#line 5567 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPHDR_SEQ; }
#line 14450 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1138:
#line 5568 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPHDR_ACKSEQ; }
#line 14456 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1139:
#line 5569 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPHDR_DOFF; }
#line 14462 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1140:
#line 5570 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPHDR_RESERVED; }
#line 14468 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1141:
#line 5571 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPHDR_FLAGS; }
#line 14474 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1142:
#line 5572 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPHDR_WINDOW; }
#line 14480 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1143:
#line 5573 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPHDR_CHECKSUM; }
#line 14486 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1144:
#line 5574 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPHDR_URGPTR; }
#line 14492 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1145:
#line 5578 "parser_bison.y" /* yacc.c:1646  */
    {
					struct tcp_kind_field kind_field = { .kind = TCPOPT_KIND_MAXSEG, .field = (yyvsp[0].val) };
					(yyval.tcp_kind_field) = kind_field;
				}
#line 14501 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1146:
#line 5583 "parser_bison.y" /* yacc.c:1646  */
    {
					struct tcp_kind_field kind_field = { .kind = (yyvsp[-1].val), .field = (yyvsp[0].val) };
					(yyval.tcp_kind_field) = kind_field;
				}
#line 14510 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1147:
#line 5588 "parser_bison.y" /* yacc.c:1646  */
    {
					struct tcp_kind_field kind_field = { .kind = TCPOPT_KIND_WINDOW, .field = (yyvsp[0].val) };
					(yyval.tcp_kind_field) = kind_field;
				}
#line 14519 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1148:
#line 5593 "parser_bison.y" /* yacc.c:1646  */
    {
					struct tcp_kind_field kind_field = { .kind = TCPOPT_KIND_TIMESTAMP, .field = (yyvsp[0].val) };
					(yyval.tcp_kind_field) = kind_field;
				}
#line 14528 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1149:
#line 5598 "parser_bison.y" /* yacc.c:1646  */
    {
					struct tcp_kind_field kind_field = { .kind = (yyvsp[-1].val), .field = TCPOPT_COMMON_LENGTH };
					(yyval.tcp_kind_field) = kind_field;
				}
#line 14537 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1150:
#line 5603 "parser_bison.y" /* yacc.c:1646  */
    {
					struct tcp_kind_field kind_field = { .kind = TCPOPT_KIND_MPTCP, .field = (yyvsp[0].val) };
					(yyval.tcp_kind_field) = kind_field;
				}
#line 14546 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1151:
#line 5609 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPOPT_KIND_SACK; }
#line 14552 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1152:
#line 5610 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPOPT_KIND_SACK; }
#line 14558 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1153:
#line 5611 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPOPT_KIND_SACK1; }
#line 14564 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1154:
#line 5612 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPOPT_KIND_SACK2; }
#line 14570 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1155:
#line 5613 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPOPT_KIND_SACK3; }
#line 14576 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1156:
#line 5616 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPOPT_KIND_ECHO; }
#line 14582 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1157:
#line 5617 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPOPT_KIND_EOL; }
#line 14588 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1158:
#line 5618 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPOPT_KIND_FASTOPEN; }
#line 14594 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1159:
#line 5619 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPOPT_KIND_MD5SIG; }
#line 14600 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1160:
#line 5620 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPOPT_KIND_MPTCP; }
#line 14606 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1161:
#line 5621 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPOPT_KIND_MAXSEG; }
#line 14612 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1162:
#line 5622 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPOPT_KIND_NOP; }
#line 14618 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1163:
#line 5623 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPOPT_KIND_SACK_PERMITTED; }
#line 14624 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1164:
#line 5624 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPOPT_KIND_TIMESTAMP; }
#line 14630 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1165:
#line 5625 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPOPT_KIND_WINDOW; }
#line 14636 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1166:
#line 5626 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = (yyvsp[0].val); }
#line 14642 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1167:
#line 5627 "parser_bison.y" /* yacc.c:1646  */
    {
				if ((yyvsp[0].val) > 255) {
					erec_queue(error(&(yylsp[0]), "value too large"), state->msgs);
					YYERROR;
				}
				(yyval.val) = (yyvsp[0].val);
			}
#line 14654 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1168:
#line 5636 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPOPT_SACK_LEFT; }
#line 14660 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1169:
#line 5637 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPOPT_SACK_RIGHT; }
#line 14666 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1170:
#line 5640 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPOPT_WINDOW_COUNT; }
#line 14672 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1171:
#line 5643 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPOPT_TS_TSVAL; }
#line 14678 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1172:
#line 5644 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPOPT_TS_TSECR; }
#line 14684 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1173:
#line 5647 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPOPT_MAXSEG_SIZE; }
#line 14690 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1174:
#line 5650 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPOPT_MPTCP_SUBTYPE; }
#line 14696 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1175:
#line 5654 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_dccp, (yyvsp[-1].val));
			}
#line 14704 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1176:
#line 5659 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = DCCPHDR_SPORT; }
#line 14710 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1177:
#line 5660 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = DCCPHDR_DPORT; }
#line 14716 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1178:
#line 5661 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = DCCPHDR_TYPE; }
#line 14722 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1179:
#line 5664 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTP_CHUNK_TYPE_DATA; }
#line 14728 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1180:
#line 5665 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTP_CHUNK_TYPE_INIT; }
#line 14734 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1181:
#line 5666 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTP_CHUNK_TYPE_INIT_ACK; }
#line 14740 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1182:
#line 5667 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTP_CHUNK_TYPE_SACK; }
#line 14746 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1183:
#line 5668 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTP_CHUNK_TYPE_HEARTBEAT; }
#line 14752 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1184:
#line 5669 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTP_CHUNK_TYPE_HEARTBEAT_ACK; }
#line 14758 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1185:
#line 5670 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTP_CHUNK_TYPE_ABORT; }
#line 14764 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1186:
#line 5671 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTP_CHUNK_TYPE_SHUTDOWN; }
#line 14770 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1187:
#line 5672 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTP_CHUNK_TYPE_SHUTDOWN_ACK; }
#line 14776 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1188:
#line 5673 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTP_CHUNK_TYPE_ERROR; }
#line 14782 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1189:
#line 5674 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTP_CHUNK_TYPE_COOKIE_ECHO; }
#line 14788 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1190:
#line 5675 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTP_CHUNK_TYPE_COOKIE_ACK; }
#line 14794 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1191:
#line 5676 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTP_CHUNK_TYPE_ECNE; }
#line 14800 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1192:
#line 5677 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTP_CHUNK_TYPE_CWR; }
#line 14806 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1193:
#line 5678 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTP_CHUNK_TYPE_SHUTDOWN_COMPLETE; }
#line 14812 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1194:
#line 5679 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTP_CHUNK_TYPE_ASCONF_ACK; }
#line 14818 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1195:
#line 5680 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTP_CHUNK_TYPE_FORWARD_TSN; }
#line 14824 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1196:
#line 5681 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTP_CHUNK_TYPE_ASCONF; }
#line 14830 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1197:
#line 5684 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTP_CHUNK_COMMON_TYPE; }
#line 14836 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1198:
#line 5685 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTP_CHUNK_COMMON_FLAGS; }
#line 14842 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1199:
#line 5686 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTP_CHUNK_COMMON_LENGTH; }
#line 14848 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1200:
#line 5689 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTP_CHUNK_DATA_TSN; }
#line 14854 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1201:
#line 5690 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTP_CHUNK_DATA_STREAM; }
#line 14860 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1202:
#line 5691 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTP_CHUNK_DATA_SSN; }
#line 14866 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1203:
#line 5692 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTP_CHUNK_DATA_PPID; }
#line 14872 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1204:
#line 5695 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTP_CHUNK_INIT_TAG; }
#line 14878 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1205:
#line 5696 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTP_CHUNK_INIT_RWND; }
#line 14884 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1206:
#line 5697 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTP_CHUNK_INIT_OSTREAMS; }
#line 14890 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1207:
#line 5698 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTP_CHUNK_INIT_ISTREAMS; }
#line 14896 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1208:
#line 5699 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTP_CHUNK_INIT_TSN; }
#line 14902 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1209:
#line 5702 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTP_CHUNK_SACK_CTSN_ACK; }
#line 14908 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1210:
#line 5703 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTP_CHUNK_SACK_RWND; }
#line 14914 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1211:
#line 5704 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTP_CHUNK_SACK_GACK_BLOCKS; }
#line 14920 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1212:
#line 5705 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTP_CHUNK_SACK_DUP_TSNS; }
#line 14926 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1213:
#line 5709 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = sctp_chunk_expr_alloc(&(yyloc), (yyvsp[0].val), SCTP_CHUNK_COMMON_TYPE);
				(yyval.expr)->exthdr.flags = NFT_EXTHDR_F_PRESENT;
			}
#line 14935 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1214:
#line 5714 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = sctp_chunk_expr_alloc(&(yyloc), (yyvsp[-1].val), (yyvsp[0].val));
			}
#line 14943 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1215:
#line 5718 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = sctp_chunk_expr_alloc(&(yyloc), SCTP_CHUNK_TYPE_DATA, (yyvsp[0].val));
			}
#line 14951 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1216:
#line 5722 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = sctp_chunk_expr_alloc(&(yyloc), SCTP_CHUNK_TYPE_INIT, (yyvsp[0].val));
			}
#line 14959 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1217:
#line 5726 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = sctp_chunk_expr_alloc(&(yyloc), SCTP_CHUNK_TYPE_INIT_ACK, (yyvsp[0].val));
			}
#line 14967 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1218:
#line 5730 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = sctp_chunk_expr_alloc(&(yyloc), SCTP_CHUNK_TYPE_SACK, (yyvsp[0].val));
			}
#line 14975 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1219:
#line 5734 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = sctp_chunk_expr_alloc(&(yyloc), SCTP_CHUNK_TYPE_SHUTDOWN,
							   SCTP_CHUNK_SHUTDOWN_CTSN_ACK);
			}
#line 14984 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1220:
#line 5739 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = sctp_chunk_expr_alloc(&(yyloc), SCTP_CHUNK_TYPE_ECNE,
							   SCTP_CHUNK_ECNE_CWR_MIN_TSN);
			}
#line 14993 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1221:
#line 5744 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = sctp_chunk_expr_alloc(&(yyloc), SCTP_CHUNK_TYPE_CWR,
							   SCTP_CHUNK_ECNE_CWR_MIN_TSN);
			}
#line 15002 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1222:
#line 5749 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = sctp_chunk_expr_alloc(&(yyloc), SCTP_CHUNK_TYPE_ASCONF_ACK,
							   SCTP_CHUNK_ASCONF_SEQNO);
			}
#line 15011 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1223:
#line 5754 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = sctp_chunk_expr_alloc(&(yyloc), SCTP_CHUNK_TYPE_FORWARD_TSN,
							   SCTP_CHUNK_FORWARD_TSN_NCTSN);
			}
#line 15020 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1224:
#line 5759 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = sctp_chunk_expr_alloc(&(yyloc), SCTP_CHUNK_TYPE_ASCONF,
							   SCTP_CHUNK_ASCONF_SEQNO);
			}
#line 15029 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1225:
#line 5766 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_sctp, (yyvsp[-1].val));
			}
#line 15037 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1226:
#line 5770 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = (yyvsp[-2].expr);
			}
#line 15045 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1227:
#line 5775 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTPHDR_SPORT; }
#line 15051 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1228:
#line 5776 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTPHDR_DPORT; }
#line 15057 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1229:
#line 5777 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTPHDR_VTAG; }
#line 15063 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1230:
#line 5778 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTPHDR_CHECKSUM; }
#line 15069 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1231:
#line 5782 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_th, (yyvsp[-1].val));
				if ((yyval.expr))
					(yyval.expr)->payload.is_raw = true;
			}
#line 15079 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1232:
#line 5789 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = THDR_SPORT; }
#line 15085 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1233:
#line 5790 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = THDR_DPORT; }
#line 15091 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1242:
#line 5804 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = exthdr_expr_alloc(&(yyloc), &exthdr_hbh, (yyvsp[-1].val));
			}
#line 15099 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1243:
#line 5809 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = HBHHDR_NEXTHDR; }
#line 15105 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1244:
#line 5810 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = HBHHDR_HDRLENGTH; }
#line 15111 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1245:
#line 5814 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = exthdr_expr_alloc(&(yyloc), &exthdr_rt, (yyvsp[-1].val));
			}
#line 15119 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1246:
#line 5819 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = RTHDR_NEXTHDR; }
#line 15125 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1247:
#line 5820 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = RTHDR_HDRLENGTH; }
#line 15131 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1248:
#line 5821 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = RTHDR_TYPE; }
#line 15137 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1249:
#line 5822 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = RTHDR_SEG_LEFT; }
#line 15143 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1250:
#line 5826 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = exthdr_expr_alloc(&(yyloc), &exthdr_rt0, (yyvsp[-1].val));
			}
#line 15151 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1251:
#line 5832 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.val) = RT0HDR_ADDR_1 + (yyvsp[-1].val) - 1;
			}
#line 15159 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1252:
#line 5838 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = exthdr_expr_alloc(&(yyloc), &exthdr_rt2, (yyvsp[-1].val));
			}
#line 15167 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1253:
#line 5843 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = RT2HDR_ADDR; }
#line 15173 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1254:
#line 5847 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = exthdr_expr_alloc(&(yyloc), &exthdr_rt4, (yyvsp[-1].val));
			}
#line 15181 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1255:
#line 5852 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = RT4HDR_LASTENT; }
#line 15187 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1256:
#line 5853 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = RT4HDR_FLAGS; }
#line 15193 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1257:
#line 5854 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = RT4HDR_TAG; }
#line 15199 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1258:
#line 5856 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.val) = RT4HDR_SID_1 + (yyvsp[-1].val) - 1;
			}
#line 15207 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1259:
#line 5862 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = exthdr_expr_alloc(&(yyloc), &exthdr_frag, (yyvsp[-1].val));
			}
#line 15215 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1260:
#line 5867 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = FRAGHDR_NEXTHDR; }
#line 15221 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1261:
#line 5868 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = FRAGHDR_RESERVED; }
#line 15227 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1262:
#line 5869 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = FRAGHDR_FRAG_OFF; }
#line 15233 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1263:
#line 5870 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = FRAGHDR_RESERVED2; }
#line 15239 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1264:
#line 5871 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = FRAGHDR_MFRAGS; }
#line 15245 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1265:
#line 5872 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = FRAGHDR_ID; }
#line 15251 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1266:
#line 5876 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = exthdr_expr_alloc(&(yyloc), &exthdr_dst, (yyvsp[-1].val));
			}
#line 15259 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1267:
#line 5881 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = DSTHDR_NEXTHDR; }
#line 15265 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1268:
#line 5882 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = DSTHDR_HDRLENGTH; }
#line 15271 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1269:
#line 5886 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = exthdr_expr_alloc(&(yyloc), &exthdr_mh, (yyvsp[-1].val));
			}
#line 15279 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1270:
#line 5891 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = MHHDR_NEXTHDR; }
#line 15285 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1271:
#line 5892 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = MHHDR_HDRLENGTH; }
#line 15291 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1272:
#line 5893 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = MHHDR_TYPE; }
#line 15297 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1273:
#line 5894 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = MHHDR_RESERVED; }
#line 15303 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1274:
#line 5895 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = MHHDR_CHECKSUM; }
#line 15309 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1275:
#line 5899 "parser_bison.y" /* yacc.c:1646  */
    {
				const struct exthdr_desc *desc;

				desc = exthdr_find_proto((yyvsp[0].val));

				/* Assume that NEXTHDR template is always
				 * the fist one in list of templates.
				 */
				(yyval.expr) = exthdr_expr_alloc(&(yyloc), desc, 1);
				(yyval.expr)->exthdr.flags = NFT_EXTHDR_F_PRESENT;
			}
#line 15325 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1276:
#line 5912 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IPPROTO_HOPOPTS; }
#line 15331 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1277:
#line 5913 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IPPROTO_ROUTING; }
#line 15337 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1278:
#line 5914 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IPPROTO_FRAGMENT; }
#line 15343 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1279:
#line 5915 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IPPROTO_DSTOPTS; }
#line 15349 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1280:
#line 5916 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IPPROTO_MH; }
#line 15355 "parser_bison.c" /* yacc.c:1646  */
    break;


#line 15359 "parser_bison.c" /* yacc.c:1646  */
      default: break;
    }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", yyr1[yyn], &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);

  *++yyvsp = yyval;
  *++yylsp = yyloc;

  /* Now 'shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTOKENS] + *yyssp;
  if (0 <= yystate && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTOKENS];

  goto yynewstate;


/*--------------------------------------.
| yyerrlab -- here on detecting error.  |
`--------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYEMPTY : YYTRANSLATE (yychar);

  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
#if ! YYERROR_VERBOSE
      yyerror (&yylloc, nft, scanner, state, YY_("syntax error"));
#else
# define YYSYNTAX_ERROR yysyntax_error (&yymsg_alloc, &yymsg, \
                                        yyssp, yytoken)
      {
        char const *yymsgp = YY_("syntax error");
        int yysyntax_error_status;
        yysyntax_error_status = YYSYNTAX_ERROR;
        if (yysyntax_error_status == 0)
          yymsgp = yymsg;
        else if (yysyntax_error_status == 1)
          {
            if (yymsg != yymsgbuf)
              YYSTACK_FREE (yymsg);
            yymsg = (char *) YYSTACK_ALLOC (yymsg_alloc);
            if (!yymsg)
              {
                yymsg = yymsgbuf;
                yymsg_alloc = sizeof yymsgbuf;
                yysyntax_error_status = 2;
              }
            else
              {
                yysyntax_error_status = YYSYNTAX_ERROR;
                yymsgp = yymsg;
              }
          }
        yyerror (&yylloc, nft, scanner, state, yymsgp);
        if (yysyntax_error_status == 2)
          goto yyexhaustedlab;
      }
# undef YYSYNTAX_ERROR
#endif
    }

  yyerror_range[1] = yylloc;

  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
         error, discard it.  */

      if (yychar <= YYEOF)
        {
          /* Return failure if at end of input.  */
          if (yychar == YYEOF)
            YYABORT;
        }
      else
        {
          yydestruct ("Error: discarding",
                      yytoken, &yylval, &yylloc, nft, scanner, state);
          yychar = YYEMPTY;
        }
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:

  /* Pacify compilers like GCC when the user code never invokes
     YYERROR and the label yyerrorlab therefore never appears in user
     code.  */
  if (/*CONSTCOND*/ 0)
     goto yyerrorlab;

  yyerror_range[1] = yylsp[1-yylen];
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;      /* Each real token shifted decrements this.  */

  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
        {
          yyn += YYTERROR;
          if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYTERROR)
            {
              yyn = yytable[yyn];
              if (0 < yyn)
                break;
            }
        }

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
        YYABORT;

      yyerror_range[1] = *yylsp;
      yydestruct ("Error: popping",
                  yystos[yystate], yyvsp, yylsp, nft, scanner, state);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END

  yyerror_range[2] = yylloc;
  /* Using YYLLOC is tempting, but would change the location of
     the lookahead.  YYLOC is available though.  */
  YYLLOC_DEFAULT (yyloc, yyerror_range, 2);
  *++yylsp = yyloc;

  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", yystos[yyn], yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;

/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;

#if !defined yyoverflow || YYERROR_VERBOSE
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (&yylloc, nft, scanner, state, YY_("memory exhausted"));
  yyresult = 2;
  /* Fall through.  */
#endif

yyreturn:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval, &yylloc, nft, scanner, state);
    }
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
                  yystos[*yyssp], yyvsp, yylsp, nft, scanner, state);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
#if YYERROR_VERBOSE
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
#endif
  return yyresult;
}
#line 5919 "parser_bison.y" /* yacc.c:1906  */

